!******************************************************************************!
!                                                                              !
!    vertices_info10.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info10.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-28 18:17             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info10
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl10()
      allocate(vertices(3435)%branchR2(0:0))
      call avR2(3435, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_9560])

      allocate(vertices(3871)%branchR2(0:0))
      call avR2(3871, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_9394])

      allocate(vertices(1212)%branchR2(0:0))
      call avR2(1212, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_22139])

      allocate(vertices(3876)%branchR2(0:0))
      call avR2(3876, 0, 13, 1, 0, FaF2, 0, [0, 2], [nGC_9358, nGC_9359,       &
      nGC_9367, nGC_9367])

      allocate(vertices(573)%branchR2(0:0))
      call avR2(573, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_9382])

      allocate(vertices(4005)%branchR2(0:5))
      call avR2(4005, 0, 169, 1, 0, VVVV0, 0, [3, 1], [nGC_9621, nGC_9621,     &
      nGC_9621])

      call avR2(4005, 1, 167, 1, 0, VVVV0, 0, [3, 1], [nGC_9620, nGC_9620,     &
      nGC_9620])

      call avR2(4005, 2, 168, 1, 0, VVVV0, 0, [3, 1], [nGC_9619, nGC_9619,     &
      nGC_9619])

      call avR2(4005, 3, 166, 1, 0, VVVV0, 0, [3, 1], [nGC_9620, nGC_9620,     &
      nGC_9620])

      call avR2(4005, 4, 170, 1, 0, VVVV0, 0, [3, 1], [nGC_9619, nGC_9619,     &
      nGC_9619])

      call avR2(4005, 5, 165, 1, 0, VVVV0, 0, [3, 1], [nGC_9620, nGC_9620,     &
      nGC_9620])

      allocate(vertices(3311)%branchR2(0:1))
      call avR2(3311, 0, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_9456, nGC_9458])

      call avR2(3311, 1, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_9457, nGC_9459])

      allocate(vertices(156)%branchR2(0:0))
      call avR2(156, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_9577, nGC_9576,        &
      nGC_9575])

      allocate(vertices(980)%branchR2(0:0))
      call avR2(980, 0, 1, 1, 0, FSFa2, 0, [0, 3], [nGC_9424])

      allocate(vertices(2441)%branchR2(0:0))
      call avR2(2441, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_9567])

      allocate(vertices(2123)%branchR2(0:0))
      call avR2(2123, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_9583])

      allocate(vertices(1028)%branchR2(0:0))
      call avR2(1028, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_9479, nGC_9478])

      allocate(vertices(3856)%branchR2(0:0))
      call avR2(3856, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_9578])

      allocate(vertices(36)%branchR2(0:1))
      call avR2(36, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_9410, nGC_9412])

      call avR2(36, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_9411, nGC_9413])

      allocate(vertices(2884)%branchR2(0:0))
      call avR2(2884, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_9577, nGC_9575,       &
      nGC_9576])

      allocate(vertices(504)%branchR2(0:1))
      call avR2(504, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_9474, nGC_9474])

      call avR2(504, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_9472, nGC_9473])

      allocate(vertices(1271)%branchR2(0:1))
      call avR2(1271, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_9415, nGC_9417])

      call avR2(1271, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_9432, nGC_9433])

      allocate(vertices(3405)%branchR2(0:0))
      call avR2(3405, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_9583])

      allocate(vertices(930)%branchR2(0:1))
      call avR2(930, 0, 19, 1, 0, FaSF0, 0, [2, 1], [nGC_9413, nGC_9411])

      call avR2(930, 1, 19, 1, 0, FaSF0, 0, [0, 3], [nGC_9429, nGC_9428])

      allocate(vertices(3831)%branchR2(0:0))
      call avR2(3831, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_9579])

      allocate(vertices(304)%branchR2(0:3))
      call avR2(304, 0, 24, 1, 0, FaVF1, 0, [1, 2], [nGC_9548, nGC_9547])

      call avR2(304, 1, 24, 1, 0, FaVF1, 0, [3, 0], [nGC_9549, nGC_9549])

      call avR2(304, 2, 25, 1, 0, FaVF1, 0, [1, 2], [nGC_9545, nGC_9544])

      call avR2(304, 3, 25, 1, 0, FaVF1, 0, [3, 0], [nGC_9546, nGC_9546])

      allocate(vertices(4006)%branchR2(0:5))
      call avR2(4006, 0, 160, 1, 0, VVVV0, 0, [3, 1], [nGC_9617, nGC_9617,     &
      nGC_9617])

      call avR2(4006, 1, 163, 1, 0, VVVV0, 0, [3, 1], [nGC_9618, nGC_9618,     &
      nGC_9618])

      call avR2(4006, 2, 162, 1, 0, VVVV0, 0, [3, 1], [nGC_9616, nGC_9616,     &
      nGC_9616])

      call avR2(4006, 3, 164, 1, 0, VVVV0, 0, [3, 1], [nGC_9616, nGC_9616,     &
      nGC_9616])

      call avR2(4006, 4, 161, 1, 0, VVVV0, 0, [3, 1], [nGC_9617, nGC_9617,     &
      nGC_9617])

      call avR2(4006, 5, 159, 1, 0, VVVV0, 0, [3, 1], [nGC_9617, nGC_9617,     &
      nGC_9617])

      allocate(vertices(2295)%branchR2(0:0))
      call avR2(2295, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_9499])

      allocate(vertices(4007)%branchR2(0:5))
      call avR2(4007, 0, 149, 1, 0, VVVV0, 0, [3, 1], [nGC_9617, nGC_9617,     &
      nGC_9617])

      call avR2(4007, 1, 148, 1, 0, VVVV0, 0, [3, 1], [nGC_9617, nGC_9617,     &
      nGC_9617])

      call avR2(4007, 2, 151, 1, 0, VVVV0, 0, [3, 1], [nGC_9617, nGC_9617,     &
      nGC_9617])

      call avR2(4007, 3, 152, 1, 0, VVVV0, 0, [3, 1], [nGC_9616, nGC_9616,     &
      nGC_9616])

      call avR2(4007, 4, 150, 1, 0, VVVV0, 0, [3, 1], [nGC_9618, nGC_9618,     &
      nGC_9618])

      call avR2(4007, 5, 147, 1, 0, VVVV0, 0, [3, 1], [nGC_9616, nGC_9616,     &
      nGC_9616])

      allocate(vertices(2084)%branchR2(0:0))
      call avR2(2084, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_9422])

      allocate(vertices(3449)%branchR2(0:0))
      call avR2(3449, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_9425])

      allocate(vertices(3389)%branchR2(0:0))
      call avR2(3389, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_9424])

      allocate(vertices(1079)%branchR2(0:0))
      call avR2(1079, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_9583])

      allocate(vertices(4008)%branchR2(0:1))
      call avR2(4008, 0, 145, 1, 0, VVVV0, 0, [2, 2], [nGC_9602, nGC_9602,     &
      nGC_9602])

      call avR2(4008, 1, 146, 1, 0, VVVV0, 0, [2, 2], [nGC_9601, nGC_9601,     &
      nGC_9601])

      allocate(vertices(554)%branchR2(0:0))
      call avR2(554, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_9591])

      allocate(vertices(3818)%branchR2(0:0))
      call avR2(3818, 0, 13, 1, 0, VV1, 0, [0, 2], [nGC_9337, nGC_9336,        &
      nGC_9338])

      allocate(vertices(1911)%branchR2(0:0))
      call avR2(1911, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_9583])

      allocate(vertices(2619)%branchR2(0:3))
      call avR2(2619, 0, 29, 1, 0, VFFa1, 0, [1, 2], [nGC_9555, nGC_9554])

      call avR2(2619, 1, 29, 1, 0, VFFa1, 0, [3, 0], [nGC_9546, nGC_9546])

      call avR2(2619, 2, 28, 1, 0, VFFa1, 0, [1, 2], [nGC_9557, nGC_9556])

      call avR2(2619, 3, 28, 1, 0, VFFa1, 0, [3, 0], [nGC_9549, nGC_9549])

      allocate(vertices(1674)%branchR2(0:1))
      call avR2(1674, 0, 19, 1, 0, FaVF1, 0, [2, 1], [nGC_9508, nGC_9506])

      call avR2(1674, 1, 19, 1, 0, FaVF1, 0, [0, 3], [nGC_9523, nGC_9522])

      allocate(vertices(2386)%branchR2(0:1))
      call avR2(2386, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9512, nGC_9510])

      call avR2(2386, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_9525, nGC_9524])

      allocate(vertices(1986)%branchR2(0:0))
      call avR2(1986, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_9588])

      allocate(vertices(2273)%branchR2(0:0))
      call avR2(2273, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_9560])

      allocate(vertices(217)%branchR2(0:0))
      call avR2(217, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_21611])

      allocate(vertices(3903)%branchR2(0:0))
      call avR2(3903, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_9395])

      allocate(vertices(4009)%branchR2(0:1))
      call avR2(4009, 0, 141, 1, 0, VVVV0, 0, [2, 2], [nGC_9606, nGC_9606,     &
      nGC_9606])

      call avR2(4009, 1, 142, 1, 0, VVVV0, 0, [2, 2], [nGC_9605, nGC_9605,     &
      nGC_9605])

      allocate(vertices(363)%branchR2(0:0))
      call avR2(363, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_9588])

      allocate(vertices(3093)%branchR2(0:0))
      call avR2(3093, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_9599])

      allocate(vertices(508)%branchR2(0:0))
      call avR2(508, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_9560])

      allocate(vertices(3890)%branchR2(0:0))
      call avR2(3890, 0, 13, 1, 0, FaF1, 0, [0, 2], [nGC_9368])

      allocate(vertices(932)%branchR2(0:1))
      call avR2(932, 0, 19, 1, 0, FaVF1, 0, [2, 1], [nGC_9378, nGC_9378])

      call avR2(932, 1, 19, 1, 0, FaVF1, 0, [0, 3], [nGC_9404, nGC_9403])

      allocate(vertices(2039)%branchR2(0:0))
      call avR2(2039, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_9569])

      allocate(vertices(1640)%branchR2(0:0))
      call avR2(1640, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_9526, nGC_9527])

      allocate(vertices(168)%branchR2(0:0))
      call avR2(168, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_9597])

      allocate(vertices(450)%branchR2(0:1))
      call avR2(450, 0, 19, 1, 0, FaSF0, 0, [2, 1], [nGC_9470, nGC_9470])

      call avR2(450, 1, 19, 1, 0, FaSF0, 0, [0, 3], [nGC_9468, nGC_9469])

      allocate(vertices(1098)%branchR2(0:0))
      call avR2(1098, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_9567])

      allocate(vertices(662)%branchR2(0:1))
      call avR2(662, 0, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_9413, nGC_9411])

      call avR2(662, 1, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_9429, nGC_9428])

      allocate(vertices(3621)%branchR2(0:0))
      call avR2(3621, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_9407])

      allocate(vertices(3109)%branchR2(0:0))
      call avR2(3109, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_22299])

      allocate(vertices(3557)%branchR2(0:0))
      call avR2(3557, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_9569])

      allocate(vertices(61)%branchR2(0:0))
      call avR2(61, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_9588])

      allocate(vertices(1945)%branchR2(0:3))
      call avR2(1945, 0, 30, 1, 0, VFaF0, 0, [1, 2], [nGC_9543, nGC_9542])

      call avR2(1945, 1, 30, 1, 0, VFaF0, 0, [3, 0], [nGC_9534, nGC_9534])

      call avR2(1945, 2, 31, 1, 0, VFaF0, 0, [1, 2], [nGC_9541, nGC_9540])

      call avR2(1945, 3, 31, 1, 0, VFaF0, 0, [3, 0], [nGC_9531, nGC_9531])

      allocate(vertices(410)%branchR2(0:0))
      call avR2(410, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_9499])

      allocate(vertices(2101)%branchR2(0:0))
      call avR2(2101, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_9382])

      allocate(vertices(3597)%branchR2(0:1))
      call avR2(3597, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_9486, nGC_9486])

      call avR2(3597, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_9484, nGC_9485])

      allocate(vertices(2230)%branchR2(0:0))
      call avR2(2230, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_9390, nGC_9391])

      allocate(vertices(57)%branchR2(0:0))
      call avR2(57, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_9566])

      allocate(vertices(323)%branchR2(0:1))
      call avR2(323, 0, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_9416, nGC_9414])

      call avR2(323, 1, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_9417, nGC_9415])

      allocate(vertices(3009)%branchR2(0:1))
      call avR2(3009, 0, 19, 1, 0, FaVF1, 0, [2, 1], [nGC_9512, nGC_9510])

      call avR2(3009, 1, 19, 1, 0, FaVF1, 0, [0, 3], [nGC_9525, nGC_9524])

      allocate(vertices(3133)%branchR2(0:0))
      call avR2(3133, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_9575, nGC_9576,       &
      nGC_9577])

      allocate(vertices(98)%branchR2(0:0))
      call avR2(98, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_9567])

      allocate(vertices(469)%branchR2(0:0))
      call avR2(469, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_9405])

      allocate(vertices(1076)%branchR2(0:0))
      call avR2(1076, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_9585])

      allocate(vertices(2355)%branchR2(0:1))
      call avR2(2355, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_9380, nGC_9379])

      call avR2(2355, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9381, nGC_9381])

      allocate(vertices(4010)%branchR2(0:1))
      call avR2(4010, 0, 144, 1, 0, VSSV0, 0, [2, 2], [nGC_9592])

      call avR2(4010, 1, 143, 1, 0, VSSV0, 0, [2, 2], [nGC_9593])

      allocate(vertices(3124)%branchR2(0:0))
      call avR2(3124, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_23070])

      allocate(vertices(4011)%branchR2(0:0))
      call avR2(4011, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_9564])

      allocate(vertices(2680)%branchR2(0:0))
      call avR2(2680, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_9382])

      allocate(vertices(3841)%branchR2(0:0))
      call avR2(3841, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_9579])

      allocate(vertices(1191)%branchR2(0:0))
      call avR2(1191, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_9581])

      allocate(vertices(22)%branchR2(0:0))
      call avR2(22, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_9401, nGC_9402])

      allocate(vertices(2251)%branchR2(0:0))
      call avR2(2251, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_9503])

      allocate(vertices(2120)%branchR2(0:0))
      call avR2(2120, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_9597])

      allocate(vertices(1576)%branchR2(0:0))
      call avR2(1576, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_9499])

      allocate(vertices(1691)%branchR2(0:0))
      call avR2(1691, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_9585])

      allocate(vertices(1759)%branchR2(0:0))
      call avR2(1759, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_9612, nGC_9612,       &
      nGC_9611])

      allocate(vertices(2405)%branchR2(0:0))
      call avR2(2405, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_9568])

      allocate(vertices(2560)%branchR2(0:1))
      call avR2(2560, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_9494, nGC_9494])

      call avR2(2560, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_9492, nGC_9493])

      allocate(vertices(417)%branchR2(0:0))
      call avR2(417, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_9603, nGC_9604,        &
      nGC_9604])

      allocate(vertices(892)%branchR2(0:1))
      call avR2(892, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_9415, nGC_9417])

      call avR2(892, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_9432, nGC_9433])

      allocate(vertices(3079)%branchR2(0:0))
      call avR2(3079, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_9568])

      allocate(vertices(3382)%branchR2(0:0))
      call avR2(3382, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_23070])

      allocate(vertices(1148)%branchR2(0:1))
      call avR2(1148, 0, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_9410, nGC_9412])

      call avR2(1148, 1, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_9411, nGC_9413])

      allocate(vertices(2879)%branchR2(0:0))
      call avR2(2879, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_9570])

      allocate(vertices(3150)%branchR2(0:0))
      call avR2(3150, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_9581])

      allocate(vertices(1550)%branchR2(0:1))
      call avR2(1550, 0, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_9435, nGC_9437])

      call avR2(1550, 1, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_9436, nGC_9438])

      allocate(vertices(390)%branchR2(0:0))
      call avR2(390, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_9569])

      allocate(vertices(2497)%branchR2(0:0))
      call avR2(2497, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_9499])

      allocate(vertices(1101)%branchR2(0:3))
      call avR2(1101, 0, 27, 1, 0, FaFV1, 0, [1, 2], [nGC_9555, nGC_9554])

      call avR2(1101, 1, 27, 1, 0, FaFV1, 0, [3, 0], [nGC_9546, nGC_9546])

      call avR2(1101, 2, 26, 1, 0, FaFV1, 0, [1, 2], [nGC_9557, nGC_9556])

      call avR2(1101, 3, 26, 1, 0, FaFV1, 0, [3, 0], [nGC_9549, nGC_9549])

      allocate(vertices(4012)%branchR2(0:1))
      call avR2(4012, 0, 139, 1, 0, VVVV0, 0, [2, 2], [nGC_9606, nGC_9606,     &
      nGC_9606])

      call avR2(4012, 1, 140, 1, 0, VVVV0, 0, [2, 2], [nGC_9605, nGC_9605,     &
      nGC_9605])

      allocate(vertices(3692)%branchR2(0:0))
      call avR2(3692, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_9563, nGC_9561,       &
      nGC_9562])

      allocate(vertices(3806)%branchR2(0:0))
      call avR2(3806, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_9568])

      allocate(vertices(3318)%branchR2(0:0))
      call avR2(3318, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_9427])

      allocate(vertices(4013)%branchR2(0:0))
      call avR2(4013, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_9565])

      allocate(vertices(2702)%branchR2(0:1))
      call avR2(2702, 0, 19, 1, 0, FaSF0, 0, [0, 3], [nGC_9439, nGC_9441])

      call avR2(2702, 1, 19, 1, 0, FaSF0, 0, [2, 1], [nGC_9440, nGC_9442])

      allocate(vertices(3816)%branchR2(0:0))
      call avR2(3816, 0, 13, 1, 0, FaF2, 0, [0, 2], [nGC_9358, nGC_9359,       &
      nGC_9373, nGC_9373])

      allocate(vertices(794)%branchR2(0:1))
      call avR2(794, 0, 19, 1, 0, FaVF0, 0, [0, 3], [nGC_9496])

      call avR2(794, 1, 19, 1, 0, FaVF0, 0, [2, 1], [nGC_9497])

      allocate(vertices(3523)%branchR2(0:0))
      call avR2(3523, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_9581])

      allocate(vertices(3738)%branchR2(0:1))
      call avR2(3738, 0, 18, 1, 0, FaFV1, 0, [2, 1], [nGC_9378, nGC_9378])

      call avR2(3738, 1, 18, 1, 0, FaFV1, 0, [0, 3], [nGC_9404, nGC_9403])

      allocate(vertices(1135)%branchR2(0:0))
      call avR2(1135, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_9569])

      allocate(vertices(3817)%branchR2(0:0))
      call avR2(3817, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_9578])

      allocate(vertices(2551)%branchR2(0:0))
      call avR2(2551, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_9581])

      allocate(vertices(767)%branchR2(0:1))
      call avR2(767, 0, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_9512, nGC_9510])

      call avR2(767, 1, 21, 1, 0, VFaF0, 0, [0, 3], [nGC_9529, nGC_9528])

      allocate(vertices(2773)%branchR2(0:0))
      call avR2(2773, 0, 1, 1, 0, FaSF2, 0, [0, 3], [nGC_9424])

      allocate(vertices(993)%branchR2(0:0))
      call avR2(993, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_9570])

      allocate(vertices(4014)%branchR2(0:0))
      call avR2(4014, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_9564])

      allocate(vertices(78)%branchR2(0:1))
      call avR2(78, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_9421, nGC_9419])

      call avR2(78, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_9431, nGC_9430])

      allocate(vertices(1235)%branchR2(0:1))
      call avR2(1235, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_9421, nGC_9419])

      call avR2(1235, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_9431, nGC_9430])

    end subroutine fill_vertices_mdl10
end module vertices_info10
