!******************************************************************************!
!                                                                              !
!    vertices_info5.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info5.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-28 18:17             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info5
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl5()
      allocate(vertices(3200)%branch(0:0))
      call av(3200, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_76])

      allocate(vertices(3201)%branch(0:0))
      call av(3201, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_70])

      allocate(vertices(3202)%branch(0:0))
      call av(3202, 0, 1, 1, 0, UaUV0, 0, [0, 1], [nGC_65])

      allocate(vertices(3203)%branch(0:0))
      call av(3203, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_22])

      allocate(vertices(3204)%branch(0:0))
      call av(3204, 0, 1, 1, 0, SUUa0, 0, [0, 1], [nGC_108])

      allocate(vertices(3205)%branch(0:0))
      call av(3205, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_90])

      allocate(vertices(3206)%branch(0:0))
      call av(3206, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_55, nGC_57, nGC_56])

      allocate(vertices(3207)%branch(0:5))
      call av(3207, 0, 73, 4, 0, UVVUa0, 0, [2, 0], [nGC_21])

      call av(3207, 1, 71, 4, 0, UVVUa0, 0, [2, 0], [nGC_21])

      call av(3207, 2, 72, 4, 0, UVVUa0, 0, [2, 0], [nGC_21])

      call av(3207, 3, 70, 4, 0, UVVUa0, 0, [2, 0], [nGC_21])

      call av(3207, 4, 74, 5, 0, UVVUa0, 0, [2, 0], [nGC_784])

      call av(3207, 5, 75, 5, 0, UVVUa0, 0, [2, 0], [nGC_784])

      allocate(vertices(3208)%branch(0:0))
      call av(3208, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_54])

      allocate(vertices(3209)%branch(0:0))
      call av(3209, 0, 1, 1, 0, SFaF0, 0, [0, 1], [nGC_135, nGC_135])

      allocate(vertices(3210)%branch(0:0))
      call av(3210, 0, 1, 1, 0, USUa0, 0, [0, 1], [nGC_106])

      allocate(vertices(3211)%branch(0:0))
      call av(3211, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_14])

      allocate(vertices(3212)%branch(0:0))
      call av(3212, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_1108, nGC_1110, nGC_10])

      allocate(vertices(3213)%branch(0:0))
      call av(3213, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_35])

      allocate(vertices(3214)%branch(0:0))
      call av(3214, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_74])

      allocate(vertices(3215)%branch(0:0))
      call av(3215, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_36])

      allocate(vertices(3216)%branch(0:0))
      call av(3216, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_8])

      allocate(vertices(3217)%branch(0:0))
      call av(3217, 0, 18, 1, 0, FaFV0, 0, [0, 1], [nGC_62])

      allocate(vertices(3218)%branch(0:0))
      call av(3218, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_88])

      allocate(vertices(3219)%branch(0:0))
      call av(3219, 0, 1, 1, 0, VSS1, 0, [0, 1], [nGC_60])

      allocate(vertices(3220)%branch(0:0))
      call av(3220, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_46])

      allocate(vertices(3221)%branch(0:0))
      call av(3221, 0, 0, 1, 0, SUaUS0, 0, [0, 2], [nGC_46])

      allocate(vertices(3222)%branch(0:0))
      call av(3222, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_90])

      allocate(vertices(3223)%branch(0:0))
      call av(3223, 0, 20, 1, 0, SFFa0, 0, [0, 1], [nGC_149, nGC_149])

      allocate(vertices(3224)%branch(0:0))
      call av(3224, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_14])

      allocate(vertices(3225)%branch(0:0))
      call av(3225, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_75])

      allocate(vertices(3226)%branch(0:0))
      call av(3226, 0, 1, 1, 0, FaFV0, 0, [0, 1], [nGC_62])

      allocate(vertices(3227)%branch(0:0))
      call av(3227, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_75])

      allocate(vertices(3228)%branch(0:0))
      call av(3228, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_46])

      allocate(vertices(3229)%branch(0:0))
      call av(3229, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_45])

      allocate(vertices(3230)%branch(0:0))
      call av(3230, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_7])

      allocate(vertices(3231)%branch(0:0))
      call av(3231, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_75])

      allocate(vertices(3232)%branch(0:0))
      call av(3232, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_76])

      allocate(vertices(3233)%branch(0:0))
      call av(3233, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_72])

      allocate(vertices(3234)%branch(0:0))
      call av(3234, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_75])

      allocate(vertices(3235)%branch(0:0))
      call av(3235, 0, 17, 1, 0, FVFa0, 0, [0, 1], [nGC_2, nGC_2])

      allocate(vertices(3236)%branch(0:0))
      call av(3236, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_46])

      allocate(vertices(3237)%branch(0:0))
      call av(3237, 0, 1, 1, 0, SUUa0, 0, [0, 1], [nGC_122])

      allocate(vertices(3238)%branch(0:0))
      call av(3238, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_75])

      allocate(vertices(3239)%branch(0:0))
      call av(3239, 0, 20, 1, 0, VFFa1, 0, [0, 1], [nGC_79, nGC_83])

      allocate(vertices(3240)%branch(0:0))
      call av(3240, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_38])

      allocate(vertices(3241)%branch(0:0))
      call av(3241, 0, 1, 1, 0, SVS0, 0, [0, 1], [nGC_59])

      allocate(vertices(3242)%branch(0:0))
      call av(3242, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_14])

      allocate(vertices(3243)%branch(0:0))
      call av(3243, 0, 0, 1, 0, UaVVU0, 0, [0, 2], [nGC_7])

      allocate(vertices(3244)%branch(0:0))
      call av(3244, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_90])

      allocate(vertices(3245)%branch(0:0))
      call av(3245, 0, 10, 1, 0, FFaV0, 0, [0, 1], [nGC_1, nGC_1])

      allocate(vertices(3246)%branch(0:0))
      call av(3246, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_2700, nGC_2702, nGC_50])

      allocate(vertices(3247)%branch(0:0))
      call av(3247, 0, 1, 1, 0, UUaS0, 0, [0, 1], [nGC_105])

      allocate(vertices(3248)%branch(0:0))
      call av(3248, 0, 0, 1, 0, VVVV1, 0, [0, 2], [nGC_9])

      allocate(vertices(3249)%branch(0:0))
      call av(3249, 0, 1, 1, 0, UaUV1, 0, [0, 1], [nGC_380])

      allocate(vertices(3250)%branch(0:0))
      call av(3250, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_10])

      allocate(vertices(3251)%branch(0:0))
      call av(3251, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_35])

      allocate(vertices(3252)%branch(0:1))
      call av(3252, 0, 30, 2, 0, VFaF0, 0, [1, 0], [nGC_19, nGC_19])

      call av(3252, 1, 31, 3, 0, VFaF0, 0, [1, 0], [nGC_19, nGC_19])

      allocate(vertices(3253)%branch(0:0))
      call av(3253, 0, 1, 1, 0, UUaV0, 0, [0, 1], [nGC_65])

      allocate(vertices(3254)%branch(0:0))
      call av(3254, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_74])

      allocate(vertices(3255)%branch(0:0))
      call av(3255, 0, 0, 1, 0, SUaUS0, 0, [0, 2], [nGC_70])

      allocate(vertices(3256)%branch(0:0))
      call av(3256, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_69])

      allocate(vertices(3257)%branch(0:0))
      call av(3257, 0, 1, 1, 0, FSFa1, 0, [0, 1], [nGC_145])

      allocate(vertices(3258)%branch(0:0))
      call av(3258, 0, 0, 1, 0, SUaUS0, 0, [0, 2], [nGC_46])

      allocate(vertices(3259)%branch(0:0))
      call av(3259, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_46])

      allocate(vertices(3260)%branch(0:0))
      call av(3260, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_57])

      allocate(vertices(3261)%branch(0:0))
      call av(3261, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_75])

      allocate(vertices(3262)%branch(0:0))
      call av(3262, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_52])

      allocate(vertices(3263)%branch(0:0))
      call av(3263, 0, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_15])

      allocate(vertices(3264)%branch(0:0))
      call av(3264, 0, 1, 1, 0, FaFV0, 0, [0, 1], [nGC_62])

      allocate(vertices(3265)%branch(0:0))
      call av(3265, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_8])

      allocate(vertices(3266)%branch(0:0))
      call av(3266, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_75])

      allocate(vertices(3267)%branch(0:0))
      call av(3267, 0, 0, 1, 0, UaUVV0, 0, [0, 2], [nGC_54])

      allocate(vertices(3268)%branch(0:0))
      call av(3268, 0, 18, 1, 0, FaFS0, 0, [0, 1], [nGC_141, nGC_141])

      allocate(vertices(3269)%branch(0:0))
      call av(3269, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_13])

      allocate(vertices(3270)%branch(0:0))
      call av(3270, 0, 1, 1, 0, VSV0, 0, [0, 1], [nGC_123])

      allocate(vertices(3271)%branch(0:0))
      call av(3271, 0, 1, 1, 0, UaUV0, 0, [0, 1], [nGC_66])

      allocate(vertices(3272)%branch(0:0))
      call av(3272, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_70])

      allocate(vertices(3273)%branch(0:0))
      call av(3273, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_9])

      allocate(vertices(3274)%branch(0:0))
      call av(3274, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_40])

      allocate(vertices(3275)%branch(0:0))
      call av(3275, 0, 17, 1, 0, FVFa1, 0, [0, 1], [nGC_62])

      allocate(vertices(3276)%branch(0:0))
      call av(3276, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_72])

      allocate(vertices(3277)%branch(0:0))
      call av(3277, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_44])

      allocate(vertices(3278)%branch(0:0))
      call av(3278, 0, 0, 1, 0, UaVVU0, 0, [0, 2], [nGC_54])

      allocate(vertices(3279)%branch(0:0))
      call av(3279, 0, 18, 1, 0, FaFS0, 0, [0, 1], [nGC_124, nGC_142])

      allocate(vertices(3280)%branch(0:0))
      call av(3280, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_866, nGC_8, nGC_8])

      allocate(vertices(3281)%branch(0:0))
      call av(3281, 0, 0, 1, 0, SUaUS0, 0, [0, 2], [nGC_46])

      allocate(vertices(3282)%branch(0:0))
      call av(3282, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_32])

      allocate(vertices(3283)%branch(0:0))
      call av(3283, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_7])

      allocate(vertices(3284)%branch(0:0))
      call av(3284, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_13])

      allocate(vertices(3285)%branch(0:0))
      call av(3285, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_8])

      allocate(vertices(3286)%branch(0:0))
      call av(3286, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_75])

      allocate(vertices(3287)%branch(0:0))
      call av(3287, 0, 1, 1, 0, UaUS0, 0, [0, 1], [nGC_105])

      allocate(vertices(3288)%branch(0:0))
      call av(3288, 0, 1, 1, 0, VSS1, 0, [0, 1], [nGC_4])

      allocate(vertices(3289)%branch(0:0))
      call av(3289, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_49])

      allocate(vertices(3290)%branch(0:0))
      call av(3290, 0, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_730, nGC_140])

      allocate(vertices(3291)%branch(0:0))
      call av(3291, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_7])

      allocate(vertices(3292)%branch(0:0))
      call av(3292, 0, 1, 1, 0, UUaS0, 0, [0, 1], [nGC_100])

      allocate(vertices(3293)%branch(0:0))
      call av(3293, 0, 20, 1, 0, VFFa1, 0, [0, 1], [nGC_78, nGC_82])

      allocate(vertices(3294)%branch(0:0))
      call av(3294, 0, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_46])

      allocate(vertices(3295)%branch(0:0))
      call av(3295, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_15])

      allocate(vertices(3296)%branch(0:0))
      call av(3296, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_74])

      allocate(vertices(3297)%branch(0:0))
      call av(3297, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_47])

      allocate(vertices(3298)%branch(0:1))
      call av(3298, 0, 11, 2, 0, FFaV0, 0, [1, 0], [nGC_19, nGC_19])

      call av(3298, 1, 12, 3, 0, FFaV0, 0, [1, 0], [nGC_19, nGC_19])

      allocate(vertices(3299)%branch(0:0))
      call av(3299, 0, 0, 1, 0, UaVVU0, 0, [0, 2], [nGC_76])

      allocate(vertices(3300)%branch(0:0))
      call av(3300, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_72])

      allocate(vertices(3301)%branch(0:0))
      call av(3301, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_10])

      allocate(vertices(3302)%branch(0:0))
      call av(3302, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_45])

      allocate(vertices(3303)%branch(0:0))
      call av(3303, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_26])

      allocate(vertices(3304)%branch(0:0))
      call av(3304, 0, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_94])

      allocate(vertices(3305)%branch(0:0))
      call av(3305, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_46])

      allocate(vertices(3306)%branch(0:0))
      call av(3306, 0, 20, 1, 0, VFFa1, 0, [0, 1], [nGC_1, nGC_1])

      allocate(vertices(3307)%branch(0:0))
      call av(3307, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_54])

      allocate(vertices(3308)%branch(0:0))
      call av(3308, 0, 1, 1, 0, FaFV0, 0, [0, 1], [nGC_86])

      allocate(vertices(3309)%branch(0:0))
      call av(3309, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_46])

      allocate(vertices(3310)%branch(0:0))
      call av(3310, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_36])

      allocate(vertices(3311)%branch(0:0))
      call av(3311, 0, 21, 1, 0, SFaF0, 0, [0, 1], [nGC_824, nGC_144])

      allocate(vertices(3312)%branch(0:0))
      call av(3312, 0, 1, 1, 0, VFFa0, 0, [0, 1], [nGC_62])

      allocate(vertices(3313)%branch(0:0))
      call av(3313, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_244, nGC_860, nGC_77])

      allocate(vertices(3314)%branch(0:0))
      call av(3314, 0, 0, 1, 0, VUUaV0, 0, [0, 2], [nGC_75])

      allocate(vertices(3315)%branch(0:0))
      call av(3315, 0, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_13])

      allocate(vertices(3316)%branch(0:0))
      call av(3316, 0, 19, 1, 0, FaSF0, 0, [0, 1], [nGC_824, nGC_144])

      allocate(vertices(3317)%branch(0:0))
      call av(3317, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_75])

      allocate(vertices(3318)%branch(0:0))
      call av(3318, 0, 1, 1, 0, VSV0, 0, [0, 1], [nGC_99])

      allocate(vertices(3319)%branch(0:0))
      call av(3319, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_50])

      allocate(vertices(3320)%branch(0:0))
      call av(3320, 0, 1, 1, 0, VVS0, 0, [0, 1], [nGC_123])

      allocate(vertices(3321)%branch(0:0))
      call av(3321, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_16])

      allocate(vertices(3322)%branch(0:0))
      call av(3322, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_46])

      allocate(vertices(3323)%branch(0:0))
      call av(3323, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_89])

      allocate(vertices(3324)%branch(0:0))
      call av(3324, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_74])

      allocate(vertices(3325)%branch(0:0))
      call av(3325, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_33])

      allocate(vertices(3326)%branch(0:0))
      call av(3326, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_114])

      allocate(vertices(3327)%branch(0:0))
      call av(3327, 0, 1, 1, 0, VVV1, 0, [0, 1], [nGC_292])

      allocate(vertices(3328)%branch(0:0))
      call av(3328, 0, 18, 1, 0, FaFV1, 0, [0, 1], [nGC_79, nGC_83])

      allocate(vertices(3329)%branch(0:0))
      call av(3329, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_15])

      allocate(vertices(3330)%branch(0:0))
      call av(3330, 0, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_127, nGC_139])

      allocate(vertices(3331)%branch(0:0))
      call av(3331, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_76])

      allocate(vertices(3332)%branch(0:0))
      call av(3332, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_13])

      allocate(vertices(3333)%branch(0:0))
      call av(3333, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_90])

      allocate(vertices(3334)%branch(0:0))
      call av(3334, 0, 1, 1, 0, UUaS0, 0, [0, 1], [nGC_111])

      allocate(vertices(3335)%branch(0:0))
      call av(3335, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_46])

      allocate(vertices(3336)%branch(0:0))
      call av(3336, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_7])

      allocate(vertices(3337)%branch(0:0))
      call av(3337, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_92])

      allocate(vertices(3338)%branch(0:0))
      call av(3338, 0, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_70])

      allocate(vertices(3339)%branch(0:0))
      call av(3339, 0, 1, 1, 0, FFaV1, 0, [0, 1], [nGC_62])

      allocate(vertices(3340)%branch(0:0))
      call av(3340, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_45])

      allocate(vertices(3341)%branch(0:0))
      call av(3341, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_68])

      allocate(vertices(3342)%branch(0:0))
      call av(3342, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_42])

      allocate(vertices(3343)%branch(0:0))
      call av(3343, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_75])

      allocate(vertices(3344)%branch(0:0))
      call av(3344, 0, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_141, nGC_141])

      allocate(vertices(3345)%branch(0:1))
      call av(3345, 0, 30, 2, 0, VFaF0, 0, [1, 0], [nGC_19, nGC_19])

      call av(3345, 1, 31, 3, 0, VFaF0, 0, [1, 0], [nGC_19, nGC_19])

      allocate(vertices(3346)%branch(0:0))
      call av(3346, 0, 0, 1, 0, UaVVU0, 0, [0, 2], [nGC_76])

      allocate(vertices(3347)%branch(0:0))
      call av(3347, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_54])

      allocate(vertices(3348)%branch(0:0))
      call av(3348, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_70])

      allocate(vertices(3349)%branch(0:0))
      call av(3349, 0, 1, 1, 0, SVV0, 0, [0, 1], [nGC_107])

      allocate(vertices(3350)%branch(0:0))
      call av(3350, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_71])

      allocate(vertices(3351)%branch(0:0))
      call av(3351, 0, 0, 1, 0, SUaUS0, 0, [0, 2], [nGC_68])

      allocate(vertices(3352)%branch(0:0))
      call av(3352, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_75])

      allocate(vertices(3353)%branch(0:0))
      call av(3353, 0, 10, 1, 0, FFaV1, 0, [0, 1], [nGC_62])

      allocate(vertices(3354)%branch(0:0))
      call av(3354, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_7])

      allocate(vertices(3355)%branch(0:0))
      call av(3355, 0, 21, 1, 0, VFaF0, 0, [0, 1], [nGC_1, nGC_1])

      allocate(vertices(3356)%branch(0:0))
      call av(3356, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_90])

      allocate(vertices(3357)%branch(0:0))
      call av(3357, 0, 1, 1, 0, UaSU0, 0, [0, 1], [nGC_111])

      allocate(vertices(3358)%branch(0:0))
      call av(3358, 0, 1, 1, 0, UUaV1, 0, [0, 1], [nGC_266])

      allocate(vertices(3359)%branch(0:5))
      call av(3359, 0, 8, 5, 0, VVVV0, 0, [2, 0], [nGC_8352, nGC_8354, nGC_8356&
      ])

      call av(3359, 1, 9, 4, 0, VVVV0, 0, [2, 0], [nGC_7176, nGC_784, nGC_7186])

      call av(3359, 2, 7, 4, 0, VVVV0, 0, [2, 0], [nGC_7176, nGC_784, nGC_7186])

      call av(3359, 3, 6, 5, 0, VVVV0, 0, [2, 0], [nGC_8352, nGC_8354, nGC_8356&
      ])

      call av(3359, 4, 5, 4, 0, VVVV0, 0, [2, 0], [nGC_20, nGC_8352, nGC_8370])

      call av(3359, 5, 4, 4, 0, VVVV0, 0, [2, 0], [nGC_20, nGC_8352, nGC_8370])

      allocate(vertices(3360)%branch(0:0))
      call av(3360, 0, 18, 1, 0, FaFV0, 0, [0, 1], [nGC_62])

      allocate(vertices(3361)%branch(0:0))
      call av(3361, 0, 0, 1, 0, VUUaV0, 0, [0, 2], [nGC_54])

      allocate(vertices(3362)%branch(0:0))
      call av(3362, 0, 1, 1, 0, FFaV0, 0, [0, 1], [nGC_80, nGC_85])

      allocate(vertices(3363)%branch(0:0))
      call av(3363, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_14])

      allocate(vertices(3364)%branch(0:0))
      call av(3364, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_96])

      allocate(vertices(3365)%branch(0:0))
      call av(3365, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_54])

      allocate(vertices(3366)%branch(0:0))
      call av(3366, 0, 1, 1, 0, VVV0, 0, [0, 1], [nGC_3])

      allocate(vertices(3367)%branch(0:0))
      call av(3367, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_8, nGC_866, nGC_8])

      allocate(vertices(3368)%branch(0:0))
      call av(3368, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_96])

      allocate(vertices(3369)%branch(0:0))
      call av(3369, 0, 20, 1, 0, SFFa0, 0, [0, 1], [nGC_520, nGC_125])

      allocate(vertices(3370)%branch(0:0))
      call av(3370, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_57])

      allocate(vertices(3371)%branch(0:0))
      call av(3371, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_90])

      allocate(vertices(3372)%branch(0:0))
      call av(3372, 0, 21, 1, 0, VFaF0, 0, [0, 1], [nGC_79, nGC_83])

      allocate(vertices(3373)%branch(0:0))
      call av(3373, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_10])

      allocate(vertices(3374)%branch(0:0))
      call av(3374, 0, 1, 1, 0, UaUS0, 0, [0, 1], [nGC_111])

      allocate(vertices(3375)%branch(0:0))
      call av(3375, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_40])

      allocate(vertices(3376)%branch(0:0))
      call av(3376, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_47])

      allocate(vertices(3377)%branch(0:0))
      call av(3377, 0, 21, 1, 0, VFaF0, 0, [0, 1], [nGC_79, nGC_83])

      allocate(vertices(3378)%branch(0:0))
      call av(3378, 0, 1, 1, 0, UUaS0, 0, [0, 1], [nGC_108])

      allocate(vertices(3379)%branch(0:0))
      call av(3379, 0, 1, 1, 0, UaUS0, 0, [0, 1], [nGC_117])

      allocate(vertices(3380)%branch(0:0))
      call av(3380, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_68])

      allocate(vertices(3381)%branch(0:1))
      call av(3381, 0, 24, 2, 0, FaVF1, 0, [1, 0], [nGC_19, nGC_19])

      call av(3381, 1, 25, 3, 0, FaVF1, 0, [1, 0], [nGC_19, nGC_19])

      allocate(vertices(3382)%branch(0:0))
      call av(3382, 0, 1, 1, 0, VSS1, 0, [0, 1], [nGC_3558])

      allocate(vertices(3383)%branch(0:0))
      call av(3383, 0, 1, 1, 0, USUa0, 0, [0, 1], [nGC_111])

      allocate(vertices(3384)%branch(0:0))
      call av(3384, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_77, nGC_244, nGC_244])

      allocate(vertices(3385)%branch(0:0))
      call av(3385, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_8])

      allocate(vertices(3386)%branch(0:0))
      call av(3386, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_75])

      allocate(vertices(3387)%branch(0:0))
      call av(3387, 0, 1, 1, 0, FFaS2, 0, [0, 1], [nGC_133])

      allocate(vertices(3388)%branch(0:0))
      call av(3388, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_76])

      allocate(vertices(3389)%branch(0:0))
      call av(3389, 0, 1, 1, 0, FaSF1, 0, [0, 1], [nGC_145])

      allocate(vertices(3390)%branch(0:0))
      call av(3390, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_33])

      allocate(vertices(3391)%branch(0:0))
      call av(3391, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_49])

      allocate(vertices(3392)%branch(0:0))
      call av(3392, 0, 1, 1, 0, VSV0, 0, [0, 1], [nGC_107])

      allocate(vertices(3393)%branch(0:0))
      call av(3393, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_35])

      allocate(vertices(3394)%branch(0:0))
      call av(3394, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_54])

      allocate(vertices(3395)%branch(0:0))
      call av(3395, 0, 0, 1, 0, UaUVV0, 0, [0, 2], [nGC_75])

      allocate(vertices(3396)%branch(0:0))
      call av(3396, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_7])

      allocate(vertices(3397)%branch(0:0))
      call av(3397, 0, 21, 1, 0, VFaF0, 0, [0, 1], [nGC_1, nGC_1])

      allocate(vertices(3398)%branch(0:0))
      call av(3398, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_47])

      allocate(vertices(3399)%branch(0:0))
      call av(3399, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_49])

      allocate(vertices(3400)%branch(0:0))
      call av(3400, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_75])

      allocate(vertices(3401)%branch(0:0))
      call av(3401, 0, 1, 1, 0, SFFa2, 0, [0, 1], [nGC_145])

      allocate(vertices(3402)%branch(0:0))
      call av(3402, 0, 1, 1, 0, FaFV0, 0, [0, 1], [nGC_86])

      allocate(vertices(3403)%branch(0:0))
      call av(3403, 0, 1, 1, 0, UaUV0, 0, [0, 1], [nGC_5])

      allocate(vertices(3404)%branch(0:0))
      call av(3404, 0, 17, 1, 0, FVFa0, 0, [0, 1], [nGC_79, nGC_83])

      allocate(vertices(3405)%branch(0:0))
      call av(3405, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_47])

      allocate(vertices(3406)%branch(0:0))
      call av(3406, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_45])

      allocate(vertices(3407)%branch(0:0))
      call av(3407, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_23])

      allocate(vertices(3408)%branch(0:0))
      call av(3408, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_75])

      allocate(vertices(3409)%branch(0:0))
      call av(3409, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_54])

      allocate(vertices(3410)%branch(0:0))
      call av(3410, 0, 0, 1, 0, VVVV1, 0, [0, 2], [nGC_51])

      allocate(vertices(3411)%branch(0:0))
      call av(3411, 0, 0, 1, 0, VUaUV0, 0, [0, 2], [nGC_54])

      allocate(vertices(3412)%branch(0:0))
      call av(3412, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_866, nGC_8, nGC_8])

      allocate(vertices(3413)%branch(0:1))
      call av(3413, 0, 24, 2, 0, FaVF1, 0, [1, 0], [nGC_19, nGC_19])

      call av(3413, 1, 25, 3, 0, FaVF1, 0, [1, 0], [nGC_19, nGC_19])

      allocate(vertices(3414)%branch(0:0))
      call av(3414, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_93])

      allocate(vertices(3415)%branch(0:0))
      call av(3415, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_48])

      allocate(vertices(3416)%branch(0:0))
      call av(3416, 0, 1, 1, 0, SFFa0, 0, [0, 1], [nGC_1016, nGC_137])

      allocate(vertices(3417)%branch(0:0))
      call av(3417, 0, 1, 1, 0, UaSU0, 0, [0, 1], [nGC_122])

      allocate(vertices(3418)%branch(0:0))
      call av(3418, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_89])

      allocate(vertices(3419)%branch(0:0))
      call av(3419, 0, 19, 1, 0, FaVF0, 0, [0, 1], [nGC_62])

      allocate(vertices(3420)%branch(0:0))
      call av(3420, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_46])

      allocate(vertices(3421)%branch(0:0))
      call av(3421, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_54])

      allocate(vertices(3422)%branch(0:0))
      call av(3422, 0, 1, 1, 0, VUaU0, 0, [0, 1], [nGC_65])

      allocate(vertices(3423)%branch(0:0))
      call av(3423, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_54])

      allocate(vertices(3424)%branch(0:0))
      call av(3424, 0, 1, 1, 0, VFFa0, 0, [0, 1], [nGC_62])

      allocate(vertices(3425)%branch(0:0))
      call av(3425, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_95])

      allocate(vertices(3426)%branch(0:0))
      call av(3426, 0, 0, 1, 0, UaUVV0, 0, [0, 2], [nGC_50])

      allocate(vertices(3427)%branch(0:0))
      call av(3427, 0, 18, 1, 0, FaFS0, 0, [0, 1], [nGC_520, nGC_125])

      allocate(vertices(3428)%branch(0:0))
      call av(3428, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_8])

      allocate(vertices(3429)%branch(0:0))
      call av(3429, 0, 18, 1, 0, FaFV1, 0, [0, 1], [nGC_79, nGC_83])

      allocate(vertices(3430)%branch(0:0))
      call av(3430, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_15])

      allocate(vertices(3431)%branch(0:0))
      call av(3431, 0, 1, 1, 0, FaFV1, 0, [0, 1], [nGC_80, nGC_85])

      allocate(vertices(3432)%branch(0:0))
      call av(3432, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_69])

      allocate(vertices(3433)%branch(0:0))
      call av(3433, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_7])

      allocate(vertices(3434)%branch(0:0))
      call av(3434, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_74])

      allocate(vertices(3435)%branch(0:0))
      call av(3435, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_10])

      allocate(vertices(3436)%branch(0:0))
      call av(3436, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_75])

      allocate(vertices(3437)%branch(0:0))
      call av(3437, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_7])

      allocate(vertices(3438)%branch(0:0))
      call av(3438, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_7])

      allocate(vertices(3439)%branch(0:0))
      call av(3439, 0, 0, 1, 0, UaVVU0, 0, [0, 2], [nGC_76])

      allocate(vertices(3440)%branch(0:0))
      call av(3440, 0, 20, 1, 0, SFFa0, 0, [0, 1], [nGC_730, nGC_140])

      allocate(vertices(3441)%branch(0:0))
      call av(3441, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_1824, nGC_48, nGC_48])

      allocate(vertices(3442)%branch(0:0))
      call av(3442, 0, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_9])

      allocate(vertices(3443)%branch(0:0))
      call av(3443, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_45])

      allocate(vertices(3444)%branch(0:0))
      call av(3444, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_42])

      allocate(vertices(3445)%branch(0:0))
      call av(3445, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_75])

      allocate(vertices(3446)%branch(0:0))
      call av(3446, 0, 1, 1, 0, SUaU0, 0, [0, 1], [nGC_106])

      allocate(vertices(3447)%branch(0:0))
      call av(3447, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_76])

      allocate(vertices(3448)%branch(0:0))
      call av(3448, 0, 1, 1, 0, SVS0, 0, [0, 1], [nGC_60])

      allocate(vertices(3449)%branch(0:0))
      call av(3449, 0, 1, 1, 0, SVS0, 0, [0, 1], [nGC_274])

      allocate(vertices(3450)%branch(0:0))
      call av(3450, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_96])

      allocate(vertices(3451)%branch(0:0))
      call av(3451, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_54])

      allocate(vertices(3452)%branch(0:0))
      call av(3452, 0, 21, 1, 0, VFaF0, 0, [0, 1], [nGC_2, nGC_2])

      allocate(vertices(3453)%branch(0:0))
      call av(3453, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_75])

      allocate(vertices(3454)%branch(0:0))
      call av(3454, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_70])

      allocate(vertices(3455)%branch(0:0))
      call av(3455, 0, 1, 1, 0, VFFa0, 0, [0, 1], [nGC_62])

      allocate(vertices(3456)%branch(0:0))
      call av(3456, 0, 19, 1, 0, FaVF0, 0, [0, 1], [nGC_62])

      allocate(vertices(3457)%branch(0:0))
      call av(3457, 0, 0, 1, 0, UaVVU0, 0, [0, 2], [nGC_54])

      allocate(vertices(3458)%branch(0:0))
      call av(3458, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_54])

      allocate(vertices(3459)%branch(0:0))
      call av(3459, 0, 21, 1, 0, SFaF0, 0, [0, 1], [nGC_141, nGC_141])

      allocate(vertices(3460)%branch(0:0))
      call av(3460, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_94])

      allocate(vertices(3461)%branch(0:0))
      call av(3461, 0, 1, 1, 0, SUUa0, 0, [0, 1], [nGC_111])

      allocate(vertices(3462)%branch(0:0))
      call av(3462, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_244, nGC_244, nGC_77])

      allocate(vertices(3463)%branch(0:0))
      call av(3463, 0, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_13])

      allocate(vertices(3464)%branch(0:0))
      call av(3464, 0, 17, 1, 0, FSFa0, 0, [0, 1], [nGC_124, nGC_142])

      allocate(vertices(3465)%branch(0:0))
      call av(3465, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_38])

      allocate(vertices(3466)%branch(0:0))
      call av(3466, 0, 1, 1, 0, VSV0, 0, [0, 1], [nGC_99])

      allocate(vertices(3467)%branch(0:0))
      call av(3467, 0, 1, 1, 0, VUaU1, 0, [0, 1], [nGC_292])

      allocate(vertices(3468)%branch(0:0))
      call av(3468, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_14])

      allocate(vertices(3469)%branch(0:0))
      call av(3469, 0, 1, 1, 0, VSS0, 0, [0, 1], [nGC_87])

      allocate(vertices(3470)%branch(0:0))
      call av(3470, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_55, nGC_56, nGC_57])

      allocate(vertices(3471)%branch(0:0))
      call av(3471, 0, 1, 1, 0, UaUS0, 0, [0, 1], [nGC_111])

      allocate(vertices(3472)%branch(0:0))
      call av(3472, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_57])

      allocate(vertices(3473)%branch(0:0))
      call av(3473, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_38])

      allocate(vertices(3474)%branch(0:0))
      call av(3474, 0, 18, 1, 0, FaFV0, 0, [0, 1], [nGC_62])

      allocate(vertices(3475)%branch(0:0))
      call av(3475, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_68])

      allocate(vertices(3476)%branch(0:0))
      call av(3476, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_69])

      allocate(vertices(3477)%branch(0:0))
      call av(3477, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_244, nGC_77, nGC_860])

      allocate(vertices(3478)%branch(0:0))
      call av(3478, 0, 1, 1, 0, UUaS0, 0, [0, 1], [nGC_117])

      allocate(vertices(3479)%branch(0:0))
      call av(3479, 0, 18, 1, 0, FaFS0, 0, [0, 1], [nGC_132, nGC_132])

      allocate(vertices(3480)%branch(0:0))
      call av(3480, 0, 0, 1, 0, UaUVV0, 0, [0, 2], [nGC_48])

      allocate(vertices(3481)%branch(0:0))
      call av(3481, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_50])

      allocate(vertices(3482)%branch(0:0))
      call av(3482, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_15])

      allocate(vertices(3483)%branch(0:0))
      call av(3483, 0, 1, 1, 0, VFFa1, 0, [0, 1], [nGC_80, nGC_85])

      allocate(vertices(3484)%branch(0:0))
      call av(3484, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_75])

      allocate(vertices(3485)%branch(0:0))
      call av(3485, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_50])

      allocate(vertices(3486)%branch(0:0))
      call av(3486, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_47])

      allocate(vertices(3487)%branch(0:0))
      call av(3487, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_88])

      allocate(vertices(3488)%branch(0:1))
      call av(3488, 0, 30, 2, 0, VFaF0, 0, [1, 0], [nGC_19, nGC_19])

      call av(3488, 1, 31, 3, 0, VFaF0, 0, [1, 0], [nGC_19, nGC_19])

      allocate(vertices(3489)%branch(0:0))
      call av(3489, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_47])

      allocate(vertices(3490)%branch(0:0))
      call av(3490, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_13])

      allocate(vertices(3491)%branch(0:0))
      call av(3491, 0, 1, 1, 0, SSV0, 0, [0, 1], [nGC_85])

      allocate(vertices(3492)%branch(0:0))
      call av(3492, 0, 18, 1, 0, FaFS0, 0, [0, 1], [nGC_149, nGC_149])

      allocate(vertices(3493)%branch(0:0))
      call av(3493, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_46])

      allocate(vertices(3494)%branch(0:0))
      call av(3494, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_72])

      allocate(vertices(3495)%branch(0:0))
      call av(3495, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_89])

      allocate(vertices(3496)%branch(0:0))
      call av(3496, 0, 0, 1, 0, UaVVU0, 0, [0, 2], [nGC_54])

      allocate(vertices(3497)%branch(0:0))
      call av(3497, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_75])

      allocate(vertices(3498)%branch(0:0))
      call av(3498, 0, 18, 1, 0, FaFS0, 0, [0, 1], [nGC_127, nGC_139])

      allocate(vertices(3499)%branch(0:0))
      call av(3499, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_46])

      allocate(vertices(3500)%branch(0:0))
      call av(3500, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_46])

      allocate(vertices(3501)%branch(0:0))
      call av(3501, 0, 1, 1, 0, SSV0, 0, [0, 1], [nGC_61])

      allocate(vertices(3502)%branch(0:0))
      call av(3502, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_8])

      allocate(vertices(3503)%branch(0:0))
      call av(3503, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_14])

      allocate(vertices(3504)%branch(0:0))
      call av(3504, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_16])

      allocate(vertices(3505)%branch(0:0))
      call av(3505, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_46])

      allocate(vertices(3506)%branch(0:0))
      call av(3506, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_55, nGC_55, nGC_56])

      allocate(vertices(3507)%branch(0:0))
      call av(3507, 0, 1, 1, 0, UaUS0, 0, [0, 1], [nGC_111])

      allocate(vertices(3508)%branch(0:0))
      call av(3508, 0, 1, 1, 0, SSV1, 0, [0, 1], [nGC_4])

      allocate(vertices(3509)%branch(0:0))
      call av(3509, 0, 21, 1, 0, SFaF0, 0, [0, 1], [nGC_126, nGC_126])

      allocate(vertices(3510)%branch(0:0))
      call av(3510, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_14])

      allocate(vertices(3511)%branch(0:0))
      call av(3511, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_70])

      allocate(vertices(3512)%branch(0:0))
      call av(3512, 0, 1, 1, 0, SVS0, 0, [0, 1], [nGC_2094])

      allocate(vertices(3513)%branch(0:0))
      call av(3513, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_94])

      allocate(vertices(3514)%branch(0:0))
      call av(3514, 0, 17, 1, 0, FSFa0, 0, [0, 1], [nGC_730, nGC_140])

      allocate(vertices(3515)%branch(0:0))
      call av(3515, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_70])

      allocate(vertices(3516)%branch(0:0))
      call av(3516, 0, 18, 1, 0, FaFV1, 0, [0, 1], [nGC_2, nGC_2])

      allocate(vertices(3517)%branch(0:0))
      call av(3517, 0, 0, 1, 0, VUaUV0, 0, [0, 2], [nGC_50])

      allocate(vertices(3518)%branch(0:0))
      call av(3518, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_70])

      allocate(vertices(3519)%branch(0:0))
      call av(3519, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_49])

      allocate(vertices(3520)%branch(0:0))
      call av(3520, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_15])

      allocate(vertices(3521)%branch(0:0))
      call av(3521, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_52])

      allocate(vertices(3522)%branch(0:0))
      call av(3522, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_15])

      allocate(vertices(3523)%branch(0:0))
      call av(3523, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_22])

      allocate(vertices(3524)%branch(0:0))
      call av(3524, 0, 21, 1, 0, SFaF0, 0, [0, 1], [nGC_149, nGC_149])

      allocate(vertices(3525)%branch(0:0))
      call av(3525, 0, 0, 1, 0, UaUVV0, 0, [0, 2], [nGC_54])

      allocate(vertices(3526)%branch(0:0))
      call av(3526, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_73])

      allocate(vertices(3527)%branch(0:0))
      call av(3527, 0, 1, 1, 0, SUaU0, 0, [0, 1], [nGC_111])

      allocate(vertices(3528)%branch(0:0))
      call av(3528, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_22])

      allocate(vertices(3529)%branch(0:0))
      call av(3529, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_36])

      allocate(vertices(3530)%branch(0:0))
      call av(3530, 0, 1, 1, 0, UaSU0, 0, [0, 1], [nGC_100])

      allocate(vertices(3531)%branch(0:0))
      call av(3531, 0, 10, 1, 0, FFaV1, 0, [0, 1], [nGC_62])

      allocate(vertices(3532)%branch(0:0))
      call av(3532, 0, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_70])

      allocate(vertices(3533)%branch(0:0))
      call av(3533, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_47])

      allocate(vertices(3534)%branch(0:0))
      call av(3534, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_15])

      allocate(vertices(3535)%branch(0:0))
      call av(3535, 0, 1, 1, 0, FSFa2, 0, [0, 1], [nGC_133])

      allocate(vertices(3536)%branch(0:0))
      call av(3536, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_44])

      allocate(vertices(3537)%branch(0:0))
      call av(3537, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_49])

      allocate(vertices(3538)%branch(0:0))
      call av(3538, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_7])

      allocate(vertices(3539)%branch(0:0))
      call av(3539, 0, 0, 1, 0, SUaUS0, 0, [0, 2], [nGC_72])

      allocate(vertices(3540)%branch(0:0))
      call av(3540, 0, 1, 1, 0, SFaF2, 0, [0, 1], [nGC_133])

      allocate(vertices(3541)%branch(0:0))
      call av(3541, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_37])

      allocate(vertices(3542)%branch(0:0))
      call av(3542, 0, 1, 1, 0, UaUS0, 0, [0, 1], [nGC_105])

      allocate(vertices(3543)%branch(0:0))
      call av(3543, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_46])

      allocate(vertices(3544)%branch(0:0))
      call av(3544, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_47])

      allocate(vertices(3545)%branch(0:0))
      call av(3545, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_75])

      allocate(vertices(3546)%branch(0:0))
      call av(3546, 0, 0, 1, 0, SUaUS0, 0, [0, 2], [nGC_89])

      allocate(vertices(3547)%branch(0:0))
      call av(3547, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_46])

      allocate(vertices(3548)%branch(0:0))
      call av(3548, 0, 0, 1, 0, VUUaV0, 0, [0, 2], [nGC_75])

      allocate(vertices(3549)%branch(0:0))
      call av(3549, 0, 1, 1, 0, SFFa2, 0, [0, 1], [nGC_136])

      allocate(vertices(3550)%branch(0:0))
      call av(3550, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_88])

      allocate(vertices(3551)%branch(0:0))
      call av(3551, 0, 0, 1, 0, UVVUa0, 0, [0, 2], [nGC_57])

      allocate(vertices(3552)%branch(0:0))
      call av(3552, 0, 1, 1, 0, SVS0, 0, [0, 1], [nGC_60])

      allocate(vertices(3553)%branch(0:0))
      call av(3553, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_75])

      allocate(vertices(3554)%branch(0:0))
      call av(3554, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_8])

      allocate(vertices(3555)%branch(0:0))
      call av(3555, 0, 20, 1, 0, SFFa0, 0, [0, 1], [nGC_2178, nGC_131])

      allocate(vertices(3556)%branch(0:0))
      call av(3556, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_68])

      allocate(vertices(3557)%branch(0:0))
      call av(3557, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_72])

      allocate(vertices(3558)%branch(0:0))
      call av(3558, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_69])

      allocate(vertices(3559)%branch(0:0))
      call av(3559, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_33])

      allocate(vertices(3560)%branch(0:0))
      call av(3560, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_42])

      allocate(vertices(3561)%branch(0:0))
      call av(3561, 0, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_149, nGC_149])

      allocate(vertices(3562)%branch(0:0))
      call av(3562, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_70])

      allocate(vertices(3563)%branch(0:0))
      call av(3563, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_75])

      allocate(vertices(3564)%branch(0:0))
      call av(3564, 0, 20, 1, 0, VFFa0, 0, [0, 1], [nGC_62])

      allocate(vertices(3565)%branch(0:0))
      call av(3565, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_14])

      allocate(vertices(3566)%branch(0:1))
      call av(3566, 0, 27, 3, 0, FaFV1, 0, [1, 0], [nGC_19, nGC_19])

      call av(3566, 1, 26, 2, 0, FaFV1, 0, [1, 0], [nGC_19, nGC_19])

      allocate(vertices(3567)%branch(0:0))
      call av(3567, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_54])

      allocate(vertices(3568)%branch(0:0))
      call av(3568, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_92])

      allocate(vertices(3569)%branch(0:0))
      call av(3569, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_47])

      allocate(vertices(3570)%branch(0:0))
      call av(3570, 0, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_93])

      allocate(vertices(3571)%branch(0:0))
      call av(3571, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_90])

      allocate(vertices(3572)%branch(0:0))
      call av(3572, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_45])

      allocate(vertices(3573)%branch(0:0))
      call av(3573, 0, 18, 1, 0, FaFV1, 0, [0, 1], [nGC_1, nGC_1])

      allocate(vertices(3574)%branch(0:0))
      call av(3574, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_13])

      allocate(vertices(3575)%branch(0:0))
      call av(3575, 0, 0, 1, 0, VVVV1, 0, [0, 2], [nGC_9])

      allocate(vertices(3576)%branch(0:0))
      call av(3576, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_49])

      allocate(vertices(3577)%branch(0:0))
      call av(3577, 0, 1, 1, 0, FFaS0, 0, [0, 1], [nGC_138, nGC_138])

      allocate(vertices(3578)%branch(0:0))
      call av(3578, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_7])

      allocate(vertices(3579)%branch(0:0))
      call av(3579, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_7])

      allocate(vertices(3580)%branch(0:0))
      call av(3580, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_13])

      allocate(vertices(3581)%branch(0:0))
      call av(3581, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_70])

      allocate(vertices(3582)%branch(0:0))
      call av(3582, 0, 10, 1, 0, FFaV1, 0, [0, 1], [nGC_62])

      allocate(vertices(3583)%branch(0:0))
      call av(3583, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_49])

      allocate(vertices(3584)%branch(0:0))
      call av(3584, 0, 19, 1, 0, FaSF0, 0, [0, 1], [nGC_124, nGC_142])

      allocate(vertices(3585)%branch(0:0))
      call av(3585, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_89])

      allocate(vertices(3586)%branch(0:0))
      call av(3586, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_68])

      allocate(vertices(3587)%branch(0:0))
      call av(3587, 0, 0, 1, 0, VUaUV0, 0, [0, 2], [nGC_54])

      allocate(vertices(3588)%branch(0:0))
      call av(3588, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_46])

      allocate(vertices(3589)%branch(0:0))
      call av(3589, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_14])

      allocate(vertices(3590)%branch(0:0))
      call av(3590, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_54])

      allocate(vertices(3591)%branch(0:0))
      call av(3591, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_54])

      allocate(vertices(3592)%branch(0:1))
      call av(3592, 0, 27, 3, 0, FaFV1, 0, [1, 0], [nGC_19, nGC_19])

      call av(3592, 1, 26, 2, 0, FaFV1, 0, [1, 0], [nGC_19, nGC_19])

      allocate(vertices(3593)%branch(0:0))
      call av(3593, 0, 1, 1, 0, VFFa0, 0, [0, 1], [nGC_86])

      allocate(vertices(3594)%branch(0:0))
      call av(3594, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_38])

      allocate(vertices(3595)%branch(0:0))
      call av(3595, 0, 1, 1, 0, FaFV1, 0, [0, 1], [nGC_80, nGC_85])

      allocate(vertices(3596)%branch(0:0))
      call av(3596, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_244, nGC_77, nGC_244])

      allocate(vertices(3597)%branch(0:0))
      call av(3597, 0, 17, 1, 0, FSFa0, 0, [0, 1], [nGC_141, nGC_141])

      allocate(vertices(3598)%branch(0:0))
      call av(3598, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_39])

      allocate(vertices(3599)%branch(0:0))
      call av(3599, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_69])

      allocate(vertices(3600)%branch(0:0))
      call av(3600, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_47])

      allocate(vertices(3601)%branch(0:0))
      call av(3601, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_75])

      allocate(vertices(3602)%branch(0:0))
      call av(3602, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_47])

      allocate(vertices(3603)%branch(0:0))
      call av(3603, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_75])

      allocate(vertices(3604)%branch(0:0))
      call av(3604, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_54])

      allocate(vertices(3605)%branch(0:0))
      call av(3605, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_47])

      allocate(vertices(3606)%branch(0:0))
      call av(3606, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_16])

      allocate(vertices(3607)%branch(0:0))
      call av(3607, 0, 18, 1, 0, FaFS0, 0, [0, 1], [nGC_143, nGC_143])

      allocate(vertices(3608)%branch(0:0))
      call av(3608, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_49])

      allocate(vertices(3609)%branch(0:0))
      call av(3609, 0, 1, 1, 0, UaUV0, 0, [0, 1], [nGC_6])

      allocate(vertices(3610)%branch(0:0))
      call av(3610, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_54])

      allocate(vertices(3611)%branch(0:0))
      call av(3611, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_49])

      allocate(vertices(3612)%branch(0:0))
      call av(3612, 0, 1, 1, 0, VVV1, 0, [0, 1], [nGC_3])

      allocate(vertices(3613)%branch(0:0))
      call av(3613, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_56, nGC_55, nGC_55])

      allocate(vertices(3614)%branch(0:0))
      call av(3614, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_22])

      allocate(vertices(3615)%branch(0:0))
      call av(3615, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_55])

      allocate(vertices(3616)%branch(0:0))
      call av(3616, 0, 17, 1, 0, FVFa0, 0, [0, 1], [nGC_78, nGC_82])

      allocate(vertices(3617)%branch(0:0))
      call av(3617, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_68])

      allocate(vertices(3618)%branch(0:0))
      call av(3618, 0, 0, 1, 0, UaUVV0, 0, [0, 2], [nGC_74])

      allocate(vertices(3619)%branch(0:0))
      call av(3619, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_10])

      allocate(vertices(3620)%branch(0:0))
      call av(3620, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_47])

      allocate(vertices(3621)%branch(0:0))
      call av(3621, 0, 1, 1, 0, SSV1, 0, [0, 1], [nGC_59])

      allocate(vertices(3622)%branch(0:0))
      call av(3622, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_46])

      allocate(vertices(3623)%branch(0:0))
      call av(3623, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_71])

      allocate(vertices(3624)%branch(0:0))
      call av(3624, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_113])

      allocate(vertices(3625)%branch(0:0))
      call av(3625, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_74])

      allocate(vertices(3626)%branch(0:0))
      call av(3626, 0, 20, 1, 0, VFFa1, 0, [0, 1], [nGC_78, nGC_82])

      allocate(vertices(3627)%branch(0:0))
      call av(3627, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_74])

      allocate(vertices(3628)%branch(0:0))
      call av(3628, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_75])

      allocate(vertices(3629)%branch(0:0))
      call av(3629, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_72])

      allocate(vertices(3630)%branch(0:0))
      call av(3630, 0, 1, 1, 0, SUaU0, 0, [0, 1], [nGC_111])

      allocate(vertices(3631)%branch(0:0))
      call av(3631, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_74])

      allocate(vertices(3632)%branch(0:0))
      call av(3632, 0, 0, 1, 0, VUUaV0, 0, [0, 2], [nGC_7])

      allocate(vertices(3633)%branch(0:0))
      call av(3633, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_69])

      allocate(vertices(3634)%branch(0:0))
      call av(3634, 0, 21, 1, 0, VFaF0, 0, [0, 1], [nGC_79, nGC_83])

      allocate(vertices(3635)%branch(0:0))
      call av(3635, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_88])

      allocate(vertices(3636)%branch(0:0))
      call av(3636, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_69])

      allocate(vertices(3637)%branch(0:0))
      call av(3637, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_7])

      allocate(vertices(3638)%branch(0:0))
      call av(3638, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_41])

      allocate(vertices(3639)%branch(0:0))
      call av(3639, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_16])

      allocate(vertices(3640)%branch(0:0))
      call av(3640, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_37])

      allocate(vertices(3641)%branch(0:0))
      call av(3641, 0, 0, 1, 0, VUUaV0, 0, [0, 2], [nGC_10])

      allocate(vertices(3642)%branch(0:0))
      call av(3642, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_76])

      allocate(vertices(3643)%branch(0:0))
      call av(3643, 0, 0, 1, 0, VUaUV0, 0, [0, 2], [nGC_75])

      allocate(vertices(3644)%branch(0:0))
      call av(3644, 0, 1, 1, 0, FFaV1, 0, [0, 1], [nGC_86])

      allocate(vertices(3645)%branch(0:0))
      call av(3645, 0, 0, 1, 0, VUUaV0, 0, [0, 2], [nGC_10])

      allocate(vertices(3646)%branch(0:0))
      call av(3646, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_50])

      allocate(vertices(3647)%branch(0:0))
      call av(3647, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_14])

      allocate(vertices(3648)%branch(0:0))
      call av(3648, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_49])

      allocate(vertices(3649)%branch(0:0))
      call av(3649, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_7])

      allocate(vertices(3650)%branch(0:0))
      call av(3650, 0, 0, 1, 0, UaUVV0, 0, [0, 2], [nGC_75])

      allocate(vertices(3651)%branch(0:1))
      call av(3651, 0, 11, 2, 0, FFaV0, 0, [1, 0], [nGC_19, nGC_19])

      call av(3651, 1, 12, 3, 0, FFaV0, 0, [1, 0], [nGC_19, nGC_19])

      allocate(vertices(3652)%branch(0:0))
      call av(3652, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_22])

      allocate(vertices(3653)%branch(0:0))
      call av(3653, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_49])

      allocate(vertices(3654)%branch(0:0))
      call av(3654, 0, 0, 1, 0, UVVUa0, 0, [0, 2], [nGC_57])

      allocate(vertices(3655)%branch(0:0))
      call av(3655, 0, 1, 1, 0, FFaV0, 0, [0, 1], [nGC_80, nGC_85])

      allocate(vertices(3656)%branch(0:0))
      call av(3656, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_8])

      allocate(vertices(3657)%branch(0:0))
      call av(3657, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_76])

      allocate(vertices(3658)%branch(0:5))
      call av(3658, 0, 109, 4, 0, VUaVU0, 0, [2, 0], [nGC_21])

      call av(3658, 1, 108, 4, 0, VUaVU0, 0, [2, 0], [nGC_21])

      call av(3658, 2, 111, 5, 0, VUaVU0, 0, [2, 0], [nGC_784])

      call av(3658, 3, 110, 5, 0, VUaVU0, 0, [2, 0], [nGC_784])

      call av(3658, 4, 107, 4, 0, VUaVU0, 0, [2, 0], [nGC_21])

      call av(3658, 5, 106, 4, 0, VUaVU0, 0, [2, 0], [nGC_21])

      allocate(vertices(3659)%branch(0:0))
      call av(3659, 0, 0, 1, 0, UVVUa0, 0, [0, 2], [nGC_76])

      allocate(vertices(3660)%branch(0:0))
      call av(3660, 0, 1, 1, 0, VSV0, 0, [0, 1], [nGC_110])

      allocate(vertices(3661)%branch(0:0))
      call av(3661, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_95])

      allocate(vertices(3662)%branch(0:0))
      call av(3662, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_13])

      allocate(vertices(3663)%branch(0:0))
      call av(3663, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_90])

      allocate(vertices(3664)%branch(0:0))
      call av(3664, 0, 0, 1, 0, UVVUa0, 0, [0, 2], [nGC_75])

      allocate(vertices(3665)%branch(0:0))
      call av(3665, 0, 1, 1, 0, SFaF0, 0, [0, 1], [nGC_135, nGC_135])

      allocate(vertices(3666)%branch(0:0))
      call av(3666, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_55])

      allocate(vertices(3667)%branch(0:0))
      call av(3667, 0, 1, 1, 0, VSS1, 0, [0, 1], [nGC_274])

      allocate(vertices(3668)%branch(0:0))
      call av(3668, 0, 1, 1, 0, SUaU0, 0, [0, 1], [nGC_105])

      allocate(vertices(3669)%branch(0:0))
      call av(3669, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_16])

      allocate(vertices(3670)%branch(0:0))
      call av(3670, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_46])

      allocate(vertices(3671)%branch(0:0))
      call av(3671, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_14])

      allocate(vertices(3672)%branch(0:0))
      call av(3672, 0, 1, 1, 0, VUaU0, 0, [0, 1], [nGC_5])

      allocate(vertices(3673)%branch(0:0))
      call av(3673, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_74])

      allocate(vertices(3674)%branch(0:0))
      call av(3674, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_46])

      allocate(vertices(3675)%branch(0:0))
      call av(3675, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_15])

      allocate(vertices(3676)%branch(0:0))
      call av(3676, 0, 1, 1, 0, FaFV1, 0, [0, 1], [nGC_80, nGC_85])

      allocate(vertices(3677)%branch(0:0))
      call av(3677, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_46])

      allocate(vertices(3678)%branch(0:0))
      call av(3678, 0, 21, 1, 0, SFaF0, 0, [0, 1], [nGC_520, nGC_125])

      allocate(vertices(3679)%branch(0:0))
      call av(3679, 0, 19, 1, 0, FaSF0, 0, [0, 1], [nGC_143, nGC_143])

      allocate(vertices(3680)%branch(0:0))
      call av(3680, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_75])

      allocate(vertices(3681)%branch(0:0))
      call av(3681, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_38])

      allocate(vertices(3682)%branch(0:0))
      call av(3682, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_16])

      allocate(vertices(3683)%branch(0:0))
      call av(3683, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_116])

      allocate(vertices(3684)%branch(0:0))
      call av(3684, 0, 1, 1, 0, SVV0, 0, [0, 1], [nGC_110])

      allocate(vertices(3685)%branch(0:0))
      call av(3685, 0, 21, 1, 0, VFaF0, 0, [0, 1], [nGC_1, nGC_1])

      allocate(vertices(3686)%branch(0:0))
      call av(3686, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_47])

      allocate(vertices(3687)%branch(0:0))
      call av(3687, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_9])

      allocate(vertices(3688)%branch(0:0))
      call av(3688, 0, 1, 1, 0, FaFV0, 0, [0, 1], [nGC_62])

      allocate(vertices(3689)%branch(0:0))
      call av(3689, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_49])

      allocate(vertices(3690)%branch(0:0))
      call av(3690, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_47])

      allocate(vertices(3691)%branch(0:0))
      call av(3691, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_14])

      allocate(vertices(3692)%branch(0:0))
      call av(3692, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_8, nGC_8, nGC_866])

      allocate(vertices(3693)%branch(0:0))
      call av(3693, 0, 18, 1, 0, FaFV1, 0, [0, 1], [nGC_1, nGC_1])

      allocate(vertices(3694)%branch(0:0))
      call av(3694, 0, 0, 1, 0, UVVUa0, 0, [0, 2], [nGC_76])

      allocate(vertices(3695)%branch(0:0))
      call av(3695, 0, 21, 1, 0, VFaF1, 0, [0, 1], [nGC_62])

      allocate(vertices(3696)%branch(0:0))
      call av(3696, 0, 17, 1, 0, FSFa0, 0, [0, 1], [nGC_520, nGC_125])

      allocate(vertices(3697)%branch(0:0))
      call av(3697, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_10])

      allocate(vertices(3698)%branch(0:0))
      call av(3698, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_13])

      allocate(vertices(3699)%branch(0:0))
      call av(3699, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_46])

      allocate(vertices(3700)%branch(0:0))
      call av(3700, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_68])

      allocate(vertices(3701)%branch(0:0))
      call av(3701, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_70])

      allocate(vertices(3702)%branch(0:0))
      call av(3702, 0, 0, 1, 0, VUaUV0, 0, [0, 2], [nGC_7])

      allocate(vertices(3703)%branch(0:0))
      call av(3703, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_75])

      allocate(vertices(3704)%branch(0:0))
      call av(3704, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_70])

      allocate(vertices(3705)%branch(0:0))
      call av(3705, 0, 21, 1, 0, VFaF0, 0, [0, 1], [nGC_78, nGC_82])

      allocate(vertices(3706)%branch(0:0))
      call av(3706, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_15])

      allocate(vertices(3707)%branch(0:0))
      call av(3707, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_72])

      allocate(vertices(3708)%branch(0:0))
      call av(3708, 0, 1, 1, 0, VUUa0, 0, [0, 1], [nGC_66])

      allocate(vertices(3709)%branch(0:0))
      call av(3709, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_49])

      allocate(vertices(3710)%branch(0:0))
      call av(3710, 0, 0, 1, 0, UaVVU0, 0, [0, 2], [nGC_10])

      allocate(vertices(3711)%branch(0:0))
      call av(3711, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_47])

      allocate(vertices(3712)%branch(0:0))
      call av(3712, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_49])

      allocate(vertices(3713)%branch(0:0))
      call av(3713, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_74])

      allocate(vertices(3714)%branch(0:0))
      call av(3714, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_75])

      allocate(vertices(3715)%branch(0:0))
      call av(3715, 0, 0, 1, 0, VUaUV0, 0, [0, 2], [nGC_75])

      allocate(vertices(3716)%branch(0:0))
      call av(3716, 0, 21, 1, 0, SFaF0, 0, [0, 1], [nGC_364, nGC_150])

      allocate(vertices(3717)%branch(0:0))
      call av(3717, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_15])

      allocate(vertices(3718)%branch(0:0))
      call av(3718, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_67])

      allocate(vertices(3719)%branch(0:0))
      call av(3719, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_39])

      allocate(vertices(3720)%branch(0:0))
      call av(3720, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_10])

      allocate(vertices(3721)%branch(0:0))
      call av(3721, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_31])

      allocate(vertices(3722)%branch(0:0))
      call av(3722, 0, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_2178, nGC_131])

      allocate(vertices(3723)%branch(0:0))
      call av(3723, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_88])

      allocate(vertices(3724)%branch(0:0))
      call av(3724, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_71])

      allocate(vertices(3725)%branch(0:0))
      call av(3725, 0, 1, 1, 0, SUUa0, 0, [0, 1], [nGC_100])

      allocate(vertices(3726)%branch(0:0))
      call av(3726, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_35])

      allocate(vertices(3727)%branch(0:0))
      call av(3727, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_15])

      allocate(vertices(3728)%branch(0:0))
      call av(3728, 0, 1, 1, 0, SUaU0, 0, [0, 1], [nGC_111])

      allocate(vertices(3729)%branch(0:0))
      call av(3729, 0, 0, 1, 0, VUUaV0, 0, [0, 2], [nGC_75])

      allocate(vertices(3730)%branch(0:0))
      call av(3730, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_7])

      allocate(vertices(3731)%branch(0:0))
      call av(3731, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_35])

      allocate(vertices(3732)%branch(0:0))
      call av(3732, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_90])

      allocate(vertices(3733)%branch(0:0))
      call av(3733, 0, 1, 1, 0, FFaS1, 0, [0, 1], [nGC_145])

      allocate(vertices(3734)%branch(0:0))
      call av(3734, 0, 0, 1, 0, VUUaV0, 0, [0, 2], [nGC_49])

      allocate(vertices(3735)%branch(0:0))
      call av(3735, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_70])

      allocate(vertices(3736)%branch(0:0))
      call av(3736, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_72])

      allocate(vertices(3737)%branch(0:0))
      call av(3737, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_14])

      allocate(vertices(3738)%branch(0:0))
      call av(3738, 0, 18, 1, 0, FaFV1, 0, [0, 1], [nGC_2, nGC_2])

      allocate(vertices(3739)%branch(0:0))
      call av(3739, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_7])

      allocate(vertices(3740)%branch(0:0))
      call av(3740, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_55])

      allocate(vertices(3741)%branch(0:0))
      call av(3741, 0, 1, 1, 0, VFaF1, 0, [0, 1], [nGC_62])

      allocate(vertices(3742)%branch(0:0))
      call av(3742, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_31])

      allocate(vertices(3743)%branch(0:0))
      call av(3743, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_68])

      allocate(vertices(3744)%branch(0:0))
      call av(3744, 0, 1, 1, 0, UUaV0, 0, [0, 1], [nGC_66])

      allocate(vertices(3745)%branch(0:0))
      call av(3745, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_7])

      allocate(vertices(3746)%branch(0:0))
      call av(3746, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_75])

      allocate(vertices(3747)%branch(0:0))
      call av(3747, 0, 1, 1, 0, VUUa0, 0, [0, 1], [nGC_5])

      allocate(vertices(3748)%branch(0:0))
      call av(3748, 0, 1, 1, 0, VFaF0, 0, [0, 1], [nGC_4, nGC_4])

      allocate(vertices(3749)%branch(0:0))
      call av(3749, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_46])

      allocate(vertices(3750)%branch(0:0))
      call av(3750, 0, 0, 1, 0, UaUVV0, 0, [0, 2], [nGC_76])

      allocate(vertices(3751)%branch(0:0))
      call av(3751, 0, 1, 1, 0, SVV0, 0, [0, 1], [nGC_107])

      allocate(vertices(3752)%branch(0:0))
      call av(3752, 0, 1, 1, 0, VVS0, 0, [0, 1], [nGC_107])

      allocate(vertices(3753)%branch(0:0))
      call av(3753, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_10])

      allocate(vertices(3754)%branch(0:0))
      call av(3754, 0, 0, 1, 0, UVVUa0, 0, [0, 2], [nGC_54])

      allocate(vertices(3755)%branch(0:0))
      call av(3755, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_15])

      allocate(vertices(3756)%branch(0:0))
      call av(3756, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_68])

      allocate(vertices(3757)%branch(0:0))
      call av(3757, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_70])

      allocate(vertices(3758)%branch(0:0))
      call av(3758, 0, 1, 1, 0, FaFS0, 0, [0, 1], [nGC_147, nGC_147])

      allocate(vertices(3759)%branch(0:0))
      call av(3759, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_14])

      allocate(vertices(3760)%branch(0:0))
      call av(3760, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_34])

      allocate(vertices(3761)%branch(0:0))
      call av(3761, 0, 21, 1, 0, VFaF0, 0, [0, 1], [nGC_1, nGC_1])

      allocate(vertices(3762)%branch(0:0))
      call av(3762, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_7])

      allocate(vertices(3763)%branch(0:0))
      call av(3763, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_76])

      allocate(vertices(3764)%branch(0:0))
      call av(3764, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_67])

      allocate(vertices(3765)%branch(0:0))
      call av(3765, 0, 1, 1, 0, VFaF1, 0, [0, 1], [nGC_86])

      allocate(vertices(3766)%branch(0:0))
      call av(3766, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_96])

      allocate(vertices(3767)%branch(0:0))
      call av(3767, 0, 1, 1, 0, USUa0, 0, [0, 1], [nGC_100])

      allocate(vertices(3768)%branch(0:0))
      call av(3768, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_76])

      allocate(vertices(3769)%branch(0:0))
      call av(3769, 0, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_139, nGC_127])

      allocate(vertices(3770)%branch(0:0))
      call av(3770, 0, 20, 1, 0, SFFa0, 0, [0, 1], [nGC_130, nGC_148])

      allocate(vertices(3771)%branch(0:0))
      call av(3771, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_13])

      allocate(vertices(3772)%branch(0:0))
      call av(3772, 0, 20, 1, 0, VFFa1, 0, [0, 1], [nGC_79, nGC_83])

      allocate(vertices(3773)%branch(0:0))
      call av(3773, 0, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_13])

      allocate(vertices(3774)%branch(0:0))
      call av(3774, 0, 1, 1, 0, FSFa0, 0, [0, 1], [nGC_334, nGC_146])

      allocate(vertices(3775)%branch(0:0))
      call av(3775, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_70])

      allocate(vertices(3776)%branch(0:0))
      call av(3776, 0, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_93])

      allocate(vertices(3777)%branch(0:0))
      call av(3777, 0, 0, 1, 0, VUUaV0, 0, [0, 2], [nGC_7])

      allocate(vertices(3778)%branch(0:0))
      call av(3778, 0, 0, 1, 0, SUaUS0, 0, [0, 2], [nGC_89])

      allocate(vertices(3779)%branch(0:0))
      call av(3779, 0, 1, 1, 0, FFaV1, 0, [0, 1], [nGC_86])

      allocate(vertices(3780)%branch(0:0))
      call av(3780, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_72])

      allocate(vertices(3781)%branch(0:0))
      call av(3781, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_70])

      allocate(vertices(3782)%branch(0:0))
      call av(3782, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_70])

      allocate(vertices(3783)%branch(0:0))
      call av(3783, 0, 1, 1, 0, VFFa0, 0, [0, 1], [nGC_86])

      allocate(vertices(3784)%branch(0:0))
      call av(3784, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_77, nGC_244, nGC_244])

      allocate(vertices(3785)%branch(0:0))
      call av(3785, 0, 1, 1, 0, UaUS0, 0, [0, 1], [nGC_111])

      allocate(vertices(3786)%branch(0:0))
      call av(3786, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_89])

      allocate(vertices(3787)%branch(0:0))
      call av(3787, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_72])

      allocate(vertices(3788)%branch(0:0))
      call av(3788, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_15])

      allocate(vertices(3789)%branch(0:0))
      call av(3789, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_92])

      allocate(vertices(3790)%branch(0:0))
      call av(3790, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_76])

      allocate(vertices(3791)%branch(0:0))
      call av(3791, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_13])

      allocate(vertices(3792)%branch(0:0))
      call av(3792, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_75])

      allocate(vertices(3793)%branch(0:0))
      call av(3793, 0, 1, 1, 0, SVS0, 0, [0, 1], [nGC_266])

      allocate(vertices(3794)%branch(0:0))
      call av(3794, 0, 0, 1, 0, VUUaV0, 0, [0, 2], [nGC_10])

      allocate(vertices(3795)%branch(0:0))
      call av(3795, 0, 21, 1, 0, SFaF0, 0, [0, 1], [nGC_730, nGC_140])

      allocate(vertices(3796)%branch(0:0))
      call av(3796, 0, 0, 1, 0, UaUVV0, 0, [0, 2], [nGC_75])

      allocate(vertices(3797)%branch(0:0))
      call av(3797, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_68])

      allocate(vertices(3798)%branch(0:0))
      call av(3798, 0, 0, 1, 0, UaVVU0, 0, [0, 2], [nGC_49])

      allocate(vertices(3799)%branch(0:0))
      call av(3799, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_46])

      allocate(vertices(3800)%branch(0:0))
      call av(3800, 0, 17, 1, 0, FVFa1, 0, [0, 1], [nGC_62])

      allocate(vertices(3801)%branch(0:0))
      call av(3801, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_244, nGC_244, nGC_77])

      allocate(vertices(3802)%branch(0:0))
      call av(3802, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_52])

      allocate(vertices(3803)%branch(0:0))
      call av(3803, 0, 20, 1, 0, SFFa0, 0, [0, 1], [nGC_128, nGC_128])

      allocate(vertices(3804)%branch(0:0))
      call av(3804, 0, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_70])

      allocate(vertices(3805)%branch(0:0))
      call av(3805, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_68])

      allocate(vertices(3806)%branch(0:0))
      call av(3806, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_69])

      allocate(vertices(3807)%branch(0:0))
      call av(3807, 0, 0, 1, 0, UVVUa0, 0, [0, 2], [nGC_75])

      allocate(vertices(3808)%branch(0:0))
      call av(3808, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_89])

      allocate(vertices(3809)%branch(0:0))
      call av(3809, 0, 0, 1, 0, UVVUa0, 0, [0, 2], [nGC_10])

      allocate(vertices(3810)%branch(0:0))
      call av(3810, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_13])

      allocate(vertices(3811)%branch(0:0))
      call av(3811, 0, 18, 1, 0, FaFV1, 0, [0, 1], [nGC_79, nGC_83])

      allocate(vertices(3812)%branch(0:0))
      call av(3812, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_13])

      allocate(vertices(3813)%branch(0:0))
      call av(3813, 0, 1, 1, 0, VFFa0, 0, [0, 1], [nGC_62])

      allocate(vertices(3814)%branch(0:0))
      call av(3814, 0, 0, 1, 0, UaUVV0, 0, [0, 2], [nGC_54])

      allocate(vertices(3815)%branch(0:0))
      call av(3815, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_13])

      allocate(vertices(1)%branchCT(0:0))
      call avCT(1, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13958])

      allocate(vertices(12)%branchCT(0:0))
      call avCT(12, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13962])

      allocate(vertices(4)%branchCT(0:0))
      call avCT(4, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_9646])

      allocate(vertices(1171)%branchCT(0:0))
      call avCT(1171, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13968])

      allocate(vertices(2350)%branchCT(0:0))
      call avCT(2350, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13971])

      allocate(vertices(7)%branchCT(0:0))
      call avCT(7, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13975])

      allocate(vertices(8)%branchCT(0:0))
      call avCT(8, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13979])

      allocate(vertices(634)%branchCT(0:0))
      call avCT(634, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13975])

      allocate(vertices(13)%branchCT(0:0))
      call avCT(13, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9633])

      allocate(vertices(15)%branchCT(0:0))
      call avCT(15, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_13993, nGC_13994])

      allocate(vertices(16)%branchCT(0:0))
      call avCT(16, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_13997])

      allocate(vertices(18)%branchCT(0:0))
      call avCT(18, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_14005, nGC_14006])

      allocate(vertices(2136)%branchCT(0:0))
      call avCT(2136, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(124)%branchCT(0:0))
      call avCT(124, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(22)%branchCT(0:0))
      call avCT(22, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_14017, nGC_14018])

      allocate(vertices(135)%branchCT(0:0))
      call avCT(135, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13971])

      allocate(vertices(3413)%branchCT(0:3))
      call avCT(3413, 0, 24, 2, 0, FaVF1, 0, [1, 2], [nGC_14023, nGC_14025])

      call avCT(3413, 1, 24, 2, 0, FaVF1, 0, [3, 0], [nGC_14028, nGC_14029])

      call avCT(3413, 2, 25, 3, 0, FaVF1, 0, [1, 2], [nGC_14023, nGC_14025])

      call avCT(3413, 3, 25, 3, 0, FaVF1, 0, [3, 0], [nGC_14028, nGC_14029])

      allocate(vertices(25)%branchCT(0:0))
      call avCT(25, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_14038])

      allocate(vertices(3123)%branchCT(0:0))
      call avCT(3123, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13975])

      allocate(vertices(26)%branchCT(0:0))
      call avCT(26, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14045])

      allocate(vertices(27)%branchCT(0:0))
      call avCT(27, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13962])

      allocate(vertices(28)%branchCT(0:0))
      call avCT(28, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13962])

      allocate(vertices(29)%branchCT(0:0))
      call avCT(29, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14054])

      allocate(vertices(31)%branchCT(0:0))
      call avCT(31, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14058])

      allocate(vertices(3816)%branchCT(0:0))
      call avCT(3816, 0, 13, 1, 0, FaF0, 0, [0, 2], [nGC_14063, nGC_14061,     &
      nGC_14064, nGC_14064])

      allocate(vertices(3153)%branchCT(0:0))
      call avCT(3153, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14067])

      allocate(vertices(36)%branchCT(0:1))
      call avCT(36, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_14076, nGC_14077])

      call avCT(36, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_14078, nGC_14079])

      allocate(vertices(246)%branchCT(0:0))
      call avCT(246, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13962])

      allocate(vertices(40)%branchCT(0:0))
      call avCT(40, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14085])

      allocate(vertices(41)%branchCT(0:1))
      call avCT(41, 0, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_14094, nGC_14094])

      call avCT(41, 1, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_14095, nGC_14095])

      allocate(vertices(1806)%branchCT(0:0))
      call avCT(1806, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13979])

      allocate(vertices(43)%branchCT(0:0))
      call avCT(43, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13958])

      allocate(vertices(2627)%branchCT(0:0))
      call avCT(2627, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_9646])

      allocate(vertices(48)%branchCT(0:0))
      call avCT(48, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13968])

      allocate(vertices(53)%branchCT(0:0))
      call avCT(53, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13962])

      allocate(vertices(57)%branchCT(0:0))
      call avCT(57, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13968])

      allocate(vertices(59)%branchCT(0:0))
      call avCT(59, 0, 1, 1, 0, UaUV0, 0, [0, 3], [nGC_13997])

      allocate(vertices(60)%branchCT(0:0))
      call avCT(60, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14120])

      allocate(vertices(61)%branchCT(0:0))
      call avCT(61, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13979])

      allocate(vertices(62)%branchCT(0:0))
      call avCT(62, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14085])

      allocate(vertices(63)%branchCT(0:0))
      call avCT(63, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(411)%branchCT(0:0))
      call avCT(411, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(69)%branchCT(0:0))
      call avCT(69, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9641])

      allocate(vertices(70)%branchCT(0:1))
      call avCT(70, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_14139, nGC_14139])

      call avCT(70, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_14141, nGC_14141])

      allocate(vertices(590)%branchCT(0:0))
      call avCT(590, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14146, nGC_14147,      &
      nGC_14147])

      allocate(vertices(72)%branchCT(0:0))
      call avCT(72, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14045])

      allocate(vertices(3813)%branchCT(0:0))
      call avCT(3813, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_14153])

      allocate(vertices(74)%branchCT(0:0))
      call avCT(74, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13971])

      allocate(vertices(75)%branchCT(0:0))
      call avCT(75, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_14159])

      allocate(vertices(1429)%branchCT(0:0))
      call avCT(1429, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14045])

      allocate(vertices(78)%branchCT(0:1))
      call avCT(78, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_14172, nGC_14171])

      call avCT(78, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_14174, nGC_14173])

      allocate(vertices(3817)%branchCT(0:0))
      call avCT(3817, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14175])

      allocate(vertices(3133)%branchCT(0:0))
      call avCT(3133, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14182, nGC_14183,     &
      nGC_14183])

      allocate(vertices(80)%branchCT(0:0))
      call avCT(80, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13971])

      allocate(vertices(82)%branchCT(0:0))
      call avCT(82, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_9651])

      allocate(vertices(84)%branchCT(0:0))
      call avCT(84, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14189])

      allocate(vertices(85)%branchCT(0:3))
      call avCT(85, 0, 22, 2, 0, FVFa0, 0, [1, 2], [nGC_14192, nGC_14194])

      call avCT(85, 1, 22, 2, 0, FVFa0, 0, [3, 0], [nGC_14196, nGC_14197])

      call avCT(85, 2, 23, 3, 0, FVFa0, 0, [1, 2], [nGC_14192, nGC_14194])

      call avCT(85, 3, 23, 3, 0, FVFa0, 0, [3, 0], [nGC_14196, nGC_14197])

      allocate(vertices(517)%branchCT(0:1))
      call avCT(517, 0, 21, 1, 0, VFaF1, 0, [0, 3], [nGC_14207])

      call avCT(517, 1, 21, 1, 0, VFaF1, 0, [2, 1], [nGC_14206])

      allocate(vertices(87)%branchCT(0:0))
      call avCT(87, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_14210])

      allocate(vertices(758)%branchCT(0:0))
      call avCT(758, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13968])

      allocate(vertices(90)%branchCT(0:0))
      call avCT(90, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13971])

      allocate(vertices(565)%branchCT(0:0))
      call avCT(565, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(94)%branchCT(0:0))
      call avCT(94, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13968])

      allocate(vertices(95)%branchCT(0:0))
      call avCT(95, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_14224])

      allocate(vertices(98)%branchCT(0:0))
      call avCT(98, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14228])

      allocate(vertices(99)%branchCT(0:0))
      call avCT(99, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14231])

      allocate(vertices(623)%branchCT(0:0))
      call avCT(623, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14085])

      allocate(vertices(102)%branchCT(0:0))
      call avCT(102, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14045])

      allocate(vertices(3818)%branchCT(0:0))
      call avCT(3818, 0, 13, 1, 0, VV0, 0, [0, 2], [nGC_14238, nGC_14237])

      allocate(vertices(105)%branchCT(0:0))
      call avCT(105, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14242])

      allocate(vertices(837)%branchCT(0:0))
      call avCT(837, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14085])

      allocate(vertices(109)%branchCT(0:0))
      call avCT(109, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13971])

      allocate(vertices(3819)%branchCT(0:1))
      call avCT(3819, 0, 124, 1, 0, FaF0, 0, [0, 2], [nGC_14255, nGC_14251,    &
      nGC_14257, nGC_14257])

      call avCT(3819, 1, 124, 1, 0, FaF0, 0, [2, 0], [nGC_14256, nGC_14252,    &
      nGC_14258, nGC_14258])

      allocate(vertices(2811)%branchCT(0:0))
      call avCT(2811, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_9651])

      allocate(vertices(110)%branchCT(0:0))
      call avCT(110, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13971])

      allocate(vertices(111)%branchCT(0:0))
      call avCT(111, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_14265])

      allocate(vertices(112)%branchCT(0:0))
      call avCT(112, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14228])

      allocate(vertices(113)%branchCT(0:1))
      call avCT(113, 0, 21, 1, 0, VFaF0, 0, [0, 3], [nGC_14280, nGC_14281])

      call avCT(113, 1, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_14270, nGC_14273])

      allocate(vertices(114)%branchCT(0:0))
      call avCT(114, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13971])

      allocate(vertices(116)%branchCT(0:0))
      call avCT(116, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14183, nGC_14183,      &
      nGC_14182])

      allocate(vertices(3820)%branchCT(0:0))
      call avCT(3820, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14175])

      allocate(vertices(119)%branchCT(0:0))
      call avCT(119, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_14224])

      allocate(vertices(121)%branchCT(0:0))
      call avCT(121, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_14224])

      allocate(vertices(806)%branchCT(0:0))
      call avCT(806, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14067])

      allocate(vertices(123)%branchCT(0:1))
      call avCT(123, 0, 18, 1, 0, FaFV1, 0, [0, 3], [nGC_14307, nGC_14308])

      call avCT(123, 1, 18, 1, 0, FaFV1, 0, [2, 1], [nGC_14302, nGC_14299])

      allocate(vertices(1827)%branchCT(0:0))
      call avCT(1827, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13975])

      allocate(vertices(125)%branchCT(0:0))
      call avCT(125, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14085])

      allocate(vertices(128)%branchCT(0:0))
      call avCT(128, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_14159])

      allocate(vertices(130)%branchCT(0:0))
      call avCT(130, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(131)%branchCT(0:1))
      call avCT(131, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_14171, nGC_14172])

      call avCT(131, 1, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_14173, nGC_14174])

      allocate(vertices(2103)%branchCT(0:0))
      call avCT(2103, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14228])

      allocate(vertices(133)%branchCT(0:0))
      call avCT(133, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13971])

      allocate(vertices(134)%branchCT(0:1))
      call avCT(134, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_14337, nGC_14338])

      call avCT(134, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_14339, nGC_14340])

      allocate(vertices(23)%branchCT(0:0))
      call avCT(23, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(137)%branchCT(0:0))
      call avCT(137, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13975])

      allocate(vertices(139)%branchCT(0:0))
      call avCT(139, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_14347])

      allocate(vertices(891)%branchCT(0:0))
      call avCT(891, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13975])

      allocate(vertices(141)%branchCT(0:1))
      call avCT(141, 0, 20, 1, 0, VFFa0, 0, [0, 3], [nGC_14207])

      call avCT(141, 1, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_14206])

      allocate(vertices(2343)%branchCT(0:0))
      call avCT(2343, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14356])

      allocate(vertices(145)%branchCT(0:0))
      call avCT(145, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14189])

      allocate(vertices(2120)%branchCT(0:0))
      call avCT(2120, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14361])

      allocate(vertices(2163)%branchCT(0:0))
      call avCT(2163, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14058])

      allocate(vertices(1964)%branchCT(0:0))
      call avCT(1964, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14367])

      allocate(vertices(951)%branchCT(0:0))
      call avCT(951, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13962])

      allocate(vertices(3821)%branchCT(0:0))
      call avCT(3821, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_14371])

      allocate(vertices(1203)%branchCT(0:0))
      call avCT(1203, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14374])

      allocate(vertices(158)%branchCT(0:0))
      call avCT(158, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_14378])

      allocate(vertices(992)%branchCT(0:0))
      call avCT(992, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13979])

      allocate(vertices(161)%branchCT(0:0))
      call avCT(161, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(3472)%branchCT(0:0))
      call avCT(3472, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14385])

      allocate(vertices(164)%branchCT(0:0))
      call avCT(164, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9633])

      allocate(vertices(165)%branchCT(0:0))
      call avCT(165, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_14347])

      allocate(vertices(166)%branchCT(0:0))
      call avCT(166, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14045])

      allocate(vertices(2450)%branchCT(0:0))
      call avCT(2450, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_14394])

      allocate(vertices(168)%branchCT(0:0))
      call avCT(168, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14361])

      allocate(vertices(169)%branchCT(0:0))
      call avCT(169, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_14399])

      allocate(vertices(171)%branchCT(0:1))
      call avCT(171, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_14406, nGC_14407])

      call avCT(171, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_14408, nGC_14409])

      allocate(vertices(1079)%branchCT(0:0))
      call avCT(1079, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14356])

      allocate(vertices(173)%branchCT(0:0))
      call avCT(173, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_14415])

      allocate(vertices(174)%branchCT(0:0))
      call avCT(174, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14419])

      allocate(vertices(175)%branchCT(0:0))
      call avCT(175, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14427, nGC_14428,      &
      nGC_14427])

      allocate(vertices(176)%branchCT(0:0))
      call avCT(176, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14385])

      allocate(vertices(177)%branchCT(0:0))
      call avCT(177, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_14265])

      allocate(vertices(3231)%branchCT(0:0))
      call avCT(3231, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13962])

      allocate(vertices(180)%branchCT(0:0))
      call avCT(180, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(1734)%branchCT(0:0))
      call avCT(1734, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13962])

      allocate(vertices(183)%branchCT(0:3))
      call avCT(183, 0, 28, 2, 0, VFFa1, 0, [1, 2], [nGC_14443, nGC_14441])

      call avCT(183, 1, 28, 2, 0, VFFa1, 0, [3, 0], [nGC_14447, nGC_14448])

      call avCT(183, 2, 29, 3, 0, VFFa1, 0, [1, 2], [nGC_14443, nGC_14441])

      call avCT(183, 3, 29, 3, 0, VFFa1, 0, [3, 0], [nGC_14447, nGC_14448])

      allocate(vertices(1149)%branchCT(0:0))
      call avCT(1149, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(188)%branchCT(0:0))
      call avCT(188, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9642])

      allocate(vertices(1168)%branchCT(0:0))
      call avCT(1168, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14067])

      allocate(vertices(1189)%branchCT(0:0))
      call avCT(1189, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(193)%branchCT(0:0))
      call avCT(193, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14045])

      allocate(vertices(194)%branchCT(0:0))
      call avCT(194, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_14085])

      allocate(vertices(1213)%branchCT(0:0))
      call avCT(1213, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9634])

      allocate(vertices(197)%branchCT(0:0))
      call avCT(197, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13962])

      allocate(vertices(199)%branchCT(0:0))
      call avCT(199, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14058])

      allocate(vertices(200)%branchCT(0:0))
      call avCT(200, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_14475])

      allocate(vertices(1125)%branchCT(0:0))
      call avCT(1125, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9641])

      allocate(vertices(613)%branchCT(0:0))
      call avCT(613, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_14415])

      allocate(vertices(1260)%branchCT(0:0))
      call avCT(1260, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_14347])

      allocate(vertices(206)%branchCT(0:0))
      call avCT(206, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14228])

      allocate(vertices(207)%branchCT(0:0))
      call avCT(207, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14189])

      allocate(vertices(209)%branchCT(0:0))
      call avCT(209, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14489])

      allocate(vertices(211)%branchCT(0:0))
      call avCT(211, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14045])

      allocate(vertices(214)%branchCT(0:0))
      call avCT(214, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9641])

      allocate(vertices(2367)%branchCT(0:0))
      call avCT(2367, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9636])

      allocate(vertices(217)%branchCT(0:0))
      call avCT(217, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_14377])

      allocate(vertices(2722)%branchCT(0:0))
      call avCT(2722, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14356])

      allocate(vertices(219)%branchCT(0:0))
      call avCT(219, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14045])

      allocate(vertices(222)%branchCT(0:0))
      call avCT(222, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14054])

      allocate(vertices(2464)%branchCT(0:0))
      call avCT(2464, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14045])

      allocate(vertices(2403)%branchCT(0:0))
      call avCT(2403, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_13975])

      allocate(vertices(228)%branchCT(0:0))
      call avCT(228, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(2567)%branchCT(0:0))
      call avCT(2567, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14231])

      allocate(vertices(3822)%branchCT(0:0))
      call avCT(3822, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_14371])

      allocate(vertices(1467)%branchCT(0:0))
      call avCT(1467, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9644])

      allocate(vertices(235)%branchCT(0:1))
      call avCT(235, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_14524, nGC_14525])

      call avCT(235, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_14521, nGC_14517])

      allocate(vertices(237)%branchCT(0:0))
      call avCT(237, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14231])

      allocate(vertices(1501)%branchCT(0:0))
      call avCT(1501, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9633])

      allocate(vertices(1515)%branchCT(0:0))
      call avCT(1515, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(242)%branchCT(0:0))
      call avCT(242, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_14038])

      allocate(vertices(620)%branchCT(0:0))
      call avCT(620, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(1527)%branchCT(0:0))
      call avCT(1527, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14058])

      allocate(vertices(3823)%branchCT(0:0))
      call avCT(3823, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_14536])

      allocate(vertices(1537)%branchCT(0:0))
      call avCT(1537, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9643])

      allocate(vertices(482)%branchCT(0:0))
      call avCT(482, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14182, nGC_14183,      &
      nGC_14183])

      allocate(vertices(1546)%branchCT(0:0))
      call avCT(1546, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14058])

      allocate(vertices(2632)%branchCT(0:0))
      call avCT(2632, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14549])

      allocate(vertices(2669)%branchCT(0:0))
      call avCT(2669, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(250)%branchCT(0:0))
      call avCT(250, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(621)%branchCT(0:0))
      call avCT(621, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9642])

      allocate(vertices(1586)%branchCT(0:0))
      call avCT(1586, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(253)%branchCT(0:0))
      call avCT(253, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14085])

      allocate(vertices(3420)%branchCT(0:0))
      call avCT(3420, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3402)%branchCT(0:0))
      call avCT(3402, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_14561])

      allocate(vertices(257)%branchCT(0:1))
      call avCT(257, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_14569, nGC_14569])

      call avCT(257, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_14571, nGC_14571])

      allocate(vertices(260)%branchCT(0:0))
      call avCT(260, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_14085])

      allocate(vertices(261)%branchCT(0:3))
      call avCT(261, 0, 27, 3, 0, FaFV1, 0, [1, 2], [nGC_14578, nGC_14576])

      call avCT(261, 1, 27, 3, 0, FaFV1, 0, [3, 0], [nGC_14580, nGC_14581])

      call avCT(261, 2, 26, 2, 0, FaFV1, 0, [1, 2], [nGC_14578, nGC_14576])

      call avCT(261, 3, 26, 2, 0, FaFV1, 0, [3, 0], [nGC_14580, nGC_14581])

      allocate(vertices(2594)%branchCT(0:0))
      call avCT(2594, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14045])

      allocate(vertices(265)%branchCT(0:0))
      call avCT(265, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13979])

      allocate(vertices(266)%branchCT(0:0))
      call avCT(266, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9644])

      allocate(vertices(267)%branchCT(0:0))
      call avCT(267, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14356])

      allocate(vertices(268)%branchCT(0:0))
      call avCT(268, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14600])

      allocate(vertices(3584)%branchCT(0:1))
      call avCT(3584, 0, 19, 1, 0, FaSF0, 0, [2, 1], [nGC_14076, nGC_14077])

      call avCT(3584, 1, 19, 1, 0, FaSF0, 0, [0, 3], [nGC_14078, nGC_14079])

    end subroutine fill_vertices_mdl5
end module vertices_info5
