!******************************************************************************!
!                                                                              !
!    vertices_info6.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info6.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-28 18:17             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info6
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl6()
      allocate(vertices(276)%branchCT(0:0))
      call avCT(276, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13979])

      allocate(vertices(3528)%branchCT(0:0))
      call avCT(3528, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14367])

      allocate(vertices(3341)%branchCT(0:0))
      call avCT(3341, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9643])

      allocate(vertices(282)%branchCT(0:0))
      call avCT(282, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(2069)%branchCT(0:0))
      call avCT(2069, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14356])

      allocate(vertices(1766)%branchCT(0:0))
      call avCT(1766, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14228])

      allocate(vertices(1782)%branchCT(0:0))
      call avCT(1782, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14231])

      allocate(vertices(287)%branchCT(0:0))
      call avCT(287, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_14378])

      allocate(vertices(291)%branchCT(0:1))
      call avCT(291, 0, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_14524, nGC_14525])

      call avCT(291, 1, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_14521, nGC_14517])

      allocate(vertices(294)%branchCT(0:0))
      call avCT(294, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14045])

      allocate(vertices(295)%branchCT(0:0))
      call avCT(295, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_14638])

      allocate(vertices(2547)%branchCT(0:0))
      call avCT(2547, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14189])

      allocate(vertices(1863)%branchCT(0:0))
      call avCT(1863, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14644])

      allocate(vertices(302)%branchCT(0:0))
      call avCT(302, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_14649])

      allocate(vertices(305)%branchCT(0:0))
      call avCT(305, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14385])

      allocate(vertices(2742)%branchCT(0:0))
      call avCT(2742, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13975])

      allocate(vertices(3824)%branchCT(0:0))
      call avCT(3824, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_14536])

      allocate(vertices(1930)%branchCT(0:0))
      call avCT(1930, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13971])

      allocate(vertices(309)%branchCT(0:0))
      call avCT(309, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_14661])

      allocate(vertices(1941)%branchCT(0:0))
      call avCT(1941, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14085])

      allocate(vertices(311)%branchCT(0:1))
      call avCT(311, 0, 18, 1, 0, FaFV1, 0, [0, 3], [nGC_14280, nGC_14281])

      call avCT(311, 1, 18, 1, 0, FaFV1, 0, [2, 1], [nGC_14270, nGC_14273])

      allocate(vertices(3825)%branchCT(0:0))
      call avCT(3825, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14175])

      allocate(vertices(313)%branchCT(0:0))
      call avCT(313, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3597)%branchCT(0:1))
      call avCT(3597, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_14139, nGC_14139])

      call avCT(3597, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_14141, nGC_14141])

      allocate(vertices(2045)%branchCT(0:0))
      call avCT(2045, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_14394])

      allocate(vertices(629)%branchCT(0:0))
      call avCT(629, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14374])

      allocate(vertices(317)%branchCT(0:0))
      call avCT(317, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14189])

      allocate(vertices(318)%branchCT(0:0))
      call avCT(318, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14231])

      allocate(vertices(319)%branchCT(0:0))
      call avCT(319, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_14378])

      allocate(vertices(320)%branchCT(0:0))
      call avCT(320, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_14694])

      allocate(vertices(321)%branchCT(0:0))
      call avCT(321, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14045])

      allocate(vertices(2031)%branchCT(0:0))
      call avCT(2031, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_14347])

      allocate(vertices(325)%branchCT(0:0))
      call avCT(325, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14182, nGC_14183,      &
      nGC_14183])

      allocate(vertices(327)%branchCT(0:0))
      call avCT(327, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13958])

      allocate(vertices(330)%branchCT(0:0))
      call avCT(330, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_14711])

      allocate(vertices(331)%branchCT(0:0))
      call avCT(331, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13958])

      allocate(vertices(333)%branchCT(0:0))
      call avCT(333, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_14723, nGC_14724])

      allocate(vertices(1649)%branchCT(0:0))
      call avCT(1649, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(336)%branchCT(0:1))
      call avCT(336, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_14077, nGC_14076])

      call avCT(336, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_14079, nGC_14078])

      allocate(vertices(337)%branchCT(0:0))
      call avCT(337, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9643])

      allocate(vertices(2288)%branchCT(0:0))
      call avCT(2288, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13962])

      allocate(vertices(340)%branchCT(0:0))
      call avCT(340, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14058])

      allocate(vertices(342)%branchCT(0:0))
      call avCT(342, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14228])

      allocate(vertices(343)%branchCT(0:0))
      call avCT(343, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14058])

      allocate(vertices(3826)%branchCT(0:0))
      call avCT(3826, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_14371])

      allocate(vertices(344)%branchCT(0:0))
      call avCT(344, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14489])

      allocate(vertices(3778)%branchCT(0:0))
      call avCT(3778, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(1810)%branchCT(0:0))
      call avCT(1810, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14045])

      allocate(vertices(348)%branchCT(0:0))
      call avCT(348, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14231])

      allocate(vertices(3750)%branchCT(0:0))
      call avCT(3750, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13958])

      allocate(vertices(351)%branchCT(0:0))
      call avCT(351, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14762])

      allocate(vertices(353)%branchCT(0:0))
      call avCT(353, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14147, nGC_14147,      &
      nGC_14146])

      allocate(vertices(354)%branchCT(0:0))
      call avCT(354, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13971])

      allocate(vertices(355)%branchCT(0:3))
      call avCT(355, 0, 11, 2, 0, FFaV0, 0, [1, 2], [nGC_14192, nGC_14194])

      call avCT(355, 1, 11, 2, 0, FFaV0, 0, [3, 0], [nGC_14196, nGC_14197])

      call avCT(355, 2, 12, 3, 0, FFaV0, 0, [1, 2], [nGC_14192, nGC_14194])

      call avCT(355, 3, 12, 3, 0, FFaV0, 0, [3, 0], [nGC_14196, nGC_14197])

      allocate(vertices(2047)%branchCT(0:0))
      call avCT(2047, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14045])

      allocate(vertices(359)%branchCT(0:0))
      call avCT(359, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14085])

      allocate(vertices(3827)%branchCT(0:0))
      call avCT(3827, 0, 13, 1, 0, VS0, 0, [0, 2], [nGC_14785])

      allocate(vertices(361)%branchCT(0:1))
      call avCT(361, 0, 19, 1, 0, FaSF0, 0, [2, 1], [nGC_14406, nGC_14407])

      call avCT(361, 1, 19, 1, 0, FaSF0, 0, [0, 3], [nGC_14408, nGC_14409])

      allocate(vertices(363)%branchCT(0:0))
      call avCT(363, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13979])

      allocate(vertices(365)%branchCT(0:0))
      call avCT(365, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13968])

      allocate(vertices(750)%branchCT(0:0))
      call avCT(750, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14802])

      allocate(vertices(368)%branchCT(0:0))
      call avCT(368, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14600])

      allocate(vertices(1195)%branchCT(0:0))
      call avCT(1195, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14356])

      allocate(vertices(373)%branchCT(0:0))
      call avCT(373, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13962])

      allocate(vertices(375)%branchCT(0:1))
      call avCT(375, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_14817, nGC_14818])

      call avCT(375, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_14819, nGC_14820])

      allocate(vertices(377)%branchCT(0:0))
      call avCT(377, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14356])

      allocate(vertices(379)%branchCT(0:0))
      call avCT(379, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14356])

      allocate(vertices(387)%branchCT(0:0))
      call avCT(387, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13979])

      allocate(vertices(389)%branchCT(0:0))
      call avCT(389, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(390)%branchCT(0:0))
      call avCT(390, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(2477)%branchCT(0:0))
      call avCT(2477, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14356])

      allocate(vertices(2772)%branchCT(0:0))
      call avCT(2772, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13979])

      allocate(vertices(1990)%branchCT(0:0))
      call avCT(1990, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_14415])

      allocate(vertices(643)%branchCT(0:0))
      call avCT(643, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13971])

      allocate(vertices(2526)%branchCT(0:1))
      call avCT(2526, 0, 18, 1, 0, FaFV0, 0, [0, 3], [nGC_14845])

      call avCT(2526, 1, 18, 1, 0, FaFV0, 0, [2, 1], [nGC_14844])

      allocate(vertices(400)%branchCT(0:0))
      call avCT(400, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14085])

      allocate(vertices(401)%branchCT(0:0))
      call avCT(401, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14489])

      allocate(vertices(2796)%branchCT(0:0))
      call avCT(2796, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13968])

      allocate(vertices(403)%branchCT(0:3))
      call avCT(403, 0, 28, 2, 0, VFFa1, 0, [1, 2], [nGC_14578, nGC_14576])

      call avCT(403, 1, 28, 2, 0, VFFa1, 0, [3, 0], [nGC_14580, nGC_14581])

      call avCT(403, 2, 29, 3, 0, VFFa1, 0, [1, 2], [nGC_14578, nGC_14576])

      call avCT(403, 3, 29, 3, 0, VFFa1, 0, [3, 0], [nGC_14580, nGC_14581])

      allocate(vertices(1246)%branchCT(0:0))
      call avCT(1246, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14228])

      allocate(vertices(1086)%branchCT(0:1))
      call avCT(1086, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_14172, nGC_14171])

      call avCT(1086, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_14174, nGC_14173])

      allocate(vertices(407)%branchCT(0:0))
      call avCT(407, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_14882, nGC_14882])

      allocate(vertices(463)%branchCT(0:0))
      call avCT(463, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9644])

      allocate(vertices(410)%branchCT(0:0))
      call avCT(410, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_14153])

      allocate(vertices(412)%branchCT(0:0))
      call avCT(412, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_14085])

      allocate(vertices(413)%branchCT(0:1))
      call avCT(413, 0, 19, 1, 0, FaVF1, 0, [0, 3], [nGC_14307, nGC_14308])

      call avCT(413, 1, 19, 1, 0, FaVF1, 0, [2, 1], [nGC_14302, nGC_14299])

      allocate(vertices(417)%branchCT(0:0))
      call avCT(417, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14428, nGC_14427,      &
      nGC_14427])

      allocate(vertices(418)%branchCT(0:0))
      call avCT(418, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13975])

      allocate(vertices(420)%branchCT(0:0))
      call avCT(420, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9643])

      allocate(vertices(421)%branchCT(0:0))
      call avCT(421, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_9646])

      allocate(vertices(2098)%branchCT(0:0))
      call avCT(2098, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14600])

      allocate(vertices(1441)%branchCT(0:1))
      call avCT(1441, 0, 20, 1, 0, VFFa1, 0, [0, 3], [nGC_14919, nGC_14920])

      call avCT(1441, 1, 20, 1, 0, VFFa1, 0, [2, 1], [nGC_14913, nGC_14910])

      allocate(vertices(2719)%branchCT(0:0))
      call avCT(2719, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_14085])

      allocate(vertices(428)%branchCT(0:0))
      call avCT(428, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9636])

      allocate(vertices(2342)%branchCT(0:0))
      call avCT(2342, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13971])

      allocate(vertices(430)%branchCT(0:0))
      call avCT(430, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13971])

      allocate(vertices(580)%branchCT(0:0))
      call avCT(580, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14045])

      allocate(vertices(434)%branchCT(0:0))
      call avCT(434, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9644])

      allocate(vertices(1399)%branchCT(0:0))
      call avCT(1399, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14058])

      allocate(vertices(436)%branchCT(0:0))
      call avCT(436, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14058])

      allocate(vertices(437)%branchCT(0:1))
      call avCT(437, 0, 17, 1, 0, FVFa1, 0, [0, 3], [nGC_14941])

      call avCT(437, 1, 17, 1, 0, FVFa1, 0, [2, 1], [nGC_14940])

      allocate(vertices(2800)%branchCT(0:0))
      call avCT(2800, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9644])

      allocate(vertices(439)%branchCT(0:0))
      call avCT(439, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14242])

      allocate(vertices(441)%branchCT(0:0))
      call avCT(441, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14189])

      allocate(vertices(442)%branchCT(0:0))
      call avCT(442, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14950])

      allocate(vertices(443)%branchCT(0:1))
      call avCT(443, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_14077, nGC_14076])

      call avCT(443, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_14079, nGC_14078])

      allocate(vertices(444)%branchCT(0:0))
      call avCT(444, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_14649])

      allocate(vertices(445)%branchCT(0:0))
      call avCT(445, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14965])

      allocate(vertices(3040)%branchCT(0:0))
      call avCT(3040, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14045])

      allocate(vertices(450)%branchCT(0:1))
      call avCT(450, 0, 19, 1, 0, FaSF0, 0, [2, 1], [nGC_14095, nGC_14095])

      call avCT(450, 1, 19, 1, 0, FaSF0, 0, [0, 3], [nGC_14094, nGC_14094])

      allocate(vertices(652)%branchCT(0:0))
      call avCT(652, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9644])

      allocate(vertices(452)%branchCT(0:0))
      call avCT(452, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14242])

      allocate(vertices(454)%branchCT(0:0))
      call avCT(454, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(455)%branchCT(0:1))
      call avCT(455, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_14919, nGC_14920])

      call avCT(455, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_14913, nGC_14910])

      allocate(vertices(456)%branchCT(0:0))
      call avCT(456, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13971])

      allocate(vertices(457)%branchCT(0:0))
      call avCT(457, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_14711])

      allocate(vertices(259)%branchCT(0:0))
      call avCT(259, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9641])

      allocate(vertices(459)%branchCT(0:0))
      call avCT(459, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_14998])

      allocate(vertices(461)%branchCT(0:1))
      call avCT(461, 0, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_15005, nGC_15006])

      call avCT(461, 1, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_15007, nGC_15008])

      allocate(vertices(2953)%branchCT(0:0))
      call avCT(2953, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9642])

      allocate(vertices(464)%branchCT(0:0))
      call avCT(464, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14045])

      allocate(vertices(3728)%branchCT(0:0))
      call avCT(3728, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_9651])

      allocate(vertices(79)%branchCT(0:0))
      call avCT(79, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9636])

      allocate(vertices(467)%branchCT(0:0))
      call avCT(467, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9633])

      allocate(vertices(469)%branchCT(0:0))
      call avCT(469, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_14648])

      allocate(vertices(3207)%branchCT(0:5))
      call avCT(3207, 0, 73, 4, 0, UVVUa0, 0, [4, 0], [nGC_15021])

      call avCT(3207, 1, 71, 4, 0, UVVUa0, 0, [4, 0], [nGC_15021])

      call avCT(3207, 2, 72, 4, 0, UVVUa0, 0, [4, 0], [nGC_15021])

      call avCT(3207, 3, 70, 4, 0, UVVUa0, 0, [4, 0], [nGC_15021])

      call avCT(3207, 4, 74, 5, 0, UVVUa0, 0, [4, 0], [nGC_15030])

      call avCT(3207, 5, 75, 5, 0, UVVUa0, 0, [4, 0], [nGC_15030])

      allocate(vertices(471)%branchCT(0:0))
      call avCT(471, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14058])

      allocate(vertices(537)%branchCT(0:0))
      call avCT(537, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_9646])

      allocate(vertices(654)%branchCT(0:0))
      call avCT(654, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14356])

      allocate(vertices(2416)%branchCT(0:0))
      call avCT(2416, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14058])

      allocate(vertices(474)%branchCT(0:1))
      call avCT(474, 0, 19, 1, 0, FaVF0, 0, [0, 3], [nGC_14941])

      call avCT(474, 1, 19, 1, 0, FaVF0, 0, [2, 1], [nGC_14940])

      allocate(vertices(475)%branchCT(0:0))
      call avCT(475, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13958])

      allocate(vertices(477)%branchCT(0:0))
      call avCT(477, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14045])

      allocate(vertices(479)%branchCT(0:0))
      call avCT(479, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13962])

      allocate(vertices(3209)%branchCT(0:0))
      call avCT(3209, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_15060, nGC_15060])

      allocate(vertices(481)%branchCT(0:1))
      call avCT(481, 0, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_14571, nGC_14571])

      call avCT(481, 1, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_14569, nGC_14569])

      allocate(vertices(483)%branchCT(0:0))
      call avCT(483, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13971])

      allocate(vertices(485)%branchCT(0:1))
      call avCT(485, 0, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_14076, nGC_14077])

      call avCT(485, 1, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_14078, nGC_14079])

      allocate(vertices(1889)%branchCT(0:0))
      call avCT(1889, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_15080])

      allocate(vertices(1904)%branchCT(0:0))
      call avCT(1904, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_13975])

      allocate(vertices(488)%branchCT(0:0))
      call avCT(488, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14385])

      allocate(vertices(489)%branchCT(0:0))
      call avCT(489, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13968])

      allocate(vertices(490)%branchCT(0:1))
      call avCT(490, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_14172, nGC_14171])

      call avCT(490, 1, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_14174, nGC_14173])

      allocate(vertices(491)%branchCT(0:0))
      call avCT(491, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13962])

      allocate(vertices(494)%branchCT(0:0))
      call avCT(494, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14489])

      allocate(vertices(3200)%branchCT(0:0))
      call avCT(3200, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14189])

      allocate(vertices(2929)%branchCT(0:0))
      call avCT(2929, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(499)%branchCT(0:0))
      call avCT(499, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14058])

      allocate(vertices(500)%branchCT(0:0))
      call avCT(500, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13958])

      allocate(vertices(503)%branchCT(0:0))
      call avCT(503, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9643])

      allocate(vertices(504)%branchCT(0:1))
      call avCT(504, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_15123, nGC_15123])

      call avCT(504, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_15125, nGC_15125])

      allocate(vertices(505)%branchCT(0:0))
      call avCT(505, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13975])

      allocate(vertices(3258)%branchCT(0:0))
      call avCT(3258, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3828)%branchCT(0:0))
      call avCT(3828, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_14371])

      allocate(vertices(1749)%branchCT(0:0))
      call avCT(1749, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14489])

      allocate(vertices(510)%branchCT(0:1))
      call avCT(510, 0, 20, 1, 0, VFFa1, 0, [0, 3], [nGC_15142, nGC_15143])

      call avCT(510, 1, 20, 1, 0, VFFa1, 0, [2, 1], [nGC_15138, nGC_15135])

      allocate(vertices(512)%branchCT(0:0))
      call avCT(512, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13962])

      allocate(vertices(3292)%branchCT(0:0))
      call avCT(3292, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_9646])

      allocate(vertices(1893)%branchCT(0:0))
      call avCT(1893, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14058])

      allocate(vertices(520)%branchCT(0:0))
      call avCT(520, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14231])

      allocate(vertices(3077)%branchCT(0:0))
      call avCT(3077, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_15156])

      allocate(vertices(522)%branchCT(0:0))
      call avCT(522, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13979])

      allocate(vertices(3141)%branchCT(0:0))
      call avCT(3141, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_15162])

      allocate(vertices(526)%branchCT(0:0))
      call avCT(526, 0, 1, 1, 0, UaUV0, 0, [0, 3], [nGC_14399])

      allocate(vertices(3829)%branchCT(0:0))
      call avCT(3829, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_15165])

      allocate(vertices(529)%branchCT(0:0))
      call avCT(529, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13975])

      allocate(vertices(530)%branchCT(0:0))
      call avCT(530, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13962])

      allocate(vertices(1056)%branchCT(0:0))
      call avCT(1056, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14802])

      allocate(vertices(3169)%branchCT(0:0))
      call avCT(3169, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14231])

      allocate(vertices(534)%branchCT(0:0))
      call avCT(534, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14367])

      allocate(vertices(229)%branchCT(0:1))
      call avCT(229, 0, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_14307, nGC_14308])

      call avCT(229, 1, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_14302, nGC_14299])

      allocate(vertices(538)%branchCT(0:0))
      call avCT(538, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14228])

      allocate(vertices(540)%branchCT(0:0))
      call avCT(540, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9641])

      allocate(vertices(541)%branchCT(0:0))
      call avCT(541, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14644])

      allocate(vertices(542)%branchCT(0:0))
      call avCT(542, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_14347])

      allocate(vertices(2551)%branchCT(0:0))
      call avCT(2551, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14367])

      allocate(vertices(544)%branchCT(0:0))
      call avCT(544, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13971])

      allocate(vertices(546)%branchCT(0:0))
      call avCT(546, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(547)%branchCT(0:1))
      call avCT(547, 0, 21, 1, 0, VFaF1, 0, [0, 3], [nGC_14845])

      call avCT(547, 1, 21, 1, 0, VFaF1, 0, [2, 1], [nGC_14844])

      allocate(vertices(548)%branchCT(0:0))
      call avCT(548, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_9646])

      allocate(vertices(549)%branchCT(0:0))
      call avCT(549, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13958])

      allocate(vertices(3486)%branchCT(0:0))
      call avCT(3486, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14356])

      allocate(vertices(552)%branchCT(0:1))
      call avCT(552, 0, 17, 1, 0, FVFa1, 0, [0, 3], [nGC_14845])

      call avCT(552, 1, 17, 1, 0, FVFa1, 0, [2, 1], [nGC_14844])

      allocate(vertices(553)%branchCT(0:0))
      call avCT(553, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9635])

      allocate(vertices(554)%branchCT(0:0))
      call avCT(554, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13979])

      allocate(vertices(3590)%branchCT(0:0))
      call avCT(3590, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13975])

      allocate(vertices(557)%branchCT(0:0))
      call avCT(557, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14374])

      allocate(vertices(558)%branchCT(0:0))
      call avCT(558, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_15225])

      allocate(vertices(3617)%branchCT(0:0))
      call avCT(3617, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9643])

      allocate(vertices(3645)%branchCT(0:0))
      call avCT(3645, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14067])

      allocate(vertices(563)%branchCT(0:0))
      call avCT(563, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_14415])

      allocate(vertices(3658)%branchCT(0:5))
      call avCT(3658, 0, 109, 4, 0, VUaVU0, 0, [4, 0], [nGC_15021])

      call avCT(3658, 1, 108, 4, 0, VUaVU0, 0, [4, 0], [nGC_15021])

      call avCT(3658, 2, 111, 5, 0, VUaVU0, 0, [4, 0], [nGC_15030])

      call avCT(3658, 3, 110, 5, 0, VUaVU0, 0, [4, 0], [nGC_15030])

      call avCT(3658, 4, 107, 4, 0, VUaVU0, 0, [4, 0], [nGC_15021])

      call avCT(3658, 5, 106, 4, 0, VUaVU0, 0, [4, 0], [nGC_15021])

      allocate(vertices(864)%branchCT(0:0))
      call avCT(864, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_15080])

      allocate(vertices(567)%branchCT(0:0))
      call avCT(567, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9643])

      allocate(vertices(568)%branchCT(0:0))
      call avCT(568, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_13962])

      allocate(vertices(569)%branchCT(0:0))
      call avCT(569, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_14224])

      allocate(vertices(570)%branchCT(0:1))
      call avCT(570, 0, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_15005, nGC_15006])

      call avCT(570, 1, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_15007, nGC_15008])

      allocate(vertices(573)%branchCT(0:0))
      call avCT(573, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_14694])

      allocate(vertices(574)%branchCT(0:0))
      call avCT(574, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14427, nGC_14428,      &
      nGC_14427])

      allocate(vertices(3771)%branchCT(0:0))
      call avCT(3771, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14644])

      allocate(vertices(576)%branchCT(0:0))
      call avCT(576, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_14711])

      allocate(vertices(578)%branchCT(0:0))
      call avCT(578, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13975])

      allocate(vertices(1277)%branchCT(0:1))
      call avCT(1277, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_14845])

      call avCT(1277, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_14844])

      allocate(vertices(680)%branchCT(0:0))
      call avCT(680, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14549])

      allocate(vertices(583)%branchCT(0:0))
      call avCT(583, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_15156])

      allocate(vertices(585)%branchCT(0:0))
      call avCT(585, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_9646])

      allocate(vertices(586)%branchCT(0:0))
      call avCT(586, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14045])

      allocate(vertices(39)%branchCT(0:0))
      call avCT(39, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13958])

      allocate(vertices(3754)%branchCT(0:0))
      call avCT(3754, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13975])

      allocate(vertices(589)%branchCT(0:0))
      call avCT(589, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_15296])

      allocate(vertices(71)%branchCT(0:0))
      call avCT(71, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14802])

      allocate(vertices(592)%branchCT(0:0))
      call avCT(592, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13975])

      allocate(vertices(593)%branchCT(0:0))
      call avCT(593, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14058])

      allocate(vertices(594)%branchCT(0:0))
      call avCT(594, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13962])

      allocate(vertices(595)%branchCT(0:0))
      call avCT(595, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_14017, nGC_14018])

      allocate(vertices(596)%branchCT(0:0))
      call avCT(596, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14085])

      allocate(vertices(597)%branchCT(0:0))
      call avCT(597, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14242])

      allocate(vertices(106)%branchCT(0:1))
      call avCT(106, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_14941])

      call avCT(106, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_14940])

      allocate(vertices(599)%branchCT(0:0))
      call avCT(599, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_15325])

      allocate(vertices(600)%branchCT(0:0))
      call avCT(600, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14427, nGC_14427,      &
      nGC_14428])

      allocate(vertices(3633)%branchCT(0:0))
      call avCT(3633, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14242])

      allocate(vertices(1005)%branchCT(0:0))
      call avCT(1005, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14067])

      allocate(vertices(146)%branchCT(0:0))
      call avCT(146, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14644])

      allocate(vertices(607)%branchCT(0:0))
      call avCT(607, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9641])

      allocate(vertices(608)%branchCT(0:0))
      call avCT(608, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_14374])

      allocate(vertices(3830)%branchCT(0:1))
      call avCT(3830, 0, 124, 1, 0, FaF0, 0, [0, 2], [nGC_15350, nGC_15346,    &
      nGC_15352, nGC_15352])

      call avCT(3830, 1, 124, 1, 0, FaF0, 0, [2, 0], [nGC_15351, nGC_15347,    &
      nGC_15353, nGC_15353])

      allocate(vertices(2850)%branchCT(0:0))
      call avCT(2850, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14045])

      allocate(vertices(178)%branchCT(0:0))
      call avCT(178, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13971])

      allocate(vertices(612)%branchCT(0:0))
      call avCT(612, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9636])

      allocate(vertices(204)%branchCT(0:0))
      call avCT(204, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_14017, nGC_14018])

      allocate(vertices(1645)%branchCT(0:0))
      call avCT(1645, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_14997])

      allocate(vertices(618)%branchCT(0:0))
      call avCT(618, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_15156])

      allocate(vertices(2265)%branchCT(0:0))
      call avCT(2265, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(251)%branchCT(0:0))
      call avCT(251, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14045])

      allocate(vertices(622)%branchCT(0:0))
      call avCT(622, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(272)%branchCT(0:0))
      call avCT(272, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14644])

      allocate(vertices(625)%branchCT(0:0))
      call avCT(625, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9635])

      allocate(vertices(626)%branchCT(0:0))
      call avCT(626, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13958])

      allocate(vertices(628)%branchCT(0:0))
      call avCT(628, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_15388])

      allocate(vertices(316)%branchCT(0:0))
      call avCT(316, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14549])

      allocate(vertices(631)%branchCT(0:0))
      call avCT(631, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13971])

      allocate(vertices(632)%branchCT(0:1))
      call avCT(632, 0, 18, 1, 0, FaFV0, 0, [0, 3], [nGC_14941])

      call avCT(632, 1, 18, 1, 0, FaFV0, 0, [2, 1], [nGC_14940])

      allocate(vertices(635)%branchCT(0:0))
      call avCT(635, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14231])

      allocate(vertices(3831)%branchCT(0:0))
      call avCT(3831, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14175])

      allocate(vertices(637)%branchCT(0:0))
      call avCT(637, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14058])

      allocate(vertices(638)%branchCT(0:1))
      call avCT(638, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_14307, nGC_14308])

      call avCT(638, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_14302, nGC_14299])

      allocate(vertices(639)%branchCT(0:0))
      call avCT(639, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9644])

      allocate(vertices(640)%branchCT(0:0))
      call avCT(640, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_15414])

      allocate(vertices(397)%branchCT(0:0))
      call avCT(397, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14489])

      allocate(vertices(1852)%branchCT(0:0))
      call avCT(1852, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_14399])

      allocate(vertices(647)%branchCT(0:0))
      call avCT(647, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13979])

      allocate(vertices(648)%branchCT(0:0))
      call avCT(648, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14189])

      allocate(vertices(649)%branchCT(0:0))
      call avCT(649, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9634])

      allocate(vertices(2485)%branchCT(0:0))
      call avCT(2485, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14356])

      allocate(vertices(3079)%branchCT(0:0))
      call avCT(3079, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14242])

      allocate(vertices(451)%branchCT(0:0))
      call avCT(451, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13971])

      allocate(vertices(3832)%branchCT(0:1))
      call avCT(3832, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_14255, nGC_14251,     &
      nGC_14257, nGC_14257])

      call avCT(3832, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_14256, nGC_14252,     &
      nGC_14258, nGC_14258])

      allocate(vertices(653)%branchCT(0:0))
      call avCT(653, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14045])

      allocate(vertices(472)%branchCT(0:0))
      call avCT(472, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14045])

      allocate(vertices(1295)%branchCT(0:0))
      call avCT(1295, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(658)%branchCT(0:1))
      call avCT(658, 0, 19, 1, 0, FaSF0, 0, [2, 1], [nGC_15007, nGC_15008])

      call avCT(658, 1, 19, 1, 0, FaSF0, 0, [0, 3], [nGC_15005, nGC_15006])

      allocate(vertices(2571)%branchCT(0:0))
      call avCT(2571, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14965])

      allocate(vertices(661)%branchCT(0:0))
      call avCT(661, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14183, nGC_14183,      &
      nGC_14182])

      allocate(vertices(662)%branchCT(0:1))
      call avCT(662, 0, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_14077, nGC_14076])

      call avCT(662, 1, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_14079, nGC_14078])

      allocate(vertices(665)%branchCT(0:0))
      call avCT(665, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13962])

      allocate(vertices(666)%branchCT(0:0))
      call avCT(666, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_15477, nGC_15478])

      allocate(vertices(3833)%branchCT(0:0))
      call avCT(3833, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14175])

      allocate(vertices(1297)%branchCT(0:0))
      call avCT(1297, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13962])

      allocate(vertices(674)%branchCT(0:0))
      call avCT(674, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13962])

      allocate(vertices(675)%branchCT(0:0))
      call avCT(675, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14085])

      allocate(vertices(677)%branchCT(0:0))
      call avCT(677, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14183, nGC_14182,      &
      nGC_14183])

      allocate(vertices(2598)%branchCT(0:3))
      call avCT(2598, 0, 22, 2, 0, FVFa0, 0, [1, 2], [nGC_15495, nGC_15497])

      call avCT(2598, 1, 22, 2, 0, FVFa0, 0, [3, 0], [nGC_15499, nGC_15500])

      call avCT(2598, 2, 23, 3, 0, FVFa0, 0, [1, 2], [nGC_15495, nGC_15497])

      call avCT(2598, 3, 23, 3, 0, FVFa0, 0, [3, 0], [nGC_15499, nGC_15500])

      allocate(vertices(582)%branchCT(0:0))
      call avCT(582, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14549])

      allocate(vertices(3834)%branchCT(0:0))
      call avCT(3834, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_14371])

      allocate(vertices(1298)%branchCT(0:0))
      call avCT(1298, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13962])

      allocate(vertices(683)%branchCT(0:0))
      call avCT(683, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14058])

      allocate(vertices(2492)%branchCT(0:1))
      call avCT(2492, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_15524, nGC_15524])

      call avCT(2492, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_15526, nGC_15526])

      allocate(vertices(685)%branchCT(0:0))
      call avCT(685, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_14723, nGC_14724])

      allocate(vertices(686)%branchCT(0:0))
      call avCT(686, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14600])

      allocate(vertices(688)%branchCT(0:0))
      call avCT(688, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9636])

      allocate(vertices(690)%branchCT(0:0))
      call avCT(690, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(692)%branchCT(0:0))
      call avCT(692, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13962])

      allocate(vertices(694)%branchCT(0:0))
      call avCT(694, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14242])

      allocate(vertices(696)%branchCT(0:0))
      call avCT(696, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_14038])

      allocate(vertices(2560)%branchCT(0:1))
      call avCT(2560, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_14569, nGC_14569])

      call avCT(2560, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_14571, nGC_14571])

      allocate(vertices(723)%branchCT(0:0))
      call avCT(723, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14367])

      allocate(vertices(702)%branchCT(0:0))
      call avCT(702, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14600])

      allocate(vertices(748)%branchCT(0:0))
      call avCT(748, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9634])

      allocate(vertices(770)%branchCT(0:0))
      call avCT(770, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14058])

      allocate(vertices(1674)%branchCT(0:1))
      call avCT(1674, 0, 19, 1, 0, FaVF1, 0, [0, 3], [nGC_15570, nGC_15571])

      call avCT(1674, 1, 19, 1, 0, FaVF1, 0, [2, 1], [nGC_15564, nGC_15567])

      allocate(vertices(1304)%branchCT(0:0))
      call avCT(1304, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14045])

      allocate(vertices(709)%branchCT(0:0))
      call avCT(709, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14242])

      allocate(vertices(713)%branchCT(0:0))
      call avCT(713, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9635])

      allocate(vertices(715)%branchCT(0:0))
      call avCT(715, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13958])

      allocate(vertices(718)%branchCT(0:0))
      call avCT(718, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_14005, nGC_14006])

      allocate(vertices(720)%branchCT(0:0))
      call avCT(720, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14242])

      allocate(vertices(845)%branchCT(0:0))
      call avCT(845, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14183, nGC_14183,      &
      nGC_14182])

      allocate(vertices(3149)%branchCT(0:0))
      call avCT(3149, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13971])

      allocate(vertices(724)%branchCT(0:0))
      call avCT(724, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14242])

      allocate(vertices(2753)%branchCT(0:0))
      call avCT(2753, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(726)%branchCT(0:1))
      call avCT(726, 0, 20, 1, 0, VFFa1, 0, [0, 3], [nGC_15611, nGC_15612])

      call avCT(726, 1, 20, 1, 0, VFFa1, 0, [2, 1], [nGC_15607, nGC_15604])

      allocate(vertices(727)%branchCT(0:0))
      call avCT(727, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14189])

      allocate(vertices(821)%branchCT(0:0))
      call avCT(821, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_15477, nGC_15478])

      allocate(vertices(730)%branchCT(0:0))
      call avCT(730, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_9651])

      allocate(vertices(3835)%branchCT(0:0))
      call avCT(3835, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_14536])

      allocate(vertices(733)%branchCT(0:0))
      call avCT(733, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14231])

      allocate(vertices(1894)%branchCT(0:0))
      call avCT(1894, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(735)%branchCT(0:1))
      call avCT(735, 0, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_14171, nGC_14172])

      call avCT(735, 1, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_14173, nGC_14174])

      allocate(vertices(736)%branchCT(0:1))
      call avCT(736, 0, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_15637, nGC_15638])

      call avCT(736, 1, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_15639, nGC_15640])

      allocate(vertices(3098)%branchCT(0:0))
      call avCT(3098, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14489])

      allocate(vertices(999)%branchCT(0:0))
      call avCT(999, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(1011)%branchCT(0:0))
      call avCT(1011, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9644])

      allocate(vertices(3836)%branchCT(0:0))
      call avCT(3836, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_14371])

      allocate(vertices(1021)%branchCT(0:0))
      call avCT(1021, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14242])

      allocate(vertices(1945)%branchCT(0:3))
      call avCT(1945, 0, 30, 2, 0, VFaF0, 0, [1, 2], [nGC_14443, nGC_14441])

      call avCT(1945, 1, 30, 2, 0, VFaF0, 0, [3, 0], [nGC_14447, nGC_14448])

      call avCT(1945, 2, 31, 3, 0, VFaF0, 0, [1, 2], [nGC_14443, nGC_14441])

      call avCT(1945, 3, 31, 3, 0, VFaF0, 0, [3, 0], [nGC_14447, nGC_14448])

      allocate(vertices(743)%branchCT(0:0))
      call avCT(743, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14085])

      allocate(vertices(744)%branchCT(0:0))
      call avCT(744, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_14038])

      allocate(vertices(1311)%branchCT(0:0))
      call avCT(1311, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14802])

      allocate(vertices(1054)%branchCT(0:0))
      call avCT(1054, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13962])

      allocate(vertices(751)%branchCT(0:0))
      call avCT(751, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14058])

      allocate(vertices(752)%branchCT(0:0))
      call avCT(752, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13979])

      allocate(vertices(753)%branchCT(0:0))
      call avCT(753, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14189])

      allocate(vertices(3837)%branchCT(0:0))
      call avCT(3837, 0, 13, 1, 0, FFa1, 0, [0, 2], [nGC_15681])

      allocate(vertices(2592)%branchCT(0:0))
      call avCT(2592, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14228])

      allocate(vertices(759)%branchCT(0:1))
      call avCT(759, 0, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_15570, nGC_15571])

      call avCT(759, 1, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_15564, nGC_15567])

      allocate(vertices(2761)%branchCT(0:0))
      call avCT(2761, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13971])

      allocate(vertices(1240)%branchCT(0:0))
      call avCT(1240, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14950])

      allocate(vertices(763)%branchCT(0:0))
      call avCT(763, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9636])

      allocate(vertices(764)%branchCT(0:0))
      call avCT(764, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_15705, nGC_15706])

      allocate(vertices(765)%branchCT(0:0))
      call avCT(765, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14183, nGC_14182,      &
      nGC_14183])

      allocate(vertices(766)%branchCT(0:0))
      call avCT(766, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_14399])

      allocate(vertices(767)%branchCT(0:1))
      call avCT(767, 0, 21, 1, 0, VFaF0, 0, [0, 3], [nGC_15611, nGC_15612])

      call avCT(767, 1, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_15607, nGC_15604])

      allocate(vertices(2238)%branchCT(0:0))
      call avCT(2238, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14058])

      allocate(vertices(769)%branchCT(0:1))
      call avCT(769, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_14337, nGC_14338])

      call avCT(769, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_14339, nGC_14340])

      allocate(vertices(1200)%branchCT(0:0))
      call avCT(1200, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_15732, nGC_15732,     &
      nGC_15733])

      allocate(vertices(773)%branchCT(0:0))
      call avCT(773, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14045])

      allocate(vertices(1220)%branchCT(0:0))
      call avCT(1220, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13962])

      allocate(vertices(776)%branchCT(0:1))
      call avCT(776, 0, 20, 1, 0, VFFa1, 0, [0, 3], [nGC_15570, nGC_15571])

      call avCT(776, 1, 20, 1, 0, VFFa1, 0, [2, 1], [nGC_15564, nGC_15567])

      allocate(vertices(778)%branchCT(0:0))
      call avCT(778, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(780)%branchCT(0:0))
      call avCT(780, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(781)%branchCT(0:0))
      call avCT(781, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14644])

      allocate(vertices(782)%branchCT(0:0))
      call avCT(782, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(3838)%branchCT(0:1))
      call avCT(3838, 0, 16, 8, 0, VV0, 0, [2, 0], [nGC_15754, nGC_15753])

      call avCT(3838, 1, 15, 1, 0, VV0, 0, [2, 0], [nGC_15754, nGC_15753])

      allocate(vertices(783)%branchCT(0:1))
      call avCT(783, 0, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_15762, nGC_15763])

      call avCT(783, 1, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_15764, nGC_15765])

      allocate(vertices(784)%branchCT(0:0))
      call avCT(784, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(1274)%branchCT(0:0))
      call avCT(1274, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14427, nGC_14428,     &
      nGC_14427])

      allocate(vertices(787)%branchCT(0:0))
      call avCT(787, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_15414])

      allocate(vertices(2760)%branchCT(0:0))
      call avCT(2760, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_14374])

      allocate(vertices(789)%branchCT(0:0))
      call avCT(789, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14242])

      allocate(vertices(790)%branchCT(0:0))
      call avCT(790, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_15782])

      allocate(vertices(795)%branchCT(0:0))
      call avCT(795, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(796)%branchCT(0:0))
      call avCT(796, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9641])

      allocate(vertices(2435)%branchCT(0:0))
      call avCT(2435, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_9651])

      allocate(vertices(3839)%branchCT(0:0))
      call avCT(3839, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_15165])

      allocate(vertices(2602)%branchCT(0:0))
      call avCT(2602, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13962])

      allocate(vertices(1391)%branchCT(0:0))
      call avCT(1391, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_14374])

      allocate(vertices(811)%branchCT(0:0))
      call avCT(811, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14058])

      allocate(vertices(812)%branchCT(0:0))
      call avCT(812, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13975])

      allocate(vertices(1523)%branchCT(0:0))
      call avCT(1523, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_14210])

      allocate(vertices(1473)%branchCT(0:0))
      call avCT(1473, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14189])

      allocate(vertices(1950)%branchCT(0:0))
      call avCT(1950, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14130])

      allocate(vertices(1514)%branchCT(0:0))
      call avCT(1514, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_15807])

      allocate(vertices(2608)%branchCT(0:0))
      call avCT(2608, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13975])

      allocate(vertices(824)%branchCT(0:0))
      call avCT(824, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(1244)%branchCT(0:0))
      call avCT(1244, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14058])

      allocate(vertices(827)%branchCT(0:0))
      call avCT(827, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14242])

      allocate(vertices(828)%branchCT(0:0))
      call avCT(828, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14231])

      allocate(vertices(829)%branchCT(0:0))
      call avCT(829, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14965])

      allocate(vertices(832)%branchCT(0:0))
      call avCT(832, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13975])

      allocate(vertices(833)%branchCT(0:0))
      call avCT(833, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_15833, nGC_15834])

      allocate(vertices(1605)%branchCT(0:0))
      call avCT(1605, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13971])

      allocate(vertices(836)%branchCT(0:0))
      call avCT(836, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13971])

      allocate(vertices(838)%branchCT(0:0))
      call avCT(838, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14045])

      allocate(vertices(839)%branchCT(0:1))
      call avCT(839, 0, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_15007, nGC_15008])

      call avCT(839, 1, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_15005, nGC_15006])

      allocate(vertices(2525)%branchCT(0:0))
      call avCT(2525, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14600])

      allocate(vertices(1329)%branchCT(0:0))
      call avCT(1329, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_15854, nGC_15855])

      allocate(vertices(844)%branchCT(0:3))
      call avCT(844, 0, 11, 2, 0, FFaV0, 0, [1, 2], [nGC_14443, nGC_14441])

      call avCT(844, 1, 11, 2, 0, FFaV0, 0, [3, 0], [nGC_14447, nGC_14448])

      call avCT(844, 2, 12, 3, 0, FFaV0, 0, [1, 2], [nGC_14443, nGC_14441])

      call avCT(844, 3, 12, 3, 0, FFaV0, 0, [3, 0], [nGC_14447, nGC_14448])

      allocate(vertices(721)%branchCT(0:0))
      call avCT(721, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_15156])

      allocate(vertices(849)%branchCT(0:0))
      call avCT(849, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14374])

      allocate(vertices(850)%branchCT(0:0))
      call avCT(850, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13962])

      allocate(vertices(851)%branchCT(0:0))
      call avCT(851, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_14210])

      allocate(vertices(855)%branchCT(0:0))
      call avCT(855, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14231])

      allocate(vertices(132)%branchCT(0:0))
      call avCT(132, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_14085])

      allocate(vertices(1732)%branchCT(0:0))
      call avCT(1732, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13979])

      allocate(vertices(860)%branchCT(0:0))
      call avCT(860, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_14637])

      allocate(vertices(2407)%branchCT(0:0))
      call avCT(2407, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13975])

      allocate(vertices(862)%branchCT(0:1))
      call avCT(862, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_15637, nGC_15638])

      call avCT(862, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_15639, nGC_15640])

      allocate(vertices(865)%branchCT(0:0))
      call avCT(865, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(866)%branchCT(0:0))
      call avCT(866, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_15414])

      allocate(vertices(1959)%branchCT(0:0))
      call avCT(1959, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14189])

      allocate(vertices(870)%branchCT(0:0))
      call avCT(870, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14228])

      allocate(vertices(871)%branchCT(0:0))
      call avCT(871, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9636])

      allocate(vertices(874)%branchCT(0:0))
      call avCT(874, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14045])

      allocate(vertices(875)%branchCT(0:3))
      call avCT(875, 0, 24, 2, 0, FaVF1, 0, [1, 2], [nGC_15910, nGC_15912])

      call avCT(875, 1, 24, 2, 0, FaVF1, 0, [3, 0], [nGC_15914, nGC_15915])

      call avCT(875, 2, 25, 3, 0, FaVF1, 0, [1, 2], [nGC_15910, nGC_15912])

      call avCT(875, 3, 25, 3, 0, FaVF1, 0, [3, 0], [nGC_15914, nGC_15915])

      allocate(vertices(2617)%branchCT(0:0))
      call avCT(2617, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14085])

      allocate(vertices(1859)%branchCT(0:0))
      call avCT(1859, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13975])

      allocate(vertices(1961)%branchCT(0:0))
      call avCT(1961, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13968])

      allocate(vertices(2309)%branchCT(0:0))
      call avCT(2309, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13975])

      allocate(vertices(881)%branchCT(0:1))
      call avCT(881, 0, 18, 1, 0, FaFV0, 0, [0, 3], [nGC_14941])

      call avCT(881, 1, 18, 1, 0, FaFV0, 0, [2, 1], [nGC_14940])

      allocate(vertices(3482)%branchCT(0:0))
      call avCT(3482, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13971])

      allocate(vertices(883)%branchCT(0:0))
      call avCT(883, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_14265])

      allocate(vertices(1365)%branchCT(0:0))
      call avCT(1365, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_15156])

      allocate(vertices(887)%branchCT(0:0))
      call avCT(887, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9636])

      allocate(vertices(888)%branchCT(0:1))
      call avCT(888, 0, 20, 1, 0, VFFa1, 0, [2, 1], [nGC_14302, nGC_14299])

      call avCT(888, 1, 20, 1, 0, VFFa1, 0, [0, 3], [nGC_14307, nGC_14308])

      allocate(vertices(2679)%branchCT(0:0))
      call avCT(2679, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_14711])

      allocate(vertices(1919)%branchCT(0:0))
      call avCT(1919, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14489])

      allocate(vertices(890)%branchCT(0:0))
      call avCT(890, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9644])

      allocate(vertices(1455)%branchCT(0:0))
      call avCT(1455, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_15080])

      allocate(vertices(892)%branchCT(0:1))
      call avCT(892, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_15970, nGC_15969])

      call avCT(892, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_15972, nGC_15971])

      allocate(vertices(1949)%branchCT(0:0))
      call avCT(1949, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14067])

      allocate(vertices(894)%branchCT(0:3))
      call avCT(894, 0, 30, 2, 0, VFaF0, 0, [1, 2], [nGC_15910, nGC_15912])

      call avCT(894, 1, 30, 2, 0, VFaF0, 0, [3, 0], [nGC_15914, nGC_15915])

      call avCT(894, 2, 31, 3, 0, VFaF0, 0, [1, 2], [nGC_15910, nGC_15912])

      call avCT(894, 3, 31, 3, 0, VFaF0, 0, [3, 0], [nGC_15914, nGC_15915])

      allocate(vertices(895)%branchCT(0:0))
      call avCT(895, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13975])

      allocate(vertices(899)%branchCT(0:0))
      call avCT(899, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_15477, nGC_15478])

      allocate(vertices(2304)%branchCT(0:0))
      call avCT(2304, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9642])

      allocate(vertices(2405)%branchCT(0:0))
      call avCT(2405, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14242])

      allocate(vertices(156)%branchCT(0:0))
      call avCT(156, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14183, nGC_14183,      &
      nGC_14182])

      allocate(vertices(1993)%branchCT(0:0))
      call avCT(1993, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14045])

      allocate(vertices(143)%branchCT(0:0))
      call avCT(143, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14549])

      allocate(vertices(2002)%branchCT(0:0))
      call avCT(2002, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14242])

      allocate(vertices(907)%branchCT(0:0))
      call avCT(907, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14802])

      allocate(vertices(908)%branchCT(0:0))
      call avCT(908, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14231])

      allocate(vertices(2630)%branchCT(0:0))
      call avCT(2630, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9642])

      allocate(vertices(3840)%branchCT(0:0))
      call avCT(3840, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_14536])

      allocate(vertices(3841)%branchCT(0:0))
      call avCT(3841, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14175])

      allocate(vertices(912)%branchCT(0:0))
      call avCT(912, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_14950])

      allocate(vertices(913)%branchCT(0:0))
      call avCT(913, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_14210])

      allocate(vertices(915)%branchCT(0:0))
      call avCT(915, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_15705, nGC_15706])

      allocate(vertices(2025)%branchCT(0:0))
      call avCT(2025, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14045])

      allocate(vertices(917)%branchCT(0:0))
      call avCT(917, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14419])

      allocate(vertices(918)%branchCT(0:0))
      call avCT(918, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9635])

      allocate(vertices(919)%branchCT(0:1))
      call avCT(919, 0, 19, 1, 0, FaVF1, 0, [0, 3], [nGC_16045, nGC_16046])

      call avCT(919, 1, 19, 1, 0, FaVF1, 0, [2, 1], [nGC_16039, nGC_16042])

      allocate(vertices(1345)%branchCT(0:0))
      call avCT(1345, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_13958])

      allocate(vertices(921)%branchCT(0:0))
      call avCT(921, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_14085])

      allocate(vertices(923)%branchCT(0:0))
      call avCT(923, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_14224])

      allocate(vertices(924)%branchCT(0:0))
      call avCT(924, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13958])

      allocate(vertices(927)%branchCT(0:0))
      call avCT(927, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_14694])

      allocate(vertices(3694)%branchCT(0:0))
      call avCT(3694, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13958])

      allocate(vertices(930)%branchCT(0:1))
      call avCT(930, 0, 19, 1, 0, FaSF0, 0, [2, 1], [nGC_14077, nGC_14076])

      call avCT(930, 1, 19, 1, 0, FaSF0, 0, [0, 3], [nGC_14079, nGC_14078])

      allocate(vertices(931)%branchCT(0:0))
      call avCT(931, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(932)%branchCT(0:1))
      call avCT(932, 0, 19, 1, 0, FaVF1, 0, [0, 3], [nGC_14919, nGC_14920])

      call avCT(932, 1, 19, 1, 0, FaVF1, 0, [2, 1], [nGC_14913, nGC_14910])

      allocate(vertices(3278)%branchCT(0:0))
      call avCT(3278, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13975])

      allocate(vertices(934)%branchCT(0:0))
      call avCT(934, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14228])

      allocate(vertices(3679)%branchCT(0:1))
      call avCT(3679, 0, 19, 1, 0, FaSF0, 0, [2, 1], [nGC_16096, nGC_16096])

      call avCT(3679, 1, 19, 1, 0, FaSF0, 0, [0, 3], [nGC_16098, nGC_16098])

      allocate(vertices(936)%branchCT(0:0))
      call avCT(936, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9636])

      allocate(vertices(937)%branchCT(0:1))
      call avCT(937, 0, 19, 1, 0, FaSF0, 0, [2, 1], [nGC_15969, nGC_15970])

      call avCT(937, 1, 19, 1, 0, FaSF0, 0, [0, 3], [nGC_15971, nGC_15972])

      allocate(vertices(938)%branchCT(0:0))
      call avCT(938, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13979])

      allocate(vertices(3138)%branchCT(0:0))
      call avCT(3138, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14189])

      allocate(vertices(2210)%branchCT(0:0))
      call avCT(2210, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14085])

      allocate(vertices(943)%branchCT(0:0))
      call avCT(943, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14085])

      allocate(vertices(1909)%branchCT(0:0))
      call avCT(1909, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13975])

      allocate(vertices(946)%branchCT(0:0))
      call avCT(946, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13975])

      allocate(vertices(948)%branchCT(0:0))
      call avCT(948, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14231])

      allocate(vertices(3548)%branchCT(0:0))
      call avCT(3548, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13962])

      allocate(vertices(950)%branchCT(0:0))
      call avCT(950, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14045])

      allocate(vertices(152)%branchCT(0:0))
      call avCT(152, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14549])

      allocate(vertices(952)%branchCT(0:0))
      call avCT(952, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(955)%branchCT(0:3))
      call avCT(955, 0, 30, 2, 0, VFaF0, 0, [1, 2], [nGC_14192, nGC_14194])

      call avCT(955, 1, 30, 2, 0, VFaF0, 0, [3, 0], [nGC_14196, nGC_14197])

      call avCT(955, 2, 31, 3, 0, VFaF0, 0, [1, 2], [nGC_14192, nGC_14194])

      call avCT(955, 3, 31, 3, 0, VFaF0, 0, [3, 0], [nGC_14196, nGC_14197])

      allocate(vertices(734)%branchCT(0:0))
      call avCT(734, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_15156])

      allocate(vertices(2332)%branchCT(0:1))
      call avCT(2332, 0, 19, 1, 0, FaSF0, 0, [2, 1], [nGC_14172, nGC_14171])

      call avCT(2332, 1, 19, 1, 0, FaSF0, 0, [0, 3], [nGC_14174, nGC_14173])

      allocate(vertices(2808)%branchCT(0:0))
      call avCT(2808, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14762])

      allocate(vertices(3409)%branchCT(0:0))
      call avCT(3409, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_13975])

      allocate(vertices(966)%branchCT(0:0))
      call avCT(966, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_14085])

      allocate(vertices(968)%branchCT(0:0))
      call avCT(968, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(969)%branchCT(0:1))
      call avCT(969, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_14095, nGC_14095])

      call avCT(969, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_14094, nGC_14094])

      allocate(vertices(971)%branchCT(0:0))
      call avCT(971, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14058])

      allocate(vertices(1250)%branchCT(0:0))
      call avCT(1250, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13971])

      allocate(vertices(974)%branchCT(0:0))
      call avCT(974, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14600])

      allocate(vertices(976)%branchCT(0:0))
      call avCT(976, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14374])

      allocate(vertices(977)%branchCT(0:0))
      call avCT(977, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14085])

      allocate(vertices(2473)%branchCT(0:0))
      call avCT(2473, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13971])

      allocate(vertices(980)%branchCT(0:0))
      call avCT(980, 0, 1, 1, 0, FSFa2, 0, [0, 3], [nGC_16189])

      allocate(vertices(3525)%branchCT(0:0))
      call avCT(3525, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13975])

      allocate(vertices(983)%branchCT(0:0))
      call avCT(983, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9633])

      allocate(vertices(984)%branchCT(0:1))
      call avCT(984, 0, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_14172, nGC_14171])

      call avCT(984, 1, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_14174, nGC_14173])

      allocate(vertices(2519)%branchCT(0:0))
      call avCT(2519, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14045])

      allocate(vertices(986)%branchCT(0:1))
      call avCT(986, 0, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_15969, nGC_15970])

      call avCT(986, 1, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_15971, nGC_15972])

      allocate(vertices(988)%branchCT(0:0))
      call avCT(988, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3391)%branchCT(0:0))
      call avCT(3391, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14231])

      allocate(vertices(2549)%branchCT(0:0))
      call avCT(2549, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_16218])

      allocate(vertices(1999)%branchCT(0:0))
      call avCT(1999, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13979])

      allocate(vertices(993)%branchCT(0:0))
      call avCT(993, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14242])

      allocate(vertices(994)%branchCT(0:0))
      call avCT(994, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9636])

      allocate(vertices(996)%branchCT(0:0))
      call avCT(996, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13971])

      allocate(vertices(997)%branchCT(0:0))
      call avCT(997, 0, 1, 1, 0, FSFa2, 0, [0, 3], [nGC_14347])

      allocate(vertices(998)%branchCT(0:0))
      call avCT(998, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(738)%branchCT(0:0))
      call avCT(738, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14644])

      allocate(vertices(1000)%branchCT(0:0))
      call avCT(1000, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14147, nGC_14147,     &
      nGC_14146])

      allocate(vertices(3664)%branchCT(0:0))
      call avCT(3664, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14058])

      allocate(vertices(3842)%branchCT(0:0))
      call avCT(3842, 0, 13, 1, 0, SV0, 0, [0, 2], [nGC_16242])

      allocate(vertices(1003)%branchCT(0:0))
      call avCT(1003, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_14005, nGC_14006])

      allocate(vertices(1004)%branchCT(0:0))
      call avCT(1004, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14231])

      allocate(vertices(1007)%branchCT(0:1))
      call avCT(1007, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_16096, nGC_16096])

      call avCT(1007, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_16098, nGC_16098])

      allocate(vertices(1008)%branchCT(0:0))
      call avCT(1008, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13962])

      allocate(vertices(2664)%branchCT(0:0))
      call avCT(2664, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9643])

      allocate(vertices(1010)%branchCT(0:1))
      call avCT(1010, 0, 21, 1, 0, VFaF0, 0, [0, 3], [nGC_16270, nGC_16271])

      call avCT(1010, 1, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_16263, nGC_16266])

      allocate(vertices(739)%branchCT(0:0))
      call avCT(739, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9634])

      allocate(vertices(3843)%branchCT(0:1))
      call avCT(3843, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_16281, nGC_16275,     &
      nGC_16283, nGC_16283])

      call avCT(3843, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_16282, nGC_16276,     &
      nGC_16284, nGC_16284])

      allocate(vertices(2418)%branchCT(0:0))
      call avCT(2418, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14130])

      allocate(vertices(1017)%branchCT(0:1))
      call avCT(1017, 0, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_15639, nGC_15640])

      call avCT(1017, 1, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_15637, nGC_15638])

      allocate(vertices(2716)%branchCT(0:0))
      call avCT(2716, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9633])

      allocate(vertices(1023)%branchCT(0:0))
      call avCT(1023, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_14638])

      allocate(vertices(1024)%branchCT(0:0))
      call avCT(1024, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14802])

      allocate(vertices(3844)%branchCT(0:0))
      call avCT(3844, 0, 13, 1, 0, FFa1, 0, [0, 2], [nGC_16300])

      allocate(vertices(1027)%branchCT(0:0))
      call avCT(1027, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9643])

      allocate(vertices(3241)%branchCT(0:0))
      call avCT(3241, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_16304])

      allocate(vertices(1032)%branchCT(0:0))
      call avCT(1032, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14045])

      allocate(vertices(1034)%branchCT(0:0))
      call avCT(1034, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_14661])

      allocate(vertices(1123)%branchCT(0:0))
      call avCT(1123, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_14661])

      allocate(vertices(1036)%branchCT(0:0))
      call avCT(1036, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13979])

      allocate(vertices(1037)%branchCT(0:0))
      call avCT(1037, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9642])

      allocate(vertices(1038)%branchCT(0:0))
      call avCT(1038, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_14347])

      allocate(vertices(1039)%branchCT(0:0))
      call avCT(1039, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_15225])

      allocate(vertices(1362)%branchCT(0:0))
      call avCT(1362, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13962])

      allocate(vertices(2869)%branchCT(0:0))
      call avCT(2869, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14549])

      allocate(vertices(1044)%branchCT(0:1))
      call avCT(1044, 0, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_16338, nGC_16339])

      call avCT(1044, 1, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_16331, nGC_16334])

      allocate(vertices(1045)%branchCT(0:0))
      call avCT(1045, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14600])

      allocate(vertices(1046)%branchCT(0:0))
      call avCT(1046, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14058])

      allocate(vertices(1047)%branchCT(0:0))
      call avCT(1047, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_16349])

      allocate(vertices(1048)%branchCT(0:0))
      call avCT(1048, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(1050)%branchCT(0:0))
      call avCT(1050, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13971])

      allocate(vertices(1057)%branchCT(0:0))
      call avCT(1057, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14058])

      allocate(vertices(3518)%branchCT(0:0))
      call avCT(3518, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_14085])

      allocate(vertices(3043)%branchCT(0:0))
      call avCT(3043, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(3056)%branchCT(0:0))
      call avCT(3056, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13971])

      allocate(vertices(1060)%branchCT(0:0))
      call avCT(1060, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_14399])

      allocate(vertices(1062)%branchCT(0:0))
      call avCT(1062, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14228])

      allocate(vertices(3311)%branchCT(0:1))
      call avCT(3311, 0, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_15637, nGC_15638])

      call avCT(3311, 1, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_15639, nGC_15640])

      allocate(vertices(3093)%branchCT(0:0))
      call avCT(3093, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_15080])

      allocate(vertices(808)%branchCT(0:0))
      call avCT(808, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14385])

      allocate(vertices(1068)%branchCT(0:1))
      call avCT(1068, 0, 62, 6, 0, UUaV0, 0, [3, 0], [nGC_16378])

      call avCT(1068, 1, 63, 7, 0, UUaV0, 0, [3, 0], [nGC_16378])

      allocate(vertices(1995)%branchCT(0:0))
      call avCT(1995, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14644])

      allocate(vertices(1072)%branchCT(0:0))
      call avCT(1072, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14067])

      allocate(vertices(1074)%branchCT(0:0))
      call avCT(1074, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13958])

      allocate(vertices(1076)%branchCT(0:0))
      call avCT(1076, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14644])

      allocate(vertices(1077)%branchCT(0:0))
      call avCT(1077, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14045])

      allocate(vertices(1078)%branchCT(0:1))
      call avCT(1078, 0, 19, 1, 0, FaVF1, 0, [0, 3], [nGC_14280, nGC_14281])

      call avCT(1078, 1, 19, 1, 0, FaVF1, 0, [2, 1], [nGC_14270, nGC_14273])

      allocate(vertices(172)%branchCT(0:0))
      call avCT(172, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14058])

      allocate(vertices(1082)%branchCT(0:0))
      call avCT(1082, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_13997])

      allocate(vertices(1083)%branchCT(0:0))
      call avCT(1083, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3227)%branchCT(0:0))
      call avCT(3227, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_13962])

      allocate(vertices(1087)%branchCT(0:0))
      call avCT(1087, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14356])

      allocate(vertices(3245)%branchCT(0:1))
      call avCT(3245, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_16338, nGC_16339])

      call avCT(3245, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_16331, nGC_16334])

      allocate(vertices(1095)%branchCT(0:0))
      call avCT(1095, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14058])

      allocate(vertices(1099)%branchCT(0:0))
      call avCT(1099, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13975])

      allocate(vertices(1998)%branchCT(0:1))
      call avCT(1998, 0, 20, 1, 0, VFFa1, 0, [0, 3], [nGC_16270, nGC_16271])

      call avCT(1998, 1, 20, 1, 0, VFFa1, 0, [2, 1], [nGC_16263, nGC_16266])

      allocate(vertices(1102)%branchCT(0:0))
      call avCT(1102, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14965])

      allocate(vertices(1103)%branchCT(0:0))
      call avCT(1103, 0, 1, 1, 0, UaUV0, 0, [0, 3], [nGC_15225])

      allocate(vertices(1106)%branchCT(0:0))
      call avCT(1106, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13971])

      allocate(vertices(1109)%branchCT(0:0))
      call avCT(1109, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14489])

      allocate(vertices(3411)%branchCT(0:0))
      call avCT(3411, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13975])

      allocate(vertices(1235)%branchCT(0:1))
      call avCT(1235, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_14172, nGC_14171])

      call avCT(1235, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_14174, nGC_14173])

      allocate(vertices(1115)%branchCT(0:1))
      call avCT(1115, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_15570, nGC_15571])

      call avCT(1115, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_15564, nGC_15567])

      allocate(vertices(1116)%branchCT(0:0))
      call avCT(1116, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_16466])

      allocate(vertices(1119)%branchCT(0:0))
      call avCT(1119, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_15854, nGC_15855])

      allocate(vertices(182)%branchCT(0:0))
      call avCT(182, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13962])

      allocate(vertices(1124)%branchCT(0:1))
      call avCT(1124, 0, 60, 6, 0, UVUa0, 0, [3, 0], [nGC_16378])

      call avCT(1124, 1, 61, 7, 0, UVUa0, 0, [3, 0], [nGC_16378])

      allocate(vertices(1126)%branchCT(0:0))
      call avCT(1126, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14242])

      allocate(vertices(2712)%branchCT(0:0))
      call avCT(2712, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14644])

      allocate(vertices(3588)%branchCT(0:0))
      call avCT(3588, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9641])

      allocate(vertices(1129)%branchCT(0:0))
      call avCT(1129, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_14399])

      allocate(vertices(1657)%branchCT(0:0))
      call avCT(1657, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9635])

      allocate(vertices(1131)%branchCT(0:0))
      call avCT(1131, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14600])

      allocate(vertices(3522)%branchCT(0:0))
      call avCT(3522, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13971])

      allocate(vertices(3538)%branchCT(0:0))
      call avCT(3538, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14045])

      allocate(vertices(1136)%branchCT(0:0))
      call avCT(1136, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9634])

      allocate(vertices(1137)%branchCT(0:1))
      call avCT(1137, 0, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_15142, nGC_15143])

      call avCT(1137, 1, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_15138, nGC_15135])

      allocate(vertices(1141)%branchCT(0:1))
      call avCT(1141, 0, 19, 1, 0, FaVF1, 0, [0, 3], [nGC_14524, nGC_14525])

      call avCT(1141, 1, 19, 1, 0, FaVF1, 0, [2, 1], [nGC_14521, nGC_14517])

      allocate(vertices(1142)%branchCT(0:0))
      call avCT(1142, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_16512])

      allocate(vertices(186)%branchCT(0:0))
      call avCT(186, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9632])

      allocate(vertices(1144)%branchCT(0:0))
      call avCT(1144, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14058])

      allocate(vertices(1147)%branchCT(0:0))
      call avCT(1147, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14085])

      allocate(vertices(1148)%branchCT(0:1))
      call avCT(1148, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_14076, nGC_14077])

      call avCT(1148, 1, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_14078, nGC_14079])

      allocate(vertices(3613)%branchCT(0:0))
      call avCT(3613, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14428, nGC_14427,     &
      nGC_14427])

      allocate(vertices(1151)%branchCT(0:0))
      call avCT(1151, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14428, nGC_14427,     &
      nGC_14427])

      allocate(vertices(1152)%branchCT(0:0))
      call avCT(1152, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9644])

      allocate(vertices(1153)%branchCT(0:0))
      call avCT(1153, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9632])

      allocate(vertices(1156)%branchCT(0:0))
      call avCT(1156, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14231])

      allocate(vertices(1159)%branchCT(0:0))
      call avCT(1159, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14356])

      allocate(vertices(3332)%branchCT(0:0))
      call avCT(3332, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9634])

      allocate(vertices(1164)%branchCT(0:0))
      call avCT(1164, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14361])

      allocate(vertices(1165)%branchCT(0:1))
      call avCT(1165, 0, 19, 1, 0, FaVF0, 0, [0, 3], [nGC_14941])

      call avCT(1165, 1, 19, 1, 0, FaVF0, 0, [2, 1], [nGC_14940])

      allocate(vertices(1167)%branchCT(0:1))
      call avCT(1167, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_15611, nGC_15612])

      call avCT(1167, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_15607, nGC_15604])

      allocate(vertices(189)%branchCT(0:0))
      call avCT(189, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14085])

      allocate(vertices(3798)%branchCT(0:0))
      call avCT(3798, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14231])

      allocate(vertices(1342)%branchCT(0:1))
      call avCT(1342, 0, 21, 1, 0, VFaF0, 0, [0, 3], [nGC_16570, nGC_16571])

      call avCT(1342, 1, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_16561, nGC_16564])

      allocate(vertices(1174)%branchCT(0:0))
      call avCT(1174, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13968])

      allocate(vertices(1177)%branchCT(0:0))
      call avCT(1177, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_14224])

      allocate(vertices(646)%branchCT(0:1))
      call avCT(646, 0, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_15762, nGC_15763])

      call avCT(646, 1, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_15764, nGC_15765])

      allocate(vertices(1180)%branchCT(0:0))
      call avCT(1180, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13962])

      allocate(vertices(1183)%branchCT(0:0))
      call avCT(1183, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_14377])

      allocate(vertices(3335)%branchCT(0:0))
      call avCT(3335, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9641])

      allocate(vertices(58)%branchCT(0:0))
      call avCT(58, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_15225])

      allocate(vertices(956)%branchCT(0:0))
      call avCT(956, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14130])

      allocate(vertices(1191)%branchCT(0:0))
      call avCT(1191, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14367])

      allocate(vertices(1198)%branchCT(0:0))
      call avCT(1198, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14067])

      allocate(vertices(772)%branchCT(0:0))
      call avCT(772, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(142)%branchCT(0:0))
      call avCT(142, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9635])

      allocate(vertices(1202)%branchCT(0:1))
      call avCT(1202, 0, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_16098, nGC_16098])

      call avCT(1202, 1, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_16096, nGC_16096])

      allocate(vertices(155)%branchCT(0:0))
      call avCT(155, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13975])

      allocate(vertices(163)%branchCT(0:0))
      call avCT(163, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13971])

      allocate(vertices(3753)%branchCT(0:0))
      call avCT(3753, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14965])

      allocate(vertices(1596)%branchCT(0:0))
      call avCT(1596, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_15388])

      allocate(vertices(1212)%branchCT(0:0))
      call avCT(1212, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_16622])

      allocate(vertices(1582)%branchCT(0:0))
      call avCT(1582, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14045])

      allocate(vertices(1214)%branchCT(0:0))
      call avCT(1214, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14058])

      allocate(vertices(1217)%branchCT(0:0))
      call avCT(1217, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13968])

      allocate(vertices(1218)%branchCT(0:0))
      call avCT(1218, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13958])

      allocate(vertices(1219)%branchCT(0:0))
      call avCT(1219, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14189])

      allocate(vertices(2754)%branchCT(0:1))
      call avCT(2754, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_15123, nGC_15123])

      call avCT(2754, 1, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_15125, nGC_15125])

      allocate(vertices(1221)%branchCT(0:0))
      call avCT(1221, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13962])

      allocate(vertices(1224)%branchCT(0:0))
      call avCT(1224, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14189])

      allocate(vertices(1225)%branchCT(0:0))
      call avCT(1225, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_15225])

      allocate(vertices(1226)%branchCT(0:0))
      call avCT(1226, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13975])

      allocate(vertices(1922)%branchCT(0:0))
      call avCT(1922, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13962])

      allocate(vertices(3845)%branchCT(0:0))
      call avCT(3845, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14175])

      allocate(vertices(1228)%branchCT(0:0))
      call avCT(1228, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_14017, nGC_14018])

      allocate(vertices(1229)%branchCT(0:0))
      call avCT(1229, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_15156])

      allocate(vertices(1089)%branchCT(0:0))
      call avCT(1089, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_14694])

      allocate(vertices(1231)%branchCT(0:0))
      call avCT(1231, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14802])

      allocate(vertices(1232)%branchCT(0:0))
      call avCT(1232, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14054])

      allocate(vertices(1233)%branchCT(0:0))
      call avCT(1233, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_14265])

      allocate(vertices(3161)%branchCT(0:0))
      call avCT(3161, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(1871)%branchCT(0:0))
      call avCT(1871, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14147, nGC_14147,     &
      nGC_14146])

      allocate(vertices(619)%branchCT(0:3))
      call avCT(619, 0, 28, 2, 0, VFFa1, 0, [1, 2], [nGC_14192, nGC_14194])

      call avCT(619, 1, 28, 2, 0, VFFa1, 0, [3, 0], [nGC_14196, nGC_14197])

      call avCT(619, 2, 29, 3, 0, VFFa1, 0, [1, 2], [nGC_14192, nGC_14194])

      call avCT(619, 3, 29, 3, 0, VFFa1, 0, [3, 0], [nGC_14196, nGC_14197])

      allocate(vertices(362)%branchCT(0:0))
      call avCT(362, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13975])

      allocate(vertices(1241)%branchCT(0:0))
      call avCT(1241, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_14085])

      allocate(vertices(1242)%branchCT(0:0))
      call avCT(1242, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(3846)%branchCT(0:0))
      call avCT(3846, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_14536])

      allocate(vertices(1243)%branchCT(0:0))
      call avCT(1243, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(404)%branchCT(0:0))
      call avCT(404, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(227)%branchCT(0:0))
      call avCT(227, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13958])

      allocate(vertices(2022)%branchCT(0:0))
      call avCT(2022, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_14153])

      allocate(vertices(3797)%branchCT(0:0))
      call avCT(3797, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14228])

      allocate(vertices(1451)%branchCT(0:0))
      call avCT(1451, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14228])

      allocate(vertices(1254)%branchCT(0:0))
      call avCT(1254, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14549])

      allocate(vertices(460)%branchCT(0:0))
      call avCT(460, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9643])

      allocate(vertices(1256)%branchCT(0:0))
      call avCT(1256, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_16218])

      allocate(vertices(147)%branchCT(0:0))
      call avCT(147, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9642])

      allocate(vertices(205)%branchCT(0:0))
      call avCT(205, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_14882, nGC_14882])

      allocate(vertices(1262)%branchCT(0:0))
      call avCT(1262, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13979])

      allocate(vertices(1474)%branchCT(0:0))
      call avCT(1474, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13962])

      allocate(vertices(508)%branchCT(0:0))
      call avCT(508, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14965])

      allocate(vertices(3794)%branchCT(0:0))
      call avCT(3794, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14549])

      allocate(vertices(2995)%branchCT(0:0))
      call avCT(2995, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14058])

      allocate(vertices(1268)%branchCT(0:0))
      call avCT(1268, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_14415])

      allocate(vertices(2725)%branchCT(0:0))
      call avCT(2725, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14045])

      allocate(vertices(1272)%branchCT(0:0))
      call avCT(1272, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14231])

      allocate(vertices(1022)%branchCT(0:1))
      call avCT(1022, 0, 18, 1, 0, FaFV1, 0, [0, 3], [nGC_16270, nGC_16271])

      call avCT(1022, 1, 18, 1, 0, FaFV1, 0, [2, 1], [nGC_16263, nGC_16266])

      allocate(vertices(1275)%branchCT(0:0))
      call avCT(1275, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13975])

      allocate(vertices(581)%branchCT(0:3))
      call avCT(581, 0, 27, 3, 0, FaFV1, 0, [1, 2], [nGC_15910, nGC_15912])

      call avCT(581, 1, 27, 3, 0, FaFV1, 0, [3, 0], [nGC_15914, nGC_15915])

      call avCT(581, 2, 26, 2, 0, FaFV1, 0, [1, 2], [nGC_15910, nGC_15912])

      call avCT(581, 3, 26, 2, 0, FaFV1, 0, [3, 0], [nGC_15914, nGC_15915])

      allocate(vertices(1278)%branchCT(0:0))
      call avCT(1278, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13971])

      allocate(vertices(1280)%branchCT(0:0))
      call avCT(1280, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(1288)%branchCT(0:0))
      call avCT(1288, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9635])

      allocate(vertices(1289)%branchCT(0:1))
      call avCT(1289, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_14171, nGC_14172])

      call avCT(1289, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_14173, nGC_14174])

      allocate(vertices(1264)%branchCT(0:5))
      call avCT(1264, 0, 9, 4, 0, UaUVV0, 0, [4, 0], [nGC_15021])

      call avCT(1264, 1, 7, 4, 0, UaUVV0, 0, [4, 0], [nGC_15021])

      call avCT(1264, 2, 8, 4, 0, UaUVV0, 0, [4, 0], [nGC_15021])

      call avCT(1264, 3, 6, 4, 0, UaUVV0, 0, [4, 0], [nGC_15021])

      call avCT(1264, 4, 5, 5, 0, UaUVV0, 0, [4, 0], [nGC_15030])

      call avCT(1264, 5, 4, 5, 0, UaUVV0, 0, [4, 0], [nGC_15030])

      allocate(vertices(1292)%branchCT(0:0))
      call avCT(1292, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14231])

      allocate(vertices(2029)%branchCT(0:0))
      call avCT(2029, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(3414)%branchCT(0:0))
      call avCT(3414, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14950])

      allocate(vertices(1836)%branchCT(0:0))
      call avCT(1836, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_14638])

      allocate(vertices(656)%branchCT(0:0))
      call avCT(656, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(1296)%branchCT(0:0))
      call avCT(1296, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_15225])

      allocate(vertices(3847)%branchCT(0:1))
      call avCT(3847, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_15350, nGC_15346,     &
      nGC_15352, nGC_15352])

      call avCT(3847, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_15351, nGC_15347,     &
      nGC_15353, nGC_15353])

      allocate(vertices(682)%branchCT(0:0))
      call avCT(682, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_13962])

      allocate(vertices(1299)%branchCT(0:0))
      call avCT(1299, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_15388])

      allocate(vertices(1897)%branchCT(0:0))
      call avCT(1897, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14058])

      allocate(vertices(1301)%branchCT(0:0))
      call avCT(1301, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14045])

      allocate(vertices(1302)%branchCT(0:1))
      call avCT(1302, 0, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_14408, nGC_14409])

      call avCT(1302, 1, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_14406, nGC_14407])

      allocate(vertices(3661)%branchCT(0:0))
      call avCT(3661, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14419])

      allocate(vertices(1308)%branchCT(0:0))
      call avCT(1308, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14242])

      allocate(vertices(3647)%branchCT(0:0))
      call avCT(3647, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13979])

      allocate(vertices(3848)%branchCT(0:0))
      call avCT(3848, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_16845])

      allocate(vertices(1315)%branchCT(0:0))
      call avCT(1315, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14058])

      allocate(vertices(1316)%branchCT(0:0))
      call avCT(1316, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_14374])

      allocate(vertices(1317)%branchCT(0:0))
      call avCT(1317, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_14210])

      allocate(vertices(1318)%branchCT(0:0))
      call avCT(1318, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14045])

      allocate(vertices(3849)%branchCT(0:0))
      call avCT(3849, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14175])

      allocate(vertices(788)%branchCT(0:0))
      call avCT(788, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14356])

      allocate(vertices(1321)%branchCT(0:0))
      call avCT(1321, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_14224])

      allocate(vertices(737)%branchCT(0:5))
      call avCT(737, 0, 123, 5, 0, VUUaV0, 0, [4, 0], [nGC_15030])

      call avCT(737, 1, 121, 4, 0, VUUaV0, 0, [4, 0], [nGC_15021])

      call avCT(737, 2, 119, 4, 0, VUUaV0, 0, [4, 0], [nGC_15021])

      call avCT(737, 3, 120, 4, 0, VUUaV0, 0, [4, 0], [nGC_15021])

      call avCT(737, 4, 118, 4, 0, VUUaV0, 0, [4, 0], [nGC_15021])

      call avCT(737, 5, 122, 5, 0, VUUaV0, 0, [4, 0], [nGC_15030])

      allocate(vertices(1028)%branchCT(0:0))
      call avCT(1028, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_15060, nGC_15060])

      allocate(vertices(2699)%branchCT(0:0))
      call avCT(2699, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14085])

      allocate(vertices(1324)%branchCT(0:0))
      call avCT(1324, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_9646])

      allocate(vertices(1326)%branchCT(0:1))
      call avCT(1326, 0, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_15637, nGC_15638])

      call avCT(1326, 1, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_15639, nGC_15640])

      allocate(vertices(1327)%branchCT(0:0))
      call avCT(1327, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13975])

      allocate(vertices(3850)%branchCT(0:0))
      call avCT(3850, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_14371])

      allocate(vertices(1332)%branchCT(0:0))
      call avCT(1332, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13971])

      allocate(vertices(1334)%branchCT(0:0))
      call avCT(1334, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(1337)%branchCT(0:0))
      call avCT(1337, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14242])

      allocate(vertices(2584)%branchCT(0:0))
      call avCT(2584, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14644])

      allocate(vertices(1343)%branchCT(0:0))
      call avCT(1343, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9636])

      allocate(vertices(1344)%branchCT(0:0))
      call avCT(1344, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_14711])

      allocate(vertices(920)%branchCT(0:0))
      call avCT(920, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13958])

      allocate(vertices(1346)%branchCT(0:0))
      call avCT(1346, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13962])

      allocate(vertices(1347)%branchCT(0:0))
      call avCT(1347, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_13997])

      allocate(vertices(970)%branchCT(0:0))
      call avCT(970, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14802])

      allocate(vertices(1349)%branchCT(0:0))
      call avCT(1349, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14367])

      allocate(vertices(953)%branchCT(0:0))
      call avCT(953, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13975])

      allocate(vertices(216)%branchCT(0:0))
      call avCT(216, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(1352)%branchCT(0:0))
      call avCT(1352, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13975])

      allocate(vertices(1353)%branchCT(0:0))
      call avCT(1353, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14085])

      allocate(vertices(1354)%branchCT(0:1))
      call avCT(1354, 0, 21, 1, 0, VFaF0, 0, [0, 3], [nGC_16935, nGC_16936])

      call avCT(1354, 1, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_16926, nGC_16929])

      allocate(vertices(982)%branchCT(0:0))
      call avCT(982, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(1357)%branchCT(0:0))
      call avCT(1357, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14189])

      allocate(vertices(1019)%branchCT(0:0))
      call avCT(1019, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_15807])

      allocate(vertices(1359)%branchCT(0:0))
      call avCT(1359, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_14224])

      allocate(vertices(3388)%branchCT(0:0))
      call avCT(3388, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14189])

      allocate(vertices(1363)%branchCT(0:0))
      call avCT(1363, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14085])

      allocate(vertices(1367)%branchCT(0:1))
      call avCT(1367, 0, 19, 1, 0, FaVF0, 0, [0, 3], [nGC_14207])

      call avCT(1367, 1, 19, 1, 0, FaVF0, 0, [2, 1], [nGC_14206])

      allocate(vertices(1370)%branchCT(0:0))
      call avCT(1370, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13971])

      allocate(vertices(1372)%branchCT(0:0))
      call avCT(1372, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13975])

      allocate(vertices(1374)%branchCT(0:0))
      call avCT(1374, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13975])

      allocate(vertices(1375)%branchCT(0:0))
      call avCT(1375, 0, 1, 1, 0, UaUV0, 0, [0, 3], [nGC_14210])

      allocate(vertices(1376)%branchCT(0:0))
      call avCT(1376, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14058])

      allocate(vertices(1377)%branchCT(0:0))
      call avCT(1377, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_14998])

      allocate(vertices(1378)%branchCT(0:0))
      call avCT(1378, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14419])

      allocate(vertices(1380)%branchCT(0:0))
      call avCT(1380, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_14399])

      allocate(vertices(1382)%branchCT(0:0))
      call avCT(1382, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_16977, nGC_16977])

      allocate(vertices(1384)%branchCT(0:0))
      call avCT(1384, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_15807])

      allocate(vertices(1386)%branchCT(0:0))
      call avCT(1386, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14644])

      allocate(vertices(1387)%branchCT(0:0))
      call avCT(1387, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_9651])

      allocate(vertices(1389)%branchCT(0:0))
      call avCT(1389, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_16987, nGC_16988])

      allocate(vertices(803)%branchCT(0:0))
      call avCT(803, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9632])

      allocate(vertices(1392)%branchCT(0:0))
      call avCT(1392, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9633])

      allocate(vertices(1393)%branchCT(0:0))
      call avCT(1393, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_15225])

      allocate(vertices(1394)%branchCT(0:0))
      call avCT(1394, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9635])

      allocate(vertices(1395)%branchCT(0:0))
      call avCT(1395, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_16466])

      allocate(vertices(1396)%branchCT(0:0))
      call avCT(1396, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(1397)%branchCT(0:0))
      call avCT(1397, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9632])

      allocate(vertices(1227)%branchCT(0:0))
      call avCT(1227, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13971])

      allocate(vertices(1401)%branchCT(0:0))
      call avCT(1401, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9633])

      allocate(vertices(1404)%branchCT(0:1))
      call avCT(1404, 0, 64, 6, 0, UaVU0, 0, [3, 0], [nGC_16378])

      call avCT(1404, 1, 65, 7, 0, UaVU0, 0, [3, 0], [nGC_16378])

      allocate(vertices(1406)%branchCT(0:0))
      call avCT(1406, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13979])

      allocate(vertices(224)%branchCT(0:0))
      call avCT(224, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14085])

      allocate(vertices(1285)%branchCT(0:0))
      call avCT(1285, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(1412)%branchCT(0:0))
      call avCT(1412, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14085])

      allocate(vertices(1413)%branchCT(0:0))
      call avCT(1413, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13971])

      allocate(vertices(3851)%branchCT(0:0))
      call avCT(3851, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14175])

      allocate(vertices(3710)%branchCT(0:0))
      call avCT(3710, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14067])

      allocate(vertices(1416)%branchCT(0:5))
      call avCT(1416, 0, 96, 4, 0, VVUaU0, 0, [4, 0], [nGC_15021])

      call avCT(1416, 1, 94, 4, 0, VVUaU0, 0, [4, 0], [nGC_15021])

      call avCT(1416, 2, 99, 5, 0, VVUaU0, 0, [4, 0], [nGC_15030])

      call avCT(1416, 3, 98, 5, 0, VVUaU0, 0, [4, 0], [nGC_15030])

      call avCT(1416, 4, 97, 4, 0, VVUaU0, 0, [4, 0], [nGC_15021])

      call avCT(1416, 5, 95, 4, 0, VVUaU0, 0, [4, 0], [nGC_15021])

      allocate(vertices(1419)%branchCT(0:1))
      call avCT(1419, 0, 21, 1, 0, VFaF0, 0, [0, 3], [nGC_15570, nGC_15571])

      call avCT(1419, 1, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_15564, nGC_15567])

      allocate(vertices(1421)%branchCT(0:0))
      call avCT(1421, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14183, nGC_14182,     &
      nGC_14183])

      allocate(vertices(1423)%branchCT(0:0))
      call avCT(1423, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14385])

      allocate(vertices(1424)%branchCT(0:1))
      call avCT(1424, 0, 68, 6, 0, VUaU0, 0, [3, 0], [nGC_16378])

      call avCT(1424, 1, 69, 7, 0, VUaU0, 0, [3, 0], [nGC_16378])

      allocate(vertices(1425)%branchCT(0:0))
      call avCT(1425, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13971])

      allocate(vertices(1427)%branchCT(0:1))
      call avCT(1427, 0, 19, 1, 0, FaVF1, 0, [0, 3], [nGC_16338, nGC_16339])

      call avCT(1427, 1, 19, 1, 0, FaVF1, 0, [2, 1], [nGC_16331, nGC_16334])

      allocate(vertices(1431)%branchCT(0:0))
      call avCT(1431, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_9651])

      allocate(vertices(1433)%branchCT(0:0))
      call avCT(1433, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_14711])

      allocate(vertices(1435)%branchCT(0:0))
      call avCT(1435, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14189])

      allocate(vertices(1436)%branchCT(0:0))
      call avCT(1436, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14374])

      allocate(vertices(1438)%branchCT(0:0))
      call avCT(1438, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14045])

      allocate(vertices(1439)%branchCT(0:1))
      call avCT(1439, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_14406, nGC_14407])

      call avCT(1439, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_14408, nGC_14409])

      allocate(vertices(1442)%branchCT(0:0))
      call avCT(1442, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14489])

      allocate(vertices(1480)%branchCT(0:0))
      call avCT(1480, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9634])

      allocate(vertices(2056)%branchCT(0:0))
      call avCT(2056, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9635])

      allocate(vertices(3852)%branchCT(0:0))
      call avCT(3852, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_17083, nGC_17080,     &
      nGC_17084, nGC_17084])

      allocate(vertices(1446)%branchCT(0:0))
      call avCT(1446, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14058])

      allocate(vertices(1447)%branchCT(0:0))
      call avCT(1447, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_17091])

      allocate(vertices(1520)%branchCT(0:0))
      call avCT(1520, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14045])

      allocate(vertices(3412)%branchCT(0:0))
      call avCT(3412, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14146, nGC_14147,     &
      nGC_14147])

      allocate(vertices(3407)%branchCT(0:0))
      call avCT(3407, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14054])

      allocate(vertices(858)%branchCT(0:0))
      call avCT(858, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14228])

      allocate(vertices(1542)%branchCT(0:0))
      call avCT(1542, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(1456)%branchCT(0:0))
      call avCT(1456, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_15807])

      allocate(vertices(1458)%branchCT(0:0))
      call avCT(1458, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_14347])

      allocate(vertices(1460)%branchCT(0:0))
      call avCT(1460, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14045])

      allocate(vertices(1463)%branchCT(0:0))
      call avCT(1463, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13975])

      allocate(vertices(1613)%branchCT(0:0))
      call avCT(1613, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14231])

      allocate(vertices(1466)%branchCT(0:3))
      call avCT(1466, 0, 27, 3, 0, FaFV1, 0, [1, 2], [nGC_14192, nGC_14194])

      call avCT(1466, 1, 27, 3, 0, FaFV1, 0, [3, 0], [nGC_14196, nGC_14197])

      call avCT(1466, 2, 26, 2, 0, FaFV1, 0, [1, 2], [nGC_14192, nGC_14194])

      call avCT(1466, 3, 26, 2, 0, FaFV1, 0, [3, 0], [nGC_14196, nGC_14197])

      allocate(vertices(3717)%branchCT(0:0))
      call avCT(3717, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13971])

      allocate(vertices(1621)%branchCT(0:0))
      call avCT(1621, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_13975])

      allocate(vertices(1469)%branchCT(0:0))
      call avCT(1469, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_14159])

      allocate(vertices(1470)%branchCT(0:0))
      call avCT(1470, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13962])

      allocate(vertices(1472)%branchCT(0:0))
      call avCT(1472, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_14394])

      allocate(vertices(1475)%branchCT(0:0))
      call avCT(1475, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_15705, nGC_15706])

      allocate(vertices(2058)%branchCT(0:0))
      call avCT(2058, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13962])

      allocate(vertices(1477)%branchCT(0:0))
      call avCT(1477, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9633])

      allocate(vertices(1478)%branchCT(0:0))
      call avCT(1478, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_14153])

      allocate(vertices(1479)%branchCT(0:0))
      call avCT(1479, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14189])

      allocate(vertices(2703)%branchCT(0:0))
      call avCT(2703, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14489])

      allocate(vertices(3460)%branchCT(0:0))
      call avCT(3460, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9636])

      allocate(vertices(1483)%branchCT(0:0))
      call avCT(1483, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(1723)%branchCT(0:0))
      call avCT(1723, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9633])

      allocate(vertices(1912)%branchCT(0:0))
      call avCT(1912, 0, 1, 1, 0, SFaF2, 0, [0, 3], [nGC_14347])

      allocate(vertices(1486)%branchCT(0:0))
      call avCT(1486, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_9651])

      allocate(vertices(1487)%branchCT(0:0))
      call avCT(1487, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9644])

      allocate(vertices(1740)%branchCT(0:0))
      call avCT(1740, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14045])

      allocate(vertices(1489)%branchCT(0:0))
      call avCT(1489, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_14711])

      allocate(vertices(1490)%branchCT(0:0))
      call avCT(1490, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9643])

      allocate(vertices(2946)%branchCT(0:0))
      call avCT(2946, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14045])

      allocate(vertices(1492)%branchCT(0:0))
      call avCT(1492, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_15156])

      allocate(vertices(1494)%branchCT(0:0))
      call avCT(1494, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(1787)%branchCT(0:0))
      call avCT(1787, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9642])

      allocate(vertices(1790)%branchCT(0:0))
      call avCT(1790, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_14399])

      allocate(vertices(1499)%branchCT(0:0))
      call avCT(1499, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9634])

      allocate(vertices(1500)%branchCT(0:0))
      call avCT(1500, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_16189])

      allocate(vertices(240)%branchCT(0:0))
      call avCT(240, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14085])

      allocate(vertices(1502)%branchCT(0:0))
      call avCT(1502, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14085])

      allocate(vertices(1506)%branchCT(0:0))
      call avCT(1506, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_15705, nGC_15706])

      allocate(vertices(1508)%branchCT(0:0))
      call avCT(1508, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14045])

      allocate(vertices(1510)%branchCT(0:1))
      call avCT(1510, 0, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_15526, nGC_15526])

      call avCT(1510, 1, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_15524, nGC_15524])

    end subroutine fill_vertices_mdl6
end module vertices_info6
