!******************************************************************************!
!                                                                              !
!    vertices_info7.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info7.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-28 18:17             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info7
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl7()
      allocate(vertices(1511)%branchCT(0:0))
      call avCT(1511, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9633])

      allocate(vertices(241)%branchCT(0:0))
      call avCT(241, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_17206])

      allocate(vertices(1516)%branchCT(0:0))
      call avCT(1516, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14374])

      allocate(vertices(1518)%branchCT(0:0))
      call avCT(1518, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13971])

      allocate(vertices(1890)%branchCT(0:0))
      call avCT(1890, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13975])

      allocate(vertices(1521)%branchCT(0:0))
      call avCT(1521, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14600])

      allocate(vertices(1522)%branchCT(0:0))
      call avCT(1522, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14058])

      allocate(vertices(1917)%branchCT(0:0))
      call avCT(1917, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_14377])

      allocate(vertices(1524)%branchCT(0:0))
      call avCT(1524, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9636])

      allocate(vertices(2227)%branchCT(0:0))
      call avCT(2227, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14242])

      allocate(vertices(1526)%branchCT(0:0))
      call avCT(1526, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14231])

      allocate(vertices(1528)%branchCT(0:0))
      call avCT(1528, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14058])

      allocate(vertices(1529)%branchCT(0:0))
      call avCT(1529, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9633])

      allocate(vertices(1530)%branchCT(0:1))
      call avCT(1530, 0, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_15970, nGC_15969])

      call avCT(1530, 1, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_15972, nGC_15971])

      allocate(vertices(1331)%branchCT(0:0))
      call avCT(1331, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14189])

      allocate(vertices(1533)%branchCT(0:0))
      call avCT(1533, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13958])

      allocate(vertices(1986)%branchCT(0:0))
      call avCT(1986, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13979])

      allocate(vertices(1534)%branchCT(0:0))
      call avCT(1534, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(2067)%branchCT(0:0))
      call avCT(2067, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14085])

      allocate(vertices(1538)%branchCT(0:0))
      call avCT(1538, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14644])

      allocate(vertices(1540)%branchCT(0:0))
      call avCT(1540, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13975])

      allocate(vertices(2020)%branchCT(0:0))
      call avCT(2020, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9641])

      allocate(vertices(1453)%branchCT(0:0))
      call avCT(1453, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14549])

      allocate(vertices(1544)%branchCT(0:0))
      call avCT(1544, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(247)%branchCT(0:0))
      call avCT(247, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14374])

      allocate(vertices(1547)%branchCT(0:0))
      call avCT(1547, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13971])

      allocate(vertices(3168)%branchCT(0:0))
      call avCT(3168, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14058])

      allocate(vertices(1550)%branchCT(0:1))
      call avCT(1550, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_14817, nGC_14818])

      call avCT(1550, 1, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_14819, nGC_14820])

      allocate(vertices(3356)%branchCT(0:0))
      call avCT(3356, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13968])

      allocate(vertices(2111)%branchCT(0:0))
      call avCT(2111, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_14085])

      allocate(vertices(2745)%branchCT(0:0))
      call avCT(2745, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14045])

      allocate(vertices(1557)%branchCT(0:0))
      call avCT(1557, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_14085])

      allocate(vertices(1558)%branchCT(0:0))
      call avCT(1558, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_15156])

      allocate(vertices(1559)%branchCT(0:0))
      call avCT(1559, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(1560)%branchCT(0:0))
      call avCT(1560, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9644])

      allocate(vertices(1561)%branchCT(0:0))
      call avCT(1561, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9641])

      allocate(vertices(1562)%branchCT(0:0))
      call avCT(1562, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14045])

      allocate(vertices(1563)%branchCT(0:0))
      call avCT(1563, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_14661])

      allocate(vertices(1564)%branchCT(0:0))
      call avCT(1564, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14189])

      allocate(vertices(1565)%branchCT(0:1))
      call avCT(1565, 0, 19, 1, 0, FaVF1, 0, [0, 3], [nGC_16570, nGC_16571])

      call avCT(1565, 1, 19, 1, 0, FaVF1, 0, [2, 1], [nGC_16561, nGC_16564])

      allocate(vertices(2746)%branchCT(0:0))
      call avCT(2746, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(1568)%branchCT(0:0))
      call avCT(1568, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_13997])

      allocate(vertices(1571)%branchCT(0:0))
      call avCT(1571, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13975])

      allocate(vertices(1572)%branchCT(0:0))
      call avCT(1572, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_14377])

      allocate(vertices(1574)%branchCT(0:0))
      call avCT(1574, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13971])

      allocate(vertices(1576)%branchCT(0:0))
      call avCT(1576, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_14153])

      allocate(vertices(2263)%branchCT(0:0))
      call avCT(2263, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14058])

      allocate(vertices(2310)%branchCT(0:0))
      call avCT(2310, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9642])

      allocate(vertices(3853)%branchCT(0:0))
      call avCT(3853, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14175])

      allocate(vertices(1583)%branchCT(0:0))
      call avCT(1583, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14231])

      allocate(vertices(1584)%branchCT(0:0))
      call avCT(1584, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14385])

      allocate(vertices(1585)%branchCT(0:0))
      call avCT(1585, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_14950])

      allocate(vertices(2356)%branchCT(0:0))
      call avCT(2356, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9632])

      allocate(vertices(1588)%branchCT(0:0))
      call avCT(1588, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_15807])

      allocate(vertices(1591)%branchCT(0:0))
      call avCT(1591, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14242])

      allocate(vertices(3854)%branchCT(0:0))
      call avCT(3854, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14175])

      allocate(vertices(1595)%branchCT(0:0))
      call avCT(1595, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_14377])

      allocate(vertices(2409)%branchCT(0:0))
      call avCT(2409, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(1597)%branchCT(0:0))
      call avCT(1597, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_15225])

      allocate(vertices(1601)%branchCT(0:0))
      call avCT(1601, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13979])

      allocate(vertices(1602)%branchCT(0:0))
      call avCT(1602, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_14637])

      allocate(vertices(1603)%branchCT(0:0))
      call avCT(1603, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14189])

      allocate(vertices(1604)%branchCT(0:1))
      call avCT(1604, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_15969, nGC_15970])

      call avCT(1604, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_15971, nGC_15972])

      allocate(vertices(1607)%branchCT(0:0))
      call avCT(1607, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14419])

      allocate(vertices(1608)%branchCT(0:0))
      call avCT(1608, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_14265])

      allocate(vertices(1610)%branchCT(0:0))
      call avCT(1610, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14242])

      allocate(vertices(1612)%branchCT(0:0))
      call avCT(1612, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_15325])

      allocate(vertices(1465)%branchCT(0:0))
      call avCT(1465, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14045])

      allocate(vertices(3855)%branchCT(0:0))
      call avCT(3855, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_15165])

      allocate(vertices(3856)%branchCT(0:0))
      call avCT(3856, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14175])

      allocate(vertices(1616)%branchCT(0:0))
      call avCT(1616, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_15060, nGC_15060])

      allocate(vertices(3323)%branchCT(0:0))
      call avCT(3323, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9644])

      allocate(vertices(3857)%branchCT(0:0))
      call avCT(3857, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_14371])

      allocate(vertices(1620)%branchCT(0:1))
      call avCT(1620, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_16926, nGC_16929])

      call avCT(1620, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_16935, nGC_16936])

      allocate(vertices(2517)%branchCT(0:0))
      call avCT(2517, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(1623)%branchCT(0:0))
      call avCT(1623, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13968])

      allocate(vertices(2601)%branchCT(0:0))
      call avCT(2601, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14231])

      allocate(vertices(2615)%branchCT(0:0))
      call avCT(2615, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13958])

      allocate(vertices(1936)%branchCT(0:3))
      call avCT(1936, 0, 22, 2, 0, FVFa0, 0, [1, 2], [nGC_14023, nGC_14025])

      call avCT(1936, 1, 22, 2, 0, FVFa0, 0, [3, 0], [nGC_14028, nGC_14029])

      call avCT(1936, 2, 23, 3, 0, FVFa0, 0, [1, 2], [nGC_14023, nGC_14025])

      call avCT(1936, 3, 23, 3, 0, FVFa0, 0, [3, 0], [nGC_14028, nGC_14029])

      allocate(vertices(699)%branchCT(0:5))
      call avCT(699, 0, 40, 4, 0, UaVUV0, 0, [4, 0], [nGC_15021])

      call avCT(699, 1, 42, 4, 0, UaVUV0, 0, [4, 0], [nGC_15021])

      call avCT(699, 2, 87, 4, 0, UaVUV0, 0, [4, 0], [nGC_15021])

      call avCT(699, 3, 86, 4, 0, UaVUV0, 0, [4, 0], [nGC_15021])

      call avCT(699, 4, 43, 5, 0, UaVUV0, 0, [4, 0], [nGC_15030])

      call avCT(699, 5, 41, 5, 0, UaVUV0, 0, [4, 0], [nGC_15030])

      allocate(vertices(2640)%branchCT(0:0))
      call avCT(2640, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(1633)%branchCT(0:0))
      call avCT(1633, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(422)%branchCT(0:0))
      call avCT(422, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13968])

      allocate(vertices(1402)%branchCT(0:0))
      call avCT(1402, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14058])

      allocate(vertices(1639)%branchCT(0:0))
      call avCT(1639, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14189])

      allocate(vertices(1640)%branchCT(0:0))
      call avCT(1640, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_14723, nGC_14724])

      allocate(vertices(3574)%branchCT(0:0))
      call avCT(3574, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(1642)%branchCT(0:0))
      call avCT(1642, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14356])

      allocate(vertices(3808)%branchCT(0:0))
      call avCT(3808, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(1644)%branchCT(0:1))
      call avCT(1644, 0, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_14280, nGC_14281])

      call avCT(1644, 1, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_14270, nGC_14273])

      allocate(vertices(1647)%branchCT(0:0))
      call avCT(1647, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9634])

      allocate(vertices(843)%branchCT(0:0))
      call avCT(843, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3858)%branchCT(0:0))
      call avCT(3858, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14175])

      allocate(vertices(1650)%branchCT(0:1))
      call avCT(1650, 0, 20, 1, 0, VFFa1, 0, [2, 1], [nGC_16926, nGC_16929])

      call avCT(1650, 1, 20, 1, 0, VFFa1, 0, [0, 3], [nGC_16935, nGC_16936])

      allocate(vertices(1654)%branchCT(0:0))
      call avCT(1654, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9636])

      allocate(vertices(1656)%branchCT(0:0))
      call avCT(1656, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(1658)%branchCT(0:0))
      call avCT(1658, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13962])

      allocate(vertices(1659)%branchCT(0:0))
      call avCT(1659, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_9651])

      allocate(vertices(2889)%branchCT(0:0))
      call avCT(2889, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_15733, nGC_15732,     &
      nGC_15732])

      allocate(vertices(1662)%branchCT(0:0))
      call avCT(1662, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14600])

      allocate(vertices(1663)%branchCT(0:0))
      call avCT(1663, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_14085])

      allocate(vertices(3859)%branchCT(0:0))
      call avCT(3859, 0, 13, 1, 0, VV1, 0, [0, 2], [nGC_17482, nGC_17478,      &
      nGC_17481])

      allocate(vertices(1665)%branchCT(0:0))
      call avCT(1665, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14802])

      allocate(vertices(1668)%branchCT(0:0))
      call avCT(1668, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14385])

      allocate(vertices(2944)%branchCT(0:0))
      call avCT(2944, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14419])

      allocate(vertices(1671)%branchCT(0:0))
      call avCT(1671, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14549])

      allocate(vertices(1672)%branchCT(0:0))
      call avCT(1672, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14130])

      allocate(vertices(3275)%branchCT(0:1))
      call avCT(3275, 0, 17, 1, 0, FVFa1, 0, [0, 3], [nGC_14941])

      call avCT(3275, 1, 17, 1, 0, FVFa1, 0, [2, 1], [nGC_14940])

      allocate(vertices(1678)%branchCT(0:0))
      call avCT(1678, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9641])

      allocate(vertices(1679)%branchCT(0:0))
      call avCT(1679, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9642])

      allocate(vertices(3027)%branchCT(0:0))
      call avCT(3027, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13975])

      allocate(vertices(3860)%branchCT(0:0))
      call avCT(3860, 0, 13, 1, 0, SV0, 0, [0, 2], [nGC_17507])

      allocate(vertices(3042)%branchCT(0:0))
      call avCT(3042, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_14210])

      allocate(vertices(1684)%branchCT(0:0))
      call avCT(1684, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14058])

      allocate(vertices(1685)%branchCT(0:0))
      call avCT(1685, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_15156])

      allocate(vertices(1988)%branchCT(0:0))
      call avCT(1988, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14054])

      allocate(vertices(1687)%branchCT(0:1))
      call avCT(1687, 0, 19, 1, 0, FaSF0, 0, [2, 1], [nGC_15123, nGC_15123])

      call avCT(1687, 1, 19, 1, 0, FaSF0, 0, [0, 3], [nGC_15125, nGC_15125])

      allocate(vertices(3075)%branchCT(0:0))
      call avCT(3075, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9635])

      allocate(vertices(1689)%branchCT(0:0))
      call avCT(1689, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_14153])

      allocate(vertices(2843)%branchCT(0:0))
      call avCT(2843, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(1691)%branchCT(0:0))
      call avCT(1691, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14644])

      allocate(vertices(1693)%branchCT(0:0))
      call avCT(1693, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13975])

      allocate(vertices(3110)%branchCT(0:0))
      call avCT(3110, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14600])

      allocate(vertices(1695)%branchCT(0:0))
      call avCT(1695, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13975])

      allocate(vertices(1696)%branchCT(0:0))
      call avCT(1696, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_16512])

      allocate(vertices(3184)%branchCT(0:0))
      call avCT(3184, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14067])

      allocate(vertices(3144)%branchCT(0:0))
      call avCT(3144, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14231])

      allocate(vertices(3159)%branchCT(0:0))
      call avCT(3159, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14427, nGC_14427,     &
      nGC_14428])

      allocate(vertices(1702)%branchCT(0:0))
      call avCT(1702, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_16987, nGC_16988])

      allocate(vertices(1705)%branchCT(0:3))
      call avCT(1705, 0, 22, 2, 0, FVFa0, 0, [1, 2], [nGC_15910, nGC_15912])

      call avCT(1705, 1, 22, 2, 0, FVFa0, 0, [3, 0], [nGC_15914, nGC_15915])

      call avCT(1705, 2, 23, 3, 0, FVFa0, 0, [1, 2], [nGC_15910, nGC_15912])

      call avCT(1705, 3, 23, 3, 0, FVFa0, 0, [3, 0], [nGC_15914, nGC_15915])

      allocate(vertices(1706)%branchCT(0:0))
      call avCT(1706, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13975])

      allocate(vertices(1707)%branchCT(0:1))
      call avCT(1707, 0, 21, 1, 0, VFaF1, 0, [0, 3], [nGC_14941])

      call avCT(1707, 1, 21, 1, 0, VFaF1, 0, [2, 1], [nGC_14940])

      allocate(vertices(3861)%branchCT(0:0))
      call avCT(3861, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14175])

      allocate(vertices(1710)%branchCT(0:0))
      call avCT(1710, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13958])

      allocate(vertices(1712)%branchCT(0:0))
      call avCT(1712, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13975])

      allocate(vertices(1716)%branchCT(0:0))
      call avCT(1716, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_9651])

      allocate(vertices(1719)%branchCT(0:0))
      call avCT(1719, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14549])

      allocate(vertices(3269)%branchCT(0:0))
      call avCT(3269, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9634])

      allocate(vertices(3271)%branchCT(0:0))
      call avCT(3271, 0, 1, 1, 0, UaUV0, 0, [0, 3], [nGC_14210])

      allocate(vertices(1484)%branchCT(0:0))
      call avCT(1484, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14228])

      allocate(vertices(1724)%branchCT(0:0))
      call avCT(1724, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13962])

      allocate(vertices(2779)%branchCT(0:0))
      call avCT(2779, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_14005, nGC_14006])

      allocate(vertices(1727)%branchCT(0:0))
      call avCT(1727, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_14475])

      allocate(vertices(1728)%branchCT(0:0))
      call avCT(1728, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(1730)%branchCT(0:0))
      call avCT(1730, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14231])

      allocate(vertices(3729)%branchCT(0:0))
      call avCT(3729, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13962])

      allocate(vertices(3862)%branchCT(0:1))
      call avCT(3862, 0, 124, 1, 0, FaF0, 0, [0, 2], [nGC_16281, nGC_16275,    &
      nGC_16283, nGC_16283])

      call avCT(3862, 1, 124, 1, 0, FaF0, 0, [2, 0], [nGC_16282, nGC_16276,    &
      nGC_16284, nGC_16284])

      allocate(vertices(1733)%branchCT(0:0))
      call avCT(1733, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_9651])

      allocate(vertices(1735)%branchCT(0:0))
      call avCT(1735, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14058])

      allocate(vertices(3408)%branchCT(0:0))
      call avCT(3408, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14058])

      allocate(vertices(1741)%branchCT(0:0))
      call avCT(1741, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14085])

      allocate(vertices(861)%branchCT(0:0))
      call avCT(861, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14085])

      allocate(vertices(1743)%branchCT(0:0))
      call avCT(1743, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(3457)%branchCT(0:0))
      call avCT(3457, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13975])

      allocate(vertices(3863)%branchCT(0:0))
      call avCT(3863, 0, 13, 1, 0, FaF1, 0, [0, 2], [nGC_17635])

      allocate(vertices(1747)%branchCT(0:0))
      call avCT(1747, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13968])

      allocate(vertices(3430)%branchCT(0:0))
      call avCT(3430, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13971])

      allocate(vertices(3496)%branchCT(0:0))
      call avCT(3496, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13975])

      allocate(vertices(2494)%branchCT(0:0))
      call avCT(2494, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14231])

      allocate(vertices(3508)%branchCT(0:0))
      call avCT(3508, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_16349])

      allocate(vertices(1754)%branchCT(0:0))
      call avCT(1754, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13962])

      allocate(vertices(1755)%branchCT(0:0))
      call avCT(1755, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14045])

      allocate(vertices(1757)%branchCT(0:0))
      call avCT(1757, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(1759)%branchCT(0:0))
      call avCT(1759, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_15732, nGC_15732,     &
      nGC_15733])

      allocate(vertices(1760)%branchCT(0:1))
      call avCT(1760, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_15524, nGC_15524])

      call avCT(1760, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_15526, nGC_15526])

      allocate(vertices(1761)%branchCT(0:0))
      call avCT(1761, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13958])

      allocate(vertices(3583)%branchCT(0:0))
      call avCT(3583, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14231])

      allocate(vertices(1764)%branchCT(0:0))
      call avCT(1764, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13975])

      allocate(vertices(284)%branchCT(0:0))
      call avCT(284, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9633])

      allocate(vertices(1767)%branchCT(0:0))
      call avCT(1767, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14242])

      allocate(vertices(1772)%branchCT(0:1))
      call avCT(1772, 0, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_16270, nGC_16271])

      call avCT(1772, 1, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_16263, nGC_16266])

      allocate(vertices(1774)%branchCT(0:0))
      call avCT(1774, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_15156])

      allocate(vertices(1777)%branchCT(0:0))
      call avCT(1777, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13971])

      allocate(vertices(3675)%branchCT(0:0))
      call avCT(3675, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13971])

      allocate(vertices(3695)%branchCT(0:1))
      call avCT(3695, 0, 21, 1, 0, VFaF1, 0, [0, 3], [nGC_14207])

      call avCT(3695, 1, 21, 1, 0, VFaF1, 0, [2, 1], [nGC_14206])

      allocate(vertices(3864)%branchCT(0:0))
      call avCT(3864, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14175])

      allocate(vertices(1784)%branchCT(0:0))
      call avCT(1784, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9641])

      allocate(vertices(1785)%branchCT(0:0))
      call avCT(1785, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14385])

      allocate(vertices(1786)%branchCT(0:0))
      call avCT(1786, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_14038])

      allocate(vertices(1788)%branchCT(0:0))
      call avCT(1788, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_13962])

      allocate(vertices(1791)%branchCT(0:3))
      call avCT(1791, 0, 27, 3, 0, FaFV1, 0, [1, 2], [nGC_15495, nGC_15497])

      call avCT(1791, 1, 27, 3, 0, FaFV1, 0, [3, 0], [nGC_15499, nGC_15500])

      call avCT(1791, 2, 26, 2, 0, FaFV1, 0, [1, 2], [nGC_15495, nGC_15497])

      call avCT(1791, 3, 26, 2, 0, FaFV1, 0, [3, 0], [nGC_15499, nGC_15500])

      allocate(vertices(1793)%branchCT(0:0))
      call avCT(1793, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13975])

      allocate(vertices(3865)%branchCT(0:0))
      call avCT(3865, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_14371])

      allocate(vertices(1794)%branchCT(0:0))
      call avCT(1794, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13958])

      allocate(vertices(3807)%branchCT(0:0))
      call avCT(3807, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13962])

      allocate(vertices(1954)%branchCT(0:0))
      call avCT(1954, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_15388])

      allocate(vertices(3866)%branchCT(0:0))
      call avCT(3866, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14175])

      allocate(vertices(1798)%branchCT(0:0))
      call avCT(1798, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9633])

      allocate(vertices(1799)%branchCT(0:0))
      call avCT(1799, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13971])

      allocate(vertices(2788)%branchCT(0:0))
      call avCT(2788, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(2166)%branchCT(0:0))
      call avCT(2166, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14189])

      allocate(vertices(1804)%branchCT(0:0))
      call avCT(1804, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_13997])

      allocate(vertices(42)%branchCT(0:0))
      call avCT(42, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13971])

      allocate(vertices(1809)%branchCT(0:0))
      call avCT(1809, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14045])

      allocate(vertices(427)%branchCT(0:0))
      call avCT(427, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14058])

      allocate(vertices(1812)%branchCT(0:0))
      call avCT(1812, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_14649])

      allocate(vertices(1813)%branchCT(0:0))
      call avCT(1813, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9635])

      allocate(vertices(1814)%branchCT(0:0))
      call avCT(1814, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_9646])

      allocate(vertices(93)%branchCT(0:0))
      call avCT(93, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(1816)%branchCT(0:1))
      call avCT(1816, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_16096, nGC_16096])

      call avCT(1816, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_16098, nGC_16098])

      allocate(vertices(1819)%branchCT(0:0))
      call avCT(1819, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14183, nGC_14182,     &
      nGC_14183])

      allocate(vertices(1822)%branchCT(0:0))
      call avCT(1822, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(2659)%branchCT(0:0))
      call avCT(2659, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(1829)%branchCT(0:0))
      call avCT(1829, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13971])

      allocate(vertices(1830)%branchCT(0:0))
      call avCT(1830, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13962])

      allocate(vertices(1831)%branchCT(0:0))
      call avCT(1831, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_14661])

      allocate(vertices(3867)%branchCT(0:0))
      call avCT(3867, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_14063, nGC_14061,     &
      nGC_14064, nGC_14064])

      allocate(vertices(184)%branchCT(0:0))
      call avCT(184, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(1835)%branchCT(0:0))
      call avCT(1835, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(1838)%branchCT(0:0))
      call avCT(1838, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_15477, nGC_15478])

      allocate(vertices(1840)%branchCT(0:0))
      call avCT(1840, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13968])

      allocate(vertices(1842)%branchCT(0:0))
      call avCT(1842, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9634])

      allocate(vertices(3464)%branchCT(0:1))
      call avCT(3464, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_14076, nGC_14077])

      call avCT(3464, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_14078, nGC_14079])

      allocate(vertices(928)%branchCT(0:0))
      call avCT(928, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13958])

      allocate(vertices(1845)%branchCT(0:0))
      call avCT(1845, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_14661])

      allocate(vertices(1847)%branchCT(0:0))
      call avCT(1847, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13971])

      allocate(vertices(1849)%branchCT(0:0))
      call avCT(1849, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_14085])

      allocate(vertices(1850)%branchCT(0:1))
      call avCT(1850, 0, 20, 1, 0, VFFa0, 0, [0, 3], [nGC_14941])

      call avCT(1850, 1, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_14940])

      allocate(vertices(3777)%branchCT(0:0))
      call avCT(3777, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14045])

      allocate(vertices(288)%branchCT(0:0))
      call avCT(288, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(1854)%branchCT(0:0))
      call avCT(1854, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14231])

      allocate(vertices(1856)%branchCT(0:0))
      call avCT(1856, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13971])

      allocate(vertices(1860)%branchCT(0:0))
      call avCT(1860, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9642])

      allocate(vertices(1862)%branchCT(0:0))
      call avCT(1862, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13962])

      allocate(vertices(1093)%branchCT(0:0))
      call avCT(1093, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14231])

      allocate(vertices(1867)%branchCT(0:0))
      call avCT(1867, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_14159])

      allocate(vertices(1869)%branchCT(0:0))
      call avCT(1869, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14058])

      allocate(vertices(1870)%branchCT(0:1))
      call avCT(1870, 0, 19, 1, 0, FaSF0, 0, [2, 1], [nGC_14171, nGC_14172])

      call avCT(1870, 1, 19, 1, 0, FaSF0, 0, [0, 3], [nGC_14173, nGC_14174])

      allocate(vertices(1236)%branchCT(0:0))
      call avCT(1236, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(1873)%branchCT(0:1))
      call avCT(1873, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_14171, nGC_14172])

      call avCT(1873, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_14173, nGC_14174])

      allocate(vertices(3498)%branchCT(0:1))
      call avCT(3498, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_15970, nGC_15969])

      call avCT(3498, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_15972, nGC_15971])

      allocate(vertices(1874)%branchCT(0:0))
      call avCT(1874, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14644])

      allocate(vertices(1875)%branchCT(0:0))
      call avCT(1875, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_9646])

      allocate(vertices(1878)%branchCT(0:0))
      call avCT(1878, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_16466])

      allocate(vertices(225)%branchCT(0:0))
      call avCT(225, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14085])

      allocate(vertices(1882)%branchCT(0:0))
      call avCT(1882, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(1883)%branchCT(0:0))
      call avCT(1883, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_14005, nGC_14006])

      allocate(vertices(882)%branchCT(0:0))
      call avCT(882, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14058])

      allocate(vertices(1887)%branchCT(0:0))
      call avCT(1887, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_15060, nGC_15060])

      allocate(vertices(1888)%branchCT(0:0))
      call avCT(1888, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14802])

      allocate(vertices(3714)%branchCT(0:0))
      call avCT(3714, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13962])

      allocate(vertices(3289)%branchCT(0:0))
      call avCT(3289, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14231])

      allocate(vertices(886)%branchCT(0:0))
      call avCT(886, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14228])

      allocate(vertices(515)%branchCT(0:5))
      call avCT(515, 0, 32, 4, 0, UVUaV0, 0, [4, 0], [nGC_15021])

      call avCT(515, 1, 77, 4, 0, UVUaV0, 0, [4, 0], [nGC_15021])

      call avCT(515, 2, 35, 5, 0, UVUaV0, 0, [4, 0], [nGC_15030])

      call avCT(515, 3, 76, 4, 0, UVUaV0, 0, [4, 0], [nGC_15021])

      call avCT(515, 4, 33, 5, 0, UVUaV0, 0, [4, 0], [nGC_15030])

      call avCT(515, 5, 34, 4, 0, UVUaV0, 0, [4, 0], [nGC_15021])

      allocate(vertices(1896)%branchCT(0:0))
      call avCT(1896, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13962])

      allocate(vertices(1898)%branchCT(0:0))
      call avCT(1898, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(1899)%branchCT(0:5))
      call avCT(1899, 0, 91, 4, 0, VVUUa0, 0, [4, 0], [nGC_15021])

      call avCT(1899, 1, 90, 4, 0, VVUUa0, 0, [4, 0], [nGC_15021])

      call avCT(1899, 2, 89, 4, 0, VVUUa0, 0, [4, 0], [nGC_15021])

      call avCT(1899, 3, 88, 4, 0, VVUUa0, 0, [4, 0], [nGC_15021])

      call avCT(1899, 4, 93, 5, 0, VVUUa0, 0, [4, 0], [nGC_15030])

      call avCT(1899, 5, 92, 5, 0, VVUUa0, 0, [4, 0], [nGC_15030])

      allocate(vertices(1900)%branchCT(0:0))
      call avCT(1900, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_15477, nGC_15478])

      allocate(vertices(3868)%branchCT(0:0))
      call avCT(3868, 0, 13, 1, 0, FaF1, 0, [0, 2], [nGC_16300])

      allocate(vertices(591)%branchCT(0:0))
      call avCT(591, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13975])

      allocate(vertices(1905)%branchCT(0:0))
      call avCT(1905, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_14561])

      allocate(vertices(1906)%branchCT(0:0))
      call avCT(1906, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13958])

      allocate(vertices(1908)%branchCT(0:0))
      call avCT(1908, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_14005, nGC_14006])

      allocate(vertices(1991)%branchCT(0:0))
      call avCT(1991, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14085])

      allocate(vertices(1910)%branchCT(0:0))
      call avCT(1910, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14489])

      allocate(vertices(1911)%branchCT(0:0))
      call avCT(1911, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14356])

      allocate(vertices(1967)%branchCT(0:1))
      call avCT(1967, 0, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_16935, nGC_16936])

      call avCT(1967, 1, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_16926, nGC_16929])

      allocate(vertices(889)%branchCT(0:0))
      call avCT(889, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9633])

      allocate(vertices(1920)%branchCT(0:0))
      call avCT(1920, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9643])

      allocate(vertices(1744)%branchCT(0:0))
      call avCT(1744, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14045])

      allocate(vertices(1923)%branchCT(0:0))
      call avCT(1923, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9633])

      allocate(vertices(1924)%branchCT(0:0))
      call avCT(1924, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9634])

      allocate(vertices(1926)%branchCT(0:0))
      call avCT(1926, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14058])

      allocate(vertices(1929)%branchCT(0:0))
      call avCT(1929, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9642])

      allocate(vertices(308)%branchCT(0:0))
      call avCT(308, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(3869)%branchCT(0:0))
      call avCT(3869, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_14371])

      allocate(vertices(1935)%branchCT(0:0))
      call avCT(1935, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_16512])

      allocate(vertices(761)%branchCT(0:0))
      call avCT(761, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(1940)%branchCT(0:1))
      call avCT(1940, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_15764, nGC_15765])

      call avCT(1940, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_15762, nGC_15763])

      allocate(vertices(1942)%branchCT(0:0))
      call avCT(1942, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9632])

      allocate(vertices(1944)%branchCT(0:0))
      call avCT(1944, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_13975])

      allocate(vertices(423)%branchCT(0:0))
      call avCT(423, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_16466])

      allocate(vertices(1946)%branchCT(0:0))
      call avCT(1946, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14058])

      allocate(vertices(1947)%branchCT(0:0))
      call avCT(1947, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_15156])

      allocate(vertices(2135)%branchCT(0:0))
      call avCT(2135, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13979])

      allocate(vertices(1951)%branchCT(0:0))
      call avCT(1951, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_15225])

      allocate(vertices(1952)%branchCT(0:0))
      call avCT(1952, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14189])

      allocate(vertices(1956)%branchCT(0:1))
      call avCT(1956, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_16270, nGC_16271])

      call avCT(1956, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_16263, nGC_16266])

      allocate(vertices(1957)%branchCT(0:5))
      call avCT(1957, 0, 9, 4, 0, VVVV0, 0, [4, 0], [nGC_18003, nGC_18004,     &
      nGC_18003])

      call avCT(1957, 1, 7, 4, 0, VVVV0, 0, [4, 0], [nGC_18003, nGC_18004,     &
      nGC_18003])

      call avCT(1957, 2, 8, 4, 0, VVVV0, 0, [4, 0], [nGC_18004, nGC_18003,     &
      nGC_18003])

      call avCT(1957, 3, 6, 4, 0, VVVV0, 0, [4, 0], [nGC_18004, nGC_18003,     &
      nGC_18003])

      call avCT(1957, 4, 5, 5, 0, VVVV0, 0, [4, 0], [nGC_18002, nGC_18002,     &
      nGC_18013])

      call avCT(1957, 5, 4, 5, 0, VVVV0, 0, [4, 0], [nGC_18002, nGC_18002,     &
      nGC_18013])

      allocate(vertices(1958)%branchCT(0:0))
      call avCT(1958, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13975])

      allocate(vertices(3870)%branchCT(0:0))
      call avCT(3870, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14175])

      allocate(vertices(2813)%branchCT(0:0))
      call avCT(2813, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9633])

      allocate(vertices(879)%branchCT(0:0))
      call avCT(879, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14130])

      allocate(vertices(1963)%branchCT(0:0))
      call avCT(1963, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14058])

      allocate(vertices(1965)%branchCT(0:0))
      call avCT(1965, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(315)%branchCT(0:0))
      call avCT(315, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_15833, nGC_15834])

      allocate(vertices(3871)%branchCT(0:0))
      call avCT(3871, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_14371])

      allocate(vertices(1968)%branchCT(0:0))
      call avCT(1968, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9642])

      allocate(vertices(1969)%branchCT(0:0))
      call avCT(1969, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14058])

      allocate(vertices(3250)%branchCT(0:0))
      call avCT(3250, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14067])

      allocate(vertices(1972)%branchCT(0:0))
      call avCT(1972, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14058])

      allocate(vertices(1974)%branchCT(0:0))
      call avCT(1974, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14231])

      allocate(vertices(1975)%branchCT(0:0))
      call avCT(1975, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(1976)%branchCT(0:0))
      call avCT(1976, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9643])

      allocate(vertices(1977)%branchCT(0:0))
      call avCT(1977, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_14017, nGC_14018])

      allocate(vertices(1979)%branchCT(0:0))
      call avCT(1979, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14242])

      allocate(vertices(1980)%branchCT(0:0))
      call avCT(1980, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(1981)%branchCT(0:1))
      call avCT(1981, 0, 19, 1, 0, FaVF1, 0, [0, 3], [nGC_16270, nGC_16271])

      call avCT(1981, 1, 19, 1, 0, FaVF1, 0, [2, 1], [nGC_16263, nGC_16266])

      allocate(vertices(901)%branchCT(0:0))
      call avCT(901, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14058])

      allocate(vertices(1983)%branchCT(0:1))
      call avCT(1983, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_15970, nGC_15969])

      call avCT(1983, 1, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_15972, nGC_15971])

      allocate(vertices(1985)%branchCT(0:0))
      call avCT(1985, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_14694])

      allocate(vertices(1279)%branchCT(0:0))
      call avCT(1279, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14045])

      allocate(vertices(1987)%branchCT(0:0))
      call avCT(1987, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_13997])

      allocate(vertices(1686)%branchCT(0:0))
      call avCT(1686, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14058])

      allocate(vertices(1989)%branchCT(0:0))
      call avCT(1989, 0, 1, 1, 0, UaUV0, 0, [0, 3], [nGC_15225])

      allocate(vertices(3872)%branchCT(0:0))
      call avCT(3872, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14175])

      allocate(vertices(1994)%branchCT(0:0))
      call avCT(1994, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(1069)%branchCT(0:0))
      call avCT(1069, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13975])

      allocate(vertices(1307)%branchCT(0:0))
      call avCT(1307, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(1101)%branchCT(0:3))
      call avCT(1101, 0, 27, 3, 0, FaFV1, 0, [1, 2], [nGC_14023, nGC_14025])

      call avCT(1101, 1, 27, 3, 0, FaFV1, 0, [3, 0], [nGC_14028, nGC_14029])

      call avCT(1101, 2, 26, 2, 0, FaFV1, 0, [1, 2], [nGC_14023, nGC_14025])

      call avCT(1101, 3, 26, 2, 0, FaFV1, 0, [3, 0], [nGC_14028, nGC_14029])

      allocate(vertices(2001)%branchCT(0:0))
      call avCT(2001, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13962])

      allocate(vertices(906)%branchCT(0:0))
      call avCT(906, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14242])

      allocate(vertices(2003)%branchCT(0:0))
      call avCT(2003, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9642])

      allocate(vertices(2006)%branchCT(0:0))
      call avCT(2006, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_15854, nGC_15855])

      allocate(vertices(2008)%branchCT(0:0))
      call avCT(2008, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14802])

      allocate(vertices(2009)%branchCT(0:0))
      call avCT(2009, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9641])

      allocate(vertices(2010)%branchCT(0:5))
      call avCT(2010, 0, 38, 4, 0, UUaVV0, 0, [4, 0], [nGC_15021])

      call avCT(2010, 1, 79, 4, 0, UUaVV0, 0, [4, 0], [nGC_15021])

      call avCT(2010, 2, 37, 5, 0, UUaVV0, 0, [4, 0], [nGC_15030])

      call avCT(2010, 3, 78, 4, 0, UUaVV0, 0, [4, 0], [nGC_15021])

      call avCT(2010, 4, 39, 5, 0, UUaVV0, 0, [4, 0], [nGC_15030])

      call avCT(2010, 5, 36, 4, 0, UUaVV0, 0, [4, 0], [nGC_15021])

      allocate(vertices(2011)%branchCT(0:0))
      call avCT(2011, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14045])

      allocate(vertices(2012)%branchCT(0:0))
      call avCT(2012, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9633])

      allocate(vertices(2013)%branchCT(0:0))
      call avCT(2013, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14045])

      allocate(vertices(2014)%branchCT(0:0))
      call avCT(2014, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_16987, nGC_16988])

      allocate(vertices(2015)%branchCT(0:0))
      call avCT(2015, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13971])

      allocate(vertices(2016)%branchCT(0:0))
      call avCT(2016, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13979])

      allocate(vertices(2019)%branchCT(0:0))
      call avCT(2019, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_9646])

      allocate(vertices(3873)%branchCT(0:0))
      call avCT(3873, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14175])

      allocate(vertices(1245)%branchCT(0:0))
      call avCT(1245, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9632])

      allocate(vertices(3044)%branchCT(0:0))
      call avCT(3044, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_14153])

      allocate(vertices(1513)%branchCT(0:0))
      call avCT(1513, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14045])

      allocate(vertices(2024)%branchCT(0:0))
      call avCT(2024, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_14394])

      allocate(vertices(909)%branchCT(0:0))
      call avCT(909, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14361])

      allocate(vertices(2851)%branchCT(0:0))
      call avCT(2851, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13975])

      allocate(vertices(2026)%branchCT(0:0))
      call avCT(2026, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14045])

      allocate(vertices(2027)%branchCT(0:0))
      call avCT(2027, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13971])

      allocate(vertices(1293)%branchCT(0:0))
      call avCT(1293, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13971])

      allocate(vertices(323)%branchCT(0:1))
      call avCT(323, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_15969, nGC_15970])

      call avCT(323, 1, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_15971, nGC_15972])

      allocate(vertices(3481)%branchCT(0:0))
      call avCT(3481, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14489])

      allocate(vertices(2033)%branchCT(0:5))
      call avCT(2033, 0, 104, 5, 0, VUaUV0, 0, [4, 0], [nGC_15030])

      call avCT(2033, 1, 103, 4, 0, VUaUV0, 0, [4, 0], [nGC_15021])

      call avCT(2033, 2, 102, 4, 0, VUaUV0, 0, [4, 0], [nGC_15021])

      call avCT(2033, 3, 101, 4, 0, VUaUV0, 0, [4, 0], [nGC_15021])

      call avCT(2033, 4, 100, 4, 0, VUaUV0, 0, [4, 0], [nGC_15021])

      call avCT(2033, 5, 105, 5, 0, VUaUV0, 0, [4, 0], [nGC_15030])

      allocate(vertices(2034)%branchCT(0:0))
      call avCT(2034, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_16189])

      allocate(vertices(2035)%branchCT(0:0))
      call avCT(2035, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14085])

      allocate(vertices(2036)%branchCT(0:0))
      call avCT(2036, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14058])

      allocate(vertices(2037)%branchCT(0:0))
      call avCT(2037, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14058])

      allocate(vertices(910)%branchCT(0:0))
      call avCT(910, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13962])

      allocate(vertices(2039)%branchCT(0:0))
      call avCT(2039, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14130])

      allocate(vertices(2040)%branchCT(0:0))
      call avCT(2040, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9644])

      allocate(vertices(2041)%branchCT(0:0))
      call avCT(2041, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_14711])

      allocate(vertices(2044)%branchCT(0:3))
      call avCT(2044, 0, 24, 2, 0, FaVF1, 0, [1, 2], [nGC_14192, nGC_14194])

      call avCT(2044, 1, 24, 2, 0, FaVF1, 0, [3, 0], [nGC_14196, nGC_14197])

      call avCT(2044, 2, 25, 3, 0, FaVF1, 0, [1, 2], [nGC_14192, nGC_14194])

      call avCT(2044, 3, 25, 3, 0, FaVF1, 0, [3, 0], [nGC_14196, nGC_14197])

      allocate(vertices(2048)%branchCT(0:1))
      call avCT(2048, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_16045, nGC_16046])

      call avCT(2048, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_16039, nGC_16042])

      allocate(vertices(2049)%branchCT(0:0))
      call avCT(2049, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_15388])

      allocate(vertices(2830)%branchCT(0:0))
      call avCT(2830, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13975])

      allocate(vertices(1155)%branchCT(0:0))
      call avCT(1155, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14085])

      allocate(vertices(2553)%branchCT(0:0))
      call avCT(2553, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_15325])

      allocate(vertices(2053)%branchCT(0:0))
      call avCT(2053, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_16977, nGC_16977])

      allocate(vertices(2055)%branchCT(0:0))
      call avCT(2055, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_14085])

      allocate(vertices(1444)%branchCT(0:0))
      call avCT(1444, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14067])

      allocate(vertices(50)%branchCT(0:0))
      call avCT(50, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9636])

      allocate(vertices(274)%branchCT(0:0))
      call avCT(274, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14950])

      allocate(vertices(2260)%branchCT(0:0))
      call avCT(2260, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13962])

      allocate(vertices(2061)%branchCT(0:0))
      call avCT(2061, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(2062)%branchCT(0:0))
      call avCT(2062, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_15162])

      allocate(vertices(2927)%branchCT(0:0))
      call avCT(2927, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14242])

      allocate(vertices(3874)%branchCT(0:0))
      call avCT(3874, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_14371])

      allocate(vertices(2065)%branchCT(0:0))
      call avCT(2065, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(3273)%branchCT(0:0))
      call avCT(3273, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9635])

      allocate(vertices(1711)%branchCT(0:0))
      call avCT(1711, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_14661])

      allocate(vertices(2070)%branchCT(0:0))
      call avCT(2070, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13962])

      allocate(vertices(973)%branchCT(0:0))
      call avCT(973, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14058])

      allocate(vertices(2073)%branchCT(0:0))
      call avCT(2073, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14549])

      allocate(vertices(2076)%branchCT(0:0))
      call avCT(2076, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14045])

      allocate(vertices(2081)%branchCT(0:0))
      call avCT(2081, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13975])

      allocate(vertices(2082)%branchCT(0:1))
      call avCT(2082, 0, 18, 1, 0, FaFV0, 0, [0, 3], [nGC_14207])

      call avCT(2082, 1, 18, 1, 0, FaFV0, 0, [2, 1], [nGC_14206])

      allocate(vertices(2083)%branchCT(0:0))
      call avCT(2083, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9644])

      allocate(vertices(2084)%branchCT(0:0))
      call avCT(2084, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_15807])

      allocate(vertices(1549)%branchCT(0:0))
      call avCT(1549, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14067])

      allocate(vertices(2088)%branchCT(0:0))
      call avCT(2088, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14058])

      allocate(vertices(2092)%branchCT(0:0))
      call avCT(2092, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14045])

      allocate(vertices(2095)%branchCT(0:0))
      call avCT(2095, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13971])

      allocate(vertices(2096)%branchCT(0:0))
      call avCT(2096, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14058])

      allocate(vertices(2099)%branchCT(0:0))
      call avCT(2099, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13971])

      allocate(vertices(2100)%branchCT(0:0))
      call avCT(2100, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13958])

      allocate(vertices(2101)%branchCT(0:0))
      call avCT(2101, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_14694])

      allocate(vertices(2102)%branchCT(0:0))
      call avCT(2102, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14356])

      allocate(vertices(2105)%branchCT(0:0))
      call avCT(2105, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14231])

      allocate(vertices(2106)%branchCT(0:1))
      call avCT(2106, 0, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_16570, nGC_16571])

      call avCT(2106, 1, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_16561, nGC_16564])

      allocate(vertices(339)%branchCT(0:0))
      call avCT(339, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13958])

      allocate(vertices(2108)%branchCT(0:0))
      call avCT(2108, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(2110)%branchCT(0:1))
      call avCT(2110, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_14406, nGC_14407])

      call avCT(2110, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_14408, nGC_14409])

      allocate(vertices(873)%branchCT(0:0))
      call avCT(873, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14085])

      allocate(vertices(2112)%branchCT(0:0))
      call avCT(2112, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(2113)%branchCT(0:0))
      call avCT(2113, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_15732, nGC_15733,     &
      nGC_15732])

      allocate(vertices(3875)%branchCT(0:0))
      call avCT(3875, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_18342, nGC_18339,     &
      nGC_18343, nGC_18343])

      allocate(vertices(345)%branchCT(0:0))
      call avCT(345, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14356])

      allocate(vertices(2118)%branchCT(0:0))
      call avCT(2118, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_16218])

      allocate(vertices(2123)%branchCT(0:0))
      call avCT(2123, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14356])

      allocate(vertices(2124)%branchCT(0:0))
      call avCT(2124, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_9651])

      allocate(vertices(2125)%branchCT(0:0))
      call avCT(2125, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9632])

      allocate(vertices(2127)%branchCT(0:0))
      call avCT(2127, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14385])

      allocate(vertices(2444)%branchCT(0:0))
      call avCT(2444, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14762])

      allocate(vertices(2130)%branchCT(0:0))
      call avCT(2130, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14600])

      allocate(vertices(2132)%branchCT(0:0))
      call avCT(2132, 0, 1, 1, 0, UaUV0, 0, [0, 3], [nGC_14159])

      allocate(vertices(2134)%branchCT(0:0))
      call avCT(2134, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14242])

      allocate(vertices(2138)%branchCT(0:0))
      call avCT(2138, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14085])

      allocate(vertices(605)%branchCT(0:0))
      call avCT(605, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14762])

      allocate(vertices(2790)%branchCT(0:0))
      call avCT(2790, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_14085])

      allocate(vertices(2141)%branchCT(0:0))
      call avCT(2141, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_14950])

      allocate(vertices(2143)%branchCT(0:0))
      call avCT(2143, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14058])

      allocate(vertices(2315)%branchCT(0:1))
      call avCT(2315, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_14077, nGC_14076])

      call avCT(2315, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_14079, nGC_14078])

      allocate(vertices(2145)%branchCT(0:0))
      call avCT(2145, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14356])

      allocate(vertices(2146)%branchCT(0:0))
      call avCT(2146, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14045])

      allocate(vertices(2148)%branchCT(0:1))
      call avCT(2148, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_14139, nGC_14139])

      call avCT(2148, 1, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_14141, nGC_14141])

      allocate(vertices(2149)%branchCT(0:5))
      call avCT(2149, 0, 117, 5, 0, VUVUa0, 0, [4, 0], [nGC_15030])

      call avCT(2149, 1, 116, 5, 0, VUVUa0, 0, [4, 0], [nGC_15030])

      call avCT(2149, 2, 113, 4, 0, VUVUa0, 0, [4, 0], [nGC_15021])

      call avCT(2149, 3, 112, 4, 0, VUVUa0, 0, [4, 0], [nGC_15021])

      call avCT(2149, 4, 115, 4, 0, VUVUa0, 0, [4, 0], [nGC_15021])

      call avCT(2149, 5, 114, 4, 0, VUVUa0, 0, [4, 0], [nGC_15021])

      allocate(vertices(2150)%branchCT(0:0))
      call avCT(2150, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14130])

      allocate(vertices(2151)%branchCT(0:0))
      call avCT(2151, 0, 1, 1, 0, FaSF2, 0, [0, 3], [nGC_14347])

      allocate(vertices(3680)%branchCT(0:0))
      call avCT(3680, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_13962])

      allocate(vertices(2154)%branchCT(0:0))
      call avCT(2154, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_14882, nGC_14882])

      allocate(vertices(3876)%branchCT(0:0))
      call avCT(3876, 0, 13, 1, 0, FaF0, 0, [0, 2], [nGC_18342, nGC_18339,     &
      nGC_18343, nGC_18343])

      allocate(vertices(2028)%branchCT(0:0))
      call avCT(2028, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(2157)%branchCT(0:1))
      call avCT(2157, 0, 19, 1, 0, FaSF0, 0, [2, 1], [nGC_15524, nGC_15524])

      call avCT(2157, 1, 19, 1, 0, FaSF0, 0, [0, 3], [nGC_15526, nGC_15526])

      allocate(vertices(2158)%branchCT(0:0))
      call avCT(2158, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14058])

      allocate(vertices(2159)%branchCT(0:0))
      call avCT(2159, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14130])

      allocate(vertices(1261)%branchCT(0:0))
      call avCT(1261, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14058])

      allocate(vertices(2164)%branchCT(0:0))
      call avCT(2164, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9643])

      allocate(vertices(2165)%branchCT(0:0))
      call avCT(2165, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_14085])

      allocate(vertices(3383)%branchCT(0:0))
      call avCT(3383, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_9651])

      allocate(vertices(2168)%branchCT(0:0))
      call avCT(2168, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13971])

      allocate(vertices(2170)%branchCT(0:0))
      call avCT(2170, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13971])

      allocate(vertices(2172)%branchCT(0:1))
      call avCT(2172, 0, 2, 6, 0, VVV1, 0, [3, 0], [nGC_18452])

      call avCT(2172, 1, 3, 7, 0, VVV1, 0, [3, 0], [nGC_18452])

      allocate(vertices(2175)%branchCT(0:0))
      call avCT(2175, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13962])

      allocate(vertices(2176)%branchCT(0:0))
      call avCT(2176, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14045])

      allocate(vertices(2178)%branchCT(0:0))
      call avCT(2178, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13971])

      allocate(vertices(2179)%branchCT(0:0))
      call avCT(2179, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_15833, nGC_15834])

      allocate(vertices(2180)%branchCT(0:0))
      call avCT(2180, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14950])

      allocate(vertices(2182)%branchCT(0:0))
      call avCT(2182, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(2206)%branchCT(0:0))
      call avCT(2206, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14045])

      allocate(vertices(2187)%branchCT(0:1))
      call avCT(2187, 0, 20, 1, 0, VFFa0, 0, [0, 3], [nGC_14941])

      call avCT(2187, 1, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_14940])

      allocate(vertices(2189)%branchCT(0:1))
      call avCT(2189, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_15969, nGC_15970])

      call avCT(2189, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_15971, nGC_15972])

      allocate(vertices(2190)%branchCT(0:0))
      call avCT(2190, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_15732, nGC_15733,     &
      nGC_15732])

      allocate(vertices(2222)%branchCT(0:0))
      call avCT(2222, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14644])

      allocate(vertices(2192)%branchCT(0:0))
      call avCT(2192, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_9651])

      allocate(vertices(3506)%branchCT(0:0))
      call avCT(3506, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14427, nGC_14427,     &
      nGC_14428])

      allocate(vertices(2196)%branchCT(0:0))
      call avCT(2196, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14085])

      allocate(vertices(2197)%branchCT(0:0))
      call avCT(2197, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(3779)%branchCT(0:0))
      call avCT(3779, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_15325])

      allocate(vertices(2186)%branchCT(0:0))
      call avCT(2186, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(2209)%branchCT(0:0))
      call avCT(2209, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13975])

      allocate(vertices(942)%branchCT(0:0))
      call avCT(942, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14085])

      allocate(vertices(2211)%branchCT(0:0))
      call avCT(2211, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(939)%branchCT(0:0))
      call avCT(939, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14802])

      allocate(vertices(2364)%branchCT(0:0))
      call avCT(2364, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13971])

      allocate(vertices(2270)%branchCT(0:0))
      call avCT(2270, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_14378])

      allocate(vertices(2217)%branchCT(0:0))
      call avCT(2217, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_14694])

      allocate(vertices(814)%branchCT(0:1))
      call avCT(814, 0, 17, 1, 0, FVFa1, 0, [0, 3], [nGC_14207])

      call avCT(814, 1, 17, 1, 0, FVFa1, 0, [2, 1], [nGC_14206])

      allocate(vertices(2393)%branchCT(0:0))
      call avCT(2393, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14189])

      allocate(vertices(2220)%branchCT(0:0))
      call avCT(2220, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14549])

      allocate(vertices(2221)%branchCT(0:0))
      call avCT(2221, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14067])

      allocate(vertices(2191)%branchCT(0:0))
      call avCT(2191, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14085])

      allocate(vertices(2223)%branchCT(0:0))
      call avCT(2223, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14242])

      allocate(vertices(2224)%branchCT(0:0))
      call avCT(2224, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_14347])

      allocate(vertices(2440)%branchCT(0:0))
      call avCT(2440, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13971])

      allocate(vertices(2228)%branchCT(0:0))
      call avCT(2228, 0, 1, 1, 0, UaUV0, 0, [0, 3], [nGC_13997])

      allocate(vertices(446)%branchCT(0:0))
      call avCT(446, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14085])

      allocate(vertices(2230)%branchCT(0:0))
      call avCT(2230, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_15705, nGC_15706])

      allocate(vertices(2862)%branchCT(0:0))
      call avCT(2862, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14361])

      allocate(vertices(3745)%branchCT(0:0))
      call avCT(3745, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14045])

      allocate(vertices(2236)%branchCT(0:0))
      call avCT(2236, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14182, nGC_14183,     &
      nGC_14183])

      allocate(vertices(2237)%branchCT(0:0))
      call avCT(2237, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13962])

      allocate(vertices(2951)%branchCT(0:1))
      call avCT(2951, 0, 19, 1, 0, FaVF1, 0, [0, 3], [nGC_15611, nGC_15612])

      call avCT(2951, 1, 19, 1, 0, FaVF1, 0, [2, 1], [nGC_15607, nGC_15604])

      allocate(vertices(2240)%branchCT(0:0))
      call avCT(2240, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_16622])

      allocate(vertices(2241)%branchCT(0:0))
      call avCT(2241, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14085])

      allocate(vertices(2242)%branchCT(0:0))
      call avCT(2242, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_14711])

      allocate(vertices(2245)%branchCT(0:0))
      call avCT(2245, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_16218])

      allocate(vertices(2246)%branchCT(0:0))
      call avCT(2246, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14489])

      allocate(vertices(2562)%branchCT(0:0))
      call avCT(2562, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(2248)%branchCT(0:3))
      call avCT(2248, 0, 11, 2, 0, FFaV0, 0, [1, 2], [nGC_15495, nGC_15497])

      call avCT(2248, 1, 11, 2, 0, FFaV0, 0, [3, 0], [nGC_15499, nGC_15500])

      call avCT(2248, 2, 12, 3, 0, FFaV0, 0, [1, 2], [nGC_15495, nGC_15497])

      call avCT(2248, 3, 12, 3, 0, FFaV0, 0, [3, 0], [nGC_15499, nGC_15500])

      allocate(vertices(2251)%branchCT(0:0))
      call avCT(2251, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_14224])

      allocate(vertices(2582)%branchCT(0:0))
      call avCT(2582, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13962])

      allocate(vertices(2253)%branchCT(0:1))
      call avCT(2253, 0, 18, 1, 0, FaFV1, 0, [0, 3], [nGC_16338, nGC_16339])

      call avCT(2253, 1, 18, 1, 0, FaFV1, 0, [2, 1], [nGC_16331, nGC_16334])

      allocate(vertices(3877)%branchCT(0:0))
      call avCT(3877, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14175])

      allocate(vertices(3878)%branchCT(0:0))
      call avCT(3878, 0, 13, 1, 0, VS0, 0, [0, 2], [nGC_18607])

      allocate(vertices(1902)%branchCT(0:3))
      call avCT(1902, 0, 22, 2, 0, FVFa0, 0, [1, 2], [nGC_14443, nGC_14441])

      call avCT(1902, 1, 22, 2, 0, FVFa0, 0, [3, 0], [nGC_14447, nGC_14448])

      call avCT(1902, 2, 23, 3, 0, FVFa0, 0, [1, 2], [nGC_14443, nGC_14441])

      call avCT(1902, 3, 23, 3, 0, FVFa0, 0, [3, 0], [nGC_14447, nGC_14448])

      allocate(vertices(2258)%branchCT(0:0))
      call avCT(2258, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14385])

      allocate(vertices(2637)%branchCT(0:0))
      call avCT(2637, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14058])

      allocate(vertices(231)%branchCT(0:0))
      call avCT(231, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13968])

      allocate(vertices(2264)%branchCT(0:0))
      call avCT(2264, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_14950])

      allocate(vertices(2926)%branchCT(0:0))
      call avCT(2926, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14385])

      allocate(vertices(2691)%branchCT(0:0))
      call avCT(2691, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3700)%branchCT(0:0))
      call avCT(3700, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14228])

      allocate(vertices(3751)%branchCT(0:0))
      call avCT(3751, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_16512])

      allocate(vertices(2273)%branchCT(0:0))
      call avCT(2273, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14965])

      allocate(vertices(1253)%branchCT(0:0))
      call avCT(1253, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14085])

      allocate(vertices(2276)%branchCT(0:3))
      call avCT(2276, 0, 24, 2, 0, FaVF1, 0, [1, 2], [nGC_14578, nGC_14576])

      call avCT(2276, 1, 24, 2, 0, FaVF1, 0, [3, 0], [nGC_14580, nGC_14581])

      call avCT(2276, 2, 25, 3, 0, FaVF1, 0, [1, 2], [nGC_14578, nGC_14576])

      call avCT(2276, 3, 25, 3, 0, FaVF1, 0, [3, 0], [nGC_14580, nGC_14581])

      allocate(vertices(2747)%branchCT(0:0))
      call avCT(2747, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_13962])

      allocate(vertices(2279)%branchCT(0:0))
      call avCT(2279, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_14694])

      allocate(vertices(2280)%branchCT(0:0))
      call avCT(2280, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14489])

      allocate(vertices(2281)%branchCT(0:0))
      call avCT(2281, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9642])

      allocate(vertices(2773)%branchCT(0:0))
      call avCT(2773, 0, 1, 1, 0, FaSF2, 0, [0, 3], [nGC_16189])

      allocate(vertices(2285)%branchCT(0:0))
      call avCT(2285, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_15156])

      allocate(vertices(2287)%branchCT(0:0))
      call avCT(2287, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_15156])

      allocate(vertices(2290)%branchCT(0:0))
      call avCT(2290, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14549])

      allocate(vertices(3786)%branchCT(0:0))
      call avCT(3786, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9644])

      allocate(vertices(2292)%branchCT(0:0))
      call avCT(2292, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13979])

      allocate(vertices(2297)%branchCT(0:0))
      call avCT(2297, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14600])

      allocate(vertices(2299)%branchCT(0:0))
      call avCT(2299, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13975])

      allocate(vertices(2443)%branchCT(0:0))
      call avCT(2443, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14549])

      allocate(vertices(710)%branchCT(0:0))
      call avCT(710, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13962])

      allocate(vertices(2302)%branchCT(0:0))
      call avCT(2302, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14644])

      allocate(vertices(2303)%branchCT(0:0))
      call avCT(2303, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14058])

      allocate(vertices(3569)%branchCT(0:0))
      call avCT(3569, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14356])

      allocate(vertices(2305)%branchCT(0:0))
      call avCT(2305, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9641])

      allocate(vertices(1096)%branchCT(0:1))
      call avCT(1096, 0, 21, 1, 0, VFaF0, 0, [0, 3], [nGC_15142, nGC_15143])

      call avCT(1096, 1, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_15138, nGC_15135])

      allocate(vertices(3879)%branchCT(0:0))
      call avCT(3879, 0, 13, 1, 0, VV2, 0, [0, 2], [nGC_17482, nGC_17478,      &
      nGC_17481])

      allocate(vertices(1271)%branchCT(0:1))
      call avCT(1271, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_15970, nGC_15969])

      call avCT(1271, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_15972, nGC_15971])

      allocate(vertices(2727)%branchCT(0:0))
      call avCT(2727, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14644])

      allocate(vertices(2311)%branchCT(0:0))
      call avCT(2311, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14058])

      allocate(vertices(2313)%branchCT(0:0))
      call avCT(2313, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13962])

      allocate(vertices(2978)%branchCT(0:0))
      call avCT(2978, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_13958])

      allocate(vertices(2317)%branchCT(0:0))
      call avCT(2317, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_14711])

      allocate(vertices(2990)%branchCT(0:0))
      call avCT(2990, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13975])

      allocate(vertices(2325)%branchCT(0:0))
      call avCT(2325, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9633])

      allocate(vertices(3039)%branchCT(0:0))
      call avCT(3039, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_15060, nGC_15060])

      allocate(vertices(2329)%branchCT(0:0))
      call avCT(2329, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13971])

      allocate(vertices(385)%branchCT(0:0))
      call avCT(385, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14058])

      allocate(vertices(2333)%branchCT(0:0))
      call avCT(2333, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_9646])

      allocate(vertices(2334)%branchCT(0:0))
      call avCT(2334, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13975])

      allocate(vertices(2335)%branchCT(0:1))
      call avCT(2335, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_14845])

      call avCT(2335, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_14844])

      allocate(vertices(2336)%branchCT(0:0))
      call avCT(2336, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14058])

      allocate(vertices(2339)%branchCT(0:0))
      call avCT(2339, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13971])

      allocate(vertices(3154)%branchCT(0:0))
      call avCT(3154, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14058])

      allocate(vertices(2331)%branchCT(0:0))
      call avCT(2331, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14600])

      allocate(vertices(3880)%branchCT(0:0))
      call avCT(3880, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_18768, nGC_18765])

      allocate(vertices(2346)%branchCT(0:1))
      call avCT(2346, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_15969, nGC_15970])

      call avCT(2346, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_15971, nGC_15972])

      allocate(vertices(2347)%branchCT(0:0))
      call avCT(2347, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14045])

      allocate(vertices(2348)%branchCT(0:0))
      call avCT(2348, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13962])

      allocate(vertices(2351)%branchCT(0:0))
      call avCT(2351, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14231])

      allocate(vertices(2352)%branchCT(0:0))
      call avCT(2352, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13979])

      allocate(vertices(2355)%branchCT(0:1))
      call avCT(2355, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_16570, nGC_16571])

      call avCT(2355, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_16561, nGC_16564])

      allocate(vertices(3539)%branchCT(0:0))
      call avCT(3539, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(3230)%branchCT(0:0))
      call avCT(3230, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14045])

      allocate(vertices(2358)%branchCT(0:0))
      call avCT(2358, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13975])

      allocate(vertices(2359)%branchCT(0:0))
      call avCT(2359, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_16977, nGC_16977])

      allocate(vertices(2361)%branchCT(0:0))
      call avCT(2361, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13962])

      allocate(vertices(2362)%branchCT(0:0))
      call avCT(2362, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14058])

      allocate(vertices(3793)%branchCT(0:0))
      call avCT(3793, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_16622])

      allocate(vertices(2214)%branchCT(0:0))
      call avCT(2214, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13971])

      allocate(vertices(2366)%branchCT(0:1))
      call avCT(2366, 0, 21, 1, 0, VFaF1, 0, [0, 3], [nGC_14845])

      call avCT(2366, 1, 21, 1, 0, VFaF1, 0, [2, 1], [nGC_14844])

      allocate(vertices(2368)%branchCT(0:0))
      call avCT(2368, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(2369)%branchCT(0:0))
      call avCT(2369, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_15325])

      allocate(vertices(2371)%branchCT(0:0))
      call avCT(2371, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13971])

      allocate(vertices(2372)%branchCT(0:0))
      call avCT(2372, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(2373)%branchCT(0:0))
      call avCT(2373, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3343)%branchCT(0:0))
      call avCT(3343, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13962])

      allocate(vertices(2378)%branchCT(0:0))
      call avCT(2378, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14356])

      allocate(vertices(2379)%branchCT(0:0))
      call avCT(2379, 0, 1, 1, 0, UaUV0, 0, [0, 3], [nGC_14265])

      allocate(vertices(350)%branchCT(0:0))
      call avCT(350, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14356])

      allocate(vertices(2381)%branchCT(0:0))
      call avCT(2381, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13971])

      allocate(vertices(2382)%branchCT(0:0))
      call avCT(2382, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13979])

      allocate(vertices(1552)%branchCT(0:1))
      call avCT(1552, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_15123, nGC_15123])

      call avCT(1552, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_15125, nGC_15125])

      allocate(vertices(2384)%branchCT(0:0))
      call avCT(2384, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_14374])

      allocate(vertices(2385)%branchCT(0:0))
      call avCT(2385, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14374])

      allocate(vertices(2386)%branchCT(0:1))
      call avCT(2386, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_15142, nGC_15143])

      call avCT(2386, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_15138, nGC_15135])

      allocate(vertices(2387)%branchCT(0:0))
      call avCT(2387, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14182, nGC_14183,     &
      nGC_14183])

      allocate(vertices(3881)%branchCT(0:0))
      call avCT(3881, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_16845])

      allocate(vertices(3882)%branchCT(0:0))
      call avCT(3882, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_14371])

      allocate(vertices(2389)%branchCT(0:0))
      call avCT(2389, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_14661])

      allocate(vertices(2390)%branchCT(0:0))
      call avCT(2390, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(1091)%branchCT(0:0))
      call avCT(1091, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13962])

      allocate(vertices(3456)%branchCT(0:1))
      call avCT(3456, 0, 19, 1, 0, FaVF0, 0, [0, 3], [nGC_14207])

      call avCT(3456, 1, 19, 1, 0, FaVF0, 0, [2, 1], [nGC_14206])

      allocate(vertices(2394)%branchCT(0:0))
      call avCT(2394, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14549])

      allocate(vertices(2395)%branchCT(0:0))
      call avCT(2395, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_16987, nGC_16988])

      allocate(vertices(2397)%branchCT(0:0))
      call avCT(2397, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13979])

      allocate(vertices(3883)%branchCT(0:0))
      call avCT(3883, 0, 13, 1, 0, FaF0, 0, [0, 2], [nGC_17083, nGC_17080,     &
      nGC_17084, nGC_17084])

      allocate(vertices(2399)%branchCT(0:0))
      call avCT(2399, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_15225])

      allocate(vertices(2400)%branchCT(0:0))
      call avCT(2400, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9643])

      allocate(vertices(1122)%branchCT(0:0))
      call avCT(1122, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13971])

      allocate(vertices(1606)%branchCT(0:0))
      call avCT(1606, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14242])

      allocate(vertices(1398)%branchCT(0:0))
      call avCT(1398, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9635])

      allocate(vertices(2410)%branchCT(0:0))
      call avCT(2410, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(2412)%branchCT(0:0))
      call avCT(2412, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9643])

      allocate(vertices(2413)%branchCT(0:0))
      call avCT(2413, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_15807])

      allocate(vertices(144)%branchCT(0:0))
      call avCT(144, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(2417)%branchCT(0:0))
      call avCT(2417, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9635])

      allocate(vertices(2421)%branchCT(0:0))
      call avCT(2421, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_17091])

      allocate(vertices(3884)%branchCT(0:1))
      call avCT(3884, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_18918, nGC_18912,     &
      nGC_18920, nGC_18920])

      call avCT(3884, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_18919, nGC_18913,     &
      nGC_18921, nGC_18921])

      allocate(vertices(2425)%branchCT(0:0))
      call avCT(2425, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9634])

      allocate(vertices(2426)%branchCT(0:0))
      call avCT(2426, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_14723, nGC_14724])

      allocate(vertices(2428)%branchCT(0:0))
      call avCT(2428, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_14561])

      allocate(vertices(2429)%branchCT(0:0))
      call avCT(2429, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9636])

      allocate(vertices(2431)%branchCT(0:0))
      call avCT(2431, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14045])

      allocate(vertices(2432)%branchCT(0:0))
      call avCT(2432, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_14038])

      allocate(vertices(3551)%branchCT(0:0))
      call avCT(3551, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14385])

      allocate(vertices(2436)%branchCT(0:0))
      call avCT(2436, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13975])

      allocate(vertices(2437)%branchCT(0:1))
      call avCT(2437, 0, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_14819, nGC_14820])

      call avCT(2437, 1, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_14817, nGC_14818])

      allocate(vertices(3885)%branchCT(0:0))
      call avCT(3885, 0, 13, 1, 0, SV0, 0, [0, 2], [nGC_18607])

      allocate(vertices(2439)%branchCT(0:0))
      call avCT(2439, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_16189])

      allocate(vertices(2441)%branchCT(0:0))
      call avCT(2441, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14228])

      allocate(vertices(3815)%branchCT(0:0))
      call avCT(3815, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9634])

      allocate(vertices(716)%branchCT(0:0))
      call avCT(716, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14130])

      allocate(vertices(2445)%branchCT(0:0))
      call avCT(2445, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13962])

      allocate(vertices(2446)%branchCT(0:0))
      call avCT(2446, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_9651])

      allocate(vertices(2448)%branchCT(0:0))
      call avCT(2448, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14242])

      allocate(vertices(650)%branchCT(0:1))
      call avCT(650, 0, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_14139, nGC_14139])

      call avCT(650, 1, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_14141, nGC_14141])

      allocate(vertices(2451)%branchCT(0:0))
      call avCT(2451, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14058])

      allocate(vertices(2454)%branchCT(0:0))
      call avCT(2454, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14085])

      allocate(vertices(2456)%branchCT(0:0))
      call avCT(2456, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13975])

      allocate(vertices(2458)%branchCT(0:3))
      call avCT(2458, 0, 11, 2, 0, FFaV0, 0, [1, 2], [nGC_14023, nGC_14025])

      call avCT(2458, 1, 11, 2, 0, FFaV0, 0, [3, 0], [nGC_14028, nGC_14029])

      call avCT(2458, 2, 12, 3, 0, FFaV0, 0, [1, 2], [nGC_14023, nGC_14025])

      call avCT(2458, 3, 12, 3, 0, FFaV0, 0, [3, 0], [nGC_14028, nGC_14029])

      allocate(vertices(100)%branchCT(0:0))
      call avCT(100, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14045])

      allocate(vertices(2463)%branchCT(0:0))
      call avCT(2463, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_15388])

      allocate(vertices(2229)%branchCT(0:0))
      call avCT(2229, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13971])

      allocate(vertices(2465)%branchCT(0:0))
      call avCT(2465, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14242])

      allocate(vertices(3886)%branchCT(0:0))
      call avCT(3886, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14175])

      allocate(vertices(2468)%branchCT(0:0))
      call avCT(2468, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9642])

      allocate(vertices(120)%branchCT(0:0))
      call avCT(120, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14600])

      allocate(vertices(2471)%branchCT(0:0))
      call avCT(2471, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14361])

      allocate(vertices(2472)%branchCT(0:0))
      call avCT(2472, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14045])

      allocate(vertices(978)%branchCT(0:0))
      call avCT(978, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14762])

      allocate(vertices(3120)%branchCT(0:0))
      call avCT(3120, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14045])

      allocate(vertices(2476)%branchCT(0:0))
      call avCT(2476, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14189])

      allocate(vertices(2232)%branchCT(0:0))
      call avCT(2232, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14228])

      allocate(vertices(3696)%branchCT(0:1))
      call avCT(3696, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_14337, nGC_14338])

      call avCT(3696, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_14339, nGC_14340])

      allocate(vertices(2482)%branchCT(0:0))
      call avCT(2482, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14045])

      allocate(vertices(3360)%branchCT(0:1))
      call avCT(3360, 0, 18, 1, 0, FaFV0, 0, [0, 3], [nGC_14845])

      call avCT(3360, 1, 18, 1, 0, FaFV0, 0, [2, 1], [nGC_14844])

      allocate(vertices(2487)%branchCT(0:0))
      call avCT(2487, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14489])

      allocate(vertices(2489)%branchCT(0:0))
      call avCT(2489, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_14711])

      allocate(vertices(2490)%branchCT(0:0))
      call avCT(2490, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14231])

      allocate(vertices(2491)%branchCT(0:0))
      call avCT(2491, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_19043])

      allocate(vertices(2836)%branchCT(0:0))
      call avCT(2836, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_14882, nGC_14882])

      allocate(vertices(2497)%branchCT(0:0))
      call avCT(2497, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_14153])

      allocate(vertices(2499)%branchCT(0:0))
      call avCT(2499, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13971])

      allocate(vertices(1300)%branchCT(0:0))
      call avCT(1300, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14242])

      allocate(vertices(2502)%branchCT(0:0))
      call avCT(2502, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14965])

      allocate(vertices(2506)%branchCT(0:0))
      call avCT(2506, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14361])

      allocate(vertices(2509)%branchCT(0:0))
      call avCT(2509, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_14997])

      allocate(vertices(2239)%branchCT(0:0))
      call avCT(2239, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14045])

      allocate(vertices(2918)%branchCT(0:0))
      call avCT(2918, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9632])

      allocate(vertices(396)%branchCT(0:1))
      call avCT(396, 0, 20, 1, 0, VFFa1, 0, [2, 1], [nGC_14270, nGC_14273])

      call avCT(396, 1, 20, 1, 0, VFFa1, 0, [0, 3], [nGC_14280, nGC_14281])

      allocate(vertices(2514)%branchCT(0:1))
      call avCT(2514, 0, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_15524, nGC_15524])

      call avCT(2514, 1, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_15526, nGC_15526])

      allocate(vertices(2515)%branchCT(0:0))
      call avCT(2515, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14419])

      allocate(vertices(2516)%branchCT(0:0))
      call avCT(2516, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13979])

      allocate(vertices(2520)%branchCT(0:0))
      call avCT(2520, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(2522)%branchCT(0:0))
      call avCT(2522, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(2897)%branchCT(0:0))
      call avCT(2897, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14600])

      allocate(vertices(429)%branchCT(0:0))
      call avCT(429, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9644])

      allocate(vertices(1193)%branchCT(0:0))
      call avCT(1193, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14242])

      allocate(vertices(2587)%branchCT(0:0))
      call avCT(2587, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14228])

      allocate(vertices(3022)%branchCT(0:0))
      call avCT(3022, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14085])

      allocate(vertices(2530)%branchCT(0:1))
      call avCT(2530, 0, 2, 6, 0, UaUV0, 0, [3, 0], [nGC_16378])

      call avCT(2530, 1, 3, 7, 0, UaUV0, 0, [3, 0], [nGC_16378])

      allocate(vertices(2903)%branchCT(0:0))
      call avCT(2903, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14374])

      allocate(vertices(2532)%branchCT(0:0))
      call avCT(2532, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14644])

      allocate(vertices(2539)%branchCT(0:0))
      call avCT(2539, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13975])

      allocate(vertices(1876)%branchCT(0:0))
      call avCT(1876, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9641])

      allocate(vertices(2542)%branchCT(0:1))
      call avCT(2542, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_14077, nGC_14076])

      call avCT(2542, 1, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_14079, nGC_14078])

      allocate(vertices(2544)%branchCT(0:0))
      call avCT(2544, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_15080])

      allocate(vertices(2545)%branchCT(0:0))
      call avCT(2545, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_14648])

      allocate(vertices(990)%branchCT(0:0))
      call avCT(990, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9634])

      allocate(vertices(2548)%branchCT(0:0))
      call avCT(2548, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14183, nGC_14182,     &
      nGC_14183])

      allocate(vertices(1803)%branchCT(0:0))
      call avCT(1803, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14045])

      allocate(vertices(2550)%branchCT(0:1))
      call avCT(2550, 0, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_14913, nGC_14910])

      call avCT(2550, 1, 21, 1, 0, VFaF0, 0, [0, 3], [nGC_14919, nGC_14920])

      allocate(vertices(208)%branchCT(0:0))
      call avCT(208, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14427, nGC_14427,      &
      nGC_14428])

      allocate(vertices(2552)%branchCT(0:0))
      call avCT(2552, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13975])

      allocate(vertices(555)%branchCT(0:0))
      call avCT(555, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_16987, nGC_16988])

      allocate(vertices(2554)%branchCT(0:0))
      call avCT(2554, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14045])

      allocate(vertices(2556)%branchCT(0:1))
      call avCT(2556, 0, 66, 6, 0, VUUa0, 0, [3, 0], [nGC_16378])

      call avCT(2556, 1, 67, 7, 0, VUUa0, 0, [3, 0], [nGC_16378])

      allocate(vertices(2557)%branchCT(0:0))
      call avCT(2557, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9642])

      allocate(vertices(2558)%branchCT(0:0))
      call avCT(2558, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_15156])

      allocate(vertices(2561)%branchCT(0:0))
      call avCT(2561, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_14038])

      allocate(vertices(2247)%branchCT(0:0))
      call avCT(2247, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14067])

      allocate(vertices(2875)%branchCT(0:0))
      call avCT(2875, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_14085])

      allocate(vertices(2563)%branchCT(0:0))
      call avCT(2563, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14058])

      allocate(vertices(797)%branchCT(0:0))
      call avCT(797, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_13993, nGC_13994])

      allocate(vertices(2564)%branchCT(0:0))
      call avCT(2564, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(2566)%branchCT(0:0))
      call avCT(2566, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_14637])

      allocate(vertices(2568)%branchCT(0:0))
      call avCT(2568, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14385])

      allocate(vertices(2570)%branchCT(0:0))
      call avCT(2570, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13962])

      allocate(vertices(660)%branchCT(0:0))
      call avCT(660, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14549])

      allocate(vertices(676)%branchCT(0:0))
      call avCT(676, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14231])

      allocate(vertices(2574)%branchCT(0:0))
      call avCT(2574, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14242])

      allocate(vertices(2577)%branchCT(0:1))
      call avCT(2577, 0, 18, 1, 0, FaFV1, 0, [0, 3], [nGC_15142, nGC_15143])

      call avCT(2577, 1, 18, 1, 0, FaFV1, 0, [2, 1], [nGC_15138, nGC_15135])

      allocate(vertices(2578)%branchCT(0:0))
      call avCT(2578, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13975])

      allocate(vertices(2579)%branchCT(0:0))
      call avCT(2579, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14085])

      allocate(vertices(712)%branchCT(0:0))
      call avCT(712, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14802])

      allocate(vertices(2581)%branchCT(0:0))
      call avCT(2581, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_14224])

      allocate(vertices(2724)%branchCT(0:0))
      call avCT(2724, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9643])

      allocate(vertices(2583)%branchCT(0:0))
      call avCT(2583, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13975])

      allocate(vertices(2585)%branchCT(0:0))
      call avCT(2585, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(2586)%branchCT(0:0))
      call avCT(2586, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_14038])

      allocate(vertices(3887)%branchCT(0:0))
      call avCT(3887, 0, 13, 1, 0, VS0, 0, [0, 2], [nGC_17507])

      allocate(vertices(3304)%branchCT(0:0))
      call avCT(3304, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9636])

      allocate(vertices(2977)%branchCT(0:0))
      call avCT(2977, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_13958])

      allocate(vertices(2255)%branchCT(0:0))
      call avCT(2255, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_13962])

      allocate(vertices(2596)%branchCT(0:0))
      call avCT(2596, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14242])

      allocate(vertices(2597)%branchCT(0:0))
      call avCT(2597, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14146, nGC_14147,     &
      nGC_14147])

      allocate(vertices(2599)%branchCT(0:0))
      call avCT(2599, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14189])

      allocate(vertices(2600)%branchCT(0:0))
      call avCT(2600, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_14210])

      allocate(vertices(802)%branchCT(0:0))
      call avCT(802, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14085])

      allocate(vertices(2825)%branchCT(0:0))
      call avCT(2825, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9636])

      allocate(vertices(823)%branchCT(0:0))
      call avCT(823, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(2609)%branchCT(0:0))
      call avCT(2609, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14085])

      allocate(vertices(2610)%branchCT(0:0))
      call avCT(2610, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13975])

      allocate(vertices(2612)%branchCT(0:0))
      call avCT(2612, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13962])

      allocate(vertices(2613)%branchCT(0:0))
      call avCT(2613, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_9646])

      allocate(vertices(794)%branchCT(0:1))
      call avCT(794, 0, 19, 1, 0, FaVF0, 0, [0, 3], [nGC_14845])

      call avCT(794, 1, 19, 1, 0, FaVF0, 0, [2, 1], [nGC_14844])

      allocate(vertices(1626)%branchCT(0:0))
      call avCT(1626, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_13958])

      allocate(vertices(1579)%branchCT(0:0))
      call avCT(1579, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_13962])

      allocate(vertices(3888)%branchCT(0:0))
      call avCT(3888, 0, 13, 1, 0, VV3, 0, [0, 2], [nGC_19265, nGC_19266,      &
      nGC_19265, nGC_19266, nGC_19267])

      allocate(vertices(1002)%branchCT(0:0))
      call avCT(1002, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14058])

      allocate(vertices(2618)%branchCT(0:0))
      call avCT(2618, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13971])

      allocate(vertices(2619)%branchCT(0:3))
      call avCT(2619, 0, 28, 2, 0, VFFa1, 0, [1, 2], [nGC_14023, nGC_14025])

      call avCT(2619, 1, 28, 2, 0, VFFa1, 0, [3, 0], [nGC_14028, nGC_14029])

      call avCT(2619, 2, 29, 3, 0, VFFa1, 0, [1, 2], [nGC_14023, nGC_14025])

      call avCT(2619, 3, 29, 3, 0, VFFa1, 0, [3, 0], [nGC_14028, nGC_14029])

      allocate(vertices(2621)%branchCT(0:0))
      call avCT(2621, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14644])

      allocate(vertices(2624)%branchCT(0:1))
      call avCT(2624, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_15764, nGC_15765])

      call avCT(2624, 1, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_15762, nGC_15763])

      allocate(vertices(2625)%branchCT(0:0))
      call avCT(2625, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14356])

      allocate(vertices(2626)%branchCT(0:0))
      call avCT(2626, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14058])

      allocate(vertices(1629)%branchCT(0:0))
      call avCT(1629, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_14399])

      allocate(vertices(668)%branchCT(0:0))
      call avCT(668, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14549])

      allocate(vertices(2633)%branchCT(0:1))
      call avCT(2633, 0, 19, 1, 0, FaSF0, 0, [2, 1], [nGC_15970, nGC_15969])

      call avCT(2633, 1, 19, 1, 0, FaSF0, 0, [0, 3], [nGC_15972, nGC_15971])

      allocate(vertices(2635)%branchCT(0:0))
      call avCT(2635, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9641])

      allocate(vertices(2636)%branchCT(0:0))
      call avCT(2636, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_16304])

      allocate(vertices(2638)%branchCT(0:0))
      call avCT(2638, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13975])

      allocate(vertices(2769)%branchCT(0:0))
      call avCT(2769, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13975])

      allocate(vertices(2876)%branchCT(0:0))
      call avCT(2876, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13962])

      allocate(vertices(1631)%branchCT(0:0))
      call avCT(1631, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14600])

      allocate(vertices(2642)%branchCT(0:0))
      call avCT(2642, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_14085])

      allocate(vertices(2645)%branchCT(0:0))
      call avCT(2645, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_16977, nGC_16977])

      allocate(vertices(2651)%branchCT(0:0))
      call avCT(2651, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13962])

      allocate(vertices(3889)%branchCT(0:1))
      call avCT(3889, 0, 124, 1, 0, FaF0, 0, [0, 2], [nGC_18918, nGC_18912,    &
      nGC_18920, nGC_18920])

      call avCT(3889, 1, 124, 1, 0, FaF0, 0, [2, 0], [nGC_18919, nGC_18913,    &
      nGC_18921, nGC_18921])

      allocate(vertices(2653)%branchCT(0:0))
      call avCT(2653, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14045])

      allocate(vertices(2655)%branchCT(0:0))
      call avCT(2655, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_14085])

      allocate(vertices(2656)%branchCT(0:0))
      call avCT(2656, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13975])

      allocate(vertices(2658)%branchCT(0:0))
      call avCT(2658, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(2661)%branchCT(0:0))
      call avCT(2661, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14058])

      allocate(vertices(212)%branchCT(0:0))
      call avCT(212, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9643])

      allocate(vertices(2665)%branchCT(0:0))
      call avCT(2665, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13975])

      allocate(vertices(1179)%branchCT(0:0))
      call avCT(1179, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_14561])

      allocate(vertices(3890)%branchCT(0:0))
      call avCT(3890, 0, 13, 1, 0, FaF1, 0, [0, 2], [nGC_15681])

      allocate(vertices(670)%branchCT(0:0))
      call avCT(670, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9643])

      allocate(vertices(2671)%branchCT(0:0))
      call avCT(2671, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14085])

      allocate(vertices(2672)%branchCT(0:0))
      call avCT(2672, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9643])

      allocate(vertices(1094)%branchCT(0:0))
      call avCT(1094, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_14085])

      allocate(vertices(2676)%branchCT(0:0))
      call avCT(2676, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_15833, nGC_15834])

      allocate(vertices(2677)%branchCT(0:0))
      call avCT(2677, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14489])

      allocate(vertices(179)%branchCT(0:0))
      call avCT(179, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9644])

      allocate(vertices(2680)%branchCT(0:0))
      call avCT(2680, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_14694])

      allocate(vertices(2840)%branchCT(0:0))
      call avCT(2840, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_15225])

      allocate(vertices(641)%branchCT(0:0))
      call avCT(641, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(2686)%branchCT(0:0))
      call avCT(2686, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13979])

      allocate(vertices(118)%branchCT(0:0))
      call avCT(118, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14385])

      allocate(vertices(3811)%branchCT(0:1))
      call avCT(3811, 0, 18, 1, 0, FaFV1, 0, [0, 3], [nGC_15611, nGC_15612])

      call avCT(3811, 1, 18, 1, 0, FaFV1, 0, [2, 1], [nGC_15607, nGC_15604])

      allocate(vertices(1636)%branchCT(0:0))
      call avCT(1636, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14367])

      allocate(vertices(2692)%branchCT(0:0))
      call avCT(2692, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14242])

      allocate(vertices(1310)%branchCT(0:0))
      call avCT(1310, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14067])

      allocate(vertices(2697)%branchCT(0:0))
      call avCT(2697, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14242])

      allocate(vertices(1323)%branchCT(0:0))
      call avCT(1323, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14085])

      allocate(vertices(2701)%branchCT(0:0))
      call avCT(2701, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_14085])

      allocate(vertices(2702)%branchCT(0:1))
      call avCT(2702, 0, 19, 1, 0, FaSF0, 0, [0, 3], [nGC_14339, nGC_14340])

      call avCT(2702, 1, 19, 1, 0, FaSF0, 0, [2, 1], [nGC_14337, nGC_14338])

      allocate(vertices(2087)%branchCT(0:0))
      call avCT(2087, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13979])

      allocate(vertices(2704)%branchCT(0:0))
      call avCT(2704, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_14210])

      allocate(vertices(2705)%branchCT(0:0))
      call avCT(2705, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_13993, nGC_13994])

      allocate(vertices(2708)%branchCT(0:0))
      call avCT(2708, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13975])

      allocate(vertices(1823)%branchCT(0:1))
      call avCT(1823, 0, 20, 1, 0, VFFa0, 0, [0, 3], [nGC_14845])

      call avCT(1823, 1, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_14844])

      allocate(vertices(2272)%branchCT(0:0))
      call avCT(2272, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_9646])

      allocate(vertices(2711)%branchCT(0:0))
      call avCT(2711, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14489])

      allocate(vertices(2713)%branchCT(0:0))
      call avCT(2713, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14045])

      allocate(vertices(1405)%branchCT(0:0))
      call avCT(1405, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13971])

      allocate(vertices(2718)%branchCT(0:0))
      call avCT(2718, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_15854, nGC_15855])

      allocate(vertices(426)%branchCT(0:0))
      call avCT(426, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13968])

      allocate(vertices(2720)%branchCT(0:0))
      call avCT(2720, 0, 1, 1, 0, FaSF2, 0, [0, 3], [nGC_15807])

      allocate(vertices(2721)%branchCT(0:0))
      call avCT(2721, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_16218])

      allocate(vertices(2377)%branchCT(0:0))
      call avCT(2377, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9635])

      allocate(vertices(3602)%branchCT(0:0))
      call avCT(3602, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14356])

      allocate(vertices(2726)%branchCT(0:0))
      call avCT(2726, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9642])

      allocate(vertices(2728)%branchCT(0:0))
      call avCT(2728, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9636])

      allocate(vertices(2731)%branchCT(0:0))
      call avCT(2731, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_15156])

      allocate(vertices(2732)%branchCT(0:0))
      call avCT(2732, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_9646])

      allocate(vertices(2734)%branchCT(0:0))
      call avCT(2734, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14189])

      allocate(vertices(2735)%branchCT(0:0))
      call avCT(2735, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_15388])

      allocate(vertices(3331)%branchCT(0:0))
      call avCT(3331, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14189])

      allocate(vertices(2739)%branchCT(0:0))
      call avCT(2739, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13971])

      allocate(vertices(2741)%branchCT(0:0))
      call avCT(2741, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13958])

      allocate(vertices(2744)%branchCT(0:0))
      call avCT(2744, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_16512])

      allocate(vertices(1708)%branchCT(0:0))
      call avCT(1708, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13958])

      allocate(vertices(3405)%branchCT(0:0))
      call avCT(3405, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14356])

      allocate(vertices(1577)%branchCT(0:0))
      call avCT(1577, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9641])

      allocate(vertices(2749)%branchCT(0:0))
      call avCT(2749, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_14085])

      allocate(vertices(2751)%branchCT(0:0))
      call avCT(2751, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9644])

      allocate(vertices(2755)%branchCT(0:0))
      call avCT(2755, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13962])

      allocate(vertices(2756)%branchCT(0:0))
      call avCT(2756, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_9651])

      allocate(vertices(2757)%branchCT(0:0))
      call avCT(2757, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_15477, nGC_15478])

      allocate(vertices(3181)%branchCT(0:0))
      call avCT(3181, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(1234)%branchCT(0:0))
      call avCT(1234, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14045])

      allocate(vertices(2762)%branchCT(0:0))
      call avCT(2762, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14189])

      allocate(vertices(2763)%branchCT(0:0))
      call avCT(2763, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14058])

      allocate(vertices(2765)%branchCT(0:0))
      call avCT(2765, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(2947)%branchCT(0:0))
      call avCT(2947, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14385])

      allocate(vertices(2767)%branchCT(0:0))
      call avCT(2767, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14419])

      allocate(vertices(2768)%branchCT(0:0))
      call avCT(2768, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_14085])

      allocate(vertices(433)%branchCT(0:0))
      call avCT(433, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13958])

      allocate(vertices(2770)%branchCT(0:0))
      call avCT(2770, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14182, nGC_14183,     &
      nGC_14183])

      allocate(vertices(1713)%branchCT(0:0))
      call avCT(1713, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13958])

      allocate(vertices(2777)%branchCT(0:0))
      call avCT(2777, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13975])

      allocate(vertices(1725)%branchCT(0:0))
      call avCT(1725, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14189])

      allocate(vertices(3126)%branchCT(0:1))
      call avCT(3126, 0, 18, 1, 0, FaFV1, 0, [0, 3], [nGC_16045, nGC_16046])

      call avCT(3126, 1, 18, 1, 0, FaFV1, 0, [2, 1], [nGC_16039, nGC_16042])

      allocate(vertices(2860)%branchCT(0:0))
      call avCT(2860, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_13997])

    end subroutine fill_vertices_mdl7
end module vertices_info7
