!******************************************************************************!
!                                                                              !
!    vertices_info8.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info8.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-28 18:17             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info8
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl8()
      allocate(vertices(2780)%branchCT(0:0))
      call avCT(2780, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14189])

      allocate(vertices(2781)%branchCT(0:0))
      call avCT(2781, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14374])

      allocate(vertices(2785)%branchCT(0:0))
      call avCT(2785, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13958])

      allocate(vertices(2786)%branchCT(0:0))
      call avCT(2786, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13979])

      allocate(vertices(1369)%branchCT(0:0))
      call avCT(1369, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9643])

      allocate(vertices(1801)%branchCT(0:0))
      call avCT(1801, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14058])

      allocate(vertices(2789)%branchCT(0:0))
      call avCT(2789, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_16218])

      allocate(vertices(2322)%branchCT(0:0))
      call avCT(2322, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14385])

      allocate(vertices(1846)%branchCT(0:0))
      call avCT(1846, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14428, nGC_14427,     &
      nGC_14427])

      allocate(vertices(2794)%branchCT(0:1))
      call avCT(2794, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_14171, nGC_14172])

      call avCT(2794, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_14173, nGC_14174])

      allocate(vertices(922)%branchCT(0:0))
      call avCT(922, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(2801)%branchCT(0:0))
      call avCT(2801, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_14085])

      allocate(vertices(2803)%branchCT(0:0))
      call avCT(2803, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_13993, nGC_13994])

      allocate(vertices(2804)%branchCT(0:0))
      call avCT(2804, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14242])

      allocate(vertices(2806)%branchCT(0:0))
      call avCT(2806, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_14694])

      allocate(vertices(2807)%branchCT(0:0))
      call avCT(2807, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14058])

      allocate(vertices(2809)%branchCT(0:0))
      call avCT(2809, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14802])

      allocate(vertices(1471)%branchCT(0:3))
      call avCT(1471, 0, 28, 2, 0, VFFa1, 0, [1, 2], [nGC_15495, nGC_15497])

      call avCT(1471, 1, 28, 2, 0, VFFa1, 0, [3, 0], [nGC_15499, nGC_15500])

      call avCT(1471, 2, 29, 3, 0, VFFa1, 0, [1, 2], [nGC_15495, nGC_15497])

      call avCT(1471, 3, 29, 3, 0, VFFa1, 0, [3, 0], [nGC_15499, nGC_15500])

      allocate(vertices(1960)%branchCT(0:0))
      call avCT(1960, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14045])

      allocate(vertices(2816)%branchCT(0:0))
      call avCT(2816, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14231])

      allocate(vertices(2818)%branchCT(0:0))
      call avCT(2818, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14231])

      allocate(vertices(2819)%branchCT(0:0))
      call avCT(2819, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14058])

      allocate(vertices(2820)%branchCT(0:1))
      call avCT(2820, 0, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_14569, nGC_14569])

      call avCT(2820, 1, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_14571, nGC_14571])

      allocate(vertices(3891)%branchCT(0:1))
      call avCT(3891, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_19630, nGC_19624,     &
      nGC_19632, nGC_19632])

      call avCT(3891, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_19631, nGC_19625,     &
      nGC_19633, nGC_19633])

      allocate(vertices(2823)%branchCT(0:0))
      call avCT(2823, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9636])

      allocate(vertices(3069)%branchCT(0:0))
      call avCT(3069, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14549])

      allocate(vertices(2588)%branchCT(0:0))
      call avCT(2588, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_14694])

      allocate(vertices(2828)%branchCT(0:0))
      call avCT(2828, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13962])

      allocate(vertices(1379)%branchCT(0:0))
      call avCT(1379, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14950])

      allocate(vertices(2835)%branchCT(0:0))
      call avCT(2835, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14600])

      allocate(vertices(2758)%branchCT(0:0))
      call avCT(2758, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_9646])

      allocate(vertices(3892)%branchCT(0:0))
      call avCT(3892, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_14371])

      allocate(vertices(2837)%branchCT(0:0))
      call avCT(2837, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13971])

      allocate(vertices(2838)%branchCT(0:0))
      call avCT(2838, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13968])

      allocate(vertices(2839)%branchCT(0:0))
      call avCT(2839, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_13975])

      allocate(vertices(3290)%branchCT(0:1))
      call avCT(3290, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_15005, nGC_15006])

      call avCT(3290, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_15007, nGC_15008])

      allocate(vertices(2114)%branchCT(0:0))
      call avCT(2114, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14085])

      allocate(vertices(2845)%branchCT(0:1))
      call avCT(2845, 0, 19, 1, 0, FaSF0, 0, [0, 3], [nGC_15762, nGC_15763])

      call avCT(2845, 1, 19, 1, 0, FaSF0, 0, [2, 1], [nGC_15764, nGC_15765])

      allocate(vertices(2959)%branchCT(0:0))
      call avCT(2959, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14644])

      allocate(vertices(2847)%branchCT(0:0))
      call avCT(2847, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9642])

      allocate(vertices(2848)%branchCT(0:0))
      call avCT(2848, 0, 1, 1, 0, SFaF2, 0, [0, 3], [nGC_16189])

      allocate(vertices(2849)%branchCT(0:0))
      call avCT(2849, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(502)%branchCT(0:0))
      call avCT(502, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14067])

      allocate(vertices(1448)%branchCT(0:0))
      call avCT(1448, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14058])

      allocate(vertices(2852)%branchCT(0:0))
      call avCT(2852, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9635])

      allocate(vertices(679)%branchCT(0:1))
      call avCT(679, 0, 19, 1, 0, FaSF0, 0, [2, 1], [nGC_14817, nGC_14818])

      call avCT(679, 1, 19, 1, 0, FaSF0, 0, [0, 3], [nGC_14819, nGC_14820])

      allocate(vertices(2200)%branchCT(0:0))
      call avCT(2200, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14045])

      allocate(vertices(2856)%branchCT(0:0))
      call avCT(2856, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_14159])

      allocate(vertices(2857)%branchCT(0:0))
      call avCT(2857, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9633])

      allocate(vertices(2859)%branchCT(0:0))
      call avCT(2859, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14067])

      allocate(vertices(945)%branchCT(0:0))
      call avCT(945, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_15807])

      allocate(vertices(2861)%branchCT(0:0))
      call avCT(2861, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14228])

      allocate(vertices(3367)%branchCT(0:0))
      call avCT(3367, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14147, nGC_14146,     &
      nGC_14147])

      allocate(vertices(2244)%branchCT(0:0))
      call avCT(2244, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13962])

      allocate(vertices(2865)%branchCT(0:0))
      call avCT(2865, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14242])

      allocate(vertices(2867)%branchCT(0:0))
      call avCT(2867, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14067])

      allocate(vertices(2868)%branchCT(0:3))
      call avCT(2868, 0, 11, 2, 0, FFaV0, 0, [1, 2], [nGC_14578, nGC_14576])

      call avCT(2868, 1, 11, 2, 0, FFaV0, 0, [3, 0], [nGC_14580, nGC_14581])

      call avCT(2868, 2, 12, 3, 0, FFaV0, 0, [1, 2], [nGC_14578, nGC_14576])

      call avCT(2868, 3, 12, 3, 0, FFaV0, 0, [3, 0], [nGC_14580, nGC_14581])

      allocate(vertices(1041)%branchCT(0:0))
      call avCT(1041, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13971])

      allocate(vertices(2870)%branchCT(0:0))
      call avCT(2870, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14058])

      allocate(vertices(2871)%branchCT(0:1))
      call avCT(2871, 0, 20, 1, 0, VFFa0, 0, [0, 3], [nGC_14845])

      call avCT(2871, 1, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_14844])

      allocate(vertices(2291)%branchCT(0:0))
      call avCT(2291, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9634])

      allocate(vertices(2295)%branchCT(0:0))
      call avCT(2295, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_14224])

      allocate(vertices(3893)%branchCT(0:0))
      call avCT(3893, 0, 13, 1, 0, FFa1, 0, [0, 2], [nGC_17635])

      allocate(vertices(3894)%branchCT(0:0))
      call avCT(3894, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14175])

      allocate(vertices(2318)%branchCT(0:3))
      call avCT(2318, 0, 28, 2, 0, VFFa1, 0, [1, 2], [nGC_15910, nGC_15912])

      call avCT(2318, 1, 28, 2, 0, VFFa1, 0, [3, 0], [nGC_15914, nGC_15915])

      call avCT(2318, 2, 29, 3, 0, VFFa1, 0, [1, 2], [nGC_15910, nGC_15912])

      call avCT(2318, 3, 29, 3, 0, VFFa1, 0, [3, 0], [nGC_15914, nGC_15915])

      allocate(vertices(3670)%branchCT(0:0))
      call avCT(3670, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_14374])

      allocate(vertices(1140)%branchCT(0:0))
      call avCT(1140, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(2884)%branchCT(0:0))
      call avCT(2884, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14183, nGC_14182,     &
      nGC_14183])

      allocate(vertices(3567)%branchCT(0:0))
      call avCT(3567, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13975])

      allocate(vertices(2886)%branchCT(0:0))
      call avCT(2886, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14228])

      allocate(vertices(2887)%branchCT(0:0))
      call avCT(2887, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14189])

      allocate(vertices(3389)%branchCT(0:0))
      call avCT(3389, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_16189])

      allocate(vertices(2891)%branchCT(0:0))
      call avCT(2891, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13962])

      allocate(vertices(2892)%branchCT(0:0))
      call avCT(2892, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13962])

      allocate(vertices(2894)%branchCT(0:1))
      call avCT(2894, 0, 19, 1, 0, FaVF1, 0, [0, 3], [nGC_16935, nGC_16936])

      call avCT(2894, 1, 19, 1, 0, FaVF1, 0, [2, 1], [nGC_16926, nGC_16929])

      allocate(vertices(2895)%branchCT(0:0))
      call avCT(2895, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14045])

      allocate(vertices(2898)%branchCT(0:0))
      call avCT(2898, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9636])

      allocate(vertices(2899)%branchCT(0:0))
      call avCT(2899, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14361])

      allocate(vertices(663)%branchCT(0:0))
      call avCT(663, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_15156])

      allocate(vertices(2906)%branchCT(0:0))
      call avCT(2906, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14385])

      allocate(vertices(2907)%branchCT(0:0))
      call avCT(2907, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14183, nGC_14183,     &
      nGC_14182])

      allocate(vertices(2908)%branchCT(0:0))
      call avCT(2908, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14419])

      allocate(vertices(2912)%branchCT(0:0))
      call avCT(2912, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(2546)%branchCT(0:0))
      call avCT(2546, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14189])

      allocate(vertices(2914)%branchCT(0:1))
      call avCT(2914, 0, 18, 1, 0, FaFV1, 0, [0, 3], [nGC_15570, nGC_15571])

      call avCT(2914, 1, 18, 1, 0, FaFV1, 0, [2, 1], [nGC_15564, nGC_15567])

      allocate(vertices(2915)%branchCT(0:0))
      call avCT(2915, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13979])

      allocate(vertices(2916)%branchCT(0:0))
      call avCT(2916, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9644])

      allocate(vertices(2917)%branchCT(0:0))
      call avCT(2917, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9636])

      allocate(vertices(2919)%branchCT(0:0))
      call avCT(2919, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9635])

      allocate(vertices(2920)%branchCT(0:1))
      call avCT(2920, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_14280, nGC_14281])

      call avCT(2920, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_14270, nGC_14273])

      allocate(vertices(2921)%branchCT(0:0))
      call avCT(2921, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14356])

      allocate(vertices(2924)%branchCT(0:1))
      call avCT(2924, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_14095, nGC_14095])

      call avCT(2924, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_14094, nGC_14094])

      allocate(vertices(2925)%branchCT(0:0))
      call avCT(2925, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14058])

      allocate(vertices(2631)%branchCT(0:0))
      call avCT(2631, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(2928)%branchCT(0:0))
      call avCT(2928, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14067])

      allocate(vertices(2932)%branchCT(0:0))
      call avCT(2932, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14385])

      allocate(vertices(2935)%branchCT(0:0))
      call avCT(2935, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13971])

      allocate(vertices(2936)%branchCT(0:0))
      call avCT(2936, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13962])

      allocate(vertices(2938)%branchCT(0:0))
      call avCT(2938, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14419])

      allocate(vertices(2827)%branchCT(0:0))
      call avCT(2827, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13975])

      allocate(vertices(2941)%branchCT(0:0))
      call avCT(2941, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14058])

      allocate(vertices(2945)%branchCT(0:1))
      call avCT(2945, 0, 20, 1, 0, VFFa0, 0, [0, 3], [nGC_14207])

      call avCT(2945, 1, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_14206])

      allocate(vertices(3139)%branchCT(0:0))
      call avCT(3139, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14189])

      allocate(vertices(33)%branchCT(0:0))
      call avCT(33, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9644])

      allocate(vertices(2952)%branchCT(0:0))
      call avCT(2952, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14356])

      allocate(vertices(462)%branchCT(0:0))
      call avCT(462, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_14374])

      allocate(vertices(2954)%branchCT(0:0))
      call avCT(2954, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14189])

      allocate(vertices(2956)%branchCT(0:0))
      call avCT(2956, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14242])

      allocate(vertices(2913)%branchCT(0:0))
      call avCT(2913, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9634])

      allocate(vertices(2957)%branchCT(0:0))
      call avCT(2957, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9636])

      allocate(vertices(3895)%branchCT(0:0))
      call avCT(3895, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_14371])

      allocate(vertices(3810)%branchCT(0:0))
      call avCT(3810, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14644])

      allocate(vertices(2961)%branchCT(0:0))
      call avCT(2961, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(2963)%branchCT(0:0))
      call avCT(2963, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14802])

      allocate(vertices(2965)%branchCT(0:0))
      call avCT(2965, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9632])

      allocate(vertices(465)%branchCT(0:0))
      call avCT(465, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_14882, nGC_14882])

      allocate(vertices(3650)%branchCT(0:0))
      call avCT(3650, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14058])

      allocate(vertices(2969)%branchCT(0:0))
      call avCT(2969, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14419])

      allocate(vertices(3896)%branchCT(0:0))
      call avCT(3896, 0, 13, 1, 0, VS0, 0, [0, 2], [nGC_16242])

      allocate(vertices(2971)%branchCT(0:0))
      call avCT(2971, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13971])

      allocate(vertices(2972)%branchCT(0:0))
      call avCT(2972, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9642])

      allocate(vertices(3132)%branchCT(0:0))
      call avCT(3132, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14600])

      allocate(vertices(2979)%branchCT(0:0))
      call avCT(2979, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13962])

      allocate(vertices(2981)%branchCT(0:0))
      call avCT(2981, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14231])

      allocate(vertices(2984)%branchCT(0:0))
      call avCT(2984, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13971])

      allocate(vertices(2986)%branchCT(0:0))
      call avCT(2986, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14361])

      allocate(vertices(3776)%branchCT(0:0))
      call avCT(3776, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9632])

      allocate(vertices(3000)%branchCT(0:0))
      call avCT(3000, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9635])

      allocate(vertices(2991)%branchCT(0:0))
      call avCT(2991, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14242])

      allocate(vertices(3897)%branchCT(0:1))
      call avCT(3897, 0, 124, 1, 0, FaF0, 0, [0, 2], [nGC_19630, nGC_19624,    &
      nGC_19632, nGC_19632])

      call avCT(3897, 1, 124, 1, 0, FaF0, 0, [2, 0], [nGC_19631, nGC_19625,    &
      nGC_19633, nGC_19633])

      allocate(vertices(897)%branchCT(0:0))
      call avCT(897, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14067])

      allocate(vertices(3898)%branchCT(0:0))
      call avCT(3898, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_14371])

      allocate(vertices(2996)%branchCT(0:0))
      call avCT(2996, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9642])

      allocate(vertices(2997)%branchCT(0:0))
      call avCT(2997, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9635])

      allocate(vertices(2998)%branchCT(0:0))
      call avCT(2998, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14189])

      allocate(vertices(3047)%branchCT(0:1))
      call avCT(3047, 0, 21, 1, 0, VFaF0, 0, [0, 3], [nGC_16045, nGC_16046])

      call avCT(3047, 1, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_16039, nGC_16042])

      allocate(vertices(3001)%branchCT(0:0))
      call avCT(3001, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14183, nGC_14183,     &
      nGC_14182])

      allocate(vertices(3004)%branchCT(0:0))
      call avCT(3004, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_17091])

      allocate(vertices(3005)%branchCT(0:0))
      call avCT(3005, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13979])

      allocate(vertices(3006)%branchCT(0:0))
      call avCT(3006, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_15162])

      allocate(vertices(3008)%branchCT(0:0))
      call avCT(3008, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_15854, nGC_15855])

      allocate(vertices(3009)%branchCT(0:1))
      call avCT(3009, 0, 19, 1, 0, FaVF1, 0, [0, 3], [nGC_15142, nGC_15143])

      call avCT(3009, 1, 19, 1, 0, FaVF1, 0, [2, 1], [nGC_15138, nGC_15135])

      allocate(vertices(3011)%branchCT(0:0))
      call avCT(3011, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13958])

      allocate(vertices(3137)%branchCT(0:0))
      call avCT(3137, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9644])

      allocate(vertices(264)%branchCT(0:0))
      call avCT(264, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(3899)%branchCT(0:0))
      call avCT(3899, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_16845])

      allocate(vertices(3167)%branchCT(0:0))
      call avCT(3167, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13962])

      allocate(vertices(3900)%branchCT(0:0))
      call avCT(3900, 0, 13, 1, 0, SV0, 0, [0, 2], [nGC_14785])

      allocate(vertices(3021)%branchCT(0:0))
      call avCT(3021, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_16189])

      allocate(vertices(2993)%branchCT(0:0))
      call avCT(2993, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14067])

      allocate(vertices(2994)%branchCT(0:0))
      call avCT(2994, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_13993, nGC_13994])

      allocate(vertices(3025)%branchCT(0:0))
      call avCT(3025, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_14085])

      allocate(vertices(3901)%branchCT(0:0))
      call avCT(3901, 0, 13, 1, 0, VV1, 0, [0, 2], [nGC_19993, nGC_19989,      &
      nGC_19992])

      allocate(vertices(3172)%branchCT(0:0))
      call avCT(3172, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14374])

      allocate(vertices(3243)%branchCT(0:0))
      call avCT(3243, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14045])

      allocate(vertices(830)%branchCT(0:0))
      call avCT(830, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_14882, nGC_14882])

      allocate(vertices(3031)%branchCT(0:0))
      call avCT(3031, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14045])

      allocate(vertices(3032)%branchCT(0:0))
      call avCT(3032, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14183, nGC_14182,     &
      nGC_14183])

      allocate(vertices(3036)%branchCT(0:1))
      call avCT(3036, 0, 19, 1, 0, FaSF0, 0, [2, 1], [nGC_14139, nGC_14139])

      call avCT(3036, 1, 19, 1, 0, FaSF0, 0, [0, 3], [nGC_14141, nGC_14141])

      allocate(vertices(3284)%branchCT(0:0))
      call avCT(3284, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9634])

      allocate(vertices(1682)%branchCT(0:0))
      call avCT(1682, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9633])

      allocate(vertices(1638)%branchCT(0:0))
      call avCT(1638, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14130])

      allocate(vertices(1618)%branchCT(0:0))
      call avCT(1618, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14058])

      allocate(vertices(1058)%branchCT(0:0))
      call avCT(1058, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_14085])

      allocate(vertices(3329)%branchCT(0:0))
      call avCT(3329, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13971])

      allocate(vertices(3049)%branchCT(0:0))
      call avCT(3049, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_15156])

      allocate(vertices(3054)%branchCT(0:0))
      call avCT(3054, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_15325])

      allocate(vertices(3392)%branchCT(0:0))
      call avCT(3392, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_16512])

      allocate(vertices(1059)%branchCT(0:0))
      call avCT(1059, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14361])

      allocate(vertices(3058)%branchCT(0:1))
      call avCT(3058, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_15764, nGC_15765])

      call avCT(3058, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_15762, nGC_15763])

      allocate(vertices(2663)%branchCT(0:0))
      call avCT(2663, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_14085])

      allocate(vertices(880)%branchCT(0:0))
      call avCT(880, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14085])

      allocate(vertices(3437)%branchCT(0:0))
      call avCT(3437, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14045])

      allocate(vertices(3066)%branchCT(0:0))
      call avCT(3066, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_14661])

      allocate(vertices(3067)%branchCT(0:0))
      call avCT(3067, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(3475)%branchCT(0:0))
      call avCT(3475, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(3096)%branchCT(0:0))
      call avCT(3096, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9632])

      allocate(vertices(1569)%branchCT(0:0))
      call avCT(1569, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_15156])

      allocate(vertices(972)%branchCT(0:0))
      call avCT(972, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13971])

      allocate(vertices(3074)%branchCT(0:1))
      call avCT(3074, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_14207])

      call avCT(3074, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_14206])

      allocate(vertices(3510)%branchCT(0:0))
      call avCT(3510, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13979])

      allocate(vertices(3080)%branchCT(0:0))
      call avCT(3080, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13962])

      allocate(vertices(3081)%branchCT(0:0))
      call avCT(3081, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_16987, nGC_16988])

      allocate(vertices(3082)%branchCT(0:0))
      call avCT(3082, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(3083)%branchCT(0:0))
      call avCT(3083, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13962])

      allocate(vertices(3084)%branchCT(0:0))
      call avCT(3084, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13962])

      allocate(vertices(3086)%branchCT(0:0))
      call avCT(3086, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13962])

      allocate(vertices(3087)%branchCT(0:0))
      call avCT(3087, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14600])

      allocate(vertices(3357)%branchCT(0:0))
      call avCT(3357, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_9651])

      allocate(vertices(627)%branchCT(0:0))
      call avCT(627, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_14997])

      allocate(vertices(3671)%branchCT(0:0))
      call avCT(3671, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13979])

      allocate(vertices(3092)%branchCT(0:0))
      call avCT(3092, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9634])

      allocate(vertices(3902)%branchCT(0:0))
      call avCT(3902, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14175])

      allocate(vertices(3097)%branchCT(0:0))
      call avCT(3097, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_14038])

      allocate(vertices(218)%branchCT(0:0))
      call avCT(218, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9633])

      allocate(vertices(3094)%branchCT(0:0))
      call avCT(3094, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3100)%branchCT(0:0))
      call avCT(3100, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14058])

      allocate(vertices(3102)%branchCT(0:0))
      call avCT(3102, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13979])

      allocate(vertices(3709)%branchCT(0:0))
      call avCT(3709, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14231])

      allocate(vertices(3109)%branchCT(0:0))
      call avCT(3109, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_14377])

      allocate(vertices(1694)%branchCT(0:0))
      call avCT(1694, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14085])

      allocate(vertices(3749)%branchCT(0:0))
      call avCT(3749, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3766)%branchCT(0:0))
      call avCT(3766, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_15080])

      allocate(vertices(3115)%branchCT(0:0))
      call avCT(3115, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14054])

      allocate(vertices(3116)%branchCT(0:0))
      call avCT(3116, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_13993, nGC_13994])

      allocate(vertices(3117)%branchCT(0:0))
      call avCT(3117, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14058])

      allocate(vertices(3118)%branchCT(0:0))
      call avCT(3118, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_13997])

      allocate(vertices(3121)%branchCT(0:0))
      call avCT(3121, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13962])

      allocate(vertices(2160)%branchCT(0:0))
      call avCT(2160, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_9646])

      allocate(vertices(3124)%branchCT(0:0))
      call avCT(3124, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_19043])

      allocate(vertices(3903)%branchCT(0:0))
      call avCT(3903, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_14371])

      allocate(vertices(3127)%branchCT(0:0))
      call avCT(3127, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_14224])

      allocate(vertices(3447)%branchCT(0:0))
      call avCT(3447, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13958])

      allocate(vertices(3130)%branchCT(0:0))
      call avCT(3130, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13979])

      allocate(vertices(960)%branchCT(0:0))
      call avCT(960, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9634])

      allocate(vertices(1120)%branchCT(0:0))
      call avCT(1120, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13971])

      allocate(vertices(3134)%branchCT(0:0))
      call avCT(3134, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13962])

      allocate(vertices(3136)%branchCT(0:0))
      call avCT(3136, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_16189])

      allocate(vertices(3642)%branchCT(0:0))
      call avCT(3642, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14189])

      allocate(vertices(642)%branchCT(0:1))
      call avCT(642, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_15123, nGC_15123])

      call avCT(642, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_15125, nGC_15125])

      allocate(vertices(3587)%branchCT(0:0))
      call avCT(3587, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13975])

      allocate(vertices(3143)%branchCT(0:0))
      call avCT(3143, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14802])

      allocate(vertices(1698)%branchCT(0:0))
      call avCT(1698, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3145)%branchCT(0:0))
      call avCT(3145, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13958])

      allocate(vertices(3147)%branchCT(0:0))
      call avCT(3147, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14058])

      allocate(vertices(1075)%branchCT(0:0))
      call avCT(1075, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13958])

      allocate(vertices(3150)%branchCT(0:0))
      call avCT(3150, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14367])

      allocate(vertices(3152)%branchCT(0:0))
      call avCT(3152, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13971])

      allocate(vertices(3904)%branchCT(0:0))
      call avCT(3904, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_GG])

      allocate(vertices(3160)%branchCT(0:0))
      call avCT(3160, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14600])

      allocate(vertices(3162)%branchCT(0:0))
      call avCT(3162, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9643])

      allocate(vertices(3163)%branchCT(0:0))
      call avCT(3163, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_14153])

      allocate(vertices(3017)%branchCT(0:0))
      call avCT(3017, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14189])

      allocate(vertices(1795)%branchCT(0:0))
      call avCT(1795, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_15156])

      allocate(vertices(3166)%branchCT(0:0))
      call avCT(3166, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9644])

      allocate(vertices(3445)%branchCT(0:0))
      call avCT(3445, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14058])

      allocate(vertices(3171)%branchCT(0:0))
      call avCT(3171, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14489])

      allocate(vertices(3173)%branchCT(0:0))
      call avCT(3173, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9643])

      allocate(vertices(3174)%branchCT(0:0))
      call avCT(3174, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_15388])

      allocate(vertices(292)%branchCT(0:0))
      call avCT(292, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14189])

      allocate(vertices(3176)%branchCT(0:0))
      call avCT(3176, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_15156])

      allocate(vertices(312)%branchCT(0:0))
      call avCT(312, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14385])

      allocate(vertices(3179)%branchCT(0:1))
      call avCT(3179, 0, 20, 1, 0, VFFa1, 0, [0, 3], [nGC_16570, nGC_16571])

      call avCT(3179, 1, 20, 1, 0, VFFa1, 0, [2, 1], [nGC_16561, nGC_16564])

      allocate(vertices(2795)%branchCT(0:0))
      call avCT(2795, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9635])

      allocate(vertices(3182)%branchCT(0:0))
      call avCT(3182, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_14648])

      allocate(vertices(167)%branchCT(0:0))
      call avCT(167, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14147, nGC_14146,      &
      nGC_14147])

      allocate(vertices(3188)%branchCT(0:3))
      call avCT(3188, 0, 30, 2, 0, VFaF0, 0, [1, 2], [nGC_14578, nGC_14576])

      call avCT(3188, 1, 30, 2, 0, VFaF0, 0, [3, 0], [nGC_14580, nGC_14581])

      call avCT(3188, 2, 31, 3, 0, VFaF0, 0, [1, 2], [nGC_14578, nGC_14576])

      call avCT(3188, 3, 31, 3, 0, VFaF0, 0, [3, 0], [nGC_14580, nGC_14581])

      allocate(vertices(2812)%branchCT(0:0))
      call avCT(2812, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13975])

      allocate(vertices(771)%branchCT(0:0))
      call avCT(771, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(3192)%branchCT(0:1))
      call avCT(3192, 0, 19, 1, 0, FaSF0, 0, [2, 1], [nGC_14569, nGC_14569])

      call avCT(3192, 1, 19, 1, 0, FaSF0, 0, [0, 3], [nGC_14571, nGC_14571])

      allocate(vertices(380)%branchCT(0:0))
      call avCT(380, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14600])

      allocate(vertices(3905)%branchCT(0:0))
      call avCT(3905, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_14536])

      allocate(vertices(3253)%branchCT(0:0))
      call avCT(3253, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_14399])

      allocate(vertices(3198)%branchCT(0:0))
      call avCT(3198, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13975])

      allocate(vertices(3199)%branchCT(0:0))
      call avCT(3199, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_15388])

      allocate(vertices(3201)%branchCT(0:0))
      call avCT(3201, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_14085])

      allocate(vertices(3202)%branchCT(0:0))
      call avCT(3202, 0, 1, 1, 0, UaUV0, 0, [0, 3], [nGC_14399])

      allocate(vertices(3203)%branchCT(0:0))
      call avCT(3203, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14802])

      allocate(vertices(1765)%branchCT(0:0))
      call avCT(1765, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_14085])

      allocate(vertices(3024)%branchCT(0:0))
      call avCT(3024, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14385])

      allocate(vertices(470)%branchCT(0:0))
      call avCT(470, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14045])

      allocate(vertices(3237)%branchCT(0:0))
      call avCT(3237, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_14394])

      allocate(vertices(3210)%branchCT(0:0))
      call avCT(3210, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_14038])

      allocate(vertices(3211)%branchCT(0:0))
      call avCT(3211, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13979])

      allocate(vertices(496)%branchCT(0:0))
      call avCT(496, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14762])

      allocate(vertices(3327)%branchCT(0:0))
      call avCT(3327, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_14998])

      allocate(vertices(3219)%branchCT(0:0))
      call avCT(3219, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_15296])

      allocate(vertices(3220)%branchCT(0:0))
      call avCT(3220, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3221)%branchCT(0:0))
      call avCT(3221, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3222)%branchCT(0:0))
      call avCT(3222, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13968])

      allocate(vertices(3531)%branchCT(0:1))
      call avCT(3531, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_14207])

      call avCT(3531, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_14206])

      allocate(vertices(3224)%branchCT(0:0))
      call avCT(3224, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13979])

      allocate(vertices(2729)%branchCT(0:0))
      call avCT(2729, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_14711])

      allocate(vertices(3051)%branchCT(0:0))
      call avCT(3051, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13975])

      allocate(vertices(3228)%branchCT(0:0))
      call avCT(3228, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3232)%branchCT(0:0))
      call avCT(3232, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14189])

      allocate(vertices(3233)%branchCT(0:0))
      call avCT(3233, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(3235)%branchCT(0:1))
      call avCT(3235, 0, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_14919, nGC_14920])

      call avCT(3235, 1, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_14913, nGC_14910])

      allocate(vertices(3236)%branchCT(0:0))
      call avCT(3236, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14374])

      allocate(vertices(3238)%branchCT(0:0))
      call avCT(3238, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13962])

      allocate(vertices(3239)%branchCT(0:1))
      call avCT(3239, 0, 20, 1, 0, VFFa1, 0, [0, 3], [nGC_14524, nGC_14525])

      call avCT(3239, 1, 20, 1, 0, VFFa1, 0, [2, 1], [nGC_14521, nGC_14517])

      allocate(vertices(1600)%branchCT(0:0))
      call avCT(1600, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_14017, nGC_14018])

      allocate(vertices(3242)%branchCT(0:0))
      call avCT(3242, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13979])

      allocate(vertices(1290)%branchCT(0:0))
      call avCT(1290, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3743)%branchCT(0:0))
      call avCT(3743, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9643])

      allocate(vertices(719)%branchCT(0:0))
      call avCT(719, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13975])

      allocate(vertices(2078)%branchCT(0:0))
      call avCT(2078, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14147, nGC_14146,     &
      nGC_14147])

      allocate(vertices(2537)%branchCT(0:0))
      call avCT(2537, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14058])

      allocate(vertices(3255)%branchCT(0:0))
      call avCT(3255, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_14085])

      allocate(vertices(2042)%branchCT(0:0))
      call avCT(2042, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14802])

      allocate(vertices(3257)%branchCT(0:0))
      call avCT(3257, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_16189])

      allocate(vertices(2434)%branchCT(0:0))
      call avCT(2434, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3259)%branchCT(0:0))
      call avCT(3259, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3260)%branchCT(0:0))
      call avCT(3260, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14385])

      allocate(vertices(3261)%branchCT(0:0))
      call avCT(3261, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13962])

      allocate(vertices(3263)%branchCT(0:0))
      call avCT(3263, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13971])

      allocate(vertices(3267)%branchCT(0:0))
      call avCT(3267, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13975])

      allocate(vertices(3268)%branchCT(0:1))
      call avCT(3268, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_14139, nGC_14139])

      call avCT(3268, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_14141, nGC_14141])

      allocate(vertices(3712)%branchCT(0:0))
      call avCT(3712, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14231])

      allocate(vertices(1722)%branchCT(0:1))
      call avCT(1722, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_14095, nGC_14095])

      call avCT(1722, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_14094, nGC_14094])

      allocate(vertices(1848)%branchCT(0:0))
      call avCT(1848, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14189])

      allocate(vertices(3276)%branchCT(0:0))
      call avCT(3276, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(3442)%branchCT(0:0))
      call avCT(3442, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9635])

      allocate(vertices(3279)%branchCT(0:1))
      call avCT(3279, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_14076, nGC_14077])

      call avCT(3279, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_14078, nGC_14079])

      allocate(vertices(3280)%branchCT(0:0))
      call avCT(3280, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14146, nGC_14147,     &
      nGC_14147])

      allocate(vertices(3281)%branchCT(0:0))
      call avCT(3281, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(2846)%branchCT(0:0))
      call avCT(2846, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14549])

      allocate(vertices(3288)%branchCT(0:0))
      call avCT(3288, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_16349])

      allocate(vertices(867)%branchCT(0:0))
      call avCT(867, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14045])

      allocate(vertices(1052)%branchCT(0:0))
      call avCT(1052, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14045])

      allocate(vertices(3057)%branchCT(0:0))
      call avCT(3057, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(3293)%branchCT(0:1))
      call avCT(3293, 0, 20, 1, 0, VFFa1, 0, [0, 3], [nGC_16045, nGC_16046])

      call avCT(3293, 1, 20, 1, 0, VFFa1, 0, [2, 1], [nGC_16039, nGC_16042])

      allocate(vertices(3294)%branchCT(0:0))
      call avCT(3294, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14374])

      allocate(vertices(3295)%branchCT(0:0))
      call avCT(3295, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13971])

      allocate(vertices(3178)%branchCT(0:0))
      call avCT(3178, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14067])

      allocate(vertices(3298)%branchCT(0:3))
      call avCT(3298, 0, 11, 2, 0, FFaV0, 0, [1, 2], [nGC_15910, nGC_15912])

      call avCT(3298, 1, 11, 2, 0, FFaV0, 0, [3, 0], [nGC_15914, nGC_15915])

      call avCT(3298, 2, 12, 3, 0, FFaV0, 0, [1, 2], [nGC_15910, nGC_15912])

      call avCT(3298, 3, 12, 3, 0, FFaV0, 0, [3, 0], [nGC_15914, nGC_15915])

      allocate(vertices(3299)%branchCT(0:0))
      call avCT(3299, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13958])

      allocate(vertices(3300)%branchCT(0:0))
      call avCT(3300, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9642])

      allocate(vertices(3301)%branchCT(0:0))
      call avCT(3301, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14965])

      allocate(vertices(2423)%branchCT(0:1))
      call avCT(2423, 0, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_14408, nGC_14409])

      call avCT(2423, 1, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_14406, nGC_14407])

      allocate(vertices(3305)%branchCT(0:0))
      call avCT(3305, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3306)%branchCT(0:1))
      call avCT(3306, 0, 20, 1, 0, VFFa1, 0, [0, 3], [nGC_16338, nGC_16339])

      call avCT(3306, 1, 20, 1, 0, VFFa1, 0, [2, 1], [nGC_16331, nGC_16334])

      allocate(vertices(3307)%branchCT(0:0))
      call avCT(3307, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_13975])

      allocate(vertices(3309)%branchCT(0:0))
      call avCT(3309, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3906)%branchCT(0:0))
      call avCT(3906, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_GG])

      allocate(vertices(1504)%branchCT(0:0))
      call avCT(1504, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14189])

      allocate(vertices(3314)%branchCT(0:0))
      call avCT(3314, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14058])

      allocate(vertices(3315)%branchCT(0:0))
      call avCT(3315, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(3316)%branchCT(0:1))
      call avCT(3316, 0, 19, 1, 0, FaSF0, 0, [2, 1], [nGC_15639, nGC_15640])

      call avCT(3316, 1, 19, 1, 0, FaSF0, 0, [0, 3], [nGC_15637, nGC_15638])

      allocate(vertices(3318)%branchCT(0:0))
      call avCT(3318, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_15388])

      allocate(vertices(3319)%branchCT(0:0))
      call avCT(3319, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14489])

      allocate(vertices(3321)%branchCT(0:0))
      call avCT(3321, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_15156])

      allocate(vertices(192)%branchCT(0:0))
      call avCT(192, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9641])

      allocate(vertices(1138)%branchCT(0:0))
      call avCT(1138, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14385])

      allocate(vertices(3328)%branchCT(0:1))
      call avCT(3328, 0, 18, 1, 0, FaFV1, 0, [0, 3], [nGC_14524, nGC_14525])

      call avCT(3328, 1, 18, 1, 0, FaFV1, 0, [2, 1], [nGC_14521, nGC_14517])

      allocate(vertices(296)%branchCT(0:0))
      call avCT(296, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(3333)%branchCT(0:0))
      call avCT(3333, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13968])

      allocate(vertices(3334)%branchCT(0:0))
      call avCT(3334, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_9651])

      allocate(vertices(1184)%branchCT(0:0))
      call avCT(1184, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(3338)%branchCT(0:0))
      call avCT(3338, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14085])

      allocate(vertices(885)%branchCT(0:1))
      call avCT(885, 0, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_14819, nGC_14820])

      call avCT(885, 1, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_14817, nGC_14818])

      allocate(vertices(3345)%branchCT(0:3))
      call avCT(3345, 0, 30, 2, 0, VFaF0, 0, [1, 2], [nGC_14023, nGC_14025])

      call avCT(3345, 1, 30, 2, 0, VFaF0, 0, [3, 0], [nGC_14028, nGC_14029])

      call avCT(3345, 2, 31, 3, 0, VFaF0, 0, [1, 2], [nGC_14023, nGC_14025])

      call avCT(3345, 3, 31, 3, 0, VFaF0, 0, [3, 0], [nGC_14028, nGC_14029])

      allocate(vertices(3346)%branchCT(0:0))
      call avCT(3346, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14189])

      allocate(vertices(3703)%branchCT(0:0))
      call avCT(3703, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13962])

      allocate(vertices(3348)%branchCT(0:0))
      call avCT(3348, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14085])

      allocate(vertices(38)%branchCT(0:0))
      call avCT(38, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(3351)%branchCT(0:0))
      call avCT(3351, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(3352)%branchCT(0:0))
      call avCT(3352, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13962])

      allocate(vertices(3354)%branchCT(0:0))
      call avCT(3354, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14045])

      allocate(vertices(3907)%branchCT(0:0))
      call avCT(3907, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_14371])

      allocate(vertices(3706)%branchCT(0:0))
      call avCT(3706, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13971])

      allocate(vertices(1440)%branchCT(0:0))
      call avCT(1440, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_14153])

      allocate(vertices(3361)%branchCT(0:0))
      call avCT(3361, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13975])

      allocate(vertices(3362)%branchCT(0:0))
      call avCT(3362, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_15833, nGC_15834])

      allocate(vertices(3363)%branchCT(0:0))
      call avCT(3363, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13979])

      allocate(vertices(3365)%branchCT(0:0))
      call avCT(3365, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13975])

      allocate(vertices(2380)%branchCT(0:0))
      call avCT(2380, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14356])

      allocate(vertices(3061)%branchCT(0:0))
      call avCT(3061, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13971])

      allocate(vertices(3369)%branchCT(0:1))
      call avCT(3369, 0, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_14339, nGC_14340])

      call avCT(3369, 1, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_14337, nGC_14338])

      allocate(vertices(3370)%branchCT(0:0))
      call avCT(3370, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14385])

      allocate(vertices(3372)%branchCT(0:1))
      call avCT(3372, 0, 21, 1, 0, VFaF0, 0, [0, 3], [nGC_14524, nGC_14525])

      call avCT(3372, 1, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_14521, nGC_14517])

      allocate(vertices(3373)%branchCT(0:0))
      call avCT(3373, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14067])

      allocate(vertices(3374)%branchCT(0:0))
      call avCT(3374, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_9651])

      allocate(vertices(1163)%branchCT(0:0))
      call avCT(1163, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_9646])

      allocate(vertices(2457)%branchCT(0:0))
      call avCT(2457, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14085])

      allocate(vertices(335)%branchCT(0:1))
      call avCT(335, 0, 17, 1, 0, FVFa1, 0, [0, 3], [nGC_14207])

      call avCT(335, 1, 17, 1, 0, FVFa1, 0, [2, 1], [nGC_14206])

      allocate(vertices(3382)%branchCT(0:0))
      call avCT(3382, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_19043])

      allocate(vertices(3384)%branchCT(0:0))
      call avCT(3384, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14182, nGC_14183,     &
      nGC_14183])

      allocate(vertices(3386)%branchCT(0:0))
      call avCT(3386, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14058])

      allocate(vertices(3387)%branchCT(0:0))
      call avCT(3387, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_15807])

      allocate(vertices(1491)%branchCT(0:0))
      call avCT(1491, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14045])

      allocate(vertices(3055)%branchCT(0:0))
      call avCT(3055, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_16466])

      allocate(vertices(3394)%branchCT(0:0))
      call avCT(3394, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13975])

      allocate(vertices(3768)%branchCT(0:0))
      call avCT(3768, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14189])

      allocate(vertices(3396)%branchCT(0:0))
      call avCT(3396, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14045])

      allocate(vertices(1551)%branchCT(0:0))
      call avCT(1551, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14231])

      allocate(vertices(3400)%branchCT(0:0))
      call avCT(3400, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14058])

      allocate(vertices(3401)%branchCT(0:0))
      call avCT(3401, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_16189])

      allocate(vertices(1573)%branchCT(0:0))
      call avCT(1573, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(3403)%branchCT(0:0))
      call avCT(3403, 0, 1, 1, 0, UaUV0, 0, [0, 3], [nGC_14415])

      allocate(vertices(3404)%branchCT(0:1))
      call avCT(3404, 0, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_15611, nGC_15612])

      call avCT(3404, 1, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_15607, nGC_15604])

      allocate(vertices(1590)%branchCT(0:0))
      call avCT(1590, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13962])

      allocate(vertices(1737)%branchCT(0:0))
      call avCT(1737, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14045])

      allocate(vertices(2066)%branchCT(0:0))
      call avCT(2066, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_14153])

      allocate(vertices(2648)%branchCT(0:0))
      call avCT(2648, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(2575)%branchCT(0:0))
      call avCT(2575, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13971])

      allocate(vertices(3908)%branchCT(0:0))
      call avCT(3908, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_GG])

      allocate(vertices(1653)%branchCT(0:0))
      call avCT(1653, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13975])

      allocate(vertices(3417)%branchCT(0:0))
      call avCT(3417, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_14394])

      allocate(vertices(672)%branchCT(0:0))
      call avCT(672, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13962])

      allocate(vertices(3418)%branchCT(0:0))
      call avCT(3418, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(3419)%branchCT(0:1))
      call avCT(3419, 0, 19, 1, 0, FaVF0, 0, [0, 3], [nGC_14845])

      call avCT(3419, 1, 19, 1, 0, FaVF0, 0, [2, 1], [nGC_14844])

      allocate(vertices(1434)%branchCT(0:0))
      call avCT(1434, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_16977, nGC_16977])

      allocate(vertices(3422)%branchCT(0:0))
      call avCT(3422, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_14399])

      allocate(vertices(572)%branchCT(0:0))
      call avCT(572, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(3592)%branchCT(0:3))
      call avCT(3592, 0, 27, 3, 0, FaFV1, 0, [1, 2], [nGC_14443, nGC_14441])

      call avCT(3592, 1, 27, 3, 0, FaFV1, 0, [3, 0], [nGC_14447, nGC_14448])

      call avCT(3592, 2, 26, 2, 0, FaFV1, 0, [1, 2], [nGC_14443, nGC_14441])

      call avCT(3592, 3, 26, 2, 0, FaFV1, 0, [3, 0], [nGC_14447, nGC_14448])

      allocate(vertices(3425)%branchCT(0:0))
      call avCT(3425, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14419])

      allocate(vertices(3426)%branchCT(0:0))
      call avCT(3426, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14489])

      allocate(vertices(1731)%branchCT(0:0))
      call avCT(1731, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(2116)%branchCT(0:0))
      call avCT(2116, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_15388])

      allocate(vertices(3431)%branchCT(0:0))
      call avCT(3431, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_14723, nGC_14724])

      allocate(vertices(3432)%branchCT(0:0))
      call avCT(3432, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14242])

      allocate(vertices(3435)%branchCT(0:0))
      call avCT(3435, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14965])

      allocate(vertices(3436)%branchCT(0:0))
      call avCT(3436, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13962])

      allocate(vertices(3063)%branchCT(0:0))
      call avCT(3063, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13971])

      allocate(vertices(3438)%branchCT(0:0))
      call avCT(3438, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14045])

      allocate(vertices(3439)%branchCT(0:0))
      call avCT(3439, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13958])

      allocate(vertices(3441)%branchCT(0:0))
      call avCT(3441, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_15733, nGC_15732,     &
      nGC_15732])

      allocate(vertices(3446)%branchCT(0:0))
      call avCT(3446, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_14038])

      allocate(vertices(466)%branchCT(0:0))
      call avCT(466, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13979])

      allocate(vertices(3449)%branchCT(0:0))
      call avCT(3449, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_14378])

      allocate(vertices(1879)%branchCT(0:0))
      call avCT(1879, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13958])

      allocate(vertices(3678)%branchCT(0:1))
      call avCT(3678, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_14337, nGC_14338])

      call avCT(3678, 1, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_14339, nGC_14340])

      allocate(vertices(3454)%branchCT(0:0))
      call avCT(3454, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14085])

      allocate(vertices(1913)%branchCT(0:0))
      call avCT(1913, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14045])

      allocate(vertices(1745)%branchCT(0:0))
      call avCT(1745, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(1098)%branchCT(0:0))
      call avCT(1098, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14228])

      allocate(vertices(3461)%branchCT(0:0))
      call avCT(3461, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_9651])

      allocate(vertices(3462)%branchCT(0:0))
      call avCT(3462, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14183, nGC_14183,     &
      nGC_14182])

      allocate(vertices(2091)%branchCT(0:0))
      call avCT(2091, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13971])

      allocate(vertices(3466)%branchCT(0:0))
      call avCT(3466, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_15388])

      allocate(vertices(3468)%branchCT(0:0))
      call avCT(3468, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13979])

      allocate(vertices(610)%branchCT(0:0))
      call avCT(610, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14058])

      allocate(vertices(1390)%branchCT(0:0))
      call avCT(1390, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_15060, nGC_15060])

      allocate(vertices(3194)%branchCT(0:0))
      call avCT(3194, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14085])

      allocate(vertices(3476)%branchCT(0:0))
      call avCT(3476, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14242])

      allocate(vertices(2854)%branchCT(0:1))
      call avCT(2854, 0, 18, 1, 0, FaFV0, 0, [0, 3], [nGC_14207])

      call avCT(2854, 1, 18, 1, 0, FaFV0, 0, [2, 1], [nGC_14206])

      allocate(vertices(3479)%branchCT(0:1))
      call avCT(3479, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_15524, nGC_15524])

      call avCT(3479, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_15526, nGC_15526])

      allocate(vertices(1166)%branchCT(0:0))
      call avCT(1166, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14427, nGC_14428,     &
      nGC_14427])

      allocate(vertices(3483)%branchCT(0:0))
      call avCT(3483, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_14723, nGC_14724])

      allocate(vertices(3484)%branchCT(0:0))
      call avCT(3484, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13962])

      allocate(vertices(3485)%branchCT(0:0))
      call avCT(3485, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14489])

      allocate(vertices(3488)%branchCT(0:3))
      call avCT(3488, 0, 30, 2, 0, VFaF0, 0, [1, 2], [nGC_15495, nGC_15497])

      call avCT(3488, 1, 30, 2, 0, VFaF0, 0, [3, 0], [nGC_15499, nGC_15500])

      call avCT(3488, 2, 31, 3, 0, VFaF0, 0, [1, 2], [nGC_15495, nGC_15497])

      call avCT(3488, 3, 31, 3, 0, VFaF0, 0, [3, 0], [nGC_15499, nGC_15500])

      allocate(vertices(3071)%branchCT(0:0))
      call avCT(3071, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14130])

      allocate(vertices(3490)%branchCT(0:0))
      call avCT(3490, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14644])

      allocate(vertices(3492)%branchCT(0:1))
      call avCT(3492, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_14569, nGC_14569])

      call avCT(3492, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_14571, nGC_14571])

      allocate(vertices(3493)%branchCT(0:0))
      call avCT(3493, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3494)%branchCT(0:0))
      call avCT(3494, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(3495)%branchCT(0:0))
      call avCT(3495, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9644])

      allocate(vertices(1750)%branchCT(0:0))
      call avCT(1750, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14045])

      allocate(vertices(378)%branchCT(0:0))
      call avCT(378, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14242])

      allocate(vertices(66)%branchCT(0:0))
      call avCT(66, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_9646])

      allocate(vertices(3499)%branchCT(0:0))
      call avCT(3499, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3500)%branchCT(0:0))
      call avCT(3500, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14374])

      allocate(vertices(3503)%branchCT(0:0))
      call avCT(3503, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13979])

      allocate(vertices(3504)%branchCT(0:0))
      call avCT(3504, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9633])

      allocate(vertices(1373)%branchCT(0:0))
      call avCT(1373, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14242])

      allocate(vertices(3507)%branchCT(0:0))
      call avCT(3507, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_9651])

      allocate(vertices(1035)%branchCT(0:0))
      call avCT(1035, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_14347])

      allocate(vertices(1753)%branchCT(0:0))
      call avCT(1753, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_15705, nGC_15706])

      allocate(vertices(3509)%branchCT(0:1))
      call avCT(3509, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_14095, nGC_14095])

      call avCT(3509, 1, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_14094, nGC_14094])

      allocate(vertices(3639)%branchCT(0:0))
      call avCT(3639, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_15156])

      allocate(vertices(3511)%branchCT(0:0))
      call avCT(3511, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14085])

      allocate(vertices(3513)%branchCT(0:0))
      call avCT(3513, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9636])

      allocate(vertices(3514)%branchCT(0:1))
      call avCT(3514, 0, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_15005, nGC_15006])

      call avCT(3514, 1, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_15007, nGC_15008])

      allocate(vertices(3515)%branchCT(0:0))
      call avCT(3515, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_14085])

      allocate(vertices(3516)%branchCT(0:1))
      call avCT(3516, 0, 18, 1, 0, FaFV1, 0, [0, 3], [nGC_16935, nGC_16936])

      call avCT(3516, 1, 18, 1, 0, FaFV1, 0, [2, 1], [nGC_16926, nGC_16929])

      allocate(vertices(3517)%branchCT(0:0))
      call avCT(3517, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14489])

      allocate(vertices(1417)%branchCT(0:0))
      call avCT(1417, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3519)%branchCT(0:0))
      call avCT(3519, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14231])

      allocate(vertices(3520)%branchCT(0:0))
      call avCT(3520, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13971])

      allocate(vertices(2824)%branchCT(0:0))
      call avCT(2824, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14189])

      allocate(vertices(3523)%branchCT(0:0))
      call avCT(3523, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14367])

      allocate(vertices(3571)%branchCT(0:0))
      call avCT(3571, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13968])

      allocate(vertices(2301)%branchCT(0:0))
      call avCT(2301, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14231])

      allocate(vertices(3527)%branchCT(0:0))
      call avCT(3527, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_9651])

      allocate(vertices(3530)%branchCT(0:0))
      call avCT(3530, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_9646])

      allocate(vertices(2958)%branchCT(0:0))
      call avCT(2958, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_14038])

      allocate(vertices(3534)%branchCT(0:0))
      call avCT(3534, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13971])

      allocate(vertices(3535)%branchCT(0:0))
      call avCT(3535, 0, 1, 1, 0, FSFa2, 0, [0, 3], [nGC_15807])

      allocate(vertices(2344)%branchCT(0:0))
      call avCT(2344, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14231])

      allocate(vertices(1133)%branchCT(0:0))
      call avCT(1133, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13971])

      allocate(vertices(3463)%branchCT(0:0))
      call avCT(3463, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(3540)%branchCT(0:0))
      call avCT(3540, 0, 1, 1, 0, SFaF2, 0, [0, 3], [nGC_15807])

      allocate(vertices(3543)%branchCT(0:0))
      call avCT(3543, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3544)%branchCT(0:0))
      call avCT(3544, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14356])

      allocate(vertices(3546)%branchCT(0:0))
      call avCT(3546, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(160)%branchCT(0:0))
      call avCT(160, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13979])

      allocate(vertices(2422)%branchCT(0:0))
      call avCT(2422, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14950])

      allocate(vertices(877)%branchCT(0:0))
      call avCT(877, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14356])

      allocate(vertices(3552)%branchCT(0:0))
      call avCT(3552, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_15296])

      allocate(vertices(3553)%branchCT(0:0))
      call avCT(3553, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14058])

      allocate(vertices(3555)%branchCT(0:1))
      call avCT(3555, 0, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_14819, nGC_14820])

      call avCT(3555, 1, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_14817, nGC_14818])

      allocate(vertices(3557)%branchCT(0:0))
      call avCT(3557, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14130])

      allocate(vertices(3558)%branchCT(0:0))
      call avCT(3558, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14242])

      allocate(vertices(1135)%branchCT(0:0))
      call avCT(1135, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(854)%branchCT(0:0))
      call avCT(854, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(3565)%branchCT(0:0))
      call avCT(3565, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13979])

      allocate(vertices(3381)%branchCT(0:3))
      call avCT(3381, 0, 24, 2, 0, FaVF1, 0, [1, 2], [nGC_14443, nGC_14441])

      call avCT(3381, 1, 24, 2, 0, FaVF1, 0, [3, 0], [nGC_14447, nGC_14448])

      call avCT(3381, 2, 25, 3, 0, FaVF1, 0, [1, 2], [nGC_14443, nGC_14441])

      call avCT(3381, 3, 25, 3, 0, FaVF1, 0, [3, 0], [nGC_14447, nGC_14448])

      allocate(vertices(3570)%branchCT(0:0))
      call avCT(3570, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14950])

      allocate(vertices(3573)%branchCT(0:1))
      call avCT(3573, 0, 18, 1, 0, FaFV1, 0, [0, 3], [nGC_16570, nGC_16571])

      call avCT(3573, 1, 18, 1, 0, FaFV1, 0, [2, 1], [nGC_16561, nGC_16564])

      allocate(vertices(3090)%branchCT(0:1))
      call avCT(3090, 0, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_16098, nGC_16098])

      call avCT(3090, 1, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_16096, nGC_16096])

      allocate(vertices(3577)%branchCT(0:0))
      call avCT(3577, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_16977, nGC_16977])

      allocate(vertices(2470)%branchCT(0:0))
      call avCT(2470, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13971])

      allocate(vertices(1287)%branchCT(0:0))
      call avCT(1287, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13979])

      allocate(vertices(3580)%branchCT(0:0))
      call avCT(3580, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14644])

      allocate(vertices(3581)%branchCT(0:0))
      call avCT(3581, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14085])

      allocate(vertices(3582)%branchCT(0:1))
      call avCT(3582, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_14941])

      call avCT(3582, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_14940])

      allocate(vertices(1880)%branchCT(0:0))
      call avCT(1880, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14045])

      allocate(vertices(3585)%branchCT(0:0))
      call avCT(3585, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(1817)%branchCT(0:0))
      call avCT(1817, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13958])

      allocate(vertices(3591)%branchCT(0:0))
      call avCT(3591, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13975])

      allocate(vertices(3595)%branchCT(0:0))
      call avCT(3595, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_15833, nGC_15834])

      allocate(vertices(3596)%branchCT(0:0))
      call avCT(3596, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14183, nGC_14182,     &
      nGC_14183])

      allocate(vertices(3600)%branchCT(0:0))
      call avCT(3600, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14356])

      allocate(vertices(1525)%branchCT(0:0))
      call avCT(1525, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9642])

      allocate(vertices(1826)%branchCT(0:1))
      call avCT(1826, 0, 21, 1, 0, VFaF1, 0, [0, 3], [nGC_14941])

      call avCT(1826, 1, 21, 1, 0, VFaF1, 0, [2, 1], [nGC_14940])

      allocate(vertices(3605)%branchCT(0:0))
      call avCT(3605, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14361])

      allocate(vertices(2752)%branchCT(0:0))
      call avCT(2752, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9634])

      allocate(vertices(3607)%branchCT(0:1))
      call avCT(3607, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_16096, nGC_16096])

      call avCT(3607, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_16098, nGC_16098])

      allocate(vertices(3609)%branchCT(0:0))
      call avCT(3609, 0, 1, 1, 0, UaUV0, 0, [0, 3], [nGC_16466])

      allocate(vertices(3610)%branchCT(0:0))
      call avCT(3610, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13975])

      allocate(vertices(3612)%branchCT(0:0))
      call avCT(3612, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_14475])

      allocate(vertices(1150)%branchCT(0:0))
      call avCT(1150, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_14374])

      allocate(vertices(3614)%branchCT(0:0))
      call avCT(3614, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14367])

      allocate(vertices(3616)%branchCT(0:1))
      call avCT(3616, 0, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_16045, nGC_16046])

      call avCT(3616, 1, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_16039, nGC_16042])

      allocate(vertices(3620)%branchCT(0:0))
      call avCT(3620, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14356])

      allocate(vertices(3621)%branchCT(0:0))
      call avCT(3621, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_16304])

      allocate(vertices(2231)%branchCT(0:0))
      call avCT(2231, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14147, nGC_14146,     &
      nGC_14147])

      allocate(vertices(2829)%branchCT(0:0))
      call avCT(2829, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14374])

      allocate(vertices(3095)%branchCT(0:0))
      call avCT(3095, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14058])

      allocate(vertices(3629)%branchCT(0:0))
      call avCT(3629, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(3630)%branchCT(0:0))
      call avCT(3630, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_9651])

      allocate(vertices(3632)%branchCT(0:0))
      call avCT(3632, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14045])

      allocate(vertices(1630)%branchCT(0:0))
      call avCT(1630, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14549])

      allocate(vertices(2879)%branchCT(0:0))
      call avCT(2879, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14242])

      allocate(vertices(3909)%branchCT(0:0))
      call avCT(3909, 0, 13, 1, 0, VV3, 0, [0, 2], [nGC_19266, nGC_19265,      &
      nGC_19266, nGC_19265, nGC_19267])

      allocate(vertices(3641)%branchCT(0:0))
      call avCT(3641, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14549])

      allocate(vertices(3643)%branchCT(0:0))
      call avCT(3643, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14058])

      allocate(vertices(3644)%branchCT(0:0))
      call avCT(3644, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_14561])

      allocate(vertices(562)%branchCT(0:0))
      call avCT(562, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9635])

      allocate(vertices(3646)%branchCT(0:0))
      call avCT(3646, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14489])

      allocate(vertices(3649)%branchCT(0:0))
      call avCT(3649, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14045])

      allocate(vertices(2968)%branchCT(0:0))
      call avCT(2968, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_15156])

      allocate(vertices(3652)%branchCT(0:0))
      call avCT(3652, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14367])

      allocate(vertices(3654)%branchCT(0:0))
      call avCT(3654, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14600])

      allocate(vertices(3657)%branchCT(0:0))
      call avCT(3657, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14189])

      allocate(vertices(3659)%branchCT(0:0))
      call avCT(3659, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13958])

      allocate(vertices(3662)%branchCT(0:0))
      call avCT(3662, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9634])

      allocate(vertices(1104)%branchCT(0:0))
      call avCT(1104, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13958])

      allocate(vertices(3667)%branchCT(0:0))
      call avCT(3667, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_14378])

      allocate(vertices(3669)%branchCT(0:0))
      call avCT(3669, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9633])

      allocate(vertices(3458)%branchCT(0:0))
      call avCT(3458, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_13975])

      allocate(vertices(3091)%branchCT(0:0))
      call avCT(3091, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(3672)%branchCT(0:0))
      call avCT(3672, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_13997])

      allocate(vertices(3674)%branchCT(0:0))
      call avCT(3674, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9641])

      allocate(vertices(1778)%branchCT(0:0))
      call avCT(1778, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14965])

      allocate(vertices(3677)%branchCT(0:0))
      call avCT(3677, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(1049)%branchCT(0:0))
      call avCT(1049, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_9646])

      allocate(vertices(1305)%branchCT(0:0))
      call avCT(1305, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14356])

      allocate(vertices(1333)%branchCT(0:0))
      call avCT(1333, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_9646])

      allocate(vertices(3684)%branchCT(0:0))
      call avCT(3684, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_14694])

      allocate(vertices(3685)%branchCT(0:1))
      call avCT(3685, 0, 21, 1, 0, VFaF0, 0, [0, 3], [nGC_16338, nGC_16339])

      call avCT(3685, 1, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_16331, nGC_16334])

      allocate(vertices(3686)%branchCT(0:0))
      call avCT(3686, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14361])

      allocate(vertices(3687)%branchCT(0:0))
      call avCT(3687, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9635])

      allocate(vertices(3688)%branchCT(0:0))
      call avCT(3688, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_14153])

      allocate(vertices(3689)%branchCT(0:0))
      call avCT(3689, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14231])

      allocate(vertices(3690)%branchCT(0:0))
      call avCT(3690, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14356])

      allocate(vertices(3692)%branchCT(0:0))
      call avCT(3692, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14147, nGC_14147,     &
      nGC_14146])

      allocate(vertices(3788)%branchCT(0:0))
      call avCT(3788, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13971])

      allocate(vertices(3697)%branchCT(0:0))
      call avCT(3697, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14965])

      allocate(vertices(3698)%branchCT(0:0))
      call avCT(3698, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(3699)%branchCT(0:0))
      call avCT(3699, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9641])

      allocate(vertices(2591)%branchCT(0:0))
      call avCT(2591, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14058])

      allocate(vertices(3701)%branchCT(0:0))
      call avCT(3701, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14085])

      allocate(vertices(3702)%branchCT(0:0))
      call avCT(3702, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14045])

      allocate(vertices(3799)%branchCT(0:0))
      call avCT(3799, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3704)%branchCT(0:0))
      call avCT(3704, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14085])

      allocate(vertices(3800)%branchCT(0:1))
      call avCT(3800, 0, 17, 1, 0, FVFa1, 0, [0, 3], [nGC_14845])

      call avCT(3800, 1, 17, 1, 0, FVFa1, 0, [2, 1], [nGC_14844])

      allocate(vertices(3708)%branchCT(0:0))
      call avCT(3708, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_14210])

      allocate(vertices(3910)%branchCT(0:0))
      call avCT(3910, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14175])

      allocate(vertices(3715)%branchCT(0:0))
      call avCT(3715, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13962])

      allocate(vertices(3725)%branchCT(0:0))
      call avCT(3725, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_9646])

      allocate(vertices(3727)%branchCT(0:0))
      call avCT(3727, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13971])

      allocate(vertices(3732)%branchCT(0:0))
      call avCT(3732, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13968])

      allocate(vertices(3733)%branchCT(0:0))
      call avCT(3733, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_16189])

      allocate(vertices(3734)%branchCT(0:0))
      call avCT(3734, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14231])

      allocate(vertices(3735)%branchCT(0:0))
      call avCT(3735, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14085])

      allocate(vertices(3736)%branchCT(0:0))
      call avCT(3736, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9642])

      allocate(vertices(3738)%branchCT(0:1))
      call avCT(3738, 0, 18, 1, 0, FaFV1, 0, [0, 3], [nGC_14919, nGC_14920])

      call avCT(3738, 1, 18, 1, 0, FaFV1, 0, [2, 1], [nGC_14913, nGC_14910])

      allocate(vertices(1581)%branchCT(0:0))
      call avCT(1581, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13968])

      allocate(vertices(108)%branchCT(0:0))
      call avCT(108, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13975])

      allocate(vertices(3744)%branchCT(0:0))
      call avCT(3744, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_14210])

      allocate(vertices(3747)%branchCT(0:0))
      call avCT(3747, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_13997])

      allocate(vertices(304)%branchCT(0:3))
      call avCT(304, 0, 24, 2, 0, FaVF1, 0, [1, 2], [nGC_15495, nGC_15497])

      call avCT(304, 1, 24, 2, 0, FaVF1, 0, [3, 0], [nGC_15499, nGC_15500])

      call avCT(304, 2, 25, 3, 0, FaVF1, 0, [1, 2], [nGC_15495, nGC_15497])

      call avCT(304, 3, 25, 3, 0, FaVF1, 0, [3, 0], [nGC_15499, nGC_15500])

      allocate(vertices(2080)%branchCT(0:0))
      call avCT(2080, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14085])

      allocate(vertices(3755)%branchCT(0:0))
      call avCT(3755, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13971])

      allocate(vertices(3756)%branchCT(0:0))
      call avCT(3756, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(1578)%branchCT(0:0))
      call avCT(1578, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13958])

      allocate(vertices(3505)%branchCT(0:0))
      call avCT(3505, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3761)%branchCT(0:1))
      call avCT(3761, 0, 21, 1, 0, VFaF0, 0, [0, 3], [nGC_14307, nGC_14308])

      call avCT(3761, 1, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_14302, nGC_14299])

      allocate(vertices(3762)%branchCT(0:0))
      call avCT(3762, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14045])

      allocate(vertices(3763)%branchCT(0:0))
      call avCT(3763, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13958])

      allocate(vertices(3532)%branchCT(0:0))
      call avCT(3532, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14085])

      allocate(vertices(3765)%branchCT(0:0))
      call avCT(3765, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_14561])

      allocate(vertices(3767)%branchCT(0:0))
      call avCT(3767, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_9646])

      allocate(vertices(3556)%branchCT(0:0))
      call avCT(3556, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(3773)%branchCT(0:0))
      call avCT(3773, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(3774)%branchCT(0:0))
      call avCT(3774, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_15854, nGC_15855])

      allocate(vertices(1320)%branchCT(0:0))
      call avCT(1320, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13962])

      allocate(vertices(3608)%branchCT(0:0))
      call avCT(3608, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14231])

      allocate(vertices(3782)%branchCT(0:0))
      call avCT(3782, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_14085])

      allocate(vertices(3784)%branchCT(0:0))
      call avCT(3784, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14182, nGC_14183,     &
      nGC_14183])

      allocate(vertices(3785)%branchCT(0:0))
      call avCT(3785, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_9651])

      allocate(vertices(3790)%branchCT(0:0))
      call avCT(3790, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13958])

      allocate(vertices(3791)%branchCT(0:0))
      call avCT(3791, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9634])

      allocate(vertices(3792)%branchCT(0:0))
      call avCT(3792, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14058])

      allocate(vertices(3911)%branchCT(0:1))
      call avCT(3911, 0, 124, 1, 0, FaF0, 0, [0, 2], [nGC_21279, nGC_21275,    &
      nGC_21281, nGC_21281])

      call avCT(3911, 1, 124, 1, 0, FaF0, 0, [2, 0], [nGC_21280, nGC_21276,    &
      nGC_21282, nGC_21282])

      allocate(vertices(1973)%branchCT(0:0))
      call avCT(1973, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13971])

      allocate(vertices(3796)%branchCT(0:0))
      call avCT(3796, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13962])

      allocate(vertices(20)%branchCT(0:0))
      call avCT(20, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9635])

      allocate(vertices(3912)%branchCT(0:1))
      call avCT(3912, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_21279, nGC_21275,     &
      nGC_21281, nGC_21281])

      call avCT(3912, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_21280, nGC_21276,     &
      nGC_21282, nGC_21282])

      allocate(vertices(1637)%branchCT(0:5))
      call avCT(1637, 0, 85, 5, 0, UaVVU0, 0, [4, 0], [nGC_15030])

      call avCT(1637, 1, 84, 5, 0, UaVVU0, 0, [4, 0], [nGC_15030])

      call avCT(1637, 2, 81, 4, 0, UaVVU0, 0, [4, 0], [nGC_15021])

      call avCT(1637, 3, 80, 4, 0, UaVVU0, 0, [4, 0], [nGC_15021])

      call avCT(1637, 4, 83, 4, 0, UaVVU0, 0, [4, 0], [nGC_15021])

      call avCT(1637, 5, 82, 4, 0, UaVVU0, 0, [4, 0], [nGC_15021])

      allocate(vertices(3801)%branchCT(0:0))
      call avCT(3801, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14183, nGC_14183,     &
      nGC_14182])

      allocate(vertices(1173)%branchCT(0:3))
      call avCT(1173, 0, 22, 2, 0, FVFa0, 0, [1, 2], [nGC_14578, nGC_14576])

      call avCT(1173, 1, 22, 2, 0, FVFa0, 0, [3, 0], [nGC_14580, nGC_14581])

      call avCT(1173, 2, 23, 3, 0, FVFa0, 0, [1, 2], [nGC_14578, nGC_14576])

      call avCT(1173, 3, 23, 3, 0, FVFa0, 0, [3, 0], [nGC_14580, nGC_14581])

      allocate(vertices(3803)%branchCT(0:1))
      call avCT(3803, 0, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_15123, nGC_15123])

      call avCT(3803, 1, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_15125, nGC_15125])

      allocate(vertices(3804)%branchCT(0:0))
      call avCT(3804, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14085])

      allocate(vertices(3806)%branchCT(0:0))
      call avCT(3806, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14242])

      allocate(vertices(1796)%branchCT(0:0))
      call avCT(1796, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14085])

      allocate(vertices(3809)%branchCT(0:0))
      call avCT(3809, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14549])

      allocate(vertices(3812)%branchCT(0:0))
      call avCT(3812, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9634])

      allocate(vertices(398)%branchCT(0:0))
      call avCT(398, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(2492)%branchR2(0:1))
      call avR2(2492, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_9475, nGC_9476])

      call avR2(2492, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_9477, nGC_9477])

      allocate(vertices(720)%branchR2(0:0))
      call avR2(720, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_9568])

      allocate(vertices(581)%branchR2(0:3))
      call avR2(581, 0, 27, 1, 0, FaFV1, 0, [1, 2], [nGC_9551, nGC_9550])

      call avR2(581, 1, 27, 1, 0, FaFV1, 0, [3, 0], [nGC_9546, nGC_9546])

      call avR2(581, 2, 26, 1, 0, FaFV1, 0, [1, 2], [nGC_9553, nGC_9552])

      call avR2(581, 3, 26, 1, 0, FaFV1, 0, [3, 0], [nGC_9549, nGC_9549])

      allocate(vertices(2187)%branchR2(0:1))
      call avR2(2187, 0, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_9497])

      call avR2(2187, 1, 20, 1, 0, VFFa0, 0, [0, 3], [nGC_9502])

      allocate(vertices(3913)%branchR2(0:1))
      call avR2(3913, 0, 137, 1, 0, VVVV0, 0, [2, 2], [nGC_9587, nGC_9587,     &
      nGC_9587])

      call avR2(3913, 1, 138, 1, 0, VVVV0, 0, [2, 2], [nGC_9586, nGC_9586,     &
      nGC_9586])

      allocate(vertices(2808)%branchR2(0:0))
      call avR2(2808, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_9600])

      allocate(vertices(3914)%branchR2(0:1))
      call avR2(3914, 0, 129, 1, 0, VSV0, 0, [2, 1], [nGC_9482])

      call avR2(3914, 1, 130, 1, 0, VSV0, 0, [2, 1], [nGC_9483])

      allocate(vertices(2929)%branchR2(0:0))
      call avR2(2929, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_9569])

      allocate(vertices(939)%branchR2(0:0))
      call avR2(939, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_9596])

      allocate(vertices(3765)%branchR2(0:0))
      call avR2(3765, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_9520])

      allocate(vertices(1722)%branchR2(0:1))
      call avR2(1722, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_9468, nGC_9469])

      call avR2(1722, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_9470, nGC_9470])

      allocate(vertices(3327)%branchR2(0:0))
      call avR2(3327, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_9495])

      allocate(vertices(3136)%branchR2(0:0))
      call avR2(3136, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_9424])

      allocate(vertices(3867)%branchR2(0:0))
      call avR2(3867, 0, 13, 1, 0, FFa2, 0, [0, 2], [nGC_9358, nGC_9359,       &
      nGC_9373, nGC_9373])

      allocate(vertices(106)%branchR2(0:1))
      call avR2(106, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_9497])

      call avR2(106, 1, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_9502])

      allocate(vertices(3362)%branchR2(0:0))
      call avR2(3362, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_9515, nGC_9516])

      allocate(vertices(3596)%branchR2(0:0))
      call avR2(3596, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_9577, nGC_9575,       &
      nGC_9576])

      allocate(vertices(206)%branchR2(0:0))
      call avR2(206, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_9567])

      allocate(vertices(1940)%branchR2(0:1))
      call avR2(1940, 0, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_9462, nGC_9464])

      call avR2(1940, 1, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_9463, nGC_9465])

      allocate(vertices(3852)%branchR2(0:0))
      call avR2(3852, 0, 13, 1, 0, FFa2, 0, [0, 2], [nGC_9358, nGC_9359,       &
      nGC_9360, nGC_9360])

      allocate(vertices(85)%branchR2(0:3))
      call avR2(85, 0, 22, 1, 0, FVFa0, 0, [1, 2], [nGC_9535, nGC_9533])

      call avR2(85, 1, 22, 1, 0, FVFa0, 0, [3, 0], [nGC_9534, nGC_9534])

      call avR2(85, 2, 23, 1, 0, FVFa0, 0, [1, 2], [nGC_9532, nGC_9530])

      call avR2(85, 3, 23, 1, 0, FVFa0, 0, [3, 0], [nGC_9531, nGC_9531])

      allocate(vertices(2008)%branchR2(0:0))
      call avR2(2008, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_9582])

      allocate(vertices(3915)%branchR2(0:1))
      call avR2(3915, 0, 144, 1, 0, VSSV0, 0, [2, 2], [nGC_9592])

      call avR2(3915, 1, 143, 1, 0, VSSV0, 0, [2, 2], [nGC_9593])

      allocate(vertices(864)%branchR2(0:0))
      call avR2(864, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_9599])

      allocate(vertices(787)%branchR2(0:0))
      call avR2(787, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_21401])

      allocate(vertices(3916)%branchR2(0:5))
      call avR2(3916, 0, 158, 1, 0, VVVV0, 0, [3, 1], [nGC_9619, nGC_9619,     &
      nGC_9619])

      call avR2(3916, 1, 155, 1, 0, VVVV0, 0, [3, 1], [nGC_9620, nGC_9620,     &
      nGC_9620])

      call avR2(3916, 2, 154, 1, 0, VVVV0, 0, [3, 1], [nGC_9620, nGC_9620,     &
      nGC_9620])

      call avR2(3916, 3, 157, 1, 0, VVVV0, 0, [3, 1], [nGC_9621, nGC_9621,     &
      nGC_9621])

      call avR2(3916, 4, 156, 1, 0, VVVV0, 0, [3, 1], [nGC_9619, nGC_9619,     &
      nGC_9619])

      call avR2(3916, 5, 153, 1, 0, VVVV0, 0, [3, 1], [nGC_9620, nGC_9620,     &
      nGC_9620])

      allocate(vertices(1171)%branchR2(0:0))
      call avR2(1171, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_9566])

      allocate(vertices(3199)%branchR2(0:0))
      call avR2(3199, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_9409])

      allocate(vertices(3684)%branchR2(0:0))
      call avR2(3684, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_9383])

      allocate(vertices(894)%branchR2(0:3))
      call avR2(894, 0, 30, 1, 0, VFaF0, 0, [1, 2], [nGC_9553, nGC_9552])

      call avR2(894, 1, 30, 1, 0, VFaF0, 0, [3, 0], [nGC_9549, nGC_9549])

      call avR2(894, 2, 31, 1, 0, VFaF0, 0, [1, 2], [nGC_9551, nGC_9550])

      call avR2(894, 3, 31, 1, 0, VFaF0, 0, [3, 0], [nGC_9546, nGC_9546])

      allocate(vertices(1019)%branchR2(0:0))
      call avR2(1019, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_9422])

      allocate(vertices(1229)%branchR2(0:0))
      call avR2(1229, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_9589])

      allocate(vertices(1840)%branchR2(0:0))
      call avR2(1840, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_9566])

      allocate(vertices(3280)%branchR2(0:0))
      call avR2(3280, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_9562, nGC_9561,       &
      nGC_9563])

      allocate(vertices(2458)%branchR2(0:3))
      call avR2(2458, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_9557, nGC_9556])

      call avR2(2458, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_9549, nGC_9549])

      call avR2(2458, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_9555, nGC_9554])

      call avR2(2458, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_9546, nGC_9546])

      allocate(vertices(1300)%branchR2(0:0))
      call avR2(1300, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_9570])

      allocate(vertices(174)%branchR2(0:0))
      call avR2(174, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_9584])

      allocate(vertices(1359)%branchR2(0:0))
      call avR2(1359, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_9499])

      allocate(vertices(3917)%branchR2(0:1))
      call avR2(3917, 0, 144, 1, 0, VVVV0, 0, [2, 2], [nGC_9605, nGC_9605,     &
      nGC_9605])

      call avR2(3917, 1, 143, 1, 0, VVVV0, 0, [2, 2], [nGC_9606, nGC_9606,     &
      nGC_9606])

      allocate(vertices(2034)%branchR2(0:0))
      call avR2(2034, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_9424])

      allocate(vertices(1956)%branchR2(0:1))
      call avR2(1956, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9508, nGC_9506])

      call avR2(1956, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_9514, nGC_9513])

      allocate(vertices(1167)%branchR2(0:1))
      call avR2(1167, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9512, nGC_9510])

      call avR2(1167, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_9529, nGC_9528])

      allocate(vertices(3854)%branchR2(0:0))
      call avR2(3854, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_9579])

      allocate(vertices(3413)%branchR2(0:3))
      call avR2(3413, 0, 24, 1, 0, FaVF1, 0, [1, 2], [nGC_9557, nGC_9556])

      call avR2(3413, 1, 24, 1, 0, FaVF1, 0, [3, 0], [nGC_9549, nGC_9549])

      call avR2(3413, 2, 25, 1, 0, FaVF1, 0, [1, 2], [nGC_9555, nGC_9554])

      call avR2(3413, 3, 25, 1, 0, FaVF1, 0, [3, 0], [nGC_9546, nGC_9546])

      allocate(vertices(3918)%branchR2(0:0))
      call avR2(3918, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_9590, nGC_9590,       &
      nGC_9590])

      allocate(vertices(2346)%branchR2(0:1))
      call avR2(2346, 0, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_9416, nGC_9414])

      call avR2(2346, 1, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_9417, nGC_9415])

      allocate(vertices(3605)%branchR2(0:0))
      call avR2(3605, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_9597])

      allocate(vertices(2116)%branchR2(0:0))
      call avR2(2116, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_9409])

      allocate(vertices(1484)%branchR2(0:0))
      call avR2(1484, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_9567])

      allocate(vertices(3857)%branchR2(0:0))
      call avR2(3857, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_9394])

      allocate(vertices(375)%branchR2(0:1))
      call avR2(375, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_9435, nGC_9437])

      call avR2(375, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_9436, nGC_9438])

      allocate(vertices(3159)%branchR2(0:0))
      call avR2(3159, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_9604, nGC_9604,       &
      nGC_9603])

      allocate(vertices(769)%branchR2(0:1))
      call avR2(769, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_9439, nGC_9441])

      call avR2(769, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_9440, nGC_9442])

      allocate(vertices(3919)%branchR2(0:1))
      call avR2(3919, 0, 141, 1, 0, VSVS0, 0, [2, 2], [nGC_9610])

      call avR2(3919, 1, 142, 1, 0, VSVS0, 0, [2, 2], [nGC_9609])

      allocate(vertices(821)%branchR2(0:0))
      call avR2(821, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_9449, nGC_9448])

      allocate(vertices(3858)%branchR2(0:0))
      call avR2(3858, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_9579])

      allocate(vertices(3920)%branchR2(0:1))
      call avR2(3920, 0, 145, 1, 0, VVVV0, 0, [2, 2], [nGC_9615, nGC_9615,     &
      nGC_9615])

      call avR2(3920, 1, 146, 1, 0, VVVV0, 0, [2, 2], [nGC_9614, nGC_9614,     &
      nGC_9614])

      allocate(vertices(3490)%branchR2(0:0))
      call avR2(3490, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_9585])

      allocate(vertices(2526)%branchR2(0:1))
      call avR2(2526, 0, 18, 1, 0, FaFV0, 0, [2, 1], [nGC_9497])

      call avR2(2526, 1, 18, 1, 0, FaFV0, 0, [0, 3], [nGC_9501])

      allocate(vertices(661)%branchR2(0:0))
      call avR2(661, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_9577, nGC_9576,        &
      nGC_9575])

      allocate(vertices(1645)%branchR2(0:0))
      call avR2(1645, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_21483])

      allocate(vertices(1231)%branchR2(0:0))
      call avR2(1231, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_9582])

      allocate(vertices(452)%branchR2(0:0))
      call avR2(452, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_9570])

      allocate(vertices(3921)%branchR2(0:1))
      call avR2(3921, 0, 136, 1, 0, VVVV0, 0, [2, 2], [nGC_9587, nGC_9587,     &
      nGC_9587])

      call avR2(3921, 1, 135, 1, 0, VVVV0, 0, [2, 2], [nGC_9586, nGC_9586,     &
      nGC_9586])

      allocate(vertices(455)%branchR2(0:1))
      call avR2(455, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_9404, nGC_9403])

      call avR2(455, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9378, nGC_9378])

      allocate(vertices(3849)%branchR2(0:0))
      call avR2(3849, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_9579])

      allocate(vertices(119)%branchR2(0:0))
      call avR2(119, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_9499])

      allocate(vertices(2227)%branchR2(0:0))
      call avR2(2227, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_9568])

      allocate(vertices(1141)%branchR2(0:1))
      call avR2(1141, 0, 19, 1, 0, FaVF1, 0, [0, 3], [nGC_9511, nGC_9509])

      call avR2(1141, 1, 19, 1, 0, FaVF1, 0, [2, 1], [nGC_9512, nGC_9510])

      allocate(vertices(3555)%branchR2(0:1))
      call avR2(3555, 0, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_9435, nGC_9437])

      call avR2(3555, 1, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_9436, nGC_9438])

      allocate(vertices(3616)%branchR2(0:1))
      call avR2(3616, 0, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_9507, nGC_9505])

      call avR2(3616, 1, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_9508, nGC_9506])

      allocate(vertices(1289)%branchR2(0:1))
      call avR2(1289, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_9418, nGC_9420])

      call avR2(1289, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_9419, nGC_9421])

      allocate(vertices(3356)%branchR2(0:0))
      call avR2(3356, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_9566])

      allocate(vertices(3922)%branchR2(0:5))
      call avR2(3922, 0, 158, 1, 0, VVVV0, 0, [3, 1], [nGC_9616, nGC_9616,     &
      nGC_9616])

      call avR2(3922, 1, 155, 1, 0, VVVV0, 0, [3, 1], [nGC_9617, nGC_9617,     &
      nGC_9617])

      call avR2(3922, 2, 154, 1, 0, VVVV0, 0, [3, 1], [nGC_9617, nGC_9617,     &
      nGC_9617])

      call avR2(3922, 3, 157, 1, 0, VVVV0, 0, [3, 1], [nGC_9618, nGC_9618,     &
      nGC_9618])

      call avR2(3922, 4, 156, 1, 0, VVVV0, 0, [3, 1], [nGC_9616, nGC_9616,     &
      nGC_9616])

      call avR2(3922, 5, 153, 1, 0, VVVV0, 0, [3, 1], [nGC_9617, nGC_9617,     &
      nGC_9617])

      allocate(vertices(1616)%branchR2(0:0))
      call avR2(1616, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_9479, nGC_9478])

      allocate(vertices(907)%branchR2(0:0))
      call avR2(907, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_9596])

      allocate(vertices(1985)%branchR2(0:0))
      call avR2(1985, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_9383])

      allocate(vertices(3923)%branchR2(0:0))
      call avR2(3923, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_9387])

      allocate(vertices(3924)%branchR2(0:0))
      call avR2(3924, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_9565])

      allocate(vertices(1354)%branchR2(0:1))
      call avR2(1354, 0, 21, 1, 0, VFaF0, 0, [0, 3], [nGC_9400, nGC_9399])

      call avR2(1354, 1, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_9378, nGC_9378])

      allocate(vertices(3882)%branchR2(0:0))
      call avR2(3882, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_9395])

      allocate(vertices(647)%branchR2(0:0))
      call avR2(647, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_9591])

      allocate(vertices(723)%branchR2(0:0))
      call avR2(723, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_9581])

      allocate(vertices(2471)%branchR2(0:0))
      call avR2(2471, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_9597])

      allocate(vertices(3535)%branchR2(0:0))
      call avR2(3535, 0, 1, 1, 0, FSFa2, 0, [0, 3], [nGC_9422])

      allocate(vertices(1644)%branchR2(0:1))
      call avR2(1644, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_9378, nGC_9378])

      call avR2(1644, 1, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_9377, nGC_9376])

      allocate(vertices(1466)%branchR2(0:3))
      call avR2(1466, 0, 27, 1, 0, FaFV1, 0, [1, 2], [nGC_9532, nGC_9530])

      call avR2(1466, 1, 27, 1, 0, FaFV1, 0, [3, 0], [nGC_9531, nGC_9531])

      call avR2(1466, 2, 26, 1, 0, FaFV1, 0, [1, 2], [nGC_9535, nGC_9533])

      call avR2(1466, 3, 26, 1, 0, FaFV1, 0, [3, 0], [nGC_9534, nGC_9534])

      allocate(vertices(2302)%branchR2(0:0))
      call avR2(2302, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_9585])

      allocate(vertices(3925)%branchR2(0:1))
      call avR2(3925, 0, 145, 1, 0, VVSS0, 0, [2, 2], [nGC_9593])

      call avR2(3925, 1, 146, 1, 0, VVSS0, 0, [2, 2], [nGC_9592])

      allocate(vertices(1672)%branchR2(0:0))
      call avR2(1672, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_9569])

      allocate(vertices(3926)%branchR2(0:1))
      call avR2(3926, 0, 136, 1, 0, VVVV0, 0, [2, 2], [nGC_9606, nGC_9606,     &
      nGC_9606])

      call avR2(3926, 1, 135, 1, 0, VVVV0, 0, [2, 2], [nGC_9605, nGC_9605,     &
      nGC_9605])

      allocate(vertices(3927)%branchR2(0:0))
      call avR2(3927, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_9571, nGC_9571,       &
      nGC_9571])

      allocate(vertices(3697)%branchR2(0:0))
      call avR2(3697, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_9560])

      allocate(vertices(3928)%branchR2(0:1))
      call avR2(3928, 0, 145, 1, 0, VVVV0, 0, [2, 2], [nGC_9602, nGC_9602,     &
      nGC_9602])

      call avR2(3928, 1, 146, 1, 0, VVVV0, 0, [2, 2], [nGC_9601, nGC_9601,     &
      nGC_9601])

      allocate(vertices(1998)%branchR2(0:1))
      call avR2(1998, 0, 20, 1, 0, VFFa1, 0, [2, 1], [nGC_9508, nGC_9506])

      call avR2(1998, 1, 20, 1, 0, VFFa1, 0, [0, 3], [nGC_9514, nGC_9513])

      allocate(vertices(342)%branchR2(0:0))
      call avR2(342, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_9567])

      allocate(vertices(146)%branchR2(0:0))
      call avR2(146, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_9585])

      allocate(vertices(2041)%branchR2(0:0))
      call avR2(2041, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_9500])

      allocate(vertices(3824)%branchR2(0:0))
      call avR2(3824, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_9385])

      allocate(vertices(2387)%branchR2(0:0))
      call avR2(2387, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_9575, nGC_9576,       &
      nGC_9577])

      allocate(vertices(2150)%branchR2(0:0))
      call avR2(2150, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_9569])

      allocate(vertices(886)%branchR2(0:0))
      call avR2(886, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_9567])

      allocate(vertices(1850)%branchR2(0:1))
      call avR2(1850, 0, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_9497])

      call avR2(1850, 1, 20, 1, 0, VFFa0, 0, [0, 3], [nGC_9498])

      allocate(vertices(2380)%branchR2(0:0))
      call avR2(2380, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_9595])

      allocate(vertices(1142)%branchR2(0:0))
      call avR2(1142, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_9467])

      allocate(vertices(3700)%branchR2(0:0))
      call avR2(3700, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_9567])

      allocate(vertices(555)%branchR2(0:0))
      call avR2(555, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_9451, nGC_9450])

      allocate(vertices(1373)%branchR2(0:0))
      call avR2(1373, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_9570])

      allocate(vertices(3678)%branchR2(0:1))
      call avR2(3678, 0, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_9439, nGC_9441])

      call avR2(3678, 1, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_9440, nGC_9442])

      allocate(vertices(1287)%branchR2(0:0))
      call avR2(1287, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_9591])

      allocate(vertices(829)%branchR2(0:0))
      call avR2(829, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_9560])

      allocate(vertices(1439)%branchR2(0:1))
      call avR2(1439, 0, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_9443, nGC_9445])

      call avR2(1439, 1, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_9444, nGC_9446])

      allocate(vertices(3774)%branchR2(0:0))
      call avR2(3774, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_9461, nGC_9460])

      allocate(vertices(116)%branchR2(0:0))
      call avR2(116, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_9576, nGC_9577,        &
      nGC_9575])

      allocate(vertices(1202)%branchR2(0:1))
      call avR2(1202, 0, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_9487, nGC_9488])

      call avR2(1202, 1, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_9489, nGC_9489])

      allocate(vertices(1195)%branchR2(0:0))
      call avR2(1195, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_9583])

      allocate(vertices(2676)%branchR2(0:0))
      call avR2(2676, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_9515, nGC_9516])

      allocate(vertices(3363)%branchR2(0:0))
      call avR2(3363, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_9591])

      allocate(vertices(3838)%branchR2(0:1))
      call avR2(3838, 0, 16, 1, 0, VV1, 0, [2, 0], [nGC_9365, nGC_9364,        &
      nGC_9366])

      call avR2(3838, 1, 15, 1, 0, VV1, 0, [2, 0], [nGC_9362, nGC_9361,        &
      nGC_9363])

      allocate(vertices(721)%branchR2(0:0))
      call avR2(721, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_9589])

      allocate(vertices(3224)%branchR2(0:0))
      call avR2(3224, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_9591])

      allocate(vertices(3188)%branchR2(0:3))
      call avR2(3188, 0, 30, 1, 0, VFaF0, 0, [1, 2], [nGC_9539, nGC_9538])

      call avR2(3188, 1, 30, 1, 0, VFaF0, 0, [3, 0], [nGC_9534, nGC_9534])

      call avR2(3188, 2, 31, 1, 0, VFaF0, 0, [1, 2], [nGC_9537, nGC_9536])

      call avR2(3188, 3, 31, 1, 0, VFaF0, 0, [3, 0], [nGC_9531, nGC_9531])

      allocate(vertices(3929)%branchR2(0:1))
      call avR2(3929, 0, 139, 1, 0, SVSV0, 0, [2, 2], [nGC_9593])

      call avR2(3929, 1, 140, 1, 0, SVSV0, 0, [2, 2], [nGC_9592])

      allocate(vertices(2809)%branchR2(0:0))
      call avR2(2809, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_9582])

      allocate(vertices(1572)%branchR2(0:0))
      call avR2(1572, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_21611])

      allocate(vertices(1586)%branchR2(0:0))
      call avR2(1586, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_9569])

      allocate(vertices(1900)%branchR2(0:0))
      call avR2(1900, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_9449, nGC_9448])

      allocate(vertices(3864)%branchR2(0:0))
      call avR2(3864, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_9579])

      allocate(vertices(396)%branchR2(0:1))
      call avR2(396, 0, 20, 1, 0, VFFa1, 0, [0, 3], [nGC_9377, nGC_9376])

      call avR2(396, 1, 20, 1, 0, VFFa1, 0, [2, 1], [nGC_9378, nGC_9378])

      allocate(vertices(845)%branchR2(0:0))
      call avR2(845, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_9577, nGC_9576,        &
      nGC_9575])

      allocate(vertices(3279)%branchR2(0:1))
      call avR2(3279, 0, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_9410, nGC_9412])

      call avR2(3279, 1, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_9411, nGC_9413])

      allocate(vertices(1979)%branchR2(0:0))
      call avR2(1979, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_9568])

      allocate(vertices(1038)%branchR2(0:0))
      call avR2(1038, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_9423])

      allocate(vertices(490)%branchR2(0:1))
      call avR2(490, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_9421, nGC_9419])

      call avR2(490, 1, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_9431, nGC_9430])

      allocate(vertices(265)%branchR2(0:0))
      call avR2(265, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_9591])

      allocate(vertices(3333)%branchR2(0:0))
      call avR2(3333, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_9566])

      allocate(vertices(333)%branchR2(0:0))
      call avR2(333, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_9526, nGC_9527])

      allocate(vertices(888)%branchR2(0:1))
      call avR2(888, 0, 20, 1, 0, VFFa1, 0, [0, 3], [nGC_9398, nGC_9397])

      call avR2(888, 1, 20, 1, 0, VFFa1, 0, [2, 1], [nGC_9381, nGC_9381])

      allocate(vertices(1164)%branchR2(0:0))
      call avR2(1164, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_9597])

      allocate(vertices(1510)%branchR2(0:1))
      call avR2(1510, 0, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_9475, nGC_9476])

      call avR2(1510, 1, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_9477, nGC_9477])

      allocate(vertices(2584)%branchR2(0:0))
      call avR2(2584, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_9585])

      allocate(vertices(2110)%branchR2(0:1))
      call avR2(2110, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_9443, nGC_9445])

      call avR2(2110, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_9444, nGC_9446])

      allocate(vertices(2418)%branchR2(0:0))
      call avR2(2418, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_9569])

      allocate(vertices(955)%branchR2(0:3))
      call avR2(955, 0, 30, 1, 0, VFaF0, 0, [1, 2], [nGC_9535, nGC_9533])

      call avR2(955, 1, 30, 1, 0, VFaF0, 0, [3, 0], [nGC_9534, nGC_9534])

      call avR2(955, 2, 31, 1, 0, VFaF0, 0, [1, 2], [nGC_9532, nGC_9530])

      call avR2(955, 3, 31, 1, 0, VFaF0, 0, [3, 0], [nGC_9531, nGC_9531])

      allocate(vertices(3930)%branchR2(0:5))
      call avR2(3930, 0, 169, 1, 0, VVVV0, 0, [3, 1], [nGC_9618, nGC_9618,     &
      nGC_9618])

      call avR2(3930, 1, 167, 1, 0, VVVV0, 0, [3, 1], [nGC_9617, nGC_9617,     &
      nGC_9617])

      call avR2(3930, 2, 168, 1, 0, VVVV0, 0, [3, 1], [nGC_9616, nGC_9616,     &
      nGC_9616])

      call avR2(3930, 3, 166, 1, 0, VVVV0, 0, [3, 1], [nGC_9617, nGC_9617,     &
      nGC_9617])

      call avR2(3930, 4, 170, 1, 0, VVVV0, 0, [3, 1], [nGC_9616, nGC_9616,     &
      nGC_9616])

      call avR2(3930, 5, 165, 1, 0, VVVV0, 0, [3, 1], [nGC_9617, nGC_9617,     &
      nGC_9617])

      allocate(vertices(3102)%branchR2(0:0))
      call avR2(3102, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_9588])

      allocate(vertices(2729)%branchR2(0:0))
      call avR2(2729, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_9500])

      allocate(vertices(1377)%branchR2(0:0))
      call avR2(1377, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_9495])

      allocate(vertices(1696)%branchR2(0:0))
      call avR2(1696, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_9467])

      allocate(vertices(2389)%branchR2(0:0))
      call avR2(2389, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_9406])

      allocate(vertices(2914)%branchR2(0:1))
      call avR2(2914, 0, 18, 1, 0, FaFV1, 0, [2, 1], [nGC_9508, nGC_9506])

      call avR2(2914, 1, 18, 1, 0, FaFV1, 0, [0, 3], [nGC_9523, nGC_9522])

      allocate(vertices(583)%branchR2(0:0))
      call avR2(583, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_9589])

      allocate(vertices(1870)%branchR2(0:1))
      call avR2(1870, 0, 19, 1, 0, FaSF0, 0, [0, 3], [nGC_9418, nGC_9420])

      call avR2(1870, 1, 19, 1, 0, FaSF0, 0, [2, 1], [nGC_9419, nGC_9421])

      allocate(vertices(3367)%branchR2(0:0))
      call avR2(3367, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_9561, nGC_9562,       &
      nGC_9563])

      allocate(vertices(1217)%branchR2(0:0))
      call avR2(1217, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_9566])

      allocate(vertices(3835)%branchR2(0:0))
      call avR2(3835, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_9385])

      allocate(vertices(3612)%branchR2(0:0))
      call avR2(3612, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_21681])

      allocate(vertices(15)%branchR2(0:0))
      call avR2(15, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_9392, nGC_9393])

      allocate(vertices(2232)%branchR2(0:0))
      call avR2(2232, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_9567])

      allocate(vertices(204)%branchR2(0:0))
      call avR2(204, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_9401, nGC_9402])

      allocate(vertices(3931)%branchR2(0:1))
      call avR2(3931, 0, 137, 1, 0, SVVS0, 0, [2, 2], [nGC_9610])

      call avR2(3931, 1, 138, 1, 0, SVVS0, 0, [2, 2], [nGC_9609])

      allocate(vertices(3401)%branchR2(0:0))
      call avR2(3401, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_9424])

      allocate(vertices(2772)%branchR2(0:0))
      call avR2(2772, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_9591])

      allocate(vertices(3932)%branchR2(0:0))
      call avR2(3932, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_9564])

      allocate(vertices(3301)%branchR2(0:0))
      call avR2(3301, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_9560])

      allocate(vertices(165)%branchR2(0:0))
      call avR2(165, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_9423])

      allocate(vertices(3933)%branchR2(0:1))
      call avR2(3933, 0, 128, 1, 0, VVS0, 0, [2, 1], [nGC_9483])

      call avR2(3933, 1, 127, 1, 0, VVS0, 0, [2, 1], [nGC_9482])

      allocate(vertices(3934)%branchR2(0:1))
      call avR2(3934, 0, 141, 1, 0, VSVS0, 0, [2, 2], [nGC_9593])

      call avR2(3934, 1, 142, 1, 0, VSVS0, 0, [2, 2], [nGC_9592])

      allocate(vertices(3935)%branchR2(0:1))
      call avR2(3935, 0, 137, 1, 0, VVVV0, 0, [2, 2], [nGC_9602, nGC_9602,     &
      nGC_9602])

      call avR2(3935, 1, 138, 1, 0, VVVV0, 0, [2, 2], [nGC_9601, nGC_9601,     &
      nGC_9601])

      allocate(vertices(1778)%branchR2(0:0))
      call avR2(1778, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_9560])

      allocate(vertices(718)%branchR2(0:0))
      call avR2(718, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_9517, nGC_9518])

      allocate(vertices(3387)%branchR2(0:0))
      call avR2(3387, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_9422])

      allocate(vertices(1685)%branchR2(0:0))
      call avR2(1685, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_9589])

      allocate(vertices(3840)%branchR2(0:0))
      call avR2(3840, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_9385])

      allocate(vertices(2397)%branchR2(0:0))
      call avR2(2397, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_9588])

      allocate(vertices(1151)%branchR2(0:0))
      call avR2(1151, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_9603, nGC_9604,       &
      nGC_9604])

      allocate(vertices(378)%branchR2(0:0))
      call avR2(378, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_9568])

      allocate(vertices(3233)%branchR2(0:0))
      call avR2(3233, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_9569])

    end subroutine fill_vertices_mdl8
end module vertices_info8
