!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-28 18:17             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl2()
      coupl(nGC_15138) = coupl(nGC_79)*dZtR_QCD2
      coupl(nGC_9683) = coupl(nGC_9162)*dyb_QED1_QCD2
      coupl(nGC_9682) = coupl(nGC_9186)*dys_QED3
      coupl(nGC_9681) = coupl(nGC_9186)*dys_QED1_QCD2
      coupl(nGC_9684) = coupl(nGC_9162)*dyb_QED3
      coupl(nGC_9688) = coupl(nGC_9180)*dye_QED3
      coupl(nGC_9372) = cMT*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_9371) = cMT*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_79)*coupl(    &
                        nGC_83))/(8d0*pi**2d0)
      coupl(nGC_9377) = (coupl(nGC_1)*coupl(nGC_127)**2d0 + coupl(nGC_128)**2d0&
                        *coupl(nGC_2) + coupl(nGC_129)*coupl(nGC_2)*coupl(     &
                        nGC_642) + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*   &
                        coupl(nGC_79)**2d0)/(32d0*pi**2d0)
      coupl(nGC_9376) = (coupl(nGC_1)*coupl(nGC_139)**2d0 + 4d0*coupl(nGC_1)*  &
                        coupl(nGC_62)**2d0 + coupl(nGC_128)**2d0*coupl(nGC_2   &
                        ) + coupl(nGC_129)*coupl(nGC_2)*coupl(nGC_642) + 4d0*  &
                        coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_83)**2d0&
                         + 2d0*coupl(nGC_3)*coupl(nGC_62)**2d0)/(32d0*pi**2d0)
      coupl(nGC_9375) = cMU*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_9374) = cMU*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_79)*coupl(    &
                        nGC_83))/(8d0*pi**2d0)
      coupl(nGC_9379) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_125)*  &
                        coupl(nGC_520) + coupl(nGC_1)*coupl(nGC_126)**2d0 + 4d0&
                        *coupl(nGC_1)*coupl(nGC_82)**2d0 + coupl(nGC_142)**2d0*&
                        coupl(nGC_2) + 4d0*coupl(nGC_2)*coupl(nGC_62)**2d0 +   &
                        2d0*coupl(nGC_380)*coupl(nGC_62)**2d0)/(32d0*pi**2d0)
      coupl(nGC_15141) = coupl(nGC_79)*dZZ_QED2/2d0 + coupl(nGC_79)*dZtR_QED2  &
                          + coupl(nGC_9739)
      coupl(nGC_15142) = coupl(nGC_14518) + coupl(nGC_15141)
      coupl(nGC_16266) = coupl(nGC_82)*dZdL_QCD2
      coupl(nGC_16189) = coupl(nGC_145)*dZnu_tauL_QED2/2d0 + coupl(nGC_145)*   &
                         dZtauMinusR_QED2/2d0 + coupl(nGC_9687)
      coupl(nGC_16263) = coupl(nGC_78)*dZdR_QCD2
      coupl(nGC_15913) = coupl(nGC_19)*dZtL_QCD2
      coupl(nGC_15912) = coupl(nGC_19)*dZtL_QED2
      coupl(nGC_15911) = coupl(nGC_19)*dZtR_QCD2
      coupl(nGC_15910) = coupl(nGC_19)*dZtR_QED2
      coupl(nGC_14144) = coupl(nGC_77)*dZZA_QED2
      coupl(nGC_15853) = coupl(nGC_146)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/ &
                         2d0
      coupl(nGC_14140) = coupl(nGC_141)*dZH_QED2/2d0 + coupl(nGC_9682)
      coupl(nGC_9618) = cima*coupl(nGC_19)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(&
                        nGC_2))/(16d0*pi**2d0*Nc**2d0)
      coupl(nGC_9619) = cima*coupl(nGC_19)**3d0*sq2**3d0*(coupl(nGC_78) + coupl&
                        (nGC_79) + coupl(nGC_82) + coupl(nGC_83))/(128d0*pi**  &
                        2d0)
      coupl(nGC_9443) = (-coupl(nGC_127)*coupl(nGC_139)*coupl(nGC_140) - coupl(&
                        nGC_128)**2d0*coupl(nGC_129) - coupl(nGC_129)*coupl(   &
                        nGC_642)**2d0 + 8d0*coupl(nGC_2)**2d0*coupl(nGC_642) + &
                        8d0*coupl(nGC_642)*coupl(nGC_79)*coupl(nGC_83))/(32d0* &
                        pi**2d0)
      coupl(nGC_9610) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_126)**2d0  &
                         + coupl(nGC_128)**2d0 + coupl(nGC_132)**2d0 + coupl(  &
                        nGC_141)**2d0 + coupl(nGC_143)**2d0 + coupl(nGC_149)** &
                        2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9614) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_78)**2d0 + &
                        coupl(nGC_79)**2d0 + coupl(nGC_82)**2d0 + coupl(nGC_83 &
                        )**2d0)/(32d0*pi**2d0)
      coupl(nGC_9615) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_78)**2d0  &
                         - coupl(nGC_79)**2d0 - coupl(nGC_82)**2d0 - coupl(    &
                        nGC_83)**2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9616) = cima*coupl(nGC_19)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(&
                        nGC_2))/(64d0*pi**2d0)
      coupl(nGC_15499) = coupl(nGC_14027) + coupl(nGC_15496)
      coupl(nGC_14367) = coupl(nGC_9639) + coupl(nGC_HHGG)
      coupl(nGC_16988) = coupl(nGC_16986) + coupl(nGC_9689)
      coupl(nGC_16987) = -coupl(nGC_16986) - coupl(nGC_9689)
      coupl(nGC_14045) = coupl(nGC_7)*dZA_QED2/2d0 + coupl(nGC_7)*dZWMinus_QED2&
                         /2d0 + coupl(nGC_75)*dZZA_QED2/2d0 + coupl(nGC_9706)
      coupl(nGC_16466) = coupl(nGC_6)*dZA_QED2/2d0 + coupl(nGC_65)*dZZA_QED2/  &
                         2d0 + coupl(nGC_9654)
      coupl(nGC_14442) = coupl(nGC_19)*dZcL_QCD2
      coupl(nGC_14443) = coupl(nGC_19)*dZcR_QED2
      coupl(nGC_14441) = coupl(nGC_19)*dZcL_QED2
      coupl(nGC_14444) = coupl(nGC_19)*dZcR_QCD2
      coupl(nGC_14567) = coupl(nGC_149)*(dZuL_QED2 + dZuR_QED2)/2d0
      coupl(nGC_14568) = coupl(nGC_149)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_15561) = coupl(nGC_1)*dZAZ_QED2/2d0
      coupl(nGC_15567) = coupl(nGC_82)*dZsL_QCD2
      coupl(nGC_15564) = coupl(nGC_78)*dZsR_QCD2
      coupl(nGC_14210) = coupl(nGC_66)*dZWMinus_QED2/2d0 + coupl(nGC_9656)
      coupl(nGC_9539) = -coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(    &
                        nGC_130)**2d0 - coupl(nGC_131)*coupl(nGC_2178) - coupl(&
                        nGC_132)**2d0 - 4d0*coupl(nGC_78)**2d0)/(64d0*pi**2d0)
      coupl(nGC_9538) = -coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(    &
                        nGC_131)*coupl(nGC_2178) - coupl(nGC_132)**2d0 - coupl(&
                        nGC_148)**2d0 - 4d0*coupl(nGC_62)**2d0 - 4d0*coupl(    &
                        nGC_82)**2d0)/(64d0*pi**2d0)
      coupl(nGC_9535) = -coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(    &
                        nGC_124)**2d0 - coupl(nGC_125)*coupl(nGC_520) - coupl( &
                        nGC_126)**2d0 - 4d0*coupl(nGC_78)**2d0)/(64d0*pi**2d0)
      coupl(nGC_9534) = -coupl(nGC_19)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(     &
                        nGC_470) + 2d0*coupl(nGC_19))/(128d0*pi**2d0*Nc)
      coupl(nGC_9537) = -coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(     &
                        nGC_130)**2d0 + coupl(nGC_131)*coupl(nGC_2178) + coupl(&
                        nGC_132)**2d0 + 4d0*coupl(nGC_78)**2d0)/(64d0*pi**2d0* &
                        Nc)
      coupl(nGC_9536) = -coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(     &
                        nGC_131)*coupl(nGC_2178) + coupl(nGC_132)**2d0 + coupl(&
                        nGC_148)**2d0 + 4d0*coupl(nGC_62)**2d0 + 4d0*coupl(    &
                        nGC_82)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_9531) = -coupl(nGC_19)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(      &
                        nGC_470) - 2d0*coupl(nGC_19))/(128d0*pi**2d0*Nc**2d0)
      coupl(nGC_9530) = -coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(     &
                        nGC_125)*coupl(nGC_520) + coupl(nGC_126)**2d0 + coupl( &
                        nGC_142)**2d0 + 4d0*coupl(nGC_62)**2d0 + 4d0*coupl(    &
                        nGC_82)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_9533) = -coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(    &
                        nGC_125)*coupl(nGC_520) - coupl(nGC_126)**2d0 - coupl( &
                        nGC_142)**2d0 - 4d0*coupl(nGC_62)**2d0 - 4d0*coupl(    &
                        nGC_82)**2d0)/(64d0*pi**2d0)
      coupl(nGC_9532) = -coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(     &
                        nGC_124)**2d0 + coupl(nGC_125)*coupl(nGC_520) + coupl( &
                        nGC_126)**2d0 + 4d0*coupl(nGC_78)**2d0)/(64d0*pi**2d0* &
                        Nc)
      coupl(nGC_9389) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_131)*  &
                        coupl(nGC_2178) + coupl(nGC_1)*coupl(nGC_132)**2d0 +   &
                        4d0*coupl(nGC_1)*coupl(nGC_78)**2d0 + coupl(nGC_130)** &
                        2d0*coupl(nGC_2))/(32d0*pi**2d0)
      coupl(nGC_14280) = coupl(nGC_14277) + coupl(nGC_14279)
      coupl(nGC_19265) = coupl(nGC_MI)*dZAZ_QED2/2d0
      coupl(nGC_19267) = coupl(nGC_MZ)*dZZA_QED2/2d0
      coupl(nGC_19266) = coupl(nGC_MI)*dZZA_QED2/2d0
      coupl(nGC_9602) = -cima*coupl(nGC_19)**2d0*coupl(nGC_62)**2d0*sq2**2d0/( &
                        32d0*pi**2d0*Nc)
      coupl(nGC_14820) = coupl(nGC_14813) + coupl(nGC_9674)
      coupl(nGC_9401) = coupl(nGC_4)*(coupl(nGC_146)*coupl(nGC_334) + coupl(   &
                        nGC_147)**2d0 + 4d0*coupl(nGC_4)**2d0 + 4d0*coupl(     &
                        nGC_80)**2d0)/(32d0*pi**2d0)
      coupl(nGC_9403) = (coupl(nGC_1)*coupl(nGC_130)**2d0 + 4d0*coupl(nGC_1)*  &
                        coupl(nGC_62)**2d0 + coupl(nGC_149)**2d0*coupl(nGC_2   &
                        ) + coupl(nGC_150)*coupl(nGC_2)*coupl(nGC_364) + 4d0*  &
                        coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_83)**2d0&
                         + 2d0*coupl(nGC_3)*coupl(nGC_62)**2d0)/(32d0*pi**2d0)
      coupl(nGC_9402) = (coupl(nGC_146)*coupl(nGC_334)*coupl(nGC_4) + coupl(   &
                        nGC_147)**2d0*coupl(nGC_4) - 2d0*coupl(nGC_3)*coupl(   &
                        nGC_62)**2d0 + 4d0*coupl(nGC_4)**3d0 + 4d0*coupl(nGC_4 &
                        )*coupl(nGC_85)**2d0)/(32d0*pi**2d0)
      coupl(nGC_9405) = (Nc*coupl(nGC_124)**2d0*coupl(nGC_78) - Nc*coupl(      &
                        nGC_124)**2d0*coupl(nGC_83) - Nc*coupl(nGC_127)**2d0*  &
                        coupl(nGC_79) + Nc*coupl(nGC_127)**2d0*coupl(nGC_82) + &
                        Nc*coupl(nGC_130)**2d0*coupl(nGC_78) - Nc*coupl(nGC_130&
                        )**2d0*coupl(nGC_83) + Nc*coupl(nGC_139)**2d0*coupl(   &
                        nGC_78) - Nc*coupl(nGC_139)**2d0*coupl(nGC_83) - Nc*   &
                        coupl(nGC_142)**2d0*coupl(nGC_79) + Nc*coupl(nGC_142)**&
                        2d0*coupl(nGC_82) - Nc*coupl(nGC_148)**2d0*coupl(nGC_79&
                        ) + Nc*coupl(nGC_148)**2d0*coupl(nGC_82) + coupl(      &
                        nGC_133)**2d0*coupl(nGC_80) - coupl(nGC_133)**2d0*coupl&
                        (nGC_86) + coupl(nGC_136)**2d0*coupl(nGC_80) - coupl(  &
                        nGC_136)**2d0*coupl(nGC_86) + coupl(nGC_145)**2d0*coupl&
                        (nGC_80) - coupl(nGC_145)**2d0*coupl(nGC_86))/(24d0*pi &
                        **2d0)
      coupl(nGC_9404) = (coupl(nGC_1)*coupl(nGC_148)**2d0 + coupl(nGC_149)**2d0&
                        *coupl(nGC_2) + coupl(nGC_150)*coupl(nGC_2)*coupl(     &
                        nGC_364) + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*   &
                        coupl(nGC_79)**2d0)/(32d0*pi**2d0)
      coupl(nGC_9407) = coupl(nGC_62)*(-Nc*coupl(nGC_124)*coupl(nGC_126) + Nc* &
                        coupl(nGC_127)*coupl(nGC_128) - Nc*coupl(nGC_130)*coupl&
                        (nGC_132) - Nc*coupl(nGC_139)*coupl(nGC_141) + Nc*coupl&
                        (nGC_142)*coupl(nGC_143) + Nc*coupl(nGC_148)*coupl(    &
                        nGC_149) - coupl(nGC_133)*coupl(nGC_135) - coupl(      &
                        nGC_136)*coupl(nGC_138) - coupl(nGC_145)*coupl(nGC_147 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_9406) = (2d0*Nc*cMB*coupl(nGC_124)**2d0*coupl(nGC_126) + 2d0*Nc&
                        *cMB*coupl(nGC_124)*coupl(nGC_142)*coupl(nGC_143) + 2d0&
                        *Nc*cMB*coupl(nGC_126)*coupl(nGC_142)**2d0 + 2d0*Nc*cMC&
                        *coupl(nGC_127)**2d0*coupl(nGC_128) + 2d0*Nc*cMC*coupl(&
                        nGC_127)*coupl(nGC_139)*coupl(nGC_141) + 2d0*Nc*cMC*   &
                        coupl(nGC_128)*coupl(nGC_139)**2d0 + 2d0*Nc*cMD*coupl( &
                        nGC_130)**2d0*coupl(nGC_132) + 2d0*Nc*cMD*coupl(nGC_130&
                        )*coupl(nGC_148)*coupl(nGC_149) + 2d0*Nc*cMD*coupl(    &
                        nGC_132)*coupl(nGC_148)**2d0 + 2d0*Nc*cMS*coupl(nGC_127&
                        )**2d0*coupl(nGC_141) + 2d0*Nc*cMS*coupl(nGC_127)*coupl&
                        (nGC_128)*coupl(nGC_139) + 2d0*Nc*cMS*coupl(nGC_139)** &
                        2d0*coupl(nGC_141) + 2d0*Nc*cMT*coupl(nGC_124)**2d0*   &
                        coupl(nGC_143) + 2d0*Nc*cMT*coupl(nGC_124)*coupl(      &
                        nGC_126)*coupl(nGC_142) + 2d0*Nc*cMT*coupl(nGC_142)**  &
                        2d0*coupl(nGC_143) + 2d0*Nc*cMU*coupl(nGC_130)**2d0*   &
                        coupl(nGC_149) + 2d0*Nc*cMU*coupl(nGC_130)*coupl(      &
                        nGC_132)*coupl(nGC_148) + 2d0*Nc*cMU*coupl(nGC_148)**  &
                        2d0*coupl(nGC_149) + 2d0*cME*coupl(nGC_133)**2d0*coupl(&
                        nGC_135) + 2d0*cMM*coupl(nGC_136)**2d0*coupl(nGC_138   &
                        ) + 2d0*cMTA*coupl(nGC_145)**2d0*coupl(nGC_147) + 2d0* &
                        cima*coupl(nGC_107)*coupl(nGC_47) + 4d0*cima*coupl(    &
                        nGC_110)*coupl(nGC_69) + cima*coupl(nGC_123)*coupl(    &
                        nGC_95) + 4d0*cima*coupl(nGC_14)*coupl(nGC_99))/(16d0* &
                        pi**2d0)
      coupl(nGC_9605) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(  &
                        nGC_78) + coupl(nGC_1)*coupl(nGC_82) + coupl(nGC_2)*   &
                        coupl(nGC_79) + coupl(nGC_2)*coupl(nGC_83))/(32d0*pi** &
                        2d0)
      coupl(nGC_9393) = (coupl(nGC_1016)*coupl(nGC_137)*coupl(nGC_4) + coupl(  &
                        nGC_138)**2d0*coupl(nGC_4) - 2d0*coupl(nGC_3)*coupl(   &
                        nGC_62)**2d0 + 4d0*coupl(nGC_4)**3d0 + 4d0*coupl(nGC_4 &
                        )*coupl(nGC_85)**2d0)/(32d0*pi**2d0)
      coupl(nGC_9392) = coupl(nGC_4)*(coupl(nGC_1016)*coupl(nGC_137) + coupl(  &
                        nGC_138)**2d0 + 4d0*coupl(nGC_4)**2d0 + 4d0*coupl(     &
                        nGC_80)**2d0)/(32d0*pi**2d0)
      coupl(nGC_9395) = (coupl(nGC_136)**2d0*coupl(nGC_4) + 2d0*coupl(nGC_3)*  &
                        coupl(nGC_62)**2d0 + 4d0*coupl(nGC_4)*coupl(nGC_62)**  &
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_9394) = (coupl(nGC_133)**2d0*coupl(nGC_4) + 2d0*coupl(nGC_3)*  &
                        coupl(nGC_62)**2d0 + 4d0*coupl(nGC_4)*coupl(nGC_62)**  &
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_9397) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_140)*  &
                        coupl(nGC_730) + coupl(nGC_1)*coupl(nGC_141)**2d0 + 4d0&
                        *coupl(nGC_1)*coupl(nGC_82)**2d0 + coupl(nGC_127)**2d0*&
                        coupl(nGC_2) + 4d0*coupl(nGC_2)*coupl(nGC_62)**2d0 +   &
                        2d0*coupl(nGC_380)*coupl(nGC_62)**2d0)/(32d0*pi**2d0)
      coupl(nGC_9396) = (coupl(nGC_145)**2d0*coupl(nGC_4) + 2d0*coupl(nGC_3)*  &
                        coupl(nGC_62)**2d0 + 4d0*coupl(nGC_4)*coupl(nGC_62)**  &
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_9398) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_140)*  &
                        coupl(nGC_730) + coupl(nGC_1)*coupl(nGC_141)**2d0 + 4d0&
                        *coupl(nGC_1)*coupl(nGC_78)**2d0 + coupl(nGC_139)**2d0*&
                        coupl(nGC_2))/(32d0*pi**2d0)
      coupl(nGC_15681) = coupl(nGC_MI)*dZnu_muL_QED2
      coupl(nGC_9715) = coupl(nGC_9243)*dZee_QED2 + coupl(nGC_9244)*dsw_QED2
      coupl(nGC_9714) = coupl(nGC_9268)*dZee_QED2 + coupl(nGC_9269)*dsw_QED2
      coupl(nGC_9717) = coupl(nGC_9270)*dZee_QED2 + coupl(nGC_9271)*dsw_QED2 + &
                        coupl(nGC_9272)*dcw_QED2
      coupl(nGC_9716) = coupl(nGC_9247)*dZee_QED2 + coupl(nGC_9248)*dsw_QED2
      coupl(nGC_9711) = coupl(nGC_9275)*dZee_QED2 + coupl(nGC_9276)*dsw_QED2
      coupl(nGC_9710) = coupl(nGC_9277)*dZee_QED2 + coupl(nGC_9278)*dsw_QED2
      coupl(nGC_9713) = coupl(nGC_9252)*dZee_QED2 + coupl(nGC_9253)*dsw_QED2
      coupl(nGC_9712) = coupl(nGC_9284)*dZee_QED2
      coupl(nGC_9719) = coupl(nGC_9127)*dsw_QED2 + coupl(nGC_9128)*dZee_QED2 + &
                        coupl(nGC_9129)*dvev_QED1
      coupl(nGC_9718) = coupl(nGC_9195)*dZee_QED2 + coupl(nGC_9196)*dsw_QED2 + &
                        coupl(nGC_9197)*dcw_QED2
      coupl(nGC_15610) = coupl(nGC_79)*dZZ_QED2/2d0 + coupl(nGC_79)*dZuR_QED2  &
                          + coupl(nGC_9739)
      coupl(nGC_15611) = coupl(nGC_14518) + coupl(nGC_15610)
      coupl(nGC_9497) = coupl(nGC_19)**2d0*coupl(nGC_62)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9494) = coupl(nGC_149)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9492) = (-coupl(nGC_130)*coupl(nGC_132)*coupl(nGC_148) - coupl(&
                        nGC_149)**3d0 + 8d0*coupl(nGC_149)*coupl(nGC_2)**2d0 - &
                        coupl(nGC_149)*coupl(nGC_364)**2d0 + 8d0*coupl(nGC_149 &
                        )*coupl(nGC_79)*coupl(nGC_83))/(32d0*pi**2d0)
      coupl(nGC_9493) = (-coupl(nGC_130)*coupl(nGC_132)*coupl(nGC_148) - coupl(&
                        nGC_149)**3d0 - coupl(nGC_149)*coupl(nGC_150)**2d0 +   &
                        8d0*coupl(nGC_149)*coupl(nGC_2)**2d0 + 8d0*coupl(      &
                        nGC_149)*coupl(nGC_79)*coupl(nGC_83))/(32d0*pi**2d0)
      coupl(nGC_9490) = coupl(nGC_147)*(-coupl(nGC_146)**2d0 - coupl(nGC_147)**&
                        2d0 + 8d0*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_80)*coupl( &
                        nGC_85))/(32d0*pi**2d0)
      coupl(nGC_9491) = coupl(nGC_147)*(-coupl(nGC_147)**2d0 - coupl(nGC_334)**&
                        2d0 + 8d0*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_80)*coupl( &
                        nGC_85))/(32d0*pi**2d0)
      coupl(nGC_17482) = -coupl(nGC_17478)
      coupl(nGC_17481) = coupl(nGC_9764) + coupl(nGC_MW)*dZWMinus_QED2
      coupl(nGC_15969) = coupl(nGC_139)*dZcL_QCD2/2d0 + coupl(nGC_139)*        &
                         dZsR_QCD2/2d0 + coupl(nGC_9665)
      coupl(nGC_9705) = coupl(nGC_9188)*dyt_QED3
      coupl(nGC_14521) = coupl(nGC_79)*dZcR_QCD2
      coupl(nGC_14523) = coupl(nGC_79)*dZZ_QED2/2d0 + coupl(nGC_79)*dZcR_QED2  &
                          + coupl(nGC_9739)
      coupl(nGC_14489) = coupl(nGC_50)*dZWMinus_QED2 + coupl(nGC_9713)
      coupl(nGC_9660) = coupl(nGC_9320)*dZgs_QCD2
      coupl(nGC_13997) = coupl(nGC_5)*dZWMinus_QED2/2d0 + coupl(nGC_9653)
      coupl(nGC_13991) = coupl(nGC_4)*dZA_QED2/2d0 + coupl(nGC_9655)
      coupl(nGC_14880) = coupl(nGC_147)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/ &
                         2d0
      coupl(nGC_13992) = coupl(nGC_4)*dZmuMinusR_QED2 + coupl(nGC_80)*dZZA_QED2&
                         /2d0
      coupl(nGC_14257) = coupl(nGC_14253) + coupl(nGC_9757)
      coupl(nGC_14189) = coupl(nGC_76)*dZWMinus_QED2 + coupl(nGC_9718)
      coupl(nGC_14965) = coupl(nGC_10)*dZA_QED2 + coupl(nGC_90)*dZZA_QED2 +    &
                         coupl(nGC_9652)
      coupl(nGC_14415) = coupl(nGC_5)*dZA_QED2/2d0 + coupl(nGC_66)*dZZA_QED2/  &
                         2d0 + coupl(nGC_9653)
      coupl(nGC_14419) = coupl(nGC_90)*dZAZ_QED2 + coupl(nGC_95)*dZZ_QED2 +    &
                         coupl(nGC_9731)
      coupl(nGC_16284) = coupl(nGC_16278) + coupl(nGC_9756)
      coupl(nGC_16283) = coupl(nGC_16277) + coupl(nGC_9755)
      coupl(nGC_9565) = (-2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_126)**2d0 -  &
                        2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_132)**2d0 - 2d0&
                        *Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_141)**2d0 - 2d0*Nc&
                        *cima*coupl(nGC_128)**2d0*coupl(nGC_2)**2d0 - 2d0*Nc*  &
                        cima*coupl(nGC_143)**2d0*coupl(nGC_2)**2d0 - 2d0*Nc*   &
                        cima*coupl(nGC_149)**2d0*coupl(nGC_2)**2d0 - 2d0*cima* &
                        coupl(nGC_135)**2d0*coupl(nGC_4)**2d0 - 2d0*cima*coupl(&
                        nGC_138)**2d0*coupl(nGC_4)**2d0 - 2d0*cima*coupl(      &
                        nGC_147)**2d0*coupl(nGC_4)**2d0 + cima*coupl(nGC_47)*  &
                        coupl(nGC_9) + coupl(nGC_3)**2d0*coupl(nGC_47) + coupl(&
                        nGC_380)**2d0*coupl(nGC_47))/(8d0*pi**2d0)
      coupl(nGC_9560) = (-4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_124)**2d0 -  &
                        4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_127)**2d0 - 4d0&
                        *Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_130)**2d0 - 4d0*Nc&
                        *cima*coupl(nGC_1)**2d0*coupl(nGC_139)**2d0 - 4d0*Nc*  &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_142)**2d0 - 4d0*Nc*   &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_148)**2d0 + 5d0*Nc*   &
                        cima*coupl(nGC_1)*coupl(nGC_124)**2d0*coupl(nGC_2) +   &
                        5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_127)**2d0*coupl(    &
                        nGC_2) + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_130)**2d0* &
                        coupl(nGC_2) + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_139  &
                        )**2d0*coupl(nGC_2) + 5d0*Nc*cima*coupl(nGC_1)*coupl(  &
                        nGC_142)**2d0*coupl(nGC_2) + 5d0*Nc*cima*coupl(nGC_1)* &
                        coupl(nGC_148)**2d0*coupl(nGC_2) - 4d0*Nc*cima*coupl(  &
                        nGC_124)**2d0*coupl(nGC_2)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_127)**2d0*coupl(nGC_2)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_130)**2d0*coupl(nGC_2)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_139)**2d0*coupl(nGC_2)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_142)**2d0*coupl(nGC_2)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_148)**2d0*coupl(nGC_2)**2d0 - 4d0*cima*coupl(      &
                        nGC_133)**2d0*coupl(nGC_4)**2d0 - 4d0*cima*coupl(      &
                        nGC_136)**2d0*coupl(nGC_4)**2d0 - 4d0*cima*coupl(      &
                        nGC_145)**2d0*coupl(nGC_4)**2d0 + 3d0*cima*coupl(nGC_47&
                        )*coupl(nGC_9) + 3d0*coupl(nGC_3)**2d0*coupl(nGC_47) + &
                        3d0*coupl(nGC_380)**2d0*coupl(nGC_47))/(24d0*pi**2d0)
      coupl(nGC_9445) = (-coupl(nGC_127)*coupl(nGC_139)*coupl(nGC_730) - coupl(&
                        nGC_128)**2d0*coupl(nGC_642) - coupl(nGC_129)**2d0*    &
                        coupl(nGC_642) + 8d0*coupl(nGC_129)*coupl(nGC_2)**2d0  &
                         + 8d0*coupl(nGC_129)*coupl(nGC_79)*coupl(nGC_83))/(   &
                        32d0*pi**2d0)
      coupl(nGC_9444) = coupl(nGC_19)**2d0*coupl(nGC_642)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9446) = coupl(nGC_129)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9440) = coupl(nGC_19)**2d0*coupl(nGC_520)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9568) = (Nc*cima*coupl(nGC_1)*coupl(nGC_124)*coupl(nGC_126)*   &
                        coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_127 &
                        )*coupl(nGC_128)*coupl(nGC_62) + Nc*cima*coupl(nGC_1)* &
                        coupl(nGC_130)*coupl(nGC_132)*coupl(nGC_62) + Nc*cima* &
                        coupl(nGC_1)*coupl(nGC_139)*coupl(nGC_141)*coupl(nGC_62&
                        ) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_142)*coupl(     &
                        nGC_143)*coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_148)*coupl(nGC_149)*coupl(nGC_62) - 4d0*Nc*cima*  &
                        coupl(nGC_124)*coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_62&
                        ) + Nc*cima*coupl(nGC_127)*coupl(nGC_128)*coupl(nGC_2)*&
                        coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_130)*coupl(      &
                        nGC_132)*coupl(nGC_2)*coupl(nGC_62) - 4d0*Nc*cima*coupl&
                        (nGC_139)*coupl(nGC_141)*coupl(nGC_2)*coupl(nGC_62) +  &
                        Nc*cima*coupl(nGC_142)*coupl(nGC_143)*coupl(nGC_2)*    &
                        coupl(nGC_62) + Nc*cima*coupl(nGC_148)*coupl(nGC_149)* &
                        coupl(nGC_2)*coupl(nGC_62) + 6d0*cima*coupl(nGC_1108)* &
                        coupl(nGC_69) + cima*coupl(nGC_133)*coupl(nGC_135)*    &
                        coupl(nGC_4)*coupl(nGC_62) + cima*coupl(nGC_136)*coupl(&
                        nGC_138)*coupl(nGC_4)*coupl(nGC_62) + 6d0*cima*coupl(  &
                        nGC_14)*coupl(nGC_74) + cima*coupl(nGC_145)*coupl(     &
                        nGC_147)*coupl(nGC_4)*coupl(nGC_62) + 6d0*coupl(nGC_14 &
                        )*coupl(nGC_3)*coupl(nGC_63) + 6d0*coupl(nGC_3)*coupl( &
                        nGC_4)*coupl(nGC_69))/(48d0*pi**2d0)
      coupl(nGC_9442) = coupl(nGC_125)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_14918) = coupl(nGC_2)*dZuR_QED2 + coupl(nGC_79)*dZZA_QED2/2d0
      coupl(nGC_14919) = coupl(nGC_14279) + coupl(nGC_14918)
      coupl(nGC_15021) = coupl(nGC_21)*dZg_QCD2 + coupl(nGC_9659)
      coupl(nGC_14917) = coupl(nGC_2)*dZuL_QED2 + coupl(nGC_83)*dZZA_QED2/2d0
      coupl(nGC_17507) = coupl(nGC_9765) + coupl(nGC_MW_GF)*dZWMinus_QED2/2d0
      coupl(nGC_9690) = coupl(nGC_9192)*dytau_QED3
      coupl(nGC_9691) = coupl(nGC_9181)*dye_QED3
      coupl(nGC_9692) = coupl(nGC_9183)*dym_QED3
      coupl(nGC_9694) = coupl(nGC_9118)*dyup_QED1_QCD2
      coupl(nGC_9695) = coupl(nGC_9118)*dyup_QED3
      coupl(nGC_9696) = coupl(nGC_9177)*dyc_QED1_QCD2
      coupl(nGC_9697) = coupl(nGC_9177)*dyc_QED3
      coupl(nGC_9698) = coupl(nGC_9187)*dyt_QED1_QCD2
      coupl(nGC_9699) = coupl(nGC_9187)*dyt_QED3
      coupl(nGC_9360) = cME*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_80)*coupl(    &
                        nGC_85))/(8d0*pi**2d0)
      coupl(nGC_9361) = cima*sq2**2d0*(Nc*coupl(nGC_470)**2d0 - 6d0*coupl(     &
                        nGC_19)**2d0)/(96d0*pi**2d0)
      coupl(nGC_9362) = -Nc*cima*coupl(nGC_470)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_9364) = cima*sq2**2d0*(-Nc*coupl(nGC_470)**2d0 + 6d0*coupl(    &
                        nGC_19)**2d0)/(96d0*pi**2d0*Nc)
      coupl(nGC_9365) = cima*coupl(nGC_470)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_9367) = cMM*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_80)*coupl(    &
                        nGC_85))/(8d0*pi**2d0)
      coupl(nGC_9368) = cima*(-coupl(nGC_62)**2d0 - coupl(nGC_86)**2d0)/(16d0* &
                        pi**2d0)
      coupl(nGC_9369) = cMS*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_78)*coupl(    &
                        nGC_82))/(8d0*pi**2d0)
      coupl(nGC_9598) = cima*(20d0*Nc*coupl(nGC_126)**4d0 + 20d0*Nc*coupl(     &
                        nGC_128)**4d0 + 20d0*Nc*coupl(nGC_132)**4d0 + 20d0*Nc* &
                        coupl(nGC_141)**4d0 + 20d0*Nc*coupl(nGC_143)**4d0 +    &
                        20d0*Nc*coupl(nGC_149)**4d0 + 20d0*coupl(nGC_135)**4d0 &
                         + 20d0*coupl(nGC_138)**4d0 + 20d0*coupl(nGC_147)**4d0 &
                         + 6d0*coupl(nGC_47)**2d0 + 3d0*coupl(nGC_96)**2d0)/(  &
                        16d0*pi**2d0)
      coupl(nGC_15156) = coupl(nGC_16)*dZWMinus_QED2/2d0 + coupl(nGC_16)*      &
                         dZZ_QED2/2d0 + coupl(nGC_72)*dZAZ_QED2/2d0 + coupl(   &
                         nGC_9633)
      coupl(nGC_9593) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_124)**2d0  &
                         + coupl(nGC_127)**2d0 + coupl(nGC_130)**2d0 + coupl(  &
                        nGC_139)**2d0 + coupl(nGC_142)**2d0 + coupl(nGC_148)** &
                        2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9592) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_124)**2d0 &
                         - coupl(nGC_127)**2d0 - coupl(nGC_130)**2d0 - coupl(  &
                        nGC_139)**2d0 - coupl(nGC_142)**2d0 - coupl(nGC_148)** &
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_15475) = coupl(nGC_134)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
      coupl(nGC_15477) = -coupl(nGC_15475) - coupl(nGC_9688)
      coupl(nGC_15478) = coupl(nGC_15475) + coupl(nGC_9688)
      coupl(nGC_9625) = (-cima*coupl(nGC_470)**4d0*sq2**4d0 + cima*coupl(      &
                        nGC_8352)**2d0 - 2d0*coupl(nGC_470)**2d0*coupl(nGC_8352&
                        )*sq2**2d0)/(32d0*pi**2d0)
      coupl(nGC_9624) = (-Nc*cima*coupl(nGC_20)*coupl(nGC_8352) + Nc*cima*coupl&
                        (nGC_470)**4d0*sq2**4d0 - Nc*cima*coupl(nGC_7176)*coupl&
                        (nGC_8352) + Nc*coupl(nGC_20)*coupl(nGC_470)**2d0*sq2**&
                        2d0 + Nc*coupl(nGC_470)**2d0*coupl(nGC_7176)*sq2**2d0  &
                         + Nc*coupl(nGC_470)**2d0*coupl(nGC_8352)*sq2**2d0 -   &
                        cima*coupl(nGC_19)**4d0*sq2**4d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_9627) = (6d0*Nc*cima*coupl(nGC_20)*coupl(nGC_7176) - Nc*cima*  &
                        coupl(nGC_470)**4d0*sq2**4d0 - 3d0*Nc*coupl(nGC_20)*   &
                        coupl(nGC_470)**2d0*sq2**2d0 - 3d0*Nc*coupl(nGC_470)** &
                        2d0*coupl(nGC_7176)*sq2**2d0 + 9d0*cima*coupl(nGC_19)**&
                        4d0*sq2**4d0)/(192d0*pi**2d0)
      coupl(nGC_14171) = coupl(nGC_130)*dZdR_QCD2/2d0 + coupl(nGC_130)*        &
                         dZuL_QCD2/2d0 + coupl(nGC_9663)
      coupl(nGC_9621) = cima*coupl(nGC_19)**3d0*sq2**3d0*(coupl(nGC_78) + coupl&
                        (nGC_79) + coupl(nGC_82) + coupl(nGC_83))/(32d0*pi**2d0&
                        *Nc**2d0)
      coupl(nGC_9620) = cima*coupl(nGC_19)**3d0*sq2**3d0*(-coupl(nGC_78) -     &
                        coupl(nGC_79) - coupl(nGC_82) - coupl(nGC_83))/(64d0*pi&
                        **2d0*Nc)
      coupl(nGC_9623) = (3d0*Nc*cima*coupl(nGC_20)**2d0 - Nc*cima*coupl(nGC_470&
                        )**4d0*sq2**4d0 + 3d0*Nc*cima*coupl(nGC_7176)**2d0 -   &
                        3d0*Nc*coupl(nGC_20)*coupl(nGC_470)**2d0*sq2**2d0 - 3d0&
                        *Nc*coupl(nGC_470)**2d0*coupl(nGC_7176)*sq2**2d0 + 9d0*&
                        cima*coupl(nGC_19)**4d0*sq2**4d0)/(192d0*pi**2d0)
      coupl(nGC_9622) = cima*sq2**4d0*(-Nc*coupl(nGC_470)**4d0 - 15d0*coupl(   &
                        nGC_19)**4d0)/(192d0*pi**2d0)
      coupl(nGC_17206) = coupl(nGC_9638) + coupl(nGC_HHHH)
      coupl(nGC_18921) = coupl(nGC_18915) + coupl(nGC_9752)
      coupl(nGC_18920) = coupl(nGC_18914) + coupl(nGC_9751)
      coupl(nGC_16378) = coupl(nGC_17)*dZg_QCD2/2d0 + coupl(nGC_9660)
      coupl(nGC_9744) = coupl(nGC_9265)*dZee_QED2 + coupl(nGC_9266)*dsw_QED2 + &
                        coupl(nGC_9267)*dcw_QED2
      coupl(nGC_9742) = coupl(nGC_9236)*dZee_QED2 + coupl(nGC_9237)*dsw_QED2 + &
                        coupl(nGC_9238)*dcw_QED2
      coupl(nGC_9743) = coupl(nGC_9067)*dZee_QED2 + coupl(nGC_9068)*dsw_QED2 + &
                        coupl(nGC_9069)*dcw_QED2
      coupl(nGC_9740) = coupl(nGC_9326)*dZee_QED2 + coupl(nGC_9327)*dsw_QED2 + &
                        coupl(nGC_9328)*dcw_QED2
      coupl(nGC_9741) = coupl(nGC_9302)*dZee_QED2 + coupl(nGC_9303)*dsw_QED2 + &
                        coupl(nGC_9304)*dcw_QED2
      coupl(nGC_14054) = coupl(nGC_9640) + coupl(nGC_GPGMGPGM)
      coupl(nGC_16976) = coupl(nGC_138)*dZH_QED2/2d0 + coupl(nGC_9692)
      coupl(nGC_16977) = coupl(nGC_16975) + coupl(nGC_16976)
      coupl(nGC_15500) = coupl(nGC_14027) + coupl(nGC_15498)
      coupl(nGC_9336) = cima*(-6d0*Nc*coupl(nGC_1)**2d0 - 6d0*Nc*coupl(nGC_2)**&
                        2d0 - coupl(nGC_3)**2d0 - coupl(nGC_380)**2d0 - 6d0*   &
                        coupl(nGC_4)**2d0)/(48d0*pi**2d0)
      coupl(nGC_14196) = coupl(nGC_14027) + coupl(nGC_14193)
      coupl(nGC_14197) = coupl(nGC_14027) + coupl(nGC_14195)
      coupl(nGC_22337) = -coupl(nGC_9405)
      coupl(nGC_14517) = coupl(nGC_83)*dZcL_QCD2
      coupl(nGC_14228) = coupl(nGC_13)*dZZA_QED2/2d0 + coupl(nGC_68)*dZA_QED2/ &
                         2d0 + coupl(nGC_68)*dZWMinus_QED2/2d0 + coupl(nGC_9643&
                         )
      coupl(nGC_9528) = (coupl(nGC_130)**2d0*coupl(nGC_78) + coupl(nGC_149)**  &
                        2d0*coupl(nGC_79) + coupl(nGC_150)*coupl(nGC_364)*coupl&
                        (nGC_79) + 4d0*coupl(nGC_2)**2d0*coupl(nGC_83) + 2d0*  &
                        coupl(nGC_62)**2d0*coupl(nGC_64) + 4d0*coupl(nGC_62)** &
                        2d0*coupl(nGC_82) + 4d0*coupl(nGC_83)**3d0)/(32d0*pi** &
                        2d0)
      coupl(nGC_9529) = (coupl(nGC_148)**2d0*coupl(nGC_82) + coupl(nGC_149)**  &
                        2d0*coupl(nGC_83) + coupl(nGC_150)*coupl(nGC_364)*coupl&
                        (nGC_83) + 4d0*coupl(nGC_2)**2d0*coupl(nGC_79) + 4d0*  &
                        coupl(nGC_79)**3d0)/(32d0*pi**2d0)
      coupl(nGC_9523) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_78) + coupl(nGC_139)**&
                        2d0*coupl(nGC_83) + coupl(nGC_140)*coupl(nGC_730)*coupl&
                        (nGC_82) + coupl(nGC_141)**2d0*coupl(nGC_82) + 4d0*    &
                        coupl(nGC_78)**3d0)/(32d0*pi**2d0)
      coupl(nGC_9520) = (coupl(nGC_133)**2d0*coupl(nGC_80) + 2d0*coupl(nGC_62  &
                        )**2d0*coupl(nGC_64) + 4d0*coupl(nGC_62)**2d0*coupl(   &
                        nGC_85) + 4d0*coupl(nGC_86)**3d0)/(32d0*pi**2d0)
      coupl(nGC_9521) = (coupl(nGC_145)**2d0*coupl(nGC_80) + 2d0*coupl(nGC_62  &
                        )**2d0*coupl(nGC_64) + 4d0*coupl(nGC_62)**2d0*coupl(   &
                        nGC_85) + 4d0*coupl(nGC_86)**3d0)/(32d0*pi**2d0)
      coupl(nGC_9526) = (coupl(nGC_145)**2d0*coupl(nGC_86) + coupl(nGC_146)*   &
                        coupl(nGC_334)*coupl(nGC_85) + coupl(nGC_147)**2d0*    &
                        coupl(nGC_85) + 4d0*coupl(nGC_4)**2d0*coupl(nGC_80) +  &
                        4d0*coupl(nGC_80)**3d0)/(32d0*pi**2d0)
      coupl(nGC_9527) = (coupl(nGC_146)*coupl(nGC_334)*coupl(nGC_80) + coupl(  &
                        nGC_147)**2d0*coupl(nGC_80) + 4d0*coupl(nGC_4)**2d0*   &
                        coupl(nGC_85) - 2d0*coupl(nGC_62)**2d0*coupl(nGC_64) + &
                        4d0*coupl(nGC_62)**2d0*coupl(nGC_86) + 4d0*coupl(nGC_85&
                        )**3d0)/(32d0*pi**2d0)
      coupl(nGC_14420) = coupl(nGC_77)*dZAZ_QED2
      coupl(nGC_14356) = coupl(nGC_47)*dZWMinus_QED2 + coupl(nGC_9715)
      coupl(nGC_15030) = 2d0*coupl(nGC_15021)
      coupl(nGC_9416) = (8d0*coupl(nGC_1)*coupl(nGC_139)*coupl(nGC_2) - coupl( &
                        nGC_127)*coupl(nGC_128)*coupl(nGC_141) - coupl(nGC_127 &
                        )*coupl(nGC_642)*coupl(nGC_730) + 8d0*coupl(nGC_139)*  &
                        coupl(nGC_78)*coupl(nGC_83))/(32d0*pi**2d0)
      coupl(nGC_9417) = coupl(nGC_139)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9414) = (8d0*coupl(nGC_1)*coupl(nGC_127)*coupl(nGC_2) + 8d0*   &
                        coupl(nGC_127)*coupl(nGC_79)*coupl(nGC_82) - coupl(    &
                        nGC_128)*coupl(nGC_139)*coupl(nGC_141) - coupl(nGC_129 &
                        )*coupl(nGC_139)*coupl(nGC_140))/(32d0*pi**2d0)
      coupl(nGC_9412) = (8d0*coupl(nGC_1)*coupl(nGC_142)*coupl(nGC_2) - coupl( &
                        nGC_124)*coupl(nGC_125)*coupl(nGC_144) - coupl(nGC_124 &
                        )*coupl(nGC_126)*coupl(nGC_143) + 8d0*coupl(nGC_142)*  &
                        coupl(nGC_79)*coupl(nGC_82))/(32d0*pi**2d0)
      coupl(nGC_9413) = coupl(nGC_142)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9418) = (8d0*coupl(nGC_1)*coupl(nGC_130)*coupl(nGC_2) + 8d0*   &
                        coupl(nGC_130)*coupl(nGC_78)*coupl(nGC_83) - coupl(    &
                        nGC_132)*coupl(nGC_148)*coupl(nGC_149) - coupl(nGC_148 &
                        )*coupl(nGC_2178)*coupl(nGC_364))/(32d0*pi**2d0)
      coupl(nGC_9559) = sq2**3d0*(Nc*cima*coupl(nGC_470)**3d0 - 12d0*coupl(    &
                        nGC_19)**3d0)/(192d0*pi**2d0)
      coupl(nGC_9558) = sq2**3d0*(-Nc*cima*coupl(nGC_470)**3d0 + 12d0*coupl(   &
                        nGC_19)**3d0)/(192d0*pi**2d0)
      coupl(nGC_9557) = coupl(nGC_19)*sq2*(coupl(nGC_148)**2d0 + coupl(nGC_149 &
                        )**2d0 + coupl(nGC_150)*coupl(nGC_364) + 4d0*coupl(    &
                        nGC_2)**2d0 + 4d0*coupl(nGC_79)**2d0)/(64d0*pi**2d0)
      coupl(nGC_9556) = coupl(nGC_19)*sq2*(coupl(nGC_130)**2d0 + coupl(nGC_149 &
                        )**2d0 + coupl(nGC_150)*coupl(nGC_364) + 4d0*coupl(    &
                        nGC_2)**2d0 + 4d0*coupl(nGC_62)**2d0 + 4d0*coupl(nGC_83&
                        )**2d0)/(64d0*pi**2d0)
      coupl(nGC_9555) = coupl(nGC_19)*sq2*(-coupl(nGC_148)**2d0 - coupl(nGC_149&
                        )**2d0 - coupl(nGC_150)*coupl(nGC_364) - 4d0*coupl(    &
                        nGC_2)**2d0 - 4d0*coupl(nGC_79)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_9554) = coupl(nGC_19)*sq2*(-coupl(nGC_130)**2d0 - coupl(nGC_149&
                        )**2d0 - coupl(nGC_150)*coupl(nGC_364) - 4d0*coupl(    &
                        nGC_2)**2d0 - 4d0*coupl(nGC_62)**2d0 - 4d0*coupl(nGC_83&
                        )**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_14145) = coupl(nGC_8)*dZA_QED2 + coupl(nGC_8)*dZWMinus_QED2 +  &
                         coupl(nGC_9720)
      coupl(nGC_9569) = (Nc*cima*coupl(nGC_1)*coupl(nGC_124)*coupl(nGC_520)*   &
                        coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_127 &
                        )*coupl(nGC_129)*coupl(nGC_62) + Nc*cima*coupl(nGC_1)* &
                        coupl(nGC_130)*coupl(nGC_2178)*coupl(nGC_62) + Nc*cima*&
                        coupl(nGC_1)*coupl(nGC_139)*coupl(nGC_62)*coupl(nGC_730&
                        ) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_142)*coupl(     &
                        nGC_144)*coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_148)*coupl(nGC_150)*coupl(nGC_62) - 4d0*Nc*cima*  &
                        coupl(nGC_124)*coupl(nGC_2)*coupl(nGC_520)*coupl(nGC_62&
                        ) + Nc*cima*coupl(nGC_127)*coupl(nGC_129)*coupl(nGC_2)*&
                        coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_130)*coupl(nGC_2 &
                        )*coupl(nGC_2178)*coupl(nGC_62) - 4d0*Nc*cima*coupl(   &
                        nGC_139)*coupl(nGC_2)*coupl(nGC_62)*coupl(nGC_730) + Nc&
                        *cima*coupl(nGC_142)*coupl(nGC_144)*coupl(nGC_2)*coupl(&
                        nGC_62) + Nc*cima*coupl(nGC_148)*coupl(nGC_150)*coupl( &
                        nGC_2)*coupl(nGC_62) + cima*coupl(nGC_1016)*coupl(     &
                        nGC_136)*coupl(nGC_4)*coupl(nGC_62) + 6d0*cima*coupl(  &
                        nGC_1108)*coupl(nGC_72) + cima*coupl(nGC_133)*coupl(   &
                        nGC_4)*coupl(nGC_488)*coupl(nGC_62) + cima*coupl(      &
                        nGC_145)*coupl(nGC_334)*coupl(nGC_4)*coupl(nGC_62) +   &
                        6d0*cima*coupl(nGC_16)*coupl(nGC_74) + 6d0*coupl(nGC_16&
                        )*coupl(nGC_380)*coupl(nGC_64) + 6d0*coupl(nGC_3)*coupl&
                        (nGC_380)*coupl(nGC_72))/(48d0*pi**2d0)
      coupl(nGC_15059) = coupl(nGC_135)*dZH_QED2/2d0 + coupl(nGC_9691)
      coupl(nGC_9388) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_131)*  &
                        coupl(nGC_2178) + coupl(nGC_1)*coupl(nGC_132)**2d0 +   &
                        4d0*coupl(nGC_1)*coupl(nGC_82)**2d0 + coupl(nGC_148)** &
                        2d0*coupl(nGC_2) + 4d0*coupl(nGC_2)*coupl(nGC_62)**2d0 &
                         + 2d0*coupl(nGC_380)*coupl(nGC_62)**2d0)/(32d0*pi**2d0&
                        )
      coupl(nGC_14173) = coupl(nGC_130)*dZdR_QED2/2d0 + coupl(nGC_130)*        &
                         dZuL_QED2/2d0 + coupl(nGC_9664)
      coupl(nGC_9386) = (3d0*Nc*coupl(nGC_1)*coupl(nGC_62)**2d0 - 3d0*Nc*coupl(&
                        nGC_2)*coupl(nGC_62)**2d0 - coupl(nGC_292)*coupl(nGC_3 &
                        )*coupl(nGC_63) - coupl(nGC_3)*coupl(nGC_380)*coupl(   &
                        nGC_4) + 3d0*coupl(nGC_4)*coupl(nGC_62)**2d0)/(24d0*pi &
                        **2d0)
      coupl(nGC_9387) = (-2d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_126) - 2d0*Nc*&
                        cMC*coupl(nGC_128)*coupl(nGC_2)**2d0 - 2d0*Nc*cMD*coupl&
                        (nGC_1)**2d0*coupl(nGC_132) - 2d0*Nc*cMS*coupl(nGC_1)**&
                        2d0*coupl(nGC_141) - 2d0*Nc*cMT*coupl(nGC_143)*coupl(  &
                        nGC_2)**2d0 - 2d0*Nc*cMU*coupl(nGC_149)*coupl(nGC_2)** &
                        2d0 - 2d0*cME*coupl(nGC_135)*coupl(nGC_4)**2d0 - 2d0*  &
                        cMM*coupl(nGC_138)*coupl(nGC_4)**2d0 - 2d0*cMTA*coupl( &
                        nGC_147)*coupl(nGC_4)**2d0 + cima*coupl(nGC_107)*coupl(&
                        nGC_9) + coupl(nGC_107)*coupl(nGC_3)**2d0 + coupl(     &
                        nGC_107)*coupl(nGC_380)**2d0)/(8d0*pi**2d0)
      coupl(nGC_9384) = (Nc*coupl(nGC_1)*coupl(nGC_124)**2d0 + Nc*coupl(nGC_1)*&
                        coupl(nGC_127)**2d0 + Nc*coupl(nGC_1)*coupl(nGC_130)** &
                        2d0 + Nc*coupl(nGC_1)*coupl(nGC_139)**2d0 + Nc*coupl(  &
                        nGC_1)*coupl(nGC_142)**2d0 + Nc*coupl(nGC_1)*coupl(    &
                        nGC_148)**2d0 - Nc*coupl(nGC_124)**2d0*coupl(nGC_2) -  &
                        Nc*coupl(nGC_127)**2d0*coupl(nGC_2) - Nc*coupl(nGC_130 &
                        )**2d0*coupl(nGC_2) - Nc*coupl(nGC_139)**2d0*coupl(    &
                        nGC_2) - Nc*coupl(nGC_142)**2d0*coupl(nGC_2) - Nc*coupl&
                        (nGC_148)**2d0*coupl(nGC_2) + coupl(nGC_133)**2d0*coupl&
                        (nGC_4) + coupl(nGC_136)**2d0*coupl(nGC_4) + coupl(    &
                        nGC_145)**2d0*coupl(nGC_4))/(24d0*pi**2d0)
      coupl(nGC_9385) = (-Nc*cMB*coupl(nGC_1)*coupl(nGC_126)*coupl(nGC_78) - Nc&
                        *cMB*coupl(nGC_1)*coupl(nGC_126)*coupl(nGC_82) - Nc*cMC&
                        *coupl(nGC_128)*coupl(nGC_2)*coupl(nGC_79) - Nc*cMC*   &
                        coupl(nGC_128)*coupl(nGC_2)*coupl(nGC_83) - Nc*cMD*    &
                        coupl(nGC_1)*coupl(nGC_132)*coupl(nGC_78) - Nc*cMD*    &
                        coupl(nGC_1)*coupl(nGC_132)*coupl(nGC_82) - Nc*cMS*    &
                        coupl(nGC_1)*coupl(nGC_141)*coupl(nGC_78) - Nc*cMS*    &
                        coupl(nGC_1)*coupl(nGC_141)*coupl(nGC_82) - Nc*cMT*    &
                        coupl(nGC_143)*coupl(nGC_2)*coupl(nGC_79) - Nc*cMT*    &
                        coupl(nGC_143)*coupl(nGC_2)*coupl(nGC_83) - Nc*cMU*    &
                        coupl(nGC_149)*coupl(nGC_2)*coupl(nGC_79) - Nc*cMU*    &
                        coupl(nGC_149)*coupl(nGC_2)*coupl(nGC_83) - cME*coupl( &
                        nGC_135)*coupl(nGC_4)*coupl(nGC_80) - cME*coupl(nGC_135&
                        )*coupl(nGC_4)*coupl(nGC_85) - cMM*coupl(nGC_138)*coupl&
                        (nGC_4)*coupl(nGC_80) - cMM*coupl(nGC_138)*coupl(nGC_4 &
                        )*coupl(nGC_85) - cMTA*coupl(nGC_147)*coupl(nGC_4)*    &
                        coupl(nGC_80) - cMTA*coupl(nGC_147)*coupl(nGC_4)*coupl(&
                        nGC_85) + cima*coupl(nGC_107)*coupl(nGC_77) + coupl(   &
                        nGC_107)*coupl(nGC_292)*coupl(nGC_380) + coupl(nGC_107 &
                        )*coupl(nGC_3)*coupl(nGC_64))/(8d0*pi**2d0)
      coupl(nGC_9382) = (-Nc*cMB*coupl(nGC_124)*coupl(nGC_2)*coupl(nGC_62) - Nc&
                        *cMC*coupl(nGC_1)*coupl(nGC_127)*coupl(nGC_62) - Nc*cMD&
                        *coupl(nGC_130)*coupl(nGC_2)*coupl(nGC_62) - Nc*cMS*   &
                        coupl(nGC_139)*coupl(nGC_2)*coupl(nGC_62) - Nc*cMT*    &
                        coupl(nGC_1)*coupl(nGC_142)*coupl(nGC_62) - Nc*cMU*    &
                        coupl(nGC_1)*coupl(nGC_148)*coupl(nGC_62) + 2d0*cima*  &
                        coupl(nGC_110)*coupl(nGC_1108) + 2d0*cima*coupl(nGC_74 &
                        )*coupl(nGC_99) + 2d0*coupl(nGC_110)*coupl(nGC_3)*coupl&
                        (nGC_380) + 2d0*coupl(nGC_380)*coupl(nGC_64)*coupl(    &
                        nGC_99))/(16d0*pi**2d0)
      coupl(nGC_9383) = (-Nc*cMB*coupl(nGC_124)*coupl(nGC_2)*coupl(nGC_62) - Nc&
                        *cMC*coupl(nGC_1)*coupl(nGC_127)*coupl(nGC_62) - Nc*cMD&
                        *coupl(nGC_130)*coupl(nGC_2)*coupl(nGC_62) - Nc*cMS*   &
                        coupl(nGC_139)*coupl(nGC_2)*coupl(nGC_62) - Nc*cMT*    &
                        coupl(nGC_1)*coupl(nGC_142)*coupl(nGC_62) - Nc*cMU*    &
                        coupl(nGC_1)*coupl(nGC_148)*coupl(nGC_62) + 2d0*cima*  &
                        coupl(nGC_110)*coupl(nGC_1108) + 2d0*cima*coupl(nGC_74 &
                        )*coupl(nGC_99) + 2d0*coupl(nGC_110)*coupl(nGC_3)*coupl&
                        (nGC_4) + 2d0*coupl(nGC_3)*coupl(nGC_63)*coupl(nGC_99  &
                        ))/(16d0*pi**2d0)
      coupl(nGC_9380) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_125)*  &
                        coupl(nGC_520) + coupl(nGC_1)*coupl(nGC_126)**2d0 + 4d0&
                        *coupl(nGC_1)*coupl(nGC_78)**2d0 + coupl(nGC_124)**2d0*&
                        coupl(nGC_2))/(32d0*pi**2d0)
      coupl(nGC_9626) = (cima*coupl(nGC_20)**2d0 + 2d0*cima*coupl(nGC_20)*coupl&
                        (nGC_7176) - cima*coupl(nGC_470)**4d0*sq2**4d0 + cima* &
                        coupl(nGC_7176)**2d0 - 2d0*coupl(nGC_20)*coupl(nGC_470 &
                        )**2d0*sq2**2d0 - 2d0*coupl(nGC_470)**2d0*coupl(       &
                        nGC_7176)*sq2**2d0)/(32d0*pi**2d0)
      coupl(nGC_16336) = coupl(nGC_1)*dZdR_QED2 + coupl(nGC_78)*dZZA_QED2/2d0
      coupl(nGC_16337) = coupl(nGC_1)*dZdL_QED2 + coupl(nGC_82)*dZZA_QED2/2d0
      coupl(nGC_15807) = coupl(nGC_133)*dZeMinusR_QED2/2d0 + coupl(nGC_133)*   &
                         dZnu_eL_QED2/2d0 + coupl(nGC_9685)
      coupl(nGC_16042) = coupl(nGC_82)*dZbL_QCD2
      coupl(nGC_9702) = coupl(nGC_9176)*dyc_QED1_QCD2
      coupl(nGC_9703) = coupl(nGC_9176)*dyc_QED3
      coupl(nGC_9700) = coupl(nGC_9095)*dyup_QED1_QCD2
      coupl(nGC_9707) = coupl(nGC_9306)*dZee_QED2 + coupl(nGC_9307)*dsw_QED2 + &
                        coupl(nGC_9308)*dcw_QED2
      coupl(nGC_9704) = coupl(nGC_9188)*dyt_QED1_QCD2
      coupl(nGC_18607) = coupl(nGC_9766) + coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0
      coupl(nGC_9708) = coupl(nGC_9147)*dZee_QED2 + coupl(nGC_9148)*dsw_QED2
      coupl(nGC_14881) = coupl(nGC_147)*dZH_QED2/2d0 + coupl(nGC_9693)
      coupl(nGC_15607) = coupl(nGC_79)*dZuR_QCD2
      coupl(nGC_17081) = coupl(nGC_ME)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
      coupl(nGC_15604) = coupl(nGC_83)*dZuL_QCD2
      coupl(nGC_15609) = coupl(nGC_83)*dZZ_QED2/2d0 + coupl(nGC_83)*dZuL_QED2  &
                          + coupl(nGC_9740)
      coupl(nGC_9471) = (-2d0*Nc*cMB*coupl(nGC_126)*coupl(nGC_78)**2d0 + 2d0*Nc&
                        *cMB*coupl(nGC_126)*coupl(nGC_78)*coupl(nGC_82) - 2d0* &
                        Nc*cMB*coupl(nGC_126)*coupl(nGC_82)**2d0 - 2d0*Nc*cMC* &
                        coupl(nGC_128)*coupl(nGC_79)**2d0 + 2d0*Nc*cMC*coupl(  &
                        nGC_128)*coupl(nGC_79)*coupl(nGC_83) - 2d0*Nc*cMC*coupl&
                        (nGC_128)*coupl(nGC_83)**2d0 - 2d0*Nc*cMD*coupl(nGC_132&
                        )*coupl(nGC_78)**2d0 + 2d0*Nc*cMD*coupl(nGC_132)*coupl(&
                        nGC_78)*coupl(nGC_82) - 2d0*Nc*cMD*coupl(nGC_132)*coupl&
                        (nGC_82)**2d0 - 2d0*Nc*cMS*coupl(nGC_141)*coupl(nGC_78 &
                        )**2d0 + 2d0*Nc*cMS*coupl(nGC_141)*coupl(nGC_78)*coupl(&
                        nGC_82) - 2d0*Nc*cMS*coupl(nGC_141)*coupl(nGC_82)**2d0 &
                         - 2d0*Nc*cMT*coupl(nGC_143)*coupl(nGC_79)**2d0 + 2d0* &
                        Nc*cMT*coupl(nGC_143)*coupl(nGC_79)*coupl(nGC_83) - 2d0&
                        *Nc*cMT*coupl(nGC_143)*coupl(nGC_83)**2d0 - 2d0*Nc*cMU*&
                        coupl(nGC_149)*coupl(nGC_79)**2d0 + 2d0*Nc*cMU*coupl(  &
                        nGC_149)*coupl(nGC_79)*coupl(nGC_83) - 2d0*Nc*cMU*coupl&
                        (nGC_149)*coupl(nGC_83)**2d0 - 2d0*cME*coupl(nGC_135)* &
                        coupl(nGC_80)**2d0 + 2d0*cME*coupl(nGC_135)*coupl(     &
                        nGC_80)*coupl(nGC_85) - 2d0*cME*coupl(nGC_135)*coupl(  &
                        nGC_85)**2d0 - 2d0*cMM*coupl(nGC_138)*coupl(nGC_80)**  &
                        2d0 + 2d0*cMM*coupl(nGC_138)*coupl(nGC_80)*coupl(nGC_85&
                        ) - 2d0*cMM*coupl(nGC_138)*coupl(nGC_85)**2d0 - 2d0*   &
                        cMTA*coupl(nGC_147)*coupl(nGC_80)**2d0 + 2d0*cMTA*coupl&
                        (nGC_147)*coupl(nGC_80)*coupl(nGC_85) - 2d0*cMTA*coupl(&
                        nGC_147)*coupl(nGC_85)**2d0 + cima*coupl(nGC_107)*coupl&
                        (nGC_56) + coupl(nGC_107)*coupl(nGC_292)**2d0 + coupl( &
                        nGC_107)*coupl(nGC_64)**2d0)/(8d0*pi**2d0)
      coupl(nGC_9629) = (6d0*Nc*cima*coupl(nGC_20)*coupl(nGC_7176) - Nc*cima*  &
                        coupl(nGC_470)**4d0*sq2**4d0 - 6d0*Nc*coupl(nGC_470)** &
                        2d0*coupl(nGC_7176)*sq2**2d0 + 9d0*cima*coupl(nGC_19)**&
                        4d0*sq2**4d0)/(192d0*pi**2d0)
      coupl(nGC_9628) = (3d0*Nc*cima*coupl(nGC_20)**2d0 - Nc*cima*coupl(nGC_470&
                        )**4d0*sq2**4d0 + 3d0*Nc*cima*coupl(nGC_7176)**2d0 -   &
                        6d0*Nc*coupl(nGC_20)*coupl(nGC_470)**2d0*sq2**2d0 + 9d0&
                        *cima*coupl(nGC_19)**4d0*sq2**4d0)/(192d0*pi**2d0)
      coupl(nGC_15971) = coupl(nGC_139)*dZcL_QED2/2d0 + coupl(nGC_139)*        &
                         dZsR_QED2/2d0 + coupl(nGC_9666)
      coupl(nGC_15970) = coupl(nGC_127)*dZcR_QCD2/2d0 + coupl(nGC_127)*        &
                         dZsL_QCD2/2d0 + coupl(nGC_9667)
      coupl(nGC_15972) = coupl(nGC_127)*dZcR_QED2/2d0 + coupl(nGC_127)*        &
                         dZsL_QED2/2d0 + coupl(nGC_9668)
      coupl(nGC_9472) = (-coupl(nGC_127)*coupl(nGC_139)*coupl(nGC_141) - coupl(&
                        nGC_128)**3d0 + 8d0*coupl(nGC_128)*coupl(nGC_2)**2d0 - &
                        coupl(nGC_128)*coupl(nGC_642)**2d0 + 8d0*coupl(nGC_128 &
                        )*coupl(nGC_79)*coupl(nGC_83))/(32d0*pi**2d0)
      coupl(nGC_14120) = 2d0*coupl(nGC_24)*dZH_QED2 + coupl(nGC_9638) + coupl( &
                         nGC_HHHH)
      coupl(nGC_14088) = coupl(nGC_126)*(dZbL_QED2 + dZbR_QED2)/2d0
      coupl(nGC_14089) = coupl(nGC_126)*(dZbL_QCD2 + dZbR_QCD2)/2d0
      coupl(nGC_13962) = coupl(nGC_7)*dZAZ_QED2/2d0 + coupl(nGC_75)*           &
                         dZWMinus_QED2/2d0 + coupl(nGC_75)*dZZ_QED2/2d0 + coupl&
                         (nGC_9707)
      coupl(nGC_9677) = coupl(nGC_9171)*dyb_QED1_QCD2
      coupl(nGC_9673) = coupl(nGC_9178)*dydo_QED1_QCD2
      coupl(nGC_14305) = coupl(nGC_1)*dZsL_QED2 + coupl(nGC_82)*dZZA_QED2/2d0
      coupl(nGC_14306) = coupl(nGC_1)*dZsR_QED2 + coupl(nGC_78)*dZZA_QED2/2d0
      coupl(nGC_14062) = coupl(nGC_MTA)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/ &
                         2d0
      coupl(nGC_14064) = coupl(nGC_14062) + coupl(nGC_9750)
    end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
