!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-28 18:17             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl3()
      coupl(nGC_14067) = coupl(nGC_10)*dZWMinus_QED2 + coupl(nGC_9652)
      coupl(nGC_14338) = coupl(nGC_14336) + coupl(nGC_9677)
      coupl(nGC_14015) = coupl(nGC_4)*dZtauMinusR_QED2 + coupl(nGC_80)*        &
                         dZZA_QED2/2d0
      coupl(nGC_14016) = coupl(nGC_4)*dZtauMinusL_QED2 + coupl(nGC_85)*        &
                         dZZA_QED2/2d0
      coupl(nGC_16933) = coupl(nGC_2)*dZtR_QED2 + coupl(nGC_79)*dZZA_QED2/2d0
      coupl(nGC_9607) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_125)*coupl&
                        (nGC_520) - coupl(nGC_129)*coupl(nGC_642) - coupl(     &
                        nGC_131)*coupl(nGC_2178) - coupl(nGC_140)*coupl(nGC_730&
                        ) - coupl(nGC_144)*coupl(nGC_824) - coupl(nGC_150)*    &
                        coupl(nGC_364))/(16d0*pi**2d0)
      coupl(nGC_9513) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_82) + coupl(nGC_131)* &
                        coupl(nGC_2178)*coupl(nGC_78) + coupl(nGC_132)**2d0*   &
                        coupl(nGC_78) + coupl(nGC_148)**2d0*coupl(nGC_79) + 2d0&
                        *coupl(nGC_292)*coupl(nGC_62)**2d0 + 4d0*coupl(nGC_62  &
                        )**2d0*coupl(nGC_83) + 4d0*coupl(nGC_82)**3d0)/(32d0*pi&
                        **2d0)
      coupl(nGC_9512) = coupl(nGC_19)**2d0*coupl(nGC_79)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9511) = (coupl(nGC_127)**2d0*coupl(nGC_82) + coupl(nGC_128)**  &
                        2d0*coupl(nGC_83) + coupl(nGC_129)*coupl(nGC_642)*coupl&
                        (nGC_83) + 4d0*coupl(nGC_2)**2d0*coupl(nGC_79) + 4d0*  &
                        coupl(nGC_79)**3d0)/(32d0*pi**2d0)
      coupl(nGC_9510) = coupl(nGC_19)**2d0*coupl(nGC_83)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9517) = (coupl(nGC_1016)*coupl(nGC_137)*coupl(nGC_85) + coupl( &
                        nGC_136)**2d0*coupl(nGC_86) + coupl(nGC_138)**2d0*coupl&
                        (nGC_85) + 4d0*coupl(nGC_4)**2d0*coupl(nGC_80) + 4d0*  &
                        coupl(nGC_80)**3d0)/(32d0*pi**2d0)
      coupl(nGC_9516) = (coupl(nGC_134)*coupl(nGC_488)*coupl(nGC_80) + coupl(  &
                        nGC_135)**2d0*coupl(nGC_80) + 4d0*coupl(nGC_4)**2d0*   &
                        coupl(nGC_85) - 2d0*coupl(nGC_62)**2d0*coupl(nGC_64) + &
                        4d0*coupl(nGC_62)**2d0*coupl(nGC_86) + 4d0*coupl(nGC_85&
                        )**3d0)/(32d0*pi**2d0)
      coupl(nGC_9515) = (coupl(nGC_133)**2d0*coupl(nGC_86) + coupl(nGC_134)*   &
                        coupl(nGC_488)*coupl(nGC_85) + coupl(nGC_135)**2d0*    &
                        coupl(nGC_85) + 4d0*coupl(nGC_4)**2d0*coupl(nGC_80) +  &
                        4d0*coupl(nGC_80)**3d0)/(32d0*pi**2d0)
      coupl(nGC_9514) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_78) + coupl(nGC_130)**&
                        2d0*coupl(nGC_83) + coupl(nGC_131)*coupl(nGC_2178)*    &
                        coupl(nGC_82) + coupl(nGC_132)**2d0*coupl(nGC_82) + 4d0&
                        *coupl(nGC_78)**3d0)/(32d0*pi**2d0)
      coupl(nGC_9452) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_730) - coupl(nGC_127)*&
                        coupl(nGC_129)*coupl(nGC_139) - coupl(nGC_140)*coupl(  &
                        nGC_141)**2d0 - coupl(nGC_140)*coupl(nGC_730)**2d0 +   &
                        8d0*coupl(nGC_730)*coupl(nGC_78)*coupl(nGC_82))/(32d0* &
                        pi**2d0)
      coupl(nGC_15855) = coupl(nGC_15853) + coupl(nGC_9690)
      coupl(nGC_9519) = (coupl(nGC_136)**2d0*coupl(nGC_80) + 2d0*coupl(nGC_62  &
                        )**2d0*coupl(nGC_64) + 4d0*coupl(nGC_62)**2d0*coupl(   &
                        nGC_85) + 4d0*coupl(nGC_86)**3d0)/(32d0*pi**2d0)
      coupl(nGC_9451) = (-coupl(nGC_1016)**2d0*coupl(nGC_137) + 8d0*coupl(     &
                        nGC_1016)*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_1016)*coupl&
                        (nGC_80)*coupl(nGC_85) - coupl(nGC_137)*coupl(nGC_138  &
                        )**2d0)/(32d0*pi**2d0)
      coupl(nGC_9456) = (-coupl(nGC_124)*coupl(nGC_125)*coupl(nGC_142) - coupl(&
                        nGC_143)**2d0*coupl(nGC_144) - coupl(nGC_144)*coupl(   &
                        nGC_824)**2d0 + 8d0*coupl(nGC_2)**2d0*coupl(nGC_824) + &
                        8d0*coupl(nGC_79)*coupl(nGC_824)*coupl(nGC_83))/(32d0* &
                        pi**2d0)
      coupl(nGC_9457) = coupl(nGC_19)**2d0*coupl(nGC_824)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9476) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_132) - coupl(nGC_130)*&
                        coupl(nGC_148)*coupl(nGC_149) - coupl(nGC_131)**2d0*   &
                        coupl(nGC_132) - coupl(nGC_132)**3d0 + 8d0*coupl(      &
                        nGC_132)*coupl(nGC_78)*coupl(nGC_82))/(32d0*pi**2d0)
      coupl(nGC_9455) = coupl(nGC_140)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9329) = cMB*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_78)*coupl(    &
                        nGC_82))/(8d0*pi**2d0)
      coupl(nGC_9373) = cMTA*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_80)*coupl(   &
                        nGC_85))/(8d0*pi**2d0)
      coupl(nGC_14844) = coupl(nGC_62)*(dZbL_QCD2 + dZtL_QCD2)/2d0
      coupl(nGC_9359) = cima*(coupl(nGC_4)**2d0 + coupl(nGC_62)**2d0 + coupl(  &
                        nGC_85)**2d0)/(16d0*pi**2d0)
      coupl(nGC_9358) = cima*(coupl(nGC_4)**2d0 + coupl(nGC_80)**2d0)/(16d0*pi &
                        **2d0)
      coupl(nGC_9429) = (8d0*coupl(nGC_1)*coupl(nGC_142)*coupl(nGC_2) - coupl( &
                        nGC_124)*coupl(nGC_126)*coupl(nGC_143) - coupl(nGC_124 &
                        )*coupl(nGC_520)*coupl(nGC_824) + 8d0*coupl(nGC_142)*  &
                        coupl(nGC_79)*coupl(nGC_82))/(32d0*pi**2d0)
      coupl(nGC_9428) = (8d0*coupl(nGC_1)*coupl(nGC_124)*coupl(nGC_2) + 8d0*   &
                        coupl(nGC_124)*coupl(nGC_78)*coupl(nGC_83) - coupl(    &
                        nGC_125)*coupl(nGC_142)*coupl(nGC_144) - coupl(nGC_126 &
                        )*coupl(nGC_142)*coupl(nGC_143))/(32d0*pi**2d0)
      coupl(nGC_9426) = coupl(nGC_62)*(Nc*coupl(nGC_124)*coupl(nGC_126) - Nc*  &
                        coupl(nGC_127)*coupl(nGC_128) + Nc*coupl(nGC_130)*coupl&
                        (nGC_132) + Nc*coupl(nGC_139)*coupl(nGC_141) - Nc*coupl&
                        (nGC_142)*coupl(nGC_143) - Nc*coupl(nGC_148)*coupl(    &
                        nGC_149) + coupl(nGC_133)*coupl(nGC_135) + coupl(      &
                        nGC_136)*coupl(nGC_138) + coupl(nGC_145)*coupl(nGC_147 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_9425) = coupl(nGC_62)*(Nc*coupl(nGC_124)*coupl(nGC_520) - Nc*  &
                        coupl(nGC_127)*coupl(nGC_129) + Nc*coupl(nGC_130)*coupl&
                        (nGC_2178) + Nc*coupl(nGC_139)*coupl(nGC_730) - Nc*    &
                        coupl(nGC_142)*coupl(nGC_144) - Nc*coupl(nGC_148)*coupl&
                        (nGC_150) + coupl(nGC_1016)*coupl(nGC_136) + coupl(    &
                        nGC_133)*coupl(nGC_488) + coupl(nGC_145)*coupl(nGC_334 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_9424) = coupl(nGC_145)*coupl(nGC_80)*coupl(nGC_86)/(4d0*pi**2d0)
      coupl(nGC_9351) = (Nc*cMB**2d0*cima*coupl(nGC_78)**2d0 + Nc*cMB**2d0*cima&
                        *coupl(nGC_82)**2d0 + Nc*cMC**2d0*cima*coupl(nGC_79)** &
                        2d0 + Nc*cMC**2d0*cima*coupl(nGC_83)**2d0 + Nc*cMD**2d0&
                        *cima*coupl(nGC_78)**2d0 + Nc*cMD**2d0*cima*coupl(     &
                        nGC_82)**2d0 + Nc*cMS**2d0*cima*coupl(nGC_78)**2d0 + Nc&
                        *cMS**2d0*cima*coupl(nGC_82)**2d0 + Nc*cMT**2d0*cima*  &
                        coupl(nGC_79)**2d0 + Nc*cMT**2d0*cima*coupl(nGC_83)**  &
                        2d0 + Nc*cMU**2d0*cima*coupl(nGC_79)**2d0 + Nc*cMU**2d0&
                        *cima*coupl(nGC_83)**2d0 + cME**2d0*cima*coupl(nGC_80  &
                        )**2d0 + cME**2d0*cima*coupl(nGC_85)**2d0 + cMM**2d0*  &
                        cima*coupl(nGC_80)**2d0 + cMM**2d0*cima*coupl(nGC_85)**&
                        2d0 + cMTA**2d0*cima*coupl(nGC_80)**2d0 + cMTA**2d0*   &
                        cima*coupl(nGC_85)**2d0 + cMW**2d0*cima*coupl(nGC_292  &
                        )**2d0 + cMW**2d0*cima*coupl(nGC_64)**2d0 - cMW**2d0*  &
                        coupl(nGC_56))/(8d0*pi**2d0)
      coupl(nGC_9422) = coupl(nGC_133)*coupl(nGC_80)*coupl(nGC_86)/(4d0*pi**2d0)
      coupl(nGC_9353) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_62)**2d0 - coupl( &
                        nGC_83)**2d0)/(16d0*pi**2d0)
      coupl(nGC_9420) = (8d0*coupl(nGC_1)*coupl(nGC_148)*coupl(nGC_2) - coupl( &
                        nGC_130)*coupl(nGC_131)*coupl(nGC_150) - coupl(nGC_130 &
                        )*coupl(nGC_132)*coupl(nGC_149) + 8d0*coupl(nGC_148)*  &
                        coupl(nGC_79)*coupl(nGC_82))/(32d0*pi**2d0)
      coupl(nGC_22139) = -coupl(nGC_9384)
      coupl(nGC_15165) = coupl(nGC_81)*dZZA_QED2/2d0
      coupl(nGC_15162) = coupl(nGC_123)*dZH_QED2/2d0 + coupl(nGC_123)*dZZ_QED2 &
                          + coupl(nGC_9732)
      coupl(nGC_9580) = cima*(5d0*Nc*coupl(nGC_124)**4d0 + 5d0*Nc*coupl(nGC_127&
                        )**4d0 + 5d0*Nc*coupl(nGC_130)**4d0 + 5d0*Nc*coupl(    &
                        nGC_139)**4d0 + 5d0*Nc*coupl(nGC_142)**4d0 + 5d0*Nc*   &
                        coupl(nGC_148)**4d0 + 3d0*coupl(nGC_10)**2d0 + 5d0*    &
                        coupl(nGC_133)**4d0 + 5d0*coupl(nGC_136)**4d0 + 5d0*   &
                        coupl(nGC_145)**4d0 + 6d0*coupl(nGC_47)**2d0 + 6d0*    &
                        coupl(nGC_90)**2d0 + 3d0*coupl(nGC_95)**2d0)/(24d0*pi**&
                        2d0)
      coupl(nGC_9581) = cima*(10d0*Nc*coupl(nGC_124)**2d0*coupl(nGC_125)*coupl(&
                        nGC_520) + 10d0*Nc*coupl(nGC_124)**2d0*coupl(nGC_144)* &
                        coupl(nGC_824) + 10d0*Nc*coupl(nGC_124)*coupl(nGC_125)*&
                        coupl(nGC_142)*coupl(nGC_144) + 10d0*Nc*coupl(nGC_124)*&
                        coupl(nGC_142)*coupl(nGC_520)*coupl(nGC_824) + 10d0*Nc*&
                        coupl(nGC_125)*coupl(nGC_142)**2d0*coupl(nGC_520) +    &
                        10d0*Nc*coupl(nGC_127)**2d0*coupl(nGC_129)*coupl(      &
                        nGC_642) + 10d0*Nc*coupl(nGC_127)**2d0*coupl(nGC_140)* &
                        coupl(nGC_730) + 10d0*Nc*coupl(nGC_127)*coupl(nGC_129)*&
                        coupl(nGC_139)*coupl(nGC_140) + 10d0*Nc*coupl(nGC_127)*&
                        coupl(nGC_139)*coupl(nGC_642)*coupl(nGC_730) + 10d0*Nc*&
                        coupl(nGC_129)*coupl(nGC_139)**2d0*coupl(nGC_642) +    &
                        10d0*Nc*coupl(nGC_130)**2d0*coupl(nGC_131)*coupl(      &
                        nGC_2178) + 10d0*Nc*coupl(nGC_130)**2d0*coupl(nGC_150)*&
                        coupl(nGC_364) + 10d0*Nc*coupl(nGC_130)*coupl(nGC_131)*&
                        coupl(nGC_148)*coupl(nGC_150) + 10d0*Nc*coupl(nGC_130)*&
                        coupl(nGC_148)*coupl(nGC_2178)*coupl(nGC_364) + 10d0*Nc&
                        *coupl(nGC_131)*coupl(nGC_148)**2d0*coupl(nGC_2178) +  &
                        10d0*Nc*coupl(nGC_139)**2d0*coupl(nGC_140)*coupl(      &
                        nGC_730) + 10d0*Nc*coupl(nGC_142)**2d0*coupl(nGC_144)* &
                        coupl(nGC_824) + 10d0*Nc*coupl(nGC_148)**2d0*coupl(    &
                        nGC_150)*coupl(nGC_364) + 10d0*coupl(nGC_1016)*coupl(  &
                        nGC_136)**2d0*coupl(nGC_137) + 12d0*coupl(nGC_13)*coupl&
                        (nGC_16) + 10d0*coupl(nGC_133)**2d0*coupl(nGC_134)*    &
                        coupl(nGC_488) + 10d0*coupl(nGC_145)**2d0*coupl(nGC_146&
                        )*coupl(nGC_334) + 6d0*coupl(nGC_47)**2d0 + 12d0*coupl(&
                        nGC_68)*coupl(nGC_72) + 3d0*coupl(nGC_95)*coupl(nGC_96 &
                        ))/(48d0*pi**2d0)
      coupl(nGC_9582) = cima*(10d0*Nc*coupl(nGC_124)**2d0*coupl(nGC_126)**2d0  &
                         + 10d0*Nc*coupl(nGC_124)**2d0*coupl(nGC_143)**2d0 +   &
                        20d0*Nc*coupl(nGC_124)*coupl(nGC_126)*coupl(nGC_142)*  &
                        coupl(nGC_143) + 10d0*Nc*coupl(nGC_126)**2d0*coupl(    &
                        nGC_142)**2d0 + 10d0*Nc*coupl(nGC_127)**2d0*coupl(     &
                        nGC_128)**2d0 + 10d0*Nc*coupl(nGC_127)**2d0*coupl(     &
                        nGC_141)**2d0 + 20d0*Nc*coupl(nGC_127)*coupl(nGC_128)* &
                        coupl(nGC_139)*coupl(nGC_141) + 10d0*Nc*coupl(nGC_128  &
                        )**2d0*coupl(nGC_139)**2d0 + 10d0*Nc*coupl(nGC_130)**  &
                        2d0*coupl(nGC_132)**2d0 + 10d0*Nc*coupl(nGC_130)**2d0* &
                        coupl(nGC_149)**2d0 + 20d0*Nc*coupl(nGC_130)*coupl(    &
                        nGC_132)*coupl(nGC_148)*coupl(nGC_149) + 10d0*Nc*coupl(&
                        nGC_132)**2d0*coupl(nGC_148)**2d0 + 10d0*Nc*coupl(     &
                        nGC_139)**2d0*coupl(nGC_141)**2d0 + 10d0*Nc*coupl(     &
                        nGC_142)**2d0*coupl(nGC_143)**2d0 + 10d0*Nc*coupl(     &
                        nGC_148)**2d0*coupl(nGC_149)**2d0 + 10d0*coupl(nGC_133 &
                        )**2d0*coupl(nGC_135)**2d0 + 10d0*coupl(nGC_136)**2d0* &
                        coupl(nGC_138)**2d0 + 12d0*coupl(nGC_14)**2d0 + 10d0*  &
                        coupl(nGC_145)**2d0*coupl(nGC_147)**2d0 + 6d0*coupl(   &
                        nGC_47)**2d0 + 12d0*coupl(nGC_69)**2d0 + 3d0*coupl(    &
                        nGC_95)*coupl(nGC_96))/(48d0*pi**2d0)
      coupl(nGC_9583) = (-4d0*Nc*cima*coupl(nGC_124)**2d0*coupl(nGC_62)**2d0 - &
                        4d0*Nc*cima*coupl(nGC_127)**2d0*coupl(nGC_62)**2d0 -   &
                        4d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_62)**2d0 -   &
                        4d0*Nc*cima*coupl(nGC_139)**2d0*coupl(nGC_62)**2d0 -   &
                        4d0*Nc*cima*coupl(nGC_142)**2d0*coupl(nGC_62)**2d0 -   &
                        4d0*Nc*cima*coupl(nGC_148)**2d0*coupl(nGC_62)**2d0 +   &
                        3d0*cima*coupl(nGC_10)*coupl(nGC_9) - 4d0*cima*coupl(  &
                        nGC_133)**2d0*coupl(nGC_62)**2d0 - 4d0*cima*coupl(     &
                        nGC_136)**2d0*coupl(nGC_62)**2d0 - 4d0*cima*coupl(     &
                        nGC_145)**2d0*coupl(nGC_62)**2d0 + 6d0*cima*coupl(     &
                        nGC_2700)*coupl(nGC_47) + 3d0*cima*coupl(nGC_56)*coupl(&
                        nGC_95) + 6d0*cima*coupl(nGC_77)*coupl(nGC_90) + 6d0*  &
                        coupl(nGC_10)*coupl(nGC_266)*coupl(nGC_3) + 6d0*coupl( &
                        nGC_266)*coupl(nGC_64)*coupl(nGC_90) + 6d0*coupl(      &
                        nGC_292)*coupl(nGC_47)*coupl(nGC_63) + 6d0*coupl(nGC_3 &
                        )*coupl(nGC_534)*coupl(nGC_90) + 6d0*coupl(nGC_380)*   &
                        coupl(nGC_4)*coupl(nGC_47) + 6d0*coupl(nGC_534)*coupl( &
                        nGC_64)*coupl(nGC_95))/(48d0*pi**2d0)
      coupl(nGC_9584) = (-4d0*Nc*cima*coupl(nGC_124)**2d0*coupl(nGC_78)**2d0 + &
                        5d0*Nc*cima*coupl(nGC_124)**2d0*coupl(nGC_78)*coupl(   &
                        nGC_83) - 4d0*Nc*cima*coupl(nGC_124)**2d0*coupl(nGC_83 &
                        )**2d0 - 4d0*Nc*cima*coupl(nGC_127)**2d0*coupl(nGC_79  &
                        )**2d0 + 5d0*Nc*cima*coupl(nGC_127)**2d0*coupl(nGC_79)*&
                        coupl(nGC_82) - 4d0*Nc*cima*coupl(nGC_127)**2d0*coupl( &
                        nGC_82)**2d0 - 4d0*Nc*cima*coupl(nGC_130)**2d0*coupl(  &
                        nGC_78)**2d0 + 5d0*Nc*cima*coupl(nGC_130)**2d0*coupl(  &
                        nGC_78)*coupl(nGC_83) - 4d0*Nc*cima*coupl(nGC_130)**2d0&
                        *coupl(nGC_83)**2d0 - 4d0*Nc*cima*coupl(nGC_139)**2d0* &
                        coupl(nGC_78)**2d0 + 5d0*Nc*cima*coupl(nGC_139)**2d0*  &
                        coupl(nGC_78)*coupl(nGC_83) - 4d0*Nc*cima*coupl(nGC_139&
                        )**2d0*coupl(nGC_83)**2d0 - 4d0*Nc*cima*coupl(nGC_142  &
                        )**2d0*coupl(nGC_79)**2d0 + 5d0*Nc*cima*coupl(nGC_142  &
                        )**2d0*coupl(nGC_79)*coupl(nGC_82) - 4d0*Nc*cima*coupl(&
                        nGC_142)**2d0*coupl(nGC_82)**2d0 - 4d0*Nc*cima*coupl(  &
                        nGC_148)**2d0*coupl(nGC_79)**2d0 + 5d0*Nc*cima*coupl(  &
                        nGC_148)**2d0*coupl(nGC_79)*coupl(nGC_82) - 4d0*Nc*cima&
                        *coupl(nGC_148)**2d0*coupl(nGC_82)**2d0 - 4d0*cima*    &
                        coupl(nGC_133)**2d0*coupl(nGC_80)**2d0 + 5d0*cima*coupl&
                        (nGC_133)**2d0*coupl(nGC_80)*coupl(nGC_86) - 4d0*cima* &
                        coupl(nGC_133)**2d0*coupl(nGC_86)**2d0 - 4d0*cima*coupl&
                        (nGC_136)**2d0*coupl(nGC_80)**2d0 + 5d0*cima*coupl(    &
                        nGC_136)**2d0*coupl(nGC_80)*coupl(nGC_86) - 4d0*cima*  &
                        coupl(nGC_136)**2d0*coupl(nGC_86)**2d0 - 4d0*cima*coupl&
                        (nGC_145)**2d0*coupl(nGC_80)**2d0 + 5d0*cima*coupl(    &
                        nGC_145)**2d0*coupl(nGC_80)*coupl(nGC_86) - 4d0*cima*  &
                        coupl(nGC_145)**2d0*coupl(nGC_86)**2d0 + 3d0*cima*coupl&
                        (nGC_47)*coupl(nGC_56) + 3d0*coupl(nGC_292)**2d0*coupl(&
                        nGC_47) + 3d0*coupl(nGC_47)*coupl(nGC_64)**2d0)/(24d0* &
                        pi**2d0)
      coupl(nGC_15080) = coupl(nGC_96)*dZZ_QED2 + coupl(nGC_9730)
      coupl(nGC_14694) = coupl(nGC_110)*dZA_QED2/2d0 + coupl(nGC_110)*         &
                         dZWMinus_QED2/2d0 + coupl(nGC_9709) + coupl(nGC_99)*  &
                         dZZA_QED2/2d0
      coupl(nGC_9347) = cima*(coupl(nGC_292)*coupl(nGC_380) + coupl(nGC_3)*    &
                        coupl(nGC_64))/(48d0*pi**2d0)
      coupl(nGC_9632) = coupl(nGC_9092)*dZee_QED2 + coupl(nGC_9093)*dsw_QED2 + &
                        coupl(nGC_9094)*dcw_QED2
      coupl(nGC_15348) = coupl(nGC_MS)*(dZsL_QED2 + dZsR_QED2)/2d0
      coupl(nGC_15349) = coupl(nGC_MS)*(dZsL_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_9636) = coupl(nGC_9096)*dZee_QED2 + coupl(nGC_9097)*dsw_QED2 + &
                        coupl(nGC_9098)*dcw_QED2
      coupl(nGC_9637) = coupl(nGC_9309)*dZee_QED2 + coupl(nGC_9310)*dcw_QED2
      coupl(nGC_9634) = coupl(nGC_9311)*dZee_QED2 + coupl(nGC_9312)*dcw_QED2
      coupl(nGC_9635) = coupl(nGC_9182)*dZee_QED2
      coupl(nGC_14600) = coupl(nGC_57)*dZZ_QED2 + coupl(nGC_76)*dZAZ_QED2 +    &
                         coupl(nGC_9717)
      coupl(nGC_14549) = coupl(nGC_10)*dZA_QED2 + coupl(nGC_76)*dZZA_QED2 +    &
                         coupl(nGC_9652)
      coupl(nGC_14762) = coupl(nGC_96)*dZH_QED2 + coupl(nGC_96)*dZZ_QED2 +     &
                         coupl(nGC_9730)
      coupl(nGC_9738) = coupl(nGC_9282)*dZee_QED2 + coupl(nGC_9283)*dsw_QED2
      coupl(nGC_9733) = coupl(nGC_9259)*dZee_QED2 + coupl(nGC_9260)*dsw_QED2 + &
                        coupl(nGC_9261)*dcw_QED2
      coupl(nGC_9736) = coupl(nGC_9066)*dZee_QED2
      coupl(nGC_9734) = coupl(nGC_9262)*dZee_QED2 + coupl(nGC_9263)*dsw_QED2 + &
                        coupl(nGC_9264)*dcw_QED2
      coupl(nGC_14026) = coupl(nGC_19)*dZuL_QCD2
      coupl(nGC_9345) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_126)**2d0 - 4d0*Nc*cMC&
                        **2d0*cima*coupl(nGC_128)**2d0 - 4d0*Nc*cMD**2d0*cima* &
                        coupl(nGC_132)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(      &
                        nGC_141)**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_143)**  &
                        2d0 - 4d0*Nc*cMU**2d0*cima*coupl(nGC_149)**2d0 - 4d0*  &
                        cME**2d0*cima*coupl(nGC_135)**2d0 - 4d0*cMM**2d0*cima* &
                        coupl(nGC_138)**2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_147 &
                        )**2d0 - 2d0*cMW**2d0*coupl(nGC_47) - cMZ**2d0*coupl(  &
                        nGC_96) + 2d0*cima*coupl(nGC_107)**2d0 + cima*coupl(   &
                        nGC_123)**2d0)/(16d0*pi**2d0)
      coupl(nGC_14181) = coupl(nGC_77)*dZA_QED2/2d0 + coupl(nGC_77)*           &
                         dZWMinus_QED2 + coupl(nGC_77)*dZZ_QED2/2d0 + coupl(   &
                         nGC_9729)
      coupl(nGC_14029) = coupl(nGC_14026) + coupl(nGC_14027)
      coupl(nGC_16934) = coupl(nGC_2)*dZtL_QED2 + coupl(nGC_83)*dZZA_QED2/2d0
      coupl(nGC_16097) = coupl(nGC_143)*dZH_QED2/2d0 + coupl(nGC_9705)
      coupl(nGC_19633) = coupl(nGC_19627) + coupl(nGC_9754)
      coupl(nGC_16095) = coupl(nGC_143)*(dZtL_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_16094) = coupl(nGC_143)*(dZtL_QED2 + dZtR_QED2)/2d0
      coupl(nGC_14017) = coupl(nGC_13991) + coupl(nGC_14015)
      coupl(nGC_9575) = (18d0*Nc*cima*coupl(nGC_1)*coupl(nGC_62)**2d0*coupl(   &
                        nGC_82) - 15d0*Nc*cima*coupl(nGC_1)*coupl(nGC_62)**2d0*&
                        coupl(nGC_83) - 15d0*Nc*cima*coupl(nGC_2)*coupl(nGC_62 &
                        )**2d0*coupl(nGC_82) + 18d0*Nc*cima*coupl(nGC_2)*coupl(&
                        nGC_62)**2d0*coupl(nGC_83) + 6d0*cima*coupl(nGC_2700)* &
                        coupl(nGC_77) - 8d0*cima*coupl(nGC_292)*coupl(nGC_3)*  &
                        coupl(nGC_63)*coupl(nGC_64) - 8d0*cima*coupl(nGC_3)*   &
                        coupl(nGC_380)*coupl(nGC_4)*coupl(nGC_64) + 18d0*cima* &
                        coupl(nGC_4)*coupl(nGC_62)**2d0*coupl(nGC_85) - 15d0*  &
                        cima*coupl(nGC_4)*coupl(nGC_62)**2d0*coupl(nGC_86) +   &
                        6d0*coupl(nGC_2700)*coupl(nGC_292)*coupl(nGC_380) + 6d0&
                        *coupl(nGC_2700)*coupl(nGC_3)*coupl(nGC_64) + 6d0*coupl&
                        (nGC_292)*coupl(nGC_63)*coupl(nGC_77) + 6d0*coupl(     &
                        nGC_380)*coupl(nGC_4)*coupl(nGC_77))/(48d0*pi**2d0)
      coupl(nGC_16569) = coupl(nGC_1)*dZbL_QED2 + coupl(nGC_82)*dZZA_QED2/2d0
      coupl(nGC_9352) = cMC*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_79)*coupl(    &
                        nGC_83))/(8d0*pi**2d0)
      coupl(nGC_9647) = coupl(nGC_9167)*dsw_QED2 + coupl(nGC_9168)*dZee_QED2 + &
                        coupl(nGC_9169)*dcw_QED2 + coupl(nGC_9170)*dvev_QED1
      coupl(nGC_9646) = coupl(nGC_9113)*dZee_QED2 + coupl(nGC_9114)*dcw_QED2 + &
                        coupl(nGC_9115)*dvev_QED1
      coupl(nGC_9645) = coupl(nGC_9298)*dZee_QED2 + coupl(nGC_9299)*dsw_QED2
      coupl(nGC_9644) = coupl(nGC_9079)*dZee_QED2 + coupl(nGC_9080)*dsw_QED2 + &
                        coupl(nGC_9081)*dcw_QED2
      coupl(nGC_9642) = coupl(nGC_9300)*dZee_QED2 + coupl(nGC_9301)*dsw_QED2
      coupl(nGC_9641) = coupl(nGC_9239)*dZee_QED2 + coupl(nGC_9240)*dsw_QED2
      coupl(nGC_9435) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_2178) - coupl(nGC_130 &
                        )*coupl(nGC_148)*coupl(nGC_150) - coupl(nGC_131)*coupl(&
                        nGC_132)**2d0 - coupl(nGC_131)*coupl(nGC_2178)**2d0 +  &
                        8d0*coupl(nGC_2178)*coupl(nGC_78)*coupl(nGC_82))/(32d0*&
                        pi**2d0)
      coupl(nGC_14399) = coupl(nGC_65)*dZWMinus_QED2/2d0 + coupl(nGC_9657)
      coupl(nGC_9340) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_125)*coupl(nGC_520) - &
                        4d0*Nc*cMC**2d0*cima*coupl(nGC_129)*coupl(nGC_642) -   &
                        4d0*Nc*cMD**2d0*cima*coupl(nGC_131)*coupl(nGC_2178) -  &
                        4d0*Nc*cMS**2d0*cima*coupl(nGC_140)*coupl(nGC_730) -   &
                        4d0*Nc*cMT**2d0*cima*coupl(nGC_144)*coupl(nGC_824) -   &
                        4d0*Nc*cMU**2d0*cima*coupl(nGC_150)*coupl(nGC_364) -   &
                        4d0*cME**2d0*cima*coupl(nGC_134)*coupl(nGC_488) - 4d0* &
                        cMM**2d0*cima*coupl(nGC_1016)*coupl(nGC_137) - 4d0*cMTA&
                        **2d0*cima*coupl(nGC_146)*coupl(nGC_334) - 2d0*cMW**2d0&
                        *coupl(nGC_47) - cMZ**2d0*coupl(nGC_96))/(16d0*pi**2d0)
      coupl(nGC_9649) = coupl(nGC_9116)*dlam_QED4 + coupl(nGC_9117)*dvev_QED1
      coupl(nGC_9648) = coupl(nGC_9111)*dlam_QED4 + coupl(nGC_9112)*dvev_QED1
      coupl(nGC_14231) = coupl(nGC_49)*dZWMinus_QED2 + coupl(nGC_9716)
      coupl(nGC_14339) = -coupl(nGC_14335) - coupl(nGC_9678)
      coupl(nGC_9341) = cima*(-3d0*Nc*coupl(nGC_62)**2d0 - coupl(nGC_266)*coupl&
                        (nGC_3) - coupl(nGC_292)*coupl(nGC_63) - coupl(nGC_380 &
                        )*coupl(nGC_4) - coupl(nGC_534)*coupl(nGC_64) - 3d0*   &
                        coupl(nGC_62)**2d0)/(48d0*pi**2d0)
      coupl(nGC_9346) = cima*(-3d0*Nc*coupl(nGC_1)*coupl(nGC_78) - 3d0*Nc*coupl&
                        (nGC_1)*coupl(nGC_82) - 3d0*Nc*coupl(nGC_2)*coupl(     &
                        nGC_79) - 3d0*Nc*coupl(nGC_2)*coupl(nGC_83) - coupl(   &
                        nGC_292)*coupl(nGC_380) - coupl(nGC_3)*coupl(nGC_64) - &
                        3d0*coupl(nGC_4)*coupl(nGC_80) - 3d0*coupl(nGC_4)*coupl&
                        (nGC_85))/(48d0*pi**2d0)
      coupl(nGC_14337) = -coupl(nGC_14336) - coupl(nGC_9677)
      coupl(nGC_9344) = cima*(Nc*coupl(nGC_126)**2d0 + Nc*coupl(nGC_128)**2d0  &
                         + Nc*coupl(nGC_132)**2d0 + Nc*coupl(nGC_141)**2d0 + Nc&
                        *coupl(nGC_143)**2d0 + Nc*coupl(nGC_149)**2d0 + coupl( &
                        nGC_135)**2d0 + coupl(nGC_138)**2d0 + coupl(nGC_147)** &
                        2d0)/(24d0*pi**2d0)
      coupl(nGC_15006) = coupl(nGC_15003) + coupl(nGC_9676)
      coupl(nGC_14941) = coupl(nGC_62)*dZWMinus_QED2/2d0 + coupl(nGC_62)*      &
                         dZcL_QED2/2d0 + coupl(nGC_62)*dZsL_QED2/2d0 + coupl(  &
                         nGC_9738)
      coupl(nGC_14940) = coupl(nGC_62)*(dZcL_QCD2 + dZsL_QCD2)/2d0
      coupl(nGC_22299) = -coupl(nGC_9425)
      coupl(nGC_9463) = coupl(nGC_19)**2d0*coupl(nGC_364)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9462) = (-coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_148) - coupl(&
                        nGC_149)**2d0*coupl(nGC_150) - coupl(nGC_150)*coupl(   &
                        nGC_364)**2d0 + 8d0*coupl(nGC_2)**2d0*coupl(nGC_364) + &
                        8d0*coupl(nGC_364)*coupl(nGC_79)*coupl(nGC_83))/(32d0* &
                        pi**2d0)
      coupl(nGC_9461) = (-coupl(nGC_146)*coupl(nGC_147)**2d0 - coupl(nGC_146)* &
                        coupl(nGC_334)**2d0 + 8d0*coupl(nGC_334)*coupl(nGC_4)**&
                        2d0 + 8d0*coupl(nGC_334)*coupl(nGC_80)*coupl(nGC_85))/(&
                        32d0*pi**2d0)
      coupl(nGC_9460) = (-coupl(nGC_146)**2d0*coupl(nGC_334) + 8d0*coupl(      &
                        nGC_146)*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_146)*coupl( &
                        nGC_80)*coupl(nGC_85) - coupl(nGC_147)**2d0*coupl(     &
                        nGC_334))/(32d0*pi**2d0)
      coupl(nGC_9467) = (-2d0*Nc*cMB*coupl(nGC_126)*coupl(nGC_62)**2d0 - 2d0*Nc&
                        *cMC*coupl(nGC_128)*coupl(nGC_62)**2d0 - 2d0*Nc*cMD*   &
                        coupl(nGC_132)*coupl(nGC_62)**2d0 - 2d0*Nc*cMS*coupl(  &
                        nGC_141)*coupl(nGC_62)**2d0 - 2d0*Nc*cMT*coupl(nGC_143 &
                        )*coupl(nGC_62)**2d0 - 2d0*Nc*cMU*coupl(nGC_149)*coupl(&
                        nGC_62)**2d0 - 2d0*cME*coupl(nGC_135)*coupl(nGC_62)**  &
                        2d0 - 2d0*cMM*coupl(nGC_138)*coupl(nGC_62)**2d0 - 2d0* &
                        cMTA*coupl(nGC_147)*coupl(nGC_62)**2d0 + 2d0*cima*coupl&
                        (nGC_107)*coupl(nGC_2700) + cima*coupl(nGC_123)*coupl( &
                        nGC_56) + 2d0*coupl(nGC_107)*coupl(nGC_292)*coupl(     &
                        nGC_63) + 2d0*coupl(nGC_107)*coupl(nGC_380)*coupl(nGC_4&
                        ) + 2d0*coupl(nGC_123)*coupl(nGC_534)*coupl(nGC_64))/( &
                        16d0*pi**2d0)
      coupl(nGC_9466) = 3d0*(4d0*Nc*cMB*coupl(nGC_126)**3d0 + 4d0*Nc*cMC*coupl(&
                        nGC_128)**3d0 + 4d0*Nc*cMD*coupl(nGC_132)**3d0 + 4d0*Nc&
                        *cMS*coupl(nGC_141)**3d0 + 4d0*Nc*cMT*coupl(nGC_143)** &
                        3d0 + 4d0*Nc*cMU*coupl(nGC_149)**3d0 + 4d0*cME*coupl(  &
                        nGC_135)**3d0 + 4d0*cMM*coupl(nGC_138)**3d0 + 4d0*cMTA*&
                        coupl(nGC_147)**3d0 + 2d0*cima*coupl(nGC_107)*coupl(   &
                        nGC_47) + cima*coupl(nGC_123)*coupl(nGC_96))/(16d0*pi**&
                        2d0)
      coupl(nGC_16349) = coupl(nGC_4)*dZA_QED2/2d0 + coupl(nGC_85)*dZZA_QED2/  &
                         2d0 + coupl(nGC_9655)
      coupl(nGC_9464) = (-coupl(nGC_130)*coupl(nGC_148)*coupl(nGC_2178) - coupl&
                        (nGC_149)**2d0*coupl(nGC_364) - coupl(nGC_150)**2d0*   &
                        coupl(nGC_364) + 8d0*coupl(nGC_150)*coupl(nGC_2)**2d0  &
                         + 8d0*coupl(nGC_150)*coupl(nGC_79)*coupl(nGC_83))/(   &
                        32d0*pi**2d0)
      coupl(nGC_9469) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_126) - coupl(nGC_124)*&
                        coupl(nGC_142)*coupl(nGC_143) - coupl(nGC_125)**2d0*   &
                        coupl(nGC_126) - coupl(nGC_126)**3d0 + 8d0*coupl(      &
                        nGC_126)*coupl(nGC_78)*coupl(nGC_82))/(32d0*pi**2d0)
      coupl(nGC_9468) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_126) - coupl(nGC_124)*&
                        coupl(nGC_142)*coupl(nGC_143) - coupl(nGC_126)**3d0 -  &
                        coupl(nGC_126)*coupl(nGC_520)**2d0 + 8d0*coupl(nGC_126 &
                        )*coupl(nGC_78)*coupl(nGC_82))/(32d0*pi**2d0)
      coupl(nGC_15123) = coupl(nGC_15122) + coupl(nGC_9702)
      coupl(nGC_9549) = coupl(nGC_19)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_470&
                        ) - 2d0*coupl(nGC_19))/(128d0*pi**2d0*Nc)
      coupl(nGC_15124) = coupl(nGC_128)*dZH_QED2/2d0 + coupl(nGC_9703)
      coupl(nGC_15125) = coupl(nGC_15121) + coupl(nGC_15124)
      coupl(nGC_9544) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(     &
                        nGC_127)**2d0 - coupl(nGC_140)*coupl(nGC_730) - coupl( &
                        nGC_141)**2d0 - 4d0*coupl(nGC_62)**2d0 - 4d0*coupl(    &
                        nGC_82)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_23070) = -coupl(nGC_9407)
      coupl(nGC_9546) = coupl(nGC_19)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(      &
                        nGC_470) + 2d0*coupl(nGC_19))/(128d0*pi**2d0*Nc**2d0)
      coupl(nGC_9547) = coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(      &
                        nGC_127)**2d0 + coupl(nGC_140)*coupl(nGC_730) + coupl( &
                        nGC_141)**2d0 + 4d0*coupl(nGC_62)**2d0 + 4d0*coupl(    &
                        nGC_82)**2d0)/(64d0*pi**2d0)
      coupl(nGC_9540) = -coupl(nGC_19)*sq2*(coupl(nGC_128)**2d0 + coupl(nGC_129&
                        )*coupl(nGC_642) + coupl(nGC_139)**2d0 + 4d0*coupl(    &
                        nGC_2)**2d0 + 4d0*coupl(nGC_62)**2d0 + 4d0*coupl(nGC_83&
                        )**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_9458) = (-coupl(nGC_124)*coupl(nGC_142)*coupl(nGC_520) - coupl(&
                        nGC_143)**2d0*coupl(nGC_824) - coupl(nGC_144)**2d0*    &
                        coupl(nGC_824) + 8d0*coupl(nGC_144)*coupl(nGC_2)**2d0  &
                         + 8d0*coupl(nGC_144)*coupl(nGC_79)*coupl(nGC_83))/(   &
                        32d0*pi**2d0)
      coupl(nGC_9542) = -coupl(nGC_19)*sq2*(-coupl(nGC_128)**2d0 - coupl(      &
                        nGC_129)*coupl(nGC_642) - coupl(nGC_139)**2d0 - 4d0*   &
                        coupl(nGC_2)**2d0 - 4d0*coupl(nGC_62)**2d0 - 4d0*coupl(&
                        nGC_83)**2d0)/(64d0*pi**2d0)
      coupl(nGC_9459) = coupl(nGC_144)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_21277) = coupl(nGC_MB)*(dZbL_QED2 + dZbR_QED2)/2d0
      coupl(nGC_18002) = 2d0*coupl(nGC_21)*dZg_QCD2 + coupl(nGC_9659)
      coupl(nGC_16622) = -coupl(nGC_16349)
      coupl(nGC_14522) = coupl(nGC_83)*dZZ_QED2/2d0 + coupl(nGC_83)*dZcL_QED2  &
                          + coupl(nGC_9740)
      coupl(nGC_21278) = coupl(nGC_MB)*(dZbL_QCD2 + dZbR_QCD2)/2d0
      coupl(nGC_9518) = (coupl(nGC_1016)*coupl(nGC_137)*coupl(nGC_80) + coupl( &
                        nGC_138)**2d0*coupl(nGC_80) + 4d0*coupl(nGC_4)**2d0*   &
                        coupl(nGC_85) - 2d0*coupl(nGC_62)**2d0*coupl(nGC_64) + &
                        4d0*coupl(nGC_62)**2d0*coupl(nGC_86) + 4d0*coupl(nGC_85&
                        )**3d0)/(32d0*pi**2d0)
      coupl(nGC_15225) = coupl(nGC_6)*dZWMinus_QED2/2d0 + coupl(nGC_9654)
      coupl(nGC_14722) = coupl(nGC_80)*dZZ_QED2/2d0 + coupl(nGC_80)*           &
                         dZtauMinusR_QED2 + coupl(nGC_9744)
      coupl(nGC_15637) = -coupl(nGC_15635) - coupl(nGC_9699)
      coupl(nGC_9454) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_140) - coupl(nGC_127)*&
                        coupl(nGC_139)*coupl(nGC_642) - coupl(nGC_140)**2d0*   &
                        coupl(nGC_730) + 8d0*coupl(nGC_140)*coupl(nGC_78)*coupl&
                        (nGC_82) - coupl(nGC_141)**2d0*coupl(nGC_730))/(32d0*pi&
                        **2d0)
      coupl(nGC_15638) = coupl(nGC_15635) + coupl(nGC_9699)
      coupl(nGC_15639) = -coupl(nGC_15636) - coupl(nGC_9698)
      coupl(nGC_16218) = coupl(nGC_86)*dZZ_QED2/2d0 + coupl(nGC_86)*           &
                         dZnu_tauL_QED2 + coupl(nGC_9743)
      coupl(nGC_14095) = coupl(nGC_14089) + coupl(nGC_9683)
      coupl(nGC_14159) = coupl(nGC_6)*dZAZ_QED2/2d0 + coupl(nGC_65)*dZZ_QED2/  &
                         2d0 + coupl(nGC_9657)
      coupl(nGC_14093) = coupl(nGC_126)*dZH_QED2/2d0 + coupl(nGC_9684)
      coupl(nGC_13990) = coupl(nGC_4)*dZmuMinusL_QED2 + coupl(nGC_85)*dZZA_QED2&
                         /2d0
      coupl(nGC_9609) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_126)**2d0 &
                         - coupl(nGC_128)**2d0 - coupl(nGC_132)**2d0 - coupl(  &
                        nGC_141)**2d0 - coupl(nGC_143)**2d0 - coupl(nGC_149)** &
                        2d0)/(16d0*pi**2d0)
      coupl(nGC_9767) = coupl(nGC_214)*dMZ2_QED2
      coupl(nGC_13975) = coupl(nGC_54)*dZWMinus_QED2/2d0 + coupl(nGC_54)*      &
                         dZZ_QED2/2d0 + coupl(nGC_75)*dZAZ_QED2/2d0 + coupl(   &
                         nGC_9727)
      coupl(nGC_9603) = (9d0*Nc*cima*coupl(nGC_62)**2d0*coupl(nGC_82)**2d0 -   &
                        15d0*Nc*cima*coupl(nGC_62)**2d0*coupl(nGC_82)*coupl(   &
                        nGC_83) + 9d0*Nc*cima*coupl(nGC_62)**2d0*coupl(nGC_83  &
                        )**2d0 + 3d0*cima*coupl(nGC_2700)*coupl(nGC_56) - 4d0* &
                        cima*coupl(nGC_292)*coupl(nGC_63)*coupl(nGC_64)**2d0 - &
                        4d0*cima*coupl(nGC_380)*coupl(nGC_4)*coupl(nGC_64)**2d0&
                         + 9d0*cima*coupl(nGC_62)**2d0*coupl(nGC_85)**2d0 -    &
                        15d0*cima*coupl(nGC_62)**2d0*coupl(nGC_85)*coupl(nGC_86&
                        ) + 9d0*cima*coupl(nGC_62)**2d0*coupl(nGC_86)**2d0 +   &
                        3d0*coupl(nGC_2700)*coupl(nGC_292)**2d0 + 3d0*coupl(   &
                        nGC_2700)*coupl(nGC_64)**2d0 + 3d0*coupl(nGC_292)*coupl&
                        (nGC_56)*coupl(nGC_63) + 3d0*coupl(nGC_380)*coupl(nGC_4&
                        )*coupl(nGC_56))/(24d0*pi**2d0)
      coupl(nGC_15703) = coupl(nGC_4)*dZeMinusR_QED2 + coupl(nGC_80)*dZZA_QED2/&
                         2d0
      coupl(nGC_9601) = cima*coupl(nGC_19)**2d0*coupl(nGC_62)**2d0*sq2**2d0/(  &
                        32d0*pi**2d0)
      coupl(nGC_14139) = coupl(nGC_14138) + coupl(nGC_9681)
      coupl(nGC_9606) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl( &
                        nGC_78) - coupl(nGC_1)*coupl(nGC_82) - coupl(nGC_2)*   &
                        coupl(nGC_79) - coupl(nGC_2)*coupl(nGC_83))/(32d0*pi** &
                        2d0*Nc)
      coupl(nGC_15704) = coupl(nGC_4)*dZeMinusL_QED2 + coupl(nGC_85)*dZZA_QED2/&
                         2d0
      coupl(nGC_15705) = coupl(nGC_13991) + coupl(nGC_15703)
      coupl(nGC_14374) = coupl(nGC_46)*dZH_QED2 + coupl(nGC_9641)
      coupl(nGC_14079) = coupl(nGC_142)*dZbL_QED2/2d0 + coupl(nGC_142)*        &
                         dZtR_QED2/2d0 + coupl(nGC_9672)
      coupl(nGC_14078) = coupl(nGC_124)*dZbR_QED2/2d0 + coupl(nGC_124)*        &
                         dZtL_QED2/2d0 + coupl(nGC_9670)
      coupl(nGC_14371) = coupl(nGC_86)*dZZA_QED2/2d0
      coupl(nGC_14077) = coupl(nGC_142)*dZbL_QCD2/2d0 + coupl(nGC_142)*        &
                         dZtR_QCD2/2d0 + coupl(nGC_9671)
      coupl(nGC_14076) = coupl(nGC_124)*dZbR_QCD2/2d0 + coupl(nGC_124)*        &
                         dZtL_QCD2/2d0 + coupl(nGC_9669)
      coupl(nGC_14385) = coupl(nGC_57)*dZWMinus_QED2 + coupl(nGC_9717)
      coupl(nGC_14475) = coupl(nGC_3)*dZA_QED2/2d0 + coupl(nGC_3)*dZWMinus_QED2&
                          + coupl(nGC_64)*dZZA_QED2/2d0 + coupl(nGC_9712)
      coupl(nGC_16512) = coupl(nGC_107)*dZH_QED2/2d0 + coupl(nGC_107)*         &
                         dZWMinus_QED2 + coupl(nGC_9719)
      coupl(nGC_13958) = coupl(nGC_10)*dZAZ_QED2/2d0 + coupl(nGC_57)*dZZA_QED2/&
                         2d0 + coupl(nGC_76)*dZA_QED2/2d0 + coupl(nGC_76)*     &
                         dZZ_QED2/2d0 + coupl(nGC_9718)
      coupl(nGC_14571) = coupl(nGC_14567) + coupl(nGC_14570)
      coupl(nGC_14153) = coupl(nGC_62)*dZWMinus_QED2/2d0 + coupl(nGC_62)*      &
                         dZeMinusL_QED2/2d0 + coupl(nGC_62)*dZnu_eL_QED2/2d0 + &
                         coupl(nGC_9738)
      coupl(nGC_14206) = coupl(nGC_62)*(dZdL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_14207) = coupl(nGC_62)*dZWMinus_QED2/2d0 + coupl(nGC_62)*      &
                         dZdL_QED2/2d0 + coupl(nGC_62)*dZuL_QED2/2d0 + coupl(  &
                         nGC_9738)
      coupl(nGC_9500) = coupl(nGC_62)*(-coupl(nGC_292)*coupl(nGC_86) - coupl(  &
                        nGC_3)*coupl(nGC_4) - coupl(nGC_64)*coupl(nGC_85) + 2d0&
                        *coupl(nGC_85)*coupl(nGC_86))/(16d0*pi**2d0)
      coupl(nGC_9501) = coupl(nGC_62)*(2d0*coupl(nGC_1)*coupl(nGC_2) - coupl(  &
                        nGC_1)*coupl(nGC_266) - coupl(nGC_2)*coupl(nGC_4) -    &
                        coupl(nGC_534)*coupl(nGC_82) - coupl(nGC_63)*coupl(    &
                        nGC_83) + 2d0*coupl(nGC_82)*coupl(nGC_83))/(16d0*pi**  &
                        2d0)
      coupl(nGC_9502) = coupl(nGC_62)*(2d0*coupl(nGC_1)*coupl(nGC_2) + coupl(  &
                        nGC_1)*coupl(nGC_4) + coupl(nGC_2)*coupl(nGC_266) +    &
                        coupl(nGC_534)*coupl(nGC_83) + coupl(nGC_63)*coupl(    &
                        nGC_82) + 2d0*coupl(nGC_82)*coupl(nGC_83))/(16d0*pi**  &
                        2d0)
      coupl(nGC_9503) = coupl(nGC_62)*(-coupl(nGC_266)*coupl(nGC_4) - coupl(   &
                        nGC_534)*coupl(nGC_85) - coupl(nGC_63)*coupl(nGC_86) + &
                        2d0*coupl(nGC_85)*coupl(nGC_86))/(16d0*pi**2d0)
      coupl(nGC_9504) = coupl(nGC_62)*(coupl(nGC_4)**2d0 + coupl(nGC_534)*coupl&
                        (nGC_86) + coupl(nGC_63)*coupl(nGC_85) + 2d0*coupl(    &
                        nGC_85)*coupl(nGC_86))/(16d0*pi**2d0)
      coupl(nGC_9505) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_82) + coupl(nGC_125)* &
                        coupl(nGC_520)*coupl(nGC_78) + coupl(nGC_126)**2d0*    &
                        coupl(nGC_78) + coupl(nGC_142)**2d0*coupl(nGC_79) + 2d0&
                        *coupl(nGC_292)*coupl(nGC_62)**2d0 + 4d0*coupl(nGC_62  &
                        )**2d0*coupl(nGC_83) + 4d0*coupl(nGC_82)**3d0)/(32d0*pi&
                        **2d0)
      coupl(nGC_9506) = coupl(nGC_19)**2d0*coupl(nGC_82)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9507) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_78) + coupl(nGC_124)**&
                        2d0*coupl(nGC_83) + coupl(nGC_125)*coupl(nGC_520)*coupl&
                        (nGC_82) + coupl(nGC_126)**2d0*coupl(nGC_82) + 4d0*    &
                        coupl(nGC_78)**3d0)/(32d0*pi**2d0)
      coupl(nGC_9509) = (coupl(nGC_128)**2d0*coupl(nGC_79) + coupl(nGC_129)*   &
                        coupl(nGC_642)*coupl(nGC_79) + coupl(nGC_139)**2d0*    &
                        coupl(nGC_78) + 4d0*coupl(nGC_2)**2d0*coupl(nGC_83) +  &
                        2d0*coupl(nGC_62)**2d0*coupl(nGC_64) + 4d0*coupl(nGC_62&
                        )**2d0*coupl(nGC_82) + 4d0*coupl(nGC_83)**3d0)/(32d0*pi&
                        **2d0)
      coupl(nGC_15005) = -coupl(nGC_15003) - coupl(nGC_9676)
      coupl(nGC_9355) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_79)**2d0)/(16d0*pi&
                        **2d0)
      coupl(nGC_18004) = 2d0*coupl(nGC_18002)
      coupl(nGC_14278) = coupl(nGC_2)*dZcL_QED2 + coupl(nGC_83)*dZZA_QED2/2d0
      coupl(nGC_15640) = coupl(nGC_15636) + coupl(nGC_9698)
      coupl(nGC_14265) = coupl(nGC_5)*dZAZ_QED2/2d0 + coupl(nGC_66)*dZZ_QED2/  &
                         2d0 + coupl(nGC_9656)
      coupl(nGC_14270) = coupl(nGC_2)*dZcR_QCD2
      coupl(nGC_18003) = -coupl(nGC_18002)
      coupl(nGC_9481) = coupl(nGC_138)*(-coupl(nGC_1016)**2d0 - coupl(nGC_138  &
                        )**2d0 + 8d0*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_80)*    &
                        coupl(nGC_85))/(32d0*pi**2d0)
      coupl(nGC_9348) = (Nc*cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_78) + Nc*cMB**&
                        2d0*cima*coupl(nGC_1)*coupl(nGC_82) + Nc*cMC**2d0*cima*&
                        coupl(nGC_2)*coupl(nGC_79) + Nc*cMC**2d0*cima*coupl(   &
                        nGC_2)*coupl(nGC_83) + Nc*cMD**2d0*cima*coupl(nGC_1)*  &
                        coupl(nGC_78) + Nc*cMD**2d0*cima*coupl(nGC_1)*coupl(   &
                        nGC_82) + Nc*cMS**2d0*cima*coupl(nGC_1)*coupl(nGC_78   &
                        ) + Nc*cMS**2d0*cima*coupl(nGC_1)*coupl(nGC_82) + Nc*  &
                        cMT**2d0*cima*coupl(nGC_2)*coupl(nGC_79) + Nc*cMT**2d0*&
                        cima*coupl(nGC_2)*coupl(nGC_83) + Nc*cMU**2d0*cima*    &
                        coupl(nGC_2)*coupl(nGC_79) + Nc*cMU**2d0*cima*coupl(   &
                        nGC_2)*coupl(nGC_83) + cME**2d0*cima*coupl(nGC_4)*coupl&
                        (nGC_80) + cME**2d0*cima*coupl(nGC_4)*coupl(nGC_85) +  &
                        cMM**2d0*cima*coupl(nGC_4)*coupl(nGC_80) + cMM**2d0*   &
                        cima*coupl(nGC_4)*coupl(nGC_85) + cMTA**2d0*cima*coupl(&
                        nGC_4)*coupl(nGC_80) + cMTA**2d0*cima*coupl(nGC_4)*    &
                        coupl(nGC_85) + cMW**2d0*cima*coupl(nGC_292)*coupl(    &
                        nGC_380) + cMW**2d0*cima*coupl(nGC_3)*coupl(nGC_64) -  &
                        cMW**2d0*coupl(nGC_77))/(8d0*pi**2d0)
      coupl(nGC_9349) = cima*(-3d0*Nc*coupl(nGC_78)**2d0 - 3d0*Nc*coupl(nGC_79 &
                        )**2d0 - 3d0*Nc*coupl(nGC_82)**2d0 - 3d0*Nc*coupl(     &
                        nGC_83)**2d0 - coupl(nGC_292)**2d0 - coupl(nGC_64)**2d0&
                         - 3d0*coupl(nGC_80)**2d0 - 3d0*coupl(nGC_85)**2d0 -   &
                        3d0*coupl(nGC_86)**2d0)/(48d0*pi**2d0)
      coupl(nGC_9439) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_520) - coupl(nGC_124)*&
                        coupl(nGC_142)*coupl(nGC_144) - coupl(nGC_125)*coupl(  &
                        nGC_126)**2d0 - coupl(nGC_125)*coupl(nGC_520)**2d0 +   &
                        8d0*coupl(nGC_520)*coupl(nGC_78)*coupl(nGC_82))/(32d0* &
                        pi**2d0)
      coupl(nGC_9434) = (2d0*Nc*cMB*coupl(nGC_125)**2d0*coupl(nGC_126) + 8d0*Nc&
                        *cMB*coupl(nGC_125)*coupl(nGC_126)*coupl(nGC_520) + 2d0&
                        *Nc*cMB*coupl(nGC_126)*coupl(nGC_520)**2d0 + 2d0*Nc*cMC&
                        *coupl(nGC_128)*coupl(nGC_129)**2d0 + 8d0*Nc*cMC*coupl(&
                        nGC_128)*coupl(nGC_129)*coupl(nGC_642) + 2d0*Nc*cMC*   &
                        coupl(nGC_128)*coupl(nGC_642)**2d0 + 2d0*Nc*cMD*coupl( &
                        nGC_131)**2d0*coupl(nGC_132) + 8d0*Nc*cMD*coupl(nGC_131&
                        )*coupl(nGC_132)*coupl(nGC_2178) + 2d0*Nc*cMD*coupl(   &
                        nGC_132)*coupl(nGC_2178)**2d0 + 2d0*Nc*cMS*coupl(      &
                        nGC_140)**2d0*coupl(nGC_141) + 8d0*Nc*cMS*coupl(nGC_140&
                        )*coupl(nGC_141)*coupl(nGC_730) + 2d0*Nc*cMS*coupl(    &
                        nGC_141)*coupl(nGC_730)**2d0 + 2d0*Nc*cMT*coupl(nGC_143&
                        )*coupl(nGC_144)**2d0 + 8d0*Nc*cMT*coupl(nGC_143)*coupl&
                        (nGC_144)*coupl(nGC_824) + 2d0*Nc*cMT*coupl(nGC_143)*  &
                        coupl(nGC_824)**2d0 + 2d0*Nc*cMU*coupl(nGC_149)*coupl( &
                        nGC_150)**2d0 + 8d0*Nc*cMU*coupl(nGC_149)*coupl(nGC_150&
                        )*coupl(nGC_364) + 2d0*Nc*cMU*coupl(nGC_149)*coupl(    &
                        nGC_364)**2d0 + 2d0*cME*coupl(nGC_134)**2d0*coupl(     &
                        nGC_135) + 8d0*cME*coupl(nGC_134)*coupl(nGC_135)*coupl(&
                        nGC_488) + 2d0*cME*coupl(nGC_135)*coupl(nGC_488)**2d0  &
                         + 2d0*cMM*coupl(nGC_1016)**2d0*coupl(nGC_138) + 8d0*  &
                        cMM*coupl(nGC_1016)*coupl(nGC_137)*coupl(nGC_138) + 2d0&
                        *cMM*coupl(nGC_137)**2d0*coupl(nGC_138) + 2d0*cMTA*    &
                        coupl(nGC_146)**2d0*coupl(nGC_147) + 8d0*cMTA*coupl(   &
                        nGC_146)*coupl(nGC_147)*coupl(nGC_334) + 2d0*cMTA*coupl&
                        (nGC_147)*coupl(nGC_334)**2d0 + 2d0*cima*coupl(nGC_107 &
                        )*coupl(nGC_47) + cima*coupl(nGC_123)*coupl(nGC_96))/( &
                        16d0*pi**2d0)
      coupl(nGC_9343) = (Nc*cMB**2d0*cima*coupl(nGC_62)**2d0 + Nc*cMC**2d0*cima&
                        *coupl(nGC_62)**2d0 + Nc*cMD**2d0*cima*coupl(nGC_62)** &
                        2d0 + Nc*cMS**2d0*cima*coupl(nGC_62)**2d0 + Nc*cMT**2d0&
                        *cima*coupl(nGC_62)**2d0 + Nc*cMU**2d0*cima*coupl(     &
                        nGC_62)**2d0 + cME**2d0*cima*coupl(nGC_62)**2d0 + cMM**&
                        2d0*cima*coupl(nGC_62)**2d0 + cMTA**2d0*cima*coupl(    &
                        nGC_62)**2d0 + cMW**2d0*cima*coupl(nGC_266)*coupl(nGC_3&
                        ) + cMW**2d0*cima*coupl(nGC_292)*coupl(nGC_63) + cMW** &
                        2d0*cima*coupl(nGC_380)*coupl(nGC_4) + cMW**2d0*cima*  &
                        coupl(nGC_534)*coupl(nGC_64) - 2d0*cMW**2d0*coupl(     &
                        nGC_2700) + cMZ**2d0*cima*coupl(nGC_292)*coupl(nGC_63  &
                        ) + cMZ**2d0*cima*coupl(nGC_534)*coupl(nGC_64) - cMZ** &
                        2d0*coupl(nGC_56))/(16d0*pi**2d0)
      coupl(nGC_9436) = coupl(nGC_19)**2d0*coupl(nGC_2178)*sq2**2d0*(Nc**2d0 - &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9437) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_131) - coupl(nGC_130)*&
                        coupl(nGC_148)*coupl(nGC_364) - coupl(nGC_131)**2d0*   &
                        coupl(nGC_2178) + 8d0*coupl(nGC_131)*coupl(nGC_78)*    &
                        coupl(nGC_82) - coupl(nGC_132)**2d0*coupl(nGC_2178))/( &
                        32d0*pi**2d0)
      coupl(nGC_9430) = (8d0*coupl(nGC_1)*coupl(nGC_130)*coupl(nGC_2) + 8d0*   &
                        coupl(nGC_130)*coupl(nGC_78)*coupl(nGC_83) - coupl(    &
                        nGC_131)*coupl(nGC_148)*coupl(nGC_150) - coupl(nGC_132 &
                        )*coupl(nGC_148)*coupl(nGC_149))/(32d0*pi**2d0)
      coupl(nGC_9431) = (8d0*coupl(nGC_1)*coupl(nGC_148)*coupl(nGC_2) - coupl( &
                        nGC_130)*coupl(nGC_132)*coupl(nGC_149) - coupl(nGC_130 &
                        )*coupl(nGC_2178)*coupl(nGC_364) + 8d0*coupl(nGC_148)* &
                        coupl(nGC_79)*coupl(nGC_82))/(32d0*pi**2d0)
      coupl(nGC_9432) = (8d0*coupl(nGC_1)*coupl(nGC_127)*coupl(nGC_2) + 8d0*   &
                        coupl(nGC_127)*coupl(nGC_79)*coupl(nGC_82) - coupl(    &
                        nGC_128)*coupl(nGC_139)*coupl(nGC_141) - coupl(nGC_139 &
                        )*coupl(nGC_642)*coupl(nGC_730))/(32d0*pi**2d0)
      coupl(nGC_9433) = (8d0*coupl(nGC_1)*coupl(nGC_139)*coupl(nGC_2) - coupl( &
                        nGC_127)*coupl(nGC_128)*coupl(nGC_141) - coupl(nGC_127 &
                        )*coupl(nGC_129)*coupl(nGC_140) + 8d0*coupl(nGC_139)*  &
                        coupl(nGC_78)*coupl(nGC_83))/(32d0*pi**2d0)
      coupl(nGC_16936) = coupl(nGC_14279) + coupl(nGC_16934)
      coupl(nGC_15754) = -coupl(nGC_15753)
      coupl(nGC_15758) = coupl(nGC_150)*(dZuL_QED2 + dZuR_QED2)/2d0
      coupl(nGC_9488) = (-coupl(nGC_124)*coupl(nGC_126)*coupl(nGC_142) - coupl(&
                        nGC_143)**3d0 - coupl(nGC_143)*coupl(nGC_144)**2d0 +   &
                        8d0*coupl(nGC_143)*coupl(nGC_2)**2d0 + 8d0*coupl(      &
                        nGC_143)*coupl(nGC_79)*coupl(nGC_83))/(32d0*pi**2d0)
      coupl(nGC_15353) = coupl(nGC_15349) + coupl(nGC_9760)
      coupl(nGC_15352) = coupl(nGC_15348) + coupl(nGC_9759)
      coupl(nGC_9728) = coupl(nGC_9105)*dZee_QED2 + coupl(nGC_9106)*dcw_QED2 + &
                        coupl(nGC_9107)*dvev_QED1
      coupl(nGC_9482) = coupl(nGC_19)**2d0*sq2**2d0*(-cMB*coupl(nGC_126) - cMC*&
                        coupl(nGC_128) - cMD*coupl(nGC_132) - cMS*coupl(nGC_141&
                        ) - cMT*coupl(nGC_143) - cMU*coupl(nGC_149))/(16d0*pi**&
                        2d0)
      coupl(nGC_9339) = cima*(Nc*coupl(nGC_125)*coupl(nGC_520) + Nc*coupl(     &
                        nGC_129)*coupl(nGC_642) + Nc*coupl(nGC_131)*coupl(     &
                        nGC_2178) + Nc*coupl(nGC_140)*coupl(nGC_730) + Nc*coupl&
                        (nGC_144)*coupl(nGC_824) + Nc*coupl(nGC_150)*coupl(    &
                        nGC_364) + coupl(nGC_1016)*coupl(nGC_137) + coupl(     &
                        nGC_134)*coupl(nGC_488) + coupl(nGC_146)*coupl(nGC_334 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_9338) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_1)**2d0 + 2d0*Nc*cMC** &
                        2d0*cima*coupl(nGC_2)**2d0 + 2d0*Nc*cMD**2d0*cima*coupl&
                        (nGC_1)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_1)**2d0  &
                         + 2d0*Nc*cMT**2d0*cima*coupl(nGC_2)**2d0 + 2d0*Nc*cMU &
                        **2d0*cima*coupl(nGC_2)**2d0 + 2d0*cME**2d0*cima*coupl(&
                        nGC_4)**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_4)**2d0 + 2d0&
                        *cMTA**2d0*cima*coupl(nGC_4)**2d0 + cMW**2d0*cima*coupl&
                        (nGC_3)**2d0 + cMW**2d0*cima*coupl(nGC_380)**2d0 - cMW &
                        **2d0*coupl(nGC_9))/(8d0*pi**2d0)
      coupl(nGC_9337) = cima*(coupl(nGC_3)**2d0 + coupl(nGC_380)**2d0)/(48d0*pi&
                        **2d0)
      coupl(nGC_9721) = coupl(nGC_9285)*dZee_QED2 + coupl(nGC_9286)*dsw_QED2 + &
                        coupl(nGC_9287)*dcw_QED2
      coupl(nGC_9722) = coupl(nGC_9245)*dZee_QED2 + coupl(nGC_9246)*dsw_QED2
      coupl(nGC_9723) = coupl(nGC_9082)*dZee_QED2 + coupl(nGC_9083)*dsw_QED2 + &
                        coupl(nGC_9084)*dcw_QED2
      coupl(nGC_9724) = coupl(nGC_9289)*dZee_QED2 + coupl(nGC_9290)*dsw_QED2 + &
                        coupl(nGC_9291)*dcw_QED2
      coupl(nGC_9725) = coupl(nGC_9073)*dZee_QED2 + coupl(nGC_9074)*dsw_QED2 + &
                        coupl(nGC_9075)*dcw_QED2
      coupl(nGC_9726) = coupl(nGC_9316)*dZee_QED2 + coupl(nGC_9317)*dcw_QED2
      coupl(nGC_9391) = (coupl(nGC_134)*coupl(nGC_4)*coupl(nGC_488) + coupl(   &
                        nGC_135)**2d0*coupl(nGC_4) - 2d0*coupl(nGC_3)*coupl(   &
                        nGC_62)**2d0 + 4d0*coupl(nGC_4)**3d0 + 4d0*coupl(nGC_4 &
                        )*coupl(nGC_85)**2d0)/(32d0*pi**2d0)
      coupl(nGC_9390) = coupl(nGC_4)*(coupl(nGC_134)*coupl(nGC_488) + coupl(   &
                        nGC_135)**2d0 + 4d0*coupl(nGC_4)**2d0 + 4d0*coupl(     &
                        nGC_80)**2d0)/(32d0*pi**2d0)
      coupl(nGC_15526) = coupl(nGC_15522) + coupl(nGC_15525)
      coupl(nGC_14394) = coupl(nGC_122)*dZH_QED2/2d0 + coupl(nGC_9647)
      coupl(nGC_15524) = coupl(nGC_15523) + coupl(nGC_9679)
      coupl(nGC_21681) = -coupl(nGC_9386)
      coupl(nGC_14038) = coupl(nGC_106)*dZH_QED2/2d0 + coupl(nGC_9650)
      coupl(nGC_9577) = (-6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_62)**2d0*coupl(   &
                        nGC_82) + 9d0*Nc*cima*coupl(nGC_1)*coupl(nGC_62)**2d0* &
                        coupl(nGC_83) + 9d0*Nc*cima*coupl(nGC_2)*coupl(nGC_62  &
                        )**2d0*coupl(nGC_82) - 6d0*Nc*cima*coupl(nGC_2)*coupl( &
                        nGC_62)**2d0*coupl(nGC_83) + 6d0*cima*coupl(nGC_1108)* &
                        coupl(nGC_244) - 8d0*cima*coupl(nGC_292)*coupl(nGC_3)* &
                        coupl(nGC_63)*coupl(nGC_64) - 8d0*cima*coupl(nGC_3)*   &
                        coupl(nGC_380)*coupl(nGC_4)*coupl(nGC_64) - 6d0*cima*  &
                        coupl(nGC_4)*coupl(nGC_62)**2d0*coupl(nGC_85) + 9d0*   &
                        cima*coupl(nGC_4)*coupl(nGC_62)**2d0*coupl(nGC_86) +   &
                        6d0*cima*coupl(nGC_55)*coupl(nGC_74) + 6d0*coupl(      &
                        nGC_1108)*coupl(nGC_292)*coupl(nGC_3) + 6d0*coupl(     &
                        nGC_244)*coupl(nGC_3)*coupl(nGC_4) + 6d0*coupl(nGC_292 &
                        )*coupl(nGC_64)*coupl(nGC_74) + 6d0*coupl(nGC_3)*coupl(&
                        nGC_55)*coupl(nGC_63))/(48d0*pi**2d0)
      coupl(nGC_9410) = (8d0*coupl(nGC_1)*coupl(nGC_124)*coupl(nGC_2) + 8d0*   &
                        coupl(nGC_124)*coupl(nGC_78)*coupl(nGC_83) - coupl(    &
                        nGC_126)*coupl(nGC_142)*coupl(nGC_143) - coupl(nGC_142 &
                        )*coupl(nGC_520)*coupl(nGC_824))/(32d0*pi**2d0)
      coupl(nGC_16304) = coupl(nGC_59)*dZH_QED2/2d0 + coupl(nGC_59)*           &
                         dZWMinus_QED2/2d0 + coupl(nGC_9714)
      coupl(nGC_15388) = coupl(nGC_110)*dZAZ_QED2/2d0 + coupl(nGC_9728) + coupl&
                         (nGC_99)*dZWMinus_QED2/2d0 + coupl(nGC_99)*dZZ_QED2/  &
                         2d0
      coupl(nGC_9553) = coupl(nGC_19)*sq2*(coupl(nGC_142)**2d0 + coupl(nGC_143 &
                        )**2d0 + coupl(nGC_144)*coupl(nGC_824) + 4d0*coupl(    &
                        nGC_2)**2d0 + 4d0*coupl(nGC_79)**2d0)/(64d0*pi**2d0)
      coupl(nGC_9552) = coupl(nGC_19)*sq2*(coupl(nGC_124)**2d0 + coupl(nGC_143 &
                        )**2d0 + coupl(nGC_144)*coupl(nGC_824) + 4d0*coupl(    &
                        nGC_2)**2d0 + 4d0*coupl(nGC_62)**2d0 + 4d0*coupl(nGC_83&
                        )**2d0)/(64d0*pi**2d0)
      coupl(nGC_9551) = coupl(nGC_19)*sq2*(-coupl(nGC_142)**2d0 - coupl(nGC_143&
                        )**2d0 - coupl(nGC_144)*coupl(nGC_824) - 4d0*coupl(    &
                        nGC_2)**2d0 - 4d0*coupl(nGC_79)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_9550) = coupl(nGC_19)*sq2*(-coupl(nGC_124)**2d0 - coupl(nGC_143&
                        )**2d0 - coupl(nGC_144)*coupl(nGC_824) - 4d0*coupl(    &
                        nGC_2)**2d0 - 4d0*coupl(nGC_62)**2d0 - 4d0*coupl(nGC_83&
                        )**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_9399) = (coupl(nGC_1)*coupl(nGC_124)**2d0 + 4d0*coupl(nGC_1)*  &
                        coupl(nGC_62)**2d0 + coupl(nGC_143)**2d0*coupl(nGC_2   &
                        ) + coupl(nGC_144)*coupl(nGC_2)*coupl(nGC_824) + 4d0*  &
                        coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_83)**2d0&
                         + 2d0*coupl(nGC_3)*coupl(nGC_62)**2d0)/(32d0*pi**2d0)
      coupl(nGC_15612) = coupl(nGC_14518) + coupl(nGC_15609)
      coupl(nGC_17091) = -coupl(nGC_14475)
      coupl(nGC_9498) = coupl(nGC_62)*(2d0*coupl(nGC_1)*coupl(nGC_2) - coupl(  &
                        nGC_1)*coupl(nGC_3) - coupl(nGC_2)*coupl(nGC_380) -    &
                        coupl(nGC_292)*coupl(nGC_83) - coupl(nGC_64)*coupl(    &
                        nGC_82) + 2d0*coupl(nGC_82)*coupl(nGC_83))/(16d0*pi**  &
                        2d0)
      coupl(nGC_9499) = coupl(nGC_62)*(coupl(nGC_292)*coupl(nGC_85) + coupl(   &
                        nGC_380)*coupl(nGC_4) + coupl(nGC_64)*coupl(nGC_86) +  &
                        2d0*coupl(nGC_85)*coupl(nGC_86))/(16d0*pi**2d0)
      coupl(nGC_9496) = coupl(nGC_62)*(2d0*coupl(nGC_1)*coupl(nGC_2) + coupl(  &
                        nGC_1)*coupl(nGC_380) + coupl(nGC_2)*coupl(nGC_3) +    &
                        coupl(nGC_292)*coupl(nGC_82) + coupl(nGC_64)*coupl(    &
                        nGC_83) + 2d0*coupl(nGC_82)*coupl(nGC_83))/(16d0*pi**  &
                        2d0)
      coupl(nGC_9495) = (3d0*Nc*coupl(nGC_62)**2d0*coupl(nGC_82) - 3d0*Nc*coupl&
                        (nGC_62)**2d0*coupl(nGC_83) - coupl(nGC_292)*coupl(    &
                        nGC_63)*coupl(nGC_64) - coupl(nGC_380)*coupl(nGC_4)*   &
                        coupl(nGC_64) + 3d0*coupl(nGC_62)**2d0*coupl(nGC_85) - &
                        3d0*coupl(nGC_62)**2d0*coupl(nGC_86))/(24d0*pi**2d0)
      coupl(nGC_15325) = coupl(nGC_86)*dZZ_QED2/2d0 + coupl(nGC_86)*           &
                         dZnu_muL_QED2 + coupl(nGC_9743)
      coupl(nGC_14304) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_9736)
      coupl(nGC_15732) = 2d0*coupl(nGC_48)*dZWMinus_QED2 + coupl(nGC_9722)
      coupl(nGC_14242) = coupl(nGC_14)*dZZA_QED2/2d0 + coupl(nGC_69)*dZA_QED2/ &
                         2d0 + coupl(nGC_69)*dZH_QED2/2d0 + coupl(nGC_69)*     &
                         dZWMinus_QED2/2d0 + coupl(nGC_9708)
      coupl(nGC_9448) = (-coupl(nGC_134)**2d0*coupl(nGC_488) + 8d0*coupl(      &
                        nGC_134)*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_134)*coupl( &
                        nGC_80)*coupl(nGC_85) - coupl(nGC_135)**2d0*coupl(     &
                        nGC_488))/(32d0*pi**2d0)
      coupl(nGC_14648) = coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(nGC_85)*dZZ_QED2/  &
                         2d0 + coupl(nGC_9725)
      coupl(nGC_14845) = coupl(nGC_62)*dZWMinus_QED2/2d0 + coupl(nGC_62)*      &
                         dZbL_QED2/2d0 + coupl(nGC_62)*dZtL_QED2/2d0 + coupl(  &
                         nGC_9738)
      coupl(nGC_14649) = -coupl(nGC_14648)
      coupl(nGC_16338) = coupl(nGC_14304) + coupl(nGC_16336)
      coupl(nGC_16339) = coupl(nGC_14304) + coupl(nGC_16337)
      coupl(nGC_14637) = coupl(nGC_81)*dZH_QED2/2d0 + coupl(nGC_81)*dZZ_QED2/  &
                         2d0 + coupl(nGC_9724)
      coupl(nGC_14525) = coupl(nGC_14518) + coupl(nGC_14522)
      coupl(nGC_14524) = coupl(nGC_14518) + coupl(nGC_14523)
      coupl(nGC_14638) = -coupl(nGC_14637)
      coupl(nGC_19043) = -coupl(nGC_16304)
      coupl(nGC_14882) = coupl(nGC_14880) + coupl(nGC_14881)
      coupl(nGC_17084) = coupl(nGC_17081) + coupl(nGC_9748)
      coupl(nGC_14004) = coupl(nGC_85)*dZZ_QED2/2d0 + coupl(nGC_85)*           &
                         dZmuMinusL_QED2 + coupl(nGC_9725)
      coupl(nGC_14408) = -coupl(nGC_14404) - coupl(nGC_9697)
      coupl(nGC_14409) = coupl(nGC_14404) + coupl(nGC_9697)
      coupl(nGC_14406) = -coupl(nGC_14405) - coupl(nGC_9696)
      coupl(nGC_14407) = coupl(nGC_14405) + coupl(nGC_9696)
      coupl(nGC_13993) = coupl(nGC_13991) + coupl(nGC_13992)
      coupl(nGC_9525) = (coupl(nGC_142)**2d0*coupl(nGC_82) + coupl(nGC_143)**  &
                        2d0*coupl(nGC_83) + coupl(nGC_144)*coupl(nGC_824)*coupl&
                        (nGC_83) + 4d0*coupl(nGC_2)**2d0*coupl(nGC_79) + 4d0*  &
                        coupl(nGC_79)**3d0)/(32d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
