!******************************************************************************!
!                                                                              !
!    fill_ctcouplings4.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings4.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-28 18:17             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl4()
      coupl(nGC_9350) = cima*(coupl(nGC_292)**2d0 + coupl(nGC_64)**2d0)/(48d0* &
                        pi**2d0)
      coupl(nGC_14817) = -coupl(nGC_14814) - coupl(nGC_9673)
      coupl(nGC_9479) = coupl(nGC_135)*(-coupl(nGC_135)**2d0 + 8d0*coupl(nGC_4 &
                        )**2d0 - coupl(nGC_488)**2d0 + 8d0*coupl(nGC_80)*coupl(&
                        nGC_85))/(32d0*pi**2d0)
      coupl(nGC_14818) = coupl(nGC_14814) + coupl(nGC_9673)
      coupl(nGC_14997) = coupl(nGC_3)*dZAZ_QED2/2d0 + coupl(nGC_64)*           &
                         dZWMinus_QED2 + coupl(nGC_64)*dZZ_QED2/2d0 + coupl(   &
                         nGC_9721)
      coupl(nGC_16845) = -coupl(nGC_15165)
      coupl(nGC_9579) = (-Nc*cima*coupl(nGC_1)*coupl(nGC_126)**2d0*coupl(nGC_78&
                        ) - Nc*cima*coupl(nGC_1)*coupl(nGC_126)**2d0*coupl(    &
                        nGC_82) - Nc*cima*coupl(nGC_1)*coupl(nGC_132)**2d0*    &
                        coupl(nGC_78) - Nc*cima*coupl(nGC_1)*coupl(nGC_132)**  &
                        2d0*coupl(nGC_82) - Nc*cima*coupl(nGC_1)*coupl(nGC_141 &
                        )**2d0*coupl(nGC_78) - Nc*cima*coupl(nGC_1)*coupl(     &
                        nGC_141)**2d0*coupl(nGC_82) - Nc*cima*coupl(nGC_128)** &
                        2d0*coupl(nGC_2)*coupl(nGC_79) - Nc*cima*coupl(nGC_128 &
                        )**2d0*coupl(nGC_2)*coupl(nGC_83) - Nc*cima*coupl(     &
                        nGC_143)**2d0*coupl(nGC_2)*coupl(nGC_79) - Nc*cima*    &
                        coupl(nGC_143)**2d0*coupl(nGC_2)*coupl(nGC_83) - Nc*   &
                        cima*coupl(nGC_149)**2d0*coupl(nGC_2)*coupl(nGC_79) -  &
                        Nc*cima*coupl(nGC_149)**2d0*coupl(nGC_2)*coupl(nGC_83  &
                        ) - cima*coupl(nGC_135)**2d0*coupl(nGC_4)*coupl(nGC_80 &
                        ) - cima*coupl(nGC_135)**2d0*coupl(nGC_4)*coupl(nGC_85 &
                        ) - cima*coupl(nGC_138)**2d0*coupl(nGC_4)*coupl(nGC_80 &
                        ) - cima*coupl(nGC_138)**2d0*coupl(nGC_4)*coupl(nGC_85 &
                        ) - cima*coupl(nGC_147)**2d0*coupl(nGC_4)*coupl(nGC_80 &
                        ) - cima*coupl(nGC_147)**2d0*coupl(nGC_4)*coupl(nGC_85 &
                        ) + cima*coupl(nGC_47)*coupl(nGC_77) + coupl(nGC_292)* &
                        coupl(nGC_380)*coupl(nGC_47) + coupl(nGC_3)*coupl(     &
                        nGC_47)*coupl(nGC_64))/(8d0*pi**2d0)
      coupl(nGC_9578) = (-Nc*cima*coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_520)*  &
                        coupl(nGC_78) - Nc*cima*coupl(nGC_1)*coupl(nGC_125)*   &
                        coupl(nGC_520)*coupl(nGC_82) - Nc*cima*coupl(nGC_1)*   &
                        coupl(nGC_131)*coupl(nGC_2178)*coupl(nGC_78) - Nc*cima*&
                        coupl(nGC_1)*coupl(nGC_131)*coupl(nGC_2178)*coupl(     &
                        nGC_82) - Nc*cima*coupl(nGC_1)*coupl(nGC_140)*coupl(   &
                        nGC_730)*coupl(nGC_78) - Nc*cima*coupl(nGC_1)*coupl(   &
                        nGC_140)*coupl(nGC_730)*coupl(nGC_82) - Nc*cima*coupl( &
                        nGC_129)*coupl(nGC_2)*coupl(nGC_642)*coupl(nGC_79) - Nc&
                        *cima*coupl(nGC_129)*coupl(nGC_2)*coupl(nGC_642)*coupl(&
                        nGC_83) - Nc*cima*coupl(nGC_144)*coupl(nGC_2)*coupl(   &
                        nGC_79)*coupl(nGC_824) - Nc*cima*coupl(nGC_144)*coupl( &
                        nGC_2)*coupl(nGC_824)*coupl(nGC_83) - Nc*cima*coupl(   &
                        nGC_150)*coupl(nGC_2)*coupl(nGC_364)*coupl(nGC_79) - Nc&
                        *cima*coupl(nGC_150)*coupl(nGC_2)*coupl(nGC_364)*coupl(&
                        nGC_83) - cima*coupl(nGC_1016)*coupl(nGC_137)*coupl(   &
                        nGC_4)*coupl(nGC_80) - cima*coupl(nGC_1016)*coupl(     &
                        nGC_137)*coupl(nGC_4)*coupl(nGC_85) - cima*coupl(      &
                        nGC_134)*coupl(nGC_4)*coupl(nGC_488)*coupl(nGC_80) -   &
                        cima*coupl(nGC_134)*coupl(nGC_4)*coupl(nGC_488)*coupl( &
                        nGC_85) - cima*coupl(nGC_146)*coupl(nGC_334)*coupl(    &
                        nGC_4)*coupl(nGC_80) - cima*coupl(nGC_146)*coupl(      &
                        nGC_334)*coupl(nGC_4)*coupl(nGC_85) + cima*coupl(nGC_47&
                        )*coupl(nGC_77) + coupl(nGC_292)*coupl(nGC_380)*coupl( &
                        nGC_47) + coupl(nGC_3)*coupl(nGC_47)*coupl(nGC_64))/(  &
                        8d0*pi**2d0)
      coupl(nGC_14085) = coupl(nGC_70)*dZH_QED2/2d0 + coupl(nGC_9645)
      coupl(nGC_9571) = (Nc*cima*coupl(nGC_1)**3d0*coupl(nGC_78) + Nc*cima*    &
                        coupl(nGC_1)**3d0*coupl(nGC_82) + Nc*cima*coupl(nGC_2  &
                        )**3d0*coupl(nGC_79) + Nc*cima*coupl(nGC_2)**3d0*coupl(&
                        nGC_83) - 2d0*cima*coupl(nGC_292)*coupl(nGC_380)**3d0  &
                         - 2d0*cima*coupl(nGC_3)**3d0*coupl(nGC_64) + cima*    &
                        coupl(nGC_4)**3d0*coupl(nGC_80) + cima*coupl(nGC_4)**  &
                        3d0*coupl(nGC_85) + cima*coupl(nGC_77)*coupl(nGC_9) +  &
                        coupl(nGC_292)*coupl(nGC_380)*coupl(nGC_9) + coupl(    &
                        nGC_3)**2d0*coupl(nGC_77) + coupl(nGC_3)*coupl(nGC_64)*&
                        coupl(nGC_9) + coupl(nGC_380)**2d0*coupl(nGC_77))/(8d0*&
                        pi**2d0)
      coupl(nGC_9573) = (Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_78)**2d0 + Nc*cima&
                        *coupl(nGC_1)**2d0*coupl(nGC_82)**2d0 + Nc*cima*coupl( &
                        nGC_2)**2d0*coupl(nGC_79)**2d0 + Nc*cima*coupl(nGC_2)**&
                        2d0*coupl(nGC_83)**2d0 - 2d0*cima*coupl(nGC_292)**2d0* &
                        coupl(nGC_380)**2d0 - 2d0*cima*coupl(nGC_3)**2d0*coupl(&
                        nGC_64)**2d0 + cima*coupl(nGC_4)**2d0*coupl(nGC_80)**  &
                        2d0 + cima*coupl(nGC_4)**2d0*coupl(nGC_85)**2d0 + cima*&
                        coupl(nGC_56)*coupl(nGC_9) + coupl(nGC_292)**2d0*coupl(&
                        nGC_9) + coupl(nGC_3)**2d0*coupl(nGC_56) + coupl(      &
                        nGC_380)**2d0*coupl(nGC_56) + coupl(nGC_64)**2d0*coupl(&
                        nGC_9))/(8d0*pi**2d0)
      coupl(nGC_14723) = coupl(nGC_14002) + coupl(nGC_14722)
      coupl(nGC_9574) = (Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_78)**2d0 + Nc*cima&
                        *coupl(nGC_1)**2d0*coupl(nGC_82)**2d0 + Nc*cima*coupl( &
                        nGC_2)**2d0*coupl(nGC_79)**2d0 + Nc*cima*coupl(nGC_2)**&
                        2d0*coupl(nGC_83)**2d0 - 2d0*cima*coupl(nGC_292)**2d0* &
                        coupl(nGC_380)**2d0 - 2d0*cima*coupl(nGC_3)**2d0*coupl(&
                        nGC_64)**2d0 + cima*coupl(nGC_4)**2d0*coupl(nGC_80)**  &
                        2d0 + cima*coupl(nGC_4)**2d0*coupl(nGC_85)**2d0 + cima*&
                        coupl(nGC_77)**2d0 + 2d0*coupl(nGC_292)*coupl(nGC_380)*&
                        coupl(nGC_77) + 2d0*coupl(nGC_3)*coupl(nGC_64)*coupl(  &
                        nGC_77))/(8d0*pi**2d0)
      coupl(nGC_14721) = coupl(nGC_85)*dZZ_QED2/2d0 + coupl(nGC_85)*           &
                         dZtauMinusL_QED2 + coupl(nGC_9725)
      coupl(nGC_9576) = (-6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_62)**2d0*coupl(   &
                        nGC_82) + 9d0*Nc*cima*coupl(nGC_1)*coupl(nGC_62)**2d0* &
                        coupl(nGC_83) + 9d0*Nc*cima*coupl(nGC_2)*coupl(nGC_62  &
                        )**2d0*coupl(nGC_82) - 6d0*Nc*cima*coupl(nGC_2)*coupl( &
                        nGC_62)**2d0*coupl(nGC_83) + 6d0*cima*coupl(nGC_1108)* &
                        coupl(nGC_244) - 8d0*cima*coupl(nGC_292)*coupl(nGC_3)* &
                        coupl(nGC_63)*coupl(nGC_64) - 8d0*cima*coupl(nGC_3)*   &
                        coupl(nGC_380)*coupl(nGC_4)*coupl(nGC_64) - 6d0*cima*  &
                        coupl(nGC_4)*coupl(nGC_62)**2d0*coupl(nGC_85) + 9d0*   &
                        cima*coupl(nGC_4)*coupl(nGC_62)**2d0*coupl(nGC_86) +   &
                        6d0*cima*coupl(nGC_55)*coupl(nGC_74) + 6d0*coupl(      &
                        nGC_1108)*coupl(nGC_4)*coupl(nGC_64) + 6d0*coupl(      &
                        nGC_244)*coupl(nGC_3)*coupl(nGC_380) + 6d0*coupl(      &
                        nGC_292)*coupl(nGC_3)*coupl(nGC_55) + 6d0*coupl(nGC_63 &
                        )*coupl(nGC_64)*coupl(nGC_74))/(48d0*pi**2d0)
      coupl(nGC_14644) = coupl(nGC_13)*dZWMinus_QED2/2d0 + coupl(nGC_13)*      &
                         dZZ_QED2/2d0 + coupl(nGC_68)*dZAZ_QED2/2d0 + coupl(   &
                         nGC_9634)
      coupl(nGC_13968) = coupl(nGC_10)*dZAZ_QED2/2d0 + coupl(nGC_90)*dZA_QED2/ &
                         2d0 + coupl(nGC_90)*dZZ_QED2/2d0 + coupl(nGC_95)*     &
                         dZZA_QED2/2d0 + coupl(nGC_9723)
      coupl(nGC_14003) = coupl(nGC_80)*dZZ_QED2/2d0 + coupl(nGC_80)*           &
                         dZmuMinusR_QED2 + coupl(nGC_9744)
      coupl(nGC_16043) = coupl(nGC_78)*dZZ_QED2/2d0 + coupl(nGC_78)*dZbR_QED2  &
                          + coupl(nGC_9742)
      coupl(nGC_16044) = coupl(nGC_82)*dZZ_QED2/2d0 + coupl(nGC_82)*dZbL_QED2  &
                          + coupl(nGC_9741)
      coupl(nGC_16045) = coupl(nGC_15561) + coupl(nGC_16043)
      coupl(nGC_16046) = coupl(nGC_15561) + coupl(nGC_16044)
      coupl(nGC_14005) = coupl(nGC_14002) + coupl(nGC_14003)
      coupl(nGC_14130) = coupl(nGC_16)*dZZA_QED2/2d0 + coupl(nGC_72)*dZA_QED2/ &
                         2d0 + coupl(nGC_72)*dZWMinus_QED2/2d0 + coupl(nGC_9642&
                         )
      coupl(nGC_14307) = coupl(nGC_14304) + coupl(nGC_14306)
      coupl(nGC_14308) = coupl(nGC_14304) + coupl(nGC_14305)
      coupl(nGC_18013) = -2d0*coupl(nGC_18002)
      coupl(nGC_9566) = (-8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_124)**2d0*coupl(  &
                        nGC_78) + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_124)**2d0*&
                        coupl(nGC_83) + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_127 &
                        )**2d0*coupl(nGC_79) - 8d0*Nc*cima*coupl(nGC_1)*coupl( &
                        nGC_127)**2d0*coupl(nGC_82) - 8d0*Nc*cima*coupl(nGC_1)*&
                        coupl(nGC_130)**2d0*coupl(nGC_78) + 5d0*Nc*cima*coupl( &
                        nGC_1)*coupl(nGC_130)**2d0*coupl(nGC_83) - 8d0*Nc*cima*&
                        coupl(nGC_1)*coupl(nGC_139)**2d0*coupl(nGC_78) + 5d0*Nc&
                        *cima*coupl(nGC_1)*coupl(nGC_139)**2d0*coupl(nGC_83) + &
                        5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_142)**2d0*coupl(    &
                        nGC_79) - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_142)**2d0*&
                        coupl(nGC_82) + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_148 &
                        )**2d0*coupl(nGC_79) - 8d0*Nc*cima*coupl(nGC_1)*coupl( &
                        nGC_148)**2d0*coupl(nGC_82) + 5d0*Nc*cima*coupl(nGC_124&
                        )**2d0*coupl(nGC_2)*coupl(nGC_78) - 8d0*Nc*cima*coupl( &
                        nGC_124)**2d0*coupl(nGC_2)*coupl(nGC_83) - 8d0*Nc*cima*&
                        coupl(nGC_127)**2d0*coupl(nGC_2)*coupl(nGC_79) + 5d0*Nc&
                        *cima*coupl(nGC_127)**2d0*coupl(nGC_2)*coupl(nGC_82) + &
                        5d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_2)*coupl(    &
                        nGC_78) - 8d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_2)*&
                        coupl(nGC_83) + 5d0*Nc*cima*coupl(nGC_139)**2d0*coupl( &
                        nGC_2)*coupl(nGC_78) - 8d0*Nc*cima*coupl(nGC_139)**2d0*&
                        coupl(nGC_2)*coupl(nGC_83) - 8d0*Nc*cima*coupl(nGC_142 &
                        )**2d0*coupl(nGC_2)*coupl(nGC_79) + 5d0*Nc*cima*coupl( &
                        nGC_142)**2d0*coupl(nGC_2)*coupl(nGC_82) - 8d0*Nc*cima*&
                        coupl(nGC_148)**2d0*coupl(nGC_2)*coupl(nGC_79) + 5d0*Nc&
                        *cima*coupl(nGC_148)**2d0*coupl(nGC_2)*coupl(nGC_82) - &
                        8d0*cima*coupl(nGC_133)**2d0*coupl(nGC_4)*coupl(nGC_80 &
                        ) + 5d0*cima*coupl(nGC_133)**2d0*coupl(nGC_4)*coupl(   &
                        nGC_86) - 8d0*cima*coupl(nGC_136)**2d0*coupl(nGC_4)*   &
                        coupl(nGC_80) + 5d0*cima*coupl(nGC_136)**2d0*coupl(    &
                        nGC_4)*coupl(nGC_86) - 8d0*cima*coupl(nGC_145)**2d0*   &
                        coupl(nGC_4)*coupl(nGC_80) + 5d0*cima*coupl(nGC_145)** &
                        2d0*coupl(nGC_4)*coupl(nGC_86) + 6d0*cima*coupl(nGC_47 &
                        )*coupl(nGC_77) + 6d0*coupl(nGC_292)*coupl(nGC_380)*   &
                        coupl(nGC_47) + 6d0*coupl(nGC_3)*coupl(nGC_47)*coupl(  &
                        nGC_64))/(48d0*pi**2d0)
      coupl(nGC_9567) = (Nc*cima*coupl(nGC_1)*coupl(nGC_124)*coupl(nGC_125)*   &
                        coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_127 &
                        )*coupl(nGC_62)*coupl(nGC_642) + Nc*cima*coupl(nGC_1)* &
                        coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_62) + Nc*cima* &
                        coupl(nGC_1)*coupl(nGC_139)*coupl(nGC_140)*coupl(nGC_62&
                        ) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_142)*coupl(     &
                        nGC_62)*coupl(nGC_824) - 4d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_148)*coupl(nGC_364)*coupl(nGC_62) - 4d0*Nc*cima*  &
                        coupl(nGC_124)*coupl(nGC_125)*coupl(nGC_2)*coupl(nGC_62&
                        ) + Nc*cima*coupl(nGC_127)*coupl(nGC_2)*coupl(nGC_62)* &
                        coupl(nGC_642) - 4d0*Nc*cima*coupl(nGC_130)*coupl(     &
                        nGC_131)*coupl(nGC_2)*coupl(nGC_62) - 4d0*Nc*cima*coupl&
                        (nGC_139)*coupl(nGC_140)*coupl(nGC_2)*coupl(nGC_62) +  &
                        Nc*cima*coupl(nGC_142)*coupl(nGC_2)*coupl(nGC_62)*coupl&
                        (nGC_824) + Nc*cima*coupl(nGC_148)*coupl(nGC_2)*coupl( &
                        nGC_364)*coupl(nGC_62) + 6d0*cima*coupl(nGC_1108)*coupl&
                        (nGC_68) + 6d0*cima*coupl(nGC_13)*coupl(nGC_74) + cima*&
                        coupl(nGC_133)*coupl(nGC_134)*coupl(nGC_4)*coupl(nGC_62&
                        ) + cima*coupl(nGC_136)*coupl(nGC_137)*coupl(nGC_4)*   &
                        coupl(nGC_62) + cima*coupl(nGC_145)*coupl(nGC_146)*    &
                        coupl(nGC_4)*coupl(nGC_62) + 6d0*coupl(nGC_13)*coupl(  &
                        nGC_3)*coupl(nGC_63) + 6d0*coupl(nGC_3)*coupl(nGC_4)*  &
                        coupl(nGC_68))/(48d0*pi**2d0)
      coupl(nGC_9564) = (-2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_125)*coupl(  &
                        nGC_520) - 2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_131 &
                        )*coupl(nGC_2178) - 2d0*Nc*cima*coupl(nGC_1)**2d0*coupl&
                        (nGC_140)*coupl(nGC_730) - 2d0*Nc*cima*coupl(nGC_129)* &
                        coupl(nGC_2)**2d0*coupl(nGC_642) - 2d0*Nc*cima*coupl(  &
                        nGC_144)*coupl(nGC_2)**2d0*coupl(nGC_824) - 2d0*Nc*cima&
                        *coupl(nGC_150)*coupl(nGC_2)**2d0*coupl(nGC_364) - 2d0*&
                        cima*coupl(nGC_1016)*coupl(nGC_137)*coupl(nGC_4)**2d0  &
                         - 2d0*cima*coupl(nGC_134)*coupl(nGC_4)**2d0*coupl(    &
                        nGC_488) - 2d0*cima*coupl(nGC_146)*coupl(nGC_334)*coupl&
                        (nGC_4)**2d0 + cima*coupl(nGC_47)*coupl(nGC_9) + coupl(&
                        nGC_3)**2d0*coupl(nGC_47) + coupl(nGC_380)**2d0*coupl( &
                        nGC_47))/(8d0*pi**2d0)
      coupl(nGC_9562) = (9d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_62)**2d0 -    &
                        15d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_62)** &
                        2d0 + 9d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_62)**2d0 &
                         - 2d0*cima*coupl(nGC_266)*coupl(nGC_3)*coupl(nGC_380  &
                        )**2d0 + 3d0*cima*coupl(nGC_2700)*coupl(nGC_9) - 2d0*  &
                        cima*coupl(nGC_292)*coupl(nGC_3)**2d0*coupl(nGC_63) -  &
                        2d0*cima*coupl(nGC_3)**2d0*coupl(nGC_380)*coupl(nGC_4  &
                        ) - 2d0*cima*coupl(nGC_380)**2d0*coupl(nGC_534)*coupl( &
                        nGC_64) + 9d0*cima*coupl(nGC_4)**2d0*coupl(nGC_62)**2d0&
                         + 3d0*coupl(nGC_2700)*coupl(nGC_3)**2d0 + 3d0*coupl(  &
                        nGC_2700)*coupl(nGC_380)**2d0 + 3d0*coupl(nGC_292)*    &
                        coupl(nGC_63)*coupl(nGC_9) + 3d0*coupl(nGC_380)*coupl( &
                        nGC_4)*coupl(nGC_9))/(24d0*pi**2d0)
      coupl(nGC_9563) = (-3d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_62)**2d0 +   &
                        9d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_62)**  &
                        2d0 - 3d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_62)**2d0 &
                         + 3d0*cima*coupl(nGC_1108)**2d0 - 2d0*cima*coupl(     &
                        nGC_266)*coupl(nGC_3)*coupl(nGC_380)**2d0 - 2d0*cima*  &
                        coupl(nGC_292)*coupl(nGC_3)**2d0*coupl(nGC_63) - 2d0*  &
                        cima*coupl(nGC_3)**2d0*coupl(nGC_380)*coupl(nGC_4) -   &
                        2d0*cima*coupl(nGC_380)**2d0*coupl(nGC_534)*coupl(     &
                        nGC_64) - 3d0*cima*coupl(nGC_4)**2d0*coupl(nGC_62)**2d0&
                         + 3d0*cima*coupl(nGC_74)**2d0 + 3d0*coupl(nGC_1108)*  &
                        coupl(nGC_266)*coupl(nGC_380) + 3d0*coupl(nGC_1108)*   &
                        coupl(nGC_3)*coupl(nGC_380) + 3d0*coupl(nGC_380)*coupl(&
                        nGC_534)*coupl(nGC_74) + 3d0*coupl(nGC_380)*coupl(     &
                        nGC_64)*coupl(nGC_74))/(24d0*pi**2d0)
      coupl(nGC_13994) = coupl(nGC_13990) + coupl(nGC_13991)
      coupl(nGC_14998) = -coupl(nGC_14997)
      coupl(nGC_9447) = (-Nc*coupl(nGC_125)*coupl(nGC_126)*coupl(nGC_78) + Nc* &
                        coupl(nGC_125)*coupl(nGC_126)*coupl(nGC_82) + Nc*coupl(&
                        nGC_126)*coupl(nGC_520)*coupl(nGC_78) - Nc*coupl(      &
                        nGC_126)*coupl(nGC_520)*coupl(nGC_82) - Nc*coupl(      &
                        nGC_128)*coupl(nGC_129)*coupl(nGC_79) + Nc*coupl(      &
                        nGC_128)*coupl(nGC_129)*coupl(nGC_83) + Nc*coupl(      &
                        nGC_128)*coupl(nGC_642)*coupl(nGC_79) - Nc*coupl(      &
                        nGC_128)*coupl(nGC_642)*coupl(nGC_83) - Nc*coupl(      &
                        nGC_131)*coupl(nGC_132)*coupl(nGC_78) + Nc*coupl(      &
                        nGC_131)*coupl(nGC_132)*coupl(nGC_82) + Nc*coupl(      &
                        nGC_132)*coupl(nGC_2178)*coupl(nGC_78) - Nc*coupl(     &
                        nGC_132)*coupl(nGC_2178)*coupl(nGC_82) - Nc*coupl(     &
                        nGC_140)*coupl(nGC_141)*coupl(nGC_78) + Nc*coupl(      &
                        nGC_140)*coupl(nGC_141)*coupl(nGC_82) + Nc*coupl(      &
                        nGC_141)*coupl(nGC_730)*coupl(nGC_78) - Nc*coupl(      &
                        nGC_141)*coupl(nGC_730)*coupl(nGC_82) - Nc*coupl(      &
                        nGC_143)*coupl(nGC_144)*coupl(nGC_79) + Nc*coupl(      &
                        nGC_143)*coupl(nGC_144)*coupl(nGC_83) + Nc*coupl(      &
                        nGC_143)*coupl(nGC_79)*coupl(nGC_824) - Nc*coupl(      &
                        nGC_143)*coupl(nGC_824)*coupl(nGC_83) - Nc*coupl(      &
                        nGC_149)*coupl(nGC_150)*coupl(nGC_79) + Nc*coupl(      &
                        nGC_149)*coupl(nGC_150)*coupl(nGC_83) + Nc*coupl(      &
                        nGC_149)*coupl(nGC_364)*coupl(nGC_79) - Nc*coupl(      &
                        nGC_149)*coupl(nGC_364)*coupl(nGC_83) + coupl(nGC_1016 &
                        )*coupl(nGC_138)*coupl(nGC_80) - coupl(nGC_1016)*coupl(&
                        nGC_138)*coupl(nGC_85) - coupl(nGC_134)*coupl(nGC_135)*&
                        coupl(nGC_80) + coupl(nGC_134)*coupl(nGC_135)*coupl(   &
                        nGC_85) + coupl(nGC_135)*coupl(nGC_488)*coupl(nGC_80   &
                        ) - coupl(nGC_135)*coupl(nGC_488)*coupl(nGC_85) - coupl&
                        (nGC_137)*coupl(nGC_138)*coupl(nGC_80) + coupl(nGC_137 &
                        )*coupl(nGC_138)*coupl(nGC_85) - coupl(nGC_146)*coupl( &
                        nGC_147)*coupl(nGC_80) + coupl(nGC_146)*coupl(nGC_147)*&
                        coupl(nGC_85) + coupl(nGC_147)*coupl(nGC_334)*coupl(   &
                        nGC_80) - coupl(nGC_147)*coupl(nGC_334)*coupl(nGC_85   &
                        ))/(24d0*pi**2d0)
      coupl(nGC_21281) = coupl(nGC_21277) + coupl(nGC_9761)
      coupl(nGC_9441) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_125) - coupl(nGC_124)*&
                        coupl(nGC_142)*coupl(nGC_824) - coupl(nGC_125)**2d0*   &
                        coupl(nGC_520) + 8d0*coupl(nGC_125)*coupl(nGC_78)*coupl&
                        (nGC_82) - coupl(nGC_126)**2d0*coupl(nGC_520))/(32d0*pi&
                        **2d0)
      coupl(nGC_15782) = 3d0*coupl(nGC_102)*dZH_QED2/2d0 + coupl(nGC_9649) +   &
                         coupl(nGC_HHH)
      coupl(nGC_14094) = coupl(nGC_14088) + coupl(nGC_14093)
      coupl(nGC_14711) = coupl(nGC_62)*dZWMinus_QED2/2d0 + coupl(nGC_62)*      &
                         dZnu_tauL_QED2/2d0 + coupl(nGC_62)*dZtauMinusL_QED2/  &
                         2d0 + coupl(nGC_9738)
      coupl(nGC_15140) = coupl(nGC_83)*dZZ_QED2/2d0 + coupl(nGC_83)*dZtL_QED2  &
                          + coupl(nGC_9740)
      coupl(nGC_13971) = coupl(nGC_15)*dZH_QED2/2d0 + coupl(nGC_9637)
      coupl(nGC_9608) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_125)*coupl(&
                        nGC_520) + coupl(nGC_129)*coupl(nGC_642) + coupl(      &
                        nGC_131)*coupl(nGC_2178) + coupl(nGC_140)*coupl(nGC_730&
                        ) + coupl(nGC_144)*coupl(nGC_824) + coupl(nGC_150)*    &
                        coupl(nGC_364))/(16d0*pi**2d0*Nc)
      coupl(nGC_14018) = coupl(nGC_13991) + coupl(nGC_14016)
      coupl(nGC_9449) = (-coupl(nGC_134)*coupl(nGC_135)**2d0 - coupl(nGC_134)* &
                        coupl(nGC_488)**2d0 + 8d0*coupl(nGC_4)**2d0*coupl(     &
                        nGC_488) + 8d0*coupl(nGC_488)*coupl(nGC_80)*coupl(     &
                        nGC_85))/(32d0*pi**2d0)
      coupl(nGC_13979) = coupl(nGC_14)*dZH_QED2/2d0 + coupl(nGC_14)*           &
                         dZWMinus_QED2/2d0 + coupl(nGC_14)*dZZ_QED2/2d0 + coupl&
                         (nGC_69)*dZAZ_QED2/2d0 + coupl(nGC_9726)
      coupl(nGC_9600) = (-8d0*Nc*cima*coupl(nGC_126)**2d0*coupl(nGC_78)**2d0 + &
                        10d0*Nc*cima*coupl(nGC_126)**2d0*coupl(nGC_78)*coupl(  &
                        nGC_82) - 8d0*Nc*cima*coupl(nGC_126)**2d0*coupl(nGC_82 &
                        )**2d0 - 8d0*Nc*cima*coupl(nGC_128)**2d0*coupl(nGC_79  &
                        )**2d0 + 10d0*Nc*cima*coupl(nGC_128)**2d0*coupl(nGC_79 &
                        )*coupl(nGC_83) - 8d0*Nc*cima*coupl(nGC_128)**2d0*coupl&
                        (nGC_83)**2d0 - 8d0*Nc*cima*coupl(nGC_132)**2d0*coupl( &
                        nGC_78)**2d0 + 10d0*Nc*cima*coupl(nGC_132)**2d0*coupl( &
                        nGC_78)*coupl(nGC_82) - 8d0*Nc*cima*coupl(nGC_132)**2d0&
                        *coupl(nGC_82)**2d0 - 8d0*Nc*cima*coupl(nGC_141)**2d0* &
                        coupl(nGC_78)**2d0 + 10d0*Nc*cima*coupl(nGC_141)**2d0* &
                        coupl(nGC_78)*coupl(nGC_82) - 8d0*Nc*cima*coupl(nGC_141&
                        )**2d0*coupl(nGC_82)**2d0 - 8d0*Nc*cima*coupl(nGC_143  &
                        )**2d0*coupl(nGC_79)**2d0 + 10d0*Nc*cima*coupl(nGC_143 &
                        )**2d0*coupl(nGC_79)*coupl(nGC_83) - 8d0*Nc*cima*coupl(&
                        nGC_143)**2d0*coupl(nGC_83)**2d0 - 8d0*Nc*cima*coupl(  &
                        nGC_149)**2d0*coupl(nGC_79)**2d0 + 10d0*Nc*cima*coupl( &
                        nGC_149)**2d0*coupl(nGC_79)*coupl(nGC_83) - 8d0*Nc*cima&
                        *coupl(nGC_149)**2d0*coupl(nGC_83)**2d0 - 8d0*cima*    &
                        coupl(nGC_135)**2d0*coupl(nGC_80)**2d0 + 10d0*cima*    &
                        coupl(nGC_135)**2d0*coupl(nGC_80)*coupl(nGC_85) - 8d0* &
                        cima*coupl(nGC_135)**2d0*coupl(nGC_85)**2d0 - 8d0*cima*&
                        coupl(nGC_138)**2d0*coupl(nGC_80)**2d0 + 10d0*cima*    &
                        coupl(nGC_138)**2d0*coupl(nGC_80)*coupl(nGC_85) - 8d0* &
                        cima*coupl(nGC_138)**2d0*coupl(nGC_85)**2d0 - 8d0*cima*&
                        coupl(nGC_147)**2d0*coupl(nGC_80)**2d0 + 10d0*cima*    &
                        coupl(nGC_147)**2d0*coupl(nGC_80)*coupl(nGC_85) - 8d0* &
                        cima*coupl(nGC_147)**2d0*coupl(nGC_85)**2d0 + 3d0*cima*&
                        coupl(nGC_47)*coupl(nGC_56) + 3d0*coupl(nGC_292)**2d0* &
                        coupl(nGC_47) + 3d0*coupl(nGC_47)*coupl(nGC_64)**2d0)/(&
                        24d0*pi**2d0)
      coupl(nGC_15706) = coupl(nGC_13991) + coupl(nGC_15704)
      coupl(nGC_9604) = (-3d0*Nc*cima*coupl(nGC_62)**2d0*coupl(nGC_82)**2d0 +  &
                        9d0*Nc*cima*coupl(nGC_62)**2d0*coupl(nGC_82)*coupl(    &
                        nGC_83) - 3d0*Nc*cima*coupl(nGC_62)**2d0*coupl(nGC_83  &
                        )**2d0 + 3d0*cima*coupl(nGC_244)**2d0 - 4d0*cima*coupl(&
                        nGC_292)*coupl(nGC_63)*coupl(nGC_64)**2d0 - 4d0*cima*  &
                        coupl(nGC_380)*coupl(nGC_4)*coupl(nGC_64)**2d0 + 3d0*  &
                        cima*coupl(nGC_55)**2d0 - 3d0*cima*coupl(nGC_62)**2d0* &
                        coupl(nGC_85)**2d0 + 9d0*cima*coupl(nGC_62)**2d0*coupl(&
                        nGC_85)*coupl(nGC_86) - 3d0*cima*coupl(nGC_62)**2d0*   &
                        coupl(nGC_86)**2d0 + 3d0*coupl(nGC_244)*coupl(nGC_380)*&
                        coupl(nGC_64) + 3d0*coupl(nGC_244)*coupl(nGC_4)*coupl( &
                        nGC_64) + 3d0*coupl(nGC_292)*coupl(nGC_55)*coupl(nGC_64&
                        ) + 3d0*coupl(nGC_55)*coupl(nGC_63)*coupl(nGC_64))/(   &
                        24d0*pi**2d0)
      coupl(nGC_14377) = coupl(nGC_61)*dZWMinus_QED2/2d0 + coupl(nGC_9710)
      coupl(nGC_15762) = -coupl(nGC_15758) - coupl(nGC_9695)
      coupl(nGC_15763) = coupl(nGC_15758) + coupl(nGC_9695)
      coupl(nGC_15764) = -coupl(nGC_15759) - coupl(nGC_9694)
      coupl(nGC_15765) = coupl(nGC_15759) + coupl(nGC_9694)
      coupl(nGC_9522) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_82) + coupl(nGC_127)**&
                        2d0*coupl(nGC_79) + coupl(nGC_140)*coupl(nGC_730)*coupl&
                        (nGC_78) + coupl(nGC_141)**2d0*coupl(nGC_78) + 2d0*    &
                        coupl(nGC_292)*coupl(nGC_62)**2d0 + 4d0*coupl(nGC_62)**&
                        2d0*coupl(nGC_83) + 4d0*coupl(nGC_82)**3d0)/(32d0*pi** &
                        2d0)
      coupl(nGC_16268) = coupl(nGC_78)*dZZ_QED2/2d0 + coupl(nGC_78)*dZdR_QED2  &
                          + coupl(nGC_9742)
      coupl(nGC_16269) = coupl(nGC_82)*dZZ_QED2/2d0 + coupl(nGC_82)*dZdL_QED2  &
                          + coupl(nGC_9741)
      coupl(nGC_21401) = -coupl(nGC_9426)
      coupl(nGC_15915) = coupl(nGC_14027) + coupl(nGC_15913)
      coupl(nGC_15914) = coupl(nGC_14027) + coupl(nGC_15911)
      coupl(nGC_14147) = -coupl(nGC_14144)/2d0 + coupl(nGC_14145)
      coupl(nGC_14146) = coupl(nGC_14144) - 2d0*coupl(nGC_14145)
      coupl(nGC_15854) = -coupl(nGC_15853) - coupl(nGC_9690)
      coupl(nGC_21483) = -coupl(nGC_9495)
      coupl(nGC_14141) = coupl(nGC_14137) + coupl(nGC_14140)
      coupl(nGC_9599) = (-8d0*Nc*cima*coupl(nGC_125)*coupl(nGC_520)*coupl(     &
                        nGC_78)**2d0 + 10d0*Nc*cima*coupl(nGC_125)*coupl(      &
                        nGC_520)*coupl(nGC_78)*coupl(nGC_82) - 8d0*Nc*cima*    &
                        coupl(nGC_125)*coupl(nGC_520)*coupl(nGC_82)**2d0 - 8d0*&
                        Nc*cima*coupl(nGC_129)*coupl(nGC_642)*coupl(nGC_79)**  &
                        2d0 + 10d0*Nc*cima*coupl(nGC_129)*coupl(nGC_642)*coupl(&
                        nGC_79)*coupl(nGC_83) - 8d0*Nc*cima*coupl(nGC_129)*    &
                        coupl(nGC_642)*coupl(nGC_83)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_131)*coupl(nGC_2178)*coupl(nGC_78)**2d0 + 10d0*Nc* &
                        cima*coupl(nGC_131)*coupl(nGC_2178)*coupl(nGC_78)*coupl&
                        (nGC_82) - 8d0*Nc*cima*coupl(nGC_131)*coupl(nGC_2178)* &
                        coupl(nGC_82)**2d0 - 8d0*Nc*cima*coupl(nGC_140)*coupl( &
                        nGC_730)*coupl(nGC_78)**2d0 + 10d0*Nc*cima*coupl(      &
                        nGC_140)*coupl(nGC_730)*coupl(nGC_78)*coupl(nGC_82) -  &
                        8d0*Nc*cima*coupl(nGC_140)*coupl(nGC_730)*coupl(nGC_82 &
                        )**2d0 - 8d0*Nc*cima*coupl(nGC_144)*coupl(nGC_79)**2d0*&
                        coupl(nGC_824) + 10d0*Nc*cima*coupl(nGC_144)*coupl(    &
                        nGC_79)*coupl(nGC_824)*coupl(nGC_83) - 8d0*Nc*cima*    &
                        coupl(nGC_144)*coupl(nGC_824)*coupl(nGC_83)**2d0 - 8d0*&
                        Nc*cima*coupl(nGC_150)*coupl(nGC_364)*coupl(nGC_79)**  &
                        2d0 + 10d0*Nc*cima*coupl(nGC_150)*coupl(nGC_364)*coupl(&
                        nGC_79)*coupl(nGC_83) - 8d0*Nc*cima*coupl(nGC_150)*    &
                        coupl(nGC_364)*coupl(nGC_83)**2d0 - 8d0*cima*coupl(    &
                        nGC_1016)*coupl(nGC_137)*coupl(nGC_80)**2d0 + 10d0*cima&
                        *coupl(nGC_1016)*coupl(nGC_137)*coupl(nGC_80)*coupl(   &
                        nGC_85) - 8d0*cima*coupl(nGC_1016)*coupl(nGC_137)*coupl&
                        (nGC_85)**2d0 - 8d0*cima*coupl(nGC_134)*coupl(nGC_488)*&
                        coupl(nGC_80)**2d0 + 10d0*cima*coupl(nGC_134)*coupl(   &
                        nGC_488)*coupl(nGC_80)*coupl(nGC_85) - 8d0*cima*coupl( &
                        nGC_134)*coupl(nGC_488)*coupl(nGC_85)**2d0 - 8d0*cima* &
                        coupl(nGC_146)*coupl(nGC_334)*coupl(nGC_80)**2d0 + 10d0&
                        *cima*coupl(nGC_146)*coupl(nGC_334)*coupl(nGC_80)*coupl&
                        (nGC_85) - 8d0*cima*coupl(nGC_146)*coupl(nGC_334)*coupl&
                        (nGC_85)**2d0 + 3d0*cima*coupl(nGC_47)*coupl(nGC_56) + &
                        3d0*coupl(nGC_292)**2d0*coupl(nGC_47) + 3d0*coupl(     &
                        nGC_47)*coupl(nGC_64)**2d0)/(24d0*pi**2d0)
      coupl(nGC_14661) = coupl(nGC_101)*dZH_QED2/2d0 + coupl(nGC_9648) + coupl(&
                         nGC_GGH)
      coupl(nGC_9611) = (-30d0*Nc*cima*coupl(nGC_62)**4d0 - 4d0*cima*coupl(    &
                        nGC_266)**2d0*coupl(nGC_3)**2d0 - 8d0*cima*coupl(      &
                        nGC_266)*coupl(nGC_292)*coupl(nGC_4)*coupl(nGC_64) -   &
                        8d0*cima*coupl(nGC_266)*coupl(nGC_3)*coupl(nGC_380)*   &
                        coupl(nGC_4) - 8d0*cima*coupl(nGC_266)*coupl(nGC_3)*   &
                        coupl(nGC_534)*coupl(nGC_64) - 4d0*cima*coupl(nGC_292  &
                        )**2d0*coupl(nGC_63)**2d0 - 8d0*cima*coupl(nGC_292)*   &
                        coupl(nGC_380)*coupl(nGC_4)*coupl(nGC_63) - 8d0*cima*  &
                        coupl(nGC_292)*coupl(nGC_534)*coupl(nGC_63)*coupl(     &
                        nGC_64) - 8d0*cima*coupl(nGC_3)*coupl(nGC_380)*coupl(  &
                        nGC_534)*coupl(nGC_63) - 4d0*cima*coupl(nGC_380)**2d0* &
                        coupl(nGC_4)**2d0 + 3d0*cima*coupl(nGC_51)**2d0 - 4d0* &
                        cima*coupl(nGC_534)**2d0*coupl(nGC_64)**2d0 - 30d0*cima&
                        *coupl(nGC_62)**4d0 + 6d0*coupl(nGC_266)*coupl(nGC_4)* &
                        coupl(nGC_51) + 6d0*coupl(nGC_292)*coupl(nGC_51)*coupl(&
                        nGC_64) + 6d0*coupl(nGC_3)*coupl(nGC_380)*coupl(nGC_51 &
                        ) + 6d0*coupl(nGC_51)*coupl(nGC_534)*coupl(nGC_63))/(  &
                        48d0*pi**2d0)
      coupl(nGC_9612) = (18d0*Nc*cima*coupl(nGC_62)**4d0 - 4d0*cima*coupl(     &
                        nGC_266)**2d0*coupl(nGC_3)**2d0 - 8d0*cima*coupl(      &
                        nGC_266)*coupl(nGC_292)*coupl(nGC_4)*coupl(nGC_64) -   &
                        8d0*cima*coupl(nGC_266)*coupl(nGC_3)*coupl(nGC_380)*   &
                        coupl(nGC_4) - 8d0*cima*coupl(nGC_266)*coupl(nGC_3)*   &
                        coupl(nGC_534)*coupl(nGC_64) + 6d0*cima*coupl(nGC_2700 &
                        )**2d0 - 4d0*cima*coupl(nGC_292)**2d0*coupl(nGC_63)**  &
                        2d0 - 8d0*cima*coupl(nGC_292)*coupl(nGC_380)*coupl(    &
                        nGC_4)*coupl(nGC_63) - 8d0*cima*coupl(nGC_292)*coupl(  &
                        nGC_534)*coupl(nGC_63)*coupl(nGC_64) - 8d0*cima*coupl( &
                        nGC_3)*coupl(nGC_380)*coupl(nGC_534)*coupl(nGC_63) -   &
                        4d0*cima*coupl(nGC_380)**2d0*coupl(nGC_4)**2d0 - 4d0*  &
                        cima*coupl(nGC_534)**2d0*coupl(nGC_64)**2d0 + 3d0*cima*&
                        coupl(nGC_56)**2d0 + 18d0*cima*coupl(nGC_62)**4d0 + 6d0&
                        *cima*coupl(nGC_77)**2d0 + 3d0*cima*coupl(nGC_9)**2d0  &
                         + 6d0*coupl(nGC_266)*coupl(nGC_2700)*coupl(nGC_3) +   &
                        6d0*coupl(nGC_266)*coupl(nGC_3)*coupl(nGC_9) + 6d0*    &
                        coupl(nGC_266)*coupl(nGC_64)*coupl(nGC_77) + 6d0*coupl(&
                        nGC_2700)*coupl(nGC_292)*coupl(nGC_63) + 6d0*coupl(    &
                        nGC_2700)*coupl(nGC_380)*coupl(nGC_4) + 6d0*coupl(     &
                        nGC_2700)*coupl(nGC_534)*coupl(nGC_64) + 6d0*coupl(    &
                        nGC_292)*coupl(nGC_4)*coupl(nGC_77) + 6d0*coupl(nGC_292&
                        )*coupl(nGC_56)*coupl(nGC_63) + 6d0*coupl(nGC_3)*coupl(&
                        nGC_534)*coupl(nGC_77) + 6d0*coupl(nGC_380)*coupl(nGC_4&
                        )*coupl(nGC_9) + 6d0*coupl(nGC_380)*coupl(nGC_63)*coupl&
                        (nGC_77) + 6d0*coupl(nGC_534)*coupl(nGC_56)*coupl(     &
                        nGC_64))/(48d0*pi**2d0)
      coupl(nGC_9613) = (Nc*cima*coupl(nGC_78)**4d0 + Nc*cima*coupl(nGC_79)**  &
                        4d0 + Nc*cima*coupl(nGC_82)**4d0 + Nc*cima*coupl(nGC_83&
                        )**4d0 - 2d0*cima*coupl(nGC_292)**4d0 + cima*coupl(    &
                        nGC_56)**2d0 - 2d0*cima*coupl(nGC_64)**4d0 + cima*coupl&
                        (nGC_80)**4d0 + cima*coupl(nGC_85)**4d0 + cima*coupl(  &
                        nGC_86)**4d0 + 2d0*coupl(nGC_292)**2d0*coupl(nGC_56) + &
                        2d0*coupl(nGC_56)*coupl(nGC_64)**2d0)/(8d0*pi**2d0)
      coupl(nGC_9597) = (-8d0*Nc*cima*coupl(nGC_126)**2d0*coupl(nGC_62)**2d0 - &
                        8d0*Nc*cima*coupl(nGC_128)**2d0*coupl(nGC_62)**2d0 -   &
                        8d0*Nc*cima*coupl(nGC_132)**2d0*coupl(nGC_62)**2d0 -   &
                        8d0*Nc*cima*coupl(nGC_141)**2d0*coupl(nGC_62)**2d0 -   &
                        8d0*Nc*cima*coupl(nGC_143)**2d0*coupl(nGC_62)**2d0 -   &
                        8d0*Nc*cima*coupl(nGC_149)**2d0*coupl(nGC_62)**2d0 -   &
                        8d0*cima*coupl(nGC_135)**2d0*coupl(nGC_62)**2d0 - 8d0* &
                        cima*coupl(nGC_138)**2d0*coupl(nGC_62)**2d0 - 8d0*cima*&
                        coupl(nGC_147)**2d0*coupl(nGC_62)**2d0 + 6d0*cima*coupl&
                        (nGC_2700)*coupl(nGC_47) + 3d0*cima*coupl(nGC_56)*coupl&
                        (nGC_96) + 6d0*coupl(nGC_292)*coupl(nGC_47)*coupl(     &
                        nGC_63) + 6d0*coupl(nGC_380)*coupl(nGC_4)*coupl(nGC_47 &
                        ) + 6d0*coupl(nGC_534)*coupl(nGC_64)*coupl(nGC_96))/(  &
                        48d0*pi**2d0)
      coupl(nGC_9596) = cima*(10d0*Nc*coupl(nGC_125)**2d0*coupl(nGC_126)**2d0  &
                         + 40d0*Nc*coupl(nGC_125)*coupl(nGC_126)**2d0*coupl(   &
                        nGC_520) + 10d0*Nc*coupl(nGC_126)**2d0*coupl(nGC_520)**&
                        2d0 + 10d0*Nc*coupl(nGC_128)**2d0*coupl(nGC_129)**2d0  &
                         + 40d0*Nc*coupl(nGC_128)**2d0*coupl(nGC_129)*coupl(   &
                        nGC_642) + 10d0*Nc*coupl(nGC_128)**2d0*coupl(nGC_642)**&
                        2d0 + 10d0*Nc*coupl(nGC_131)**2d0*coupl(nGC_132)**2d0  &
                         + 40d0*Nc*coupl(nGC_131)*coupl(nGC_132)**2d0*coupl(   &
                        nGC_2178) + 10d0*Nc*coupl(nGC_132)**2d0*coupl(nGC_2178 &
                        )**2d0 + 10d0*Nc*coupl(nGC_140)**2d0*coupl(nGC_141)**  &
                        2d0 + 40d0*Nc*coupl(nGC_140)*coupl(nGC_141)**2d0*coupl(&
                        nGC_730) + 10d0*Nc*coupl(nGC_141)**2d0*coupl(nGC_730)**&
                        2d0 + 10d0*Nc*coupl(nGC_143)**2d0*coupl(nGC_144)**2d0  &
                         + 40d0*Nc*coupl(nGC_143)**2d0*coupl(nGC_144)*coupl(   &
                        nGC_824) + 10d0*Nc*coupl(nGC_143)**2d0*coupl(nGC_824)**&
                        2d0 + 10d0*Nc*coupl(nGC_149)**2d0*coupl(nGC_150)**2d0  &
                         + 40d0*Nc*coupl(nGC_149)**2d0*coupl(nGC_150)*coupl(   &
                        nGC_364) + 10d0*Nc*coupl(nGC_149)**2d0*coupl(nGC_364)**&
                        2d0 + 10d0*coupl(nGC_1016)**2d0*coupl(nGC_138)**2d0 +  &
                        40d0*coupl(nGC_1016)*coupl(nGC_137)*coupl(nGC_138)**2d0&
                         + 10d0*coupl(nGC_134)**2d0*coupl(nGC_135)**2d0 + 40d0*&
                        coupl(nGC_134)*coupl(nGC_135)**2d0*coupl(nGC_488) +    &
                        10d0*coupl(nGC_135)**2d0*coupl(nGC_488)**2d0 + 10d0*   &
                        coupl(nGC_137)**2d0*coupl(nGC_138)**2d0 + 10d0*coupl(  &
                        nGC_146)**2d0*coupl(nGC_147)**2d0 + 40d0*coupl(nGC_146 &
                        )*coupl(nGC_147)**2d0*coupl(nGC_334) + 10d0*coupl(     &
                        nGC_147)**2d0*coupl(nGC_334)**2d0 + 6d0*coupl(nGC_47)**&
                        2d0 + 3d0*coupl(nGC_96)**2d0)/(48d0*pi**2d0)
      coupl(nGC_9595) = (-8d0*Nc*cima*coupl(nGC_125)*coupl(nGC_520)*coupl(     &
                        nGC_62)**2d0 - 8d0*Nc*cima*coupl(nGC_129)*coupl(nGC_62 &
                        )**2d0*coupl(nGC_642) - 8d0*Nc*cima*coupl(nGC_131)*    &
                        coupl(nGC_2178)*coupl(nGC_62)**2d0 - 8d0*Nc*cima*coupl(&
                        nGC_140)*coupl(nGC_62)**2d0*coupl(nGC_730) - 8d0*Nc*   &
                        cima*coupl(nGC_144)*coupl(nGC_62)**2d0*coupl(nGC_824   &
                        ) - 8d0*Nc*cima*coupl(nGC_150)*coupl(nGC_364)*coupl(   &
                        nGC_62)**2d0 - 8d0*cima*coupl(nGC_1016)*coupl(nGC_137)*&
                        coupl(nGC_62)**2d0 - 8d0*cima*coupl(nGC_134)*coupl(    &
                        nGC_488)*coupl(nGC_62)**2d0 - 8d0*cima*coupl(nGC_146)* &
                        coupl(nGC_334)*coupl(nGC_62)**2d0 + 6d0*cima*coupl(    &
                        nGC_2700)*coupl(nGC_47) + 3d0*cima*coupl(nGC_56)*coupl(&
                        nGC_96) + 6d0*coupl(nGC_292)*coupl(nGC_47)*coupl(nGC_63&
                        ) + 6d0*coupl(nGC_380)*coupl(nGC_4)*coupl(nGC_47) + 6d0&
                        *coupl(nGC_534)*coupl(nGC_64)*coupl(nGC_96))/(48d0*pi**&
                        2d0)
      coupl(nGC_9594) = cima*(20d0*Nc*coupl(nGC_125)**2d0*coupl(nGC_520)**2d0  &
                         + 20d0*Nc*coupl(nGC_129)**2d0*coupl(nGC_642)**2d0 +   &
                        20d0*Nc*coupl(nGC_131)**2d0*coupl(nGC_2178)**2d0 + 20d0&
                        *Nc*coupl(nGC_140)**2d0*coupl(nGC_730)**2d0 + 20d0*Nc* &
                        coupl(nGC_144)**2d0*coupl(nGC_824)**2d0 + 20d0*Nc*coupl&
                        (nGC_150)**2d0*coupl(nGC_364)**2d0 + 20d0*coupl(       &
                        nGC_1016)**2d0*coupl(nGC_137)**2d0 + 20d0*coupl(nGC_134&
                        )**2d0*coupl(nGC_488)**2d0 + 20d0*coupl(nGC_146)**2d0* &
                        coupl(nGC_334)**2d0 + 6d0*coupl(nGC_47)**2d0 + 3d0*    &
                        coupl(nGC_96)**2d0)/(16d0*pi**2d0)
      coupl(nGC_14361) = coupl(nGC_47)*dZH_QED2 + coupl(nGC_47)*dZWMinus_QED2  &
                          + coupl(nGC_9715)
      coupl(nGC_9561) = (-3d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_62)**2d0 +   &
                        9d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_62)**  &
                        2d0 - 3d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_62)**2d0 &
                         + 3d0*cima*coupl(nGC_1108)**2d0 - 2d0*cima*coupl(     &
                        nGC_266)*coupl(nGC_3)*coupl(nGC_380)**2d0 - 2d0*cima*  &
                        coupl(nGC_292)*coupl(nGC_3)**2d0*coupl(nGC_63) - 2d0*  &
                        cima*coupl(nGC_3)**2d0*coupl(nGC_380)*coupl(nGC_4) -   &
                        2d0*cima*coupl(nGC_380)**2d0*coupl(nGC_534)*coupl(     &
                        nGC_64) - 3d0*cima*coupl(nGC_4)**2d0*coupl(nGC_62)**2d0&
                         + 3d0*cima*coupl(nGC_74)**2d0 + 3d0*coupl(nGC_1108)*  &
                        coupl(nGC_3)*coupl(nGC_380) + 3d0*coupl(nGC_1108)*coupl&
                        (nGC_3)*coupl(nGC_4) + 3d0*coupl(nGC_292)*coupl(nGC_3)*&
                        coupl(nGC_74) + 3d0*coupl(nGC_3)*coupl(nGC_63)*coupl(  &
                        nGC_74))/(24d0*pi**2d0)
      coupl(nGC_9591) = (5d0*Nc*cima*coupl(nGC_124)*coupl(nGC_126)*coupl(nGC_62&
                        )*coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_124)*coupl(    &
                        nGC_126)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*    &
                        coupl(nGC_124)*coupl(nGC_126)*coupl(nGC_62)*coupl(     &
                        nGC_83) + 5d0*Nc*cima*coupl(nGC_127)*coupl(nGC_128)*   &
                        coupl(nGC_62)*coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_127&
                        )*coupl(nGC_128)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc* &
                        cima*coupl(nGC_127)*coupl(nGC_128)*coupl(nGC_62)*coupl(&
                        nGC_83) + 5d0*Nc*cima*coupl(nGC_130)*coupl(nGC_132)*   &
                        coupl(nGC_62)*coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_130&
                        )*coupl(nGC_132)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc* &
                        cima*coupl(nGC_130)*coupl(nGC_132)*coupl(nGC_62)*coupl(&
                        nGC_83) + 5d0*Nc*cima*coupl(nGC_139)*coupl(nGC_141)*   &
                        coupl(nGC_62)*coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_139&
                        )*coupl(nGC_141)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc* &
                        cima*coupl(nGC_139)*coupl(nGC_141)*coupl(nGC_62)*coupl(&
                        nGC_83) + 5d0*Nc*cima*coupl(nGC_142)*coupl(nGC_143)*   &
                        coupl(nGC_62)*coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_142&
                        )*coupl(nGC_143)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc* &
                        cima*coupl(nGC_142)*coupl(nGC_143)*coupl(nGC_62)*coupl(&
                        nGC_83) + 5d0*Nc*cima*coupl(nGC_148)*coupl(nGC_149)*   &
                        coupl(nGC_62)*coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_148&
                        )*coupl(nGC_149)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc* &
                        cima*coupl(nGC_148)*coupl(nGC_149)*coupl(nGC_62)*coupl(&
                        nGC_83) + 5d0*cima*coupl(nGC_133)*coupl(nGC_135)*coupl(&
                        nGC_62)*coupl(nGC_80) - 4d0*cima*coupl(nGC_133)*coupl( &
                        nGC_135)*coupl(nGC_62)*coupl(nGC_85) - 4d0*cima*coupl( &
                        nGC_133)*coupl(nGC_135)*coupl(nGC_62)*coupl(nGC_86) +  &
                        5d0*cima*coupl(nGC_136)*coupl(nGC_138)*coupl(nGC_62)*  &
                        coupl(nGC_80) - 4d0*cima*coupl(nGC_136)*coupl(nGC_138)*&
                        coupl(nGC_62)*coupl(nGC_85) - 4d0*cima*coupl(nGC_136)* &
                        coupl(nGC_138)*coupl(nGC_62)*coupl(nGC_86) + 6d0*cima* &
                        coupl(nGC_14)*coupl(nGC_55) + 5d0*cima*coupl(nGC_145)* &
                        coupl(nGC_147)*coupl(nGC_62)*coupl(nGC_80) - 4d0*cima* &
                        coupl(nGC_145)*coupl(nGC_147)*coupl(nGC_62)*coupl(     &
                        nGC_85) - 4d0*cima*coupl(nGC_145)*coupl(nGC_147)*coupl(&
                        nGC_62)*coupl(nGC_86) + 6d0*cima*coupl(nGC_244)*coupl( &
                        nGC_69) + 6d0*coupl(nGC_14)*coupl(nGC_292)*coupl(nGC_64&
                        ) + 6d0*coupl(nGC_292)*coupl(nGC_3)*coupl(nGC_69))/(   &
                        48d0*pi**2d0)
      coupl(nGC_16271) = coupl(nGC_15561) + coupl(nGC_16269)
      coupl(nGC_16270) = coupl(nGC_15561) + coupl(nGC_16268)
      coupl(nGC_9427) = (Nc*cMB*coupl(nGC_124)*coupl(nGC_62)*coupl(nGC_78) - Nc&
                        *cMB*coupl(nGC_124)*coupl(nGC_62)*coupl(nGC_82) - Nc*  &
                        cMB*coupl(nGC_124)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMC&
                        *coupl(nGC_127)*coupl(nGC_62)*coupl(nGC_79) - Nc*cMC*  &
                        coupl(nGC_127)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMC*   &
                        coupl(nGC_127)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMD*   &
                        coupl(nGC_130)*coupl(nGC_62)*coupl(nGC_78) - Nc*cMD*   &
                        coupl(nGC_130)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMD*   &
                        coupl(nGC_130)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMS*   &
                        coupl(nGC_139)*coupl(nGC_62)*coupl(nGC_78) - Nc*cMS*   &
                        coupl(nGC_139)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMS*   &
                        coupl(nGC_139)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMT*   &
                        coupl(nGC_142)*coupl(nGC_62)*coupl(nGC_79) - Nc*cMT*   &
                        coupl(nGC_142)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMT*   &
                        coupl(nGC_142)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMU*   &
                        coupl(nGC_148)*coupl(nGC_62)*coupl(nGC_79) - Nc*cMU*   &
                        coupl(nGC_148)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMU*   &
                        coupl(nGC_148)*coupl(nGC_62)*coupl(nGC_83) + cME*coupl(&
                        nGC_133)*coupl(nGC_62)*coupl(nGC_80) - cME*coupl(      &
                        nGC_133)*coupl(nGC_62)*coupl(nGC_85) - cME*coupl(      &
                        nGC_133)*coupl(nGC_62)*coupl(nGC_86) + cMM*coupl(      &
                        nGC_136)*coupl(nGC_62)*coupl(nGC_80) - cMM*coupl(      &
                        nGC_136)*coupl(nGC_62)*coupl(nGC_85) - cMM*coupl(      &
                        nGC_136)*coupl(nGC_62)*coupl(nGC_86) + cMTA*coupl(     &
                        nGC_145)*coupl(nGC_62)*coupl(nGC_80) - cMTA*coupl(     &
                        nGC_145)*coupl(nGC_62)*coupl(nGC_85) - cMTA*coupl(     &
                        nGC_145)*coupl(nGC_62)*coupl(nGC_86) + 2d0*cima*coupl( &
                        nGC_110)*coupl(nGC_244) + 2d0*cima*coupl(nGC_55)*coupl(&
                        nGC_99) + 2d0*coupl(nGC_110)*coupl(nGC_292)*coupl(nGC_3&
                        ) + 2d0*coupl(nGC_292)*coupl(nGC_64)*coupl(nGC_99))/(  &
                        16d0*pi**2d0)
      coupl(nGC_14448) = coupl(nGC_14027) + coupl(nGC_14442)
      coupl(nGC_9590) = (Nc*cima*coupl(nGC_1)*coupl(nGC_78)**3d0 + Nc*cima*    &
                        coupl(nGC_1)*coupl(nGC_82)**3d0 + Nc*cima*coupl(nGC_2)*&
                        coupl(nGC_79)**3d0 + Nc*cima*coupl(nGC_2)*coupl(nGC_83 &
                        )**3d0 - 2d0*cima*coupl(nGC_292)**3d0*coupl(nGC_380) - &
                        2d0*cima*coupl(nGC_3)*coupl(nGC_64)**3d0 + cima*coupl( &
                        nGC_4)*coupl(nGC_80)**3d0 + cima*coupl(nGC_4)*coupl(   &
                        nGC_85)**3d0 + cima*coupl(nGC_56)*coupl(nGC_77) + coupl&
                        (nGC_292)**2d0*coupl(nGC_77) + coupl(nGC_292)*coupl(   &
                        nGC_380)*coupl(nGC_56) + coupl(nGC_3)*coupl(nGC_56)*   &
                        coupl(nGC_64) + coupl(nGC_64)**2d0*coupl(nGC_77))/(8d0*&
                        pi**2d0)
      coupl(nGC_22241) = -coupl(nGC_9558)
      coupl(nGC_14447) = coupl(nGC_14027) + coupl(nGC_14444)
      coupl(nGC_14561) = coupl(nGC_86)*dZZ_QED2/2d0 + coupl(nGC_86)*           &
                         dZnu_eL_QED2 + coupl(nGC_9743)
      coupl(nGC_9589) = (5d0*Nc*cima*coupl(nGC_124)*coupl(nGC_520)*coupl(nGC_62&
                        )*coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_124)*coupl(    &
                        nGC_520)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*    &
                        coupl(nGC_124)*coupl(nGC_520)*coupl(nGC_62)*coupl(     &
                        nGC_83) + 5d0*Nc*cima*coupl(nGC_127)*coupl(nGC_129)*   &
                        coupl(nGC_62)*coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_127&
                        )*coupl(nGC_129)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc* &
                        cima*coupl(nGC_127)*coupl(nGC_129)*coupl(nGC_62)*coupl(&
                        nGC_83) + 5d0*Nc*cima*coupl(nGC_130)*coupl(nGC_2178)*  &
                        coupl(nGC_62)*coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_130&
                        )*coupl(nGC_2178)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*&
                        cima*coupl(nGC_130)*coupl(nGC_2178)*coupl(nGC_62)*coupl&
                        (nGC_83) + 5d0*Nc*cima*coupl(nGC_139)*coupl(nGC_62)*   &
                        coupl(nGC_730)*coupl(nGC_78) - 4d0*Nc*cima*coupl(      &
                        nGC_139)*coupl(nGC_62)*coupl(nGC_730)*coupl(nGC_82) -  &
                        4d0*Nc*cima*coupl(nGC_139)*coupl(nGC_62)*coupl(nGC_730 &
                        )*coupl(nGC_83) + 5d0*Nc*cima*coupl(nGC_142)*coupl(    &
                        nGC_144)*coupl(nGC_62)*coupl(nGC_79) - 4d0*Nc*cima*    &
                        coupl(nGC_142)*coupl(nGC_144)*coupl(nGC_62)*coupl(     &
                        nGC_82) - 4d0*Nc*cima*coupl(nGC_142)*coupl(nGC_144)*   &
                        coupl(nGC_62)*coupl(nGC_83) + 5d0*Nc*cima*coupl(nGC_148&
                        )*coupl(nGC_150)*coupl(nGC_62)*coupl(nGC_79) - 4d0*Nc* &
                        cima*coupl(nGC_148)*coupl(nGC_150)*coupl(nGC_62)*coupl(&
                        nGC_82) - 4d0*Nc*cima*coupl(nGC_148)*coupl(nGC_150)*   &
                        coupl(nGC_62)*coupl(nGC_83) + 5d0*cima*coupl(nGC_1016)*&
                        coupl(nGC_136)*coupl(nGC_62)*coupl(nGC_80) - 4d0*cima* &
                        coupl(nGC_1016)*coupl(nGC_136)*coupl(nGC_62)*coupl(    &
                        nGC_85) - 4d0*cima*coupl(nGC_1016)*coupl(nGC_136)*coupl&
                        (nGC_62)*coupl(nGC_86) + 5d0*cima*coupl(nGC_133)*coupl(&
                        nGC_488)*coupl(nGC_62)*coupl(nGC_80) - 4d0*cima*coupl( &
                        nGC_133)*coupl(nGC_488)*coupl(nGC_62)*coupl(nGC_85) -  &
                        4d0*cima*coupl(nGC_133)*coupl(nGC_488)*coupl(nGC_62)*  &
                        coupl(nGC_86) + 5d0*cima*coupl(nGC_145)*coupl(nGC_334)*&
                        coupl(nGC_62)*coupl(nGC_80) - 4d0*cima*coupl(nGC_145)* &
                        coupl(nGC_334)*coupl(nGC_62)*coupl(nGC_85) - 4d0*cima* &
                        coupl(nGC_145)*coupl(nGC_334)*coupl(nGC_62)*coupl(     &
                        nGC_86) + 6d0*cima*coupl(nGC_16)*coupl(nGC_55) + 6d0*  &
                        cima*coupl(nGC_244)*coupl(nGC_72) + 6d0*coupl(nGC_16)* &
                        coupl(nGC_292)*coupl(nGC_64) + 6d0*coupl(nGC_292)*coupl&
                        (nGC_3)*coupl(nGC_72))/(48d0*pi**2d0)
      coupl(nGC_15568) = coupl(nGC_78)*dZZ_QED2/2d0 + coupl(nGC_78)*dZsR_QED2  &
                          + coupl(nGC_9742)
      coupl(nGC_15569) = coupl(nGC_82)*dZZ_QED2/2d0 + coupl(nGC_82)*dZsL_QED2  &
                          + coupl(nGC_9741)
      coupl(nGC_14569) = coupl(nGC_14568) + coupl(nGC_9700)
      coupl(nGC_9585) = (5d0*Nc*cima*coupl(nGC_124)*coupl(nGC_125)*coupl(nGC_62&
                        )*coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_124)*coupl(    &
                        nGC_125)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*    &
                        coupl(nGC_124)*coupl(nGC_125)*coupl(nGC_62)*coupl(     &
                        nGC_83) + 5d0*Nc*cima*coupl(nGC_127)*coupl(nGC_62)*    &
                        coupl(nGC_642)*coupl(nGC_79) - 4d0*Nc*cima*coupl(      &
                        nGC_127)*coupl(nGC_62)*coupl(nGC_642)*coupl(nGC_82) -  &
                        4d0*Nc*cima*coupl(nGC_127)*coupl(nGC_62)*coupl(nGC_642 &
                        )*coupl(nGC_83) + 5d0*Nc*cima*coupl(nGC_130)*coupl(    &
                        nGC_131)*coupl(nGC_62)*coupl(nGC_78) - 4d0*Nc*cima*    &
                        coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_62)*coupl(     &
                        nGC_82) - 4d0*Nc*cima*coupl(nGC_130)*coupl(nGC_131)*   &
                        coupl(nGC_62)*coupl(nGC_83) + 5d0*Nc*cima*coupl(nGC_139&
                        )*coupl(nGC_140)*coupl(nGC_62)*coupl(nGC_78) - 4d0*Nc* &
                        cima*coupl(nGC_139)*coupl(nGC_140)*coupl(nGC_62)*coupl(&
                        nGC_82) - 4d0*Nc*cima*coupl(nGC_139)*coupl(nGC_140)*   &
                        coupl(nGC_62)*coupl(nGC_83) + 5d0*Nc*cima*coupl(nGC_142&
                        )*coupl(nGC_62)*coupl(nGC_79)*coupl(nGC_824) - 4d0*Nc* &
                        cima*coupl(nGC_142)*coupl(nGC_62)*coupl(nGC_82)*coupl( &
                        nGC_824) - 4d0*Nc*cima*coupl(nGC_142)*coupl(nGC_62)*   &
                        coupl(nGC_824)*coupl(nGC_83) + 5d0*Nc*cima*coupl(      &
                        nGC_148)*coupl(nGC_364)*coupl(nGC_62)*coupl(nGC_79) -  &
                        4d0*Nc*cima*coupl(nGC_148)*coupl(nGC_364)*coupl(nGC_62 &
                        )*coupl(nGC_82) - 4d0*Nc*cima*coupl(nGC_148)*coupl(    &
                        nGC_364)*coupl(nGC_62)*coupl(nGC_83) + 6d0*cima*coupl( &
                        nGC_13)*coupl(nGC_55) + 5d0*cima*coupl(nGC_133)*coupl( &
                        nGC_134)*coupl(nGC_62)*coupl(nGC_80) - 4d0*cima*coupl( &
                        nGC_133)*coupl(nGC_134)*coupl(nGC_62)*coupl(nGC_85) -  &
                        4d0*cima*coupl(nGC_133)*coupl(nGC_134)*coupl(nGC_62)*  &
                        coupl(nGC_86) + 5d0*cima*coupl(nGC_136)*coupl(nGC_137)*&
                        coupl(nGC_62)*coupl(nGC_80) - 4d0*cima*coupl(nGC_136)* &
                        coupl(nGC_137)*coupl(nGC_62)*coupl(nGC_85) - 4d0*cima* &
                        coupl(nGC_136)*coupl(nGC_137)*coupl(nGC_62)*coupl(     &
                        nGC_86) + 5d0*cima*coupl(nGC_145)*coupl(nGC_146)*coupl(&
                        nGC_62)*coupl(nGC_80) - 4d0*cima*coupl(nGC_145)*coupl( &
                        nGC_146)*coupl(nGC_62)*coupl(nGC_85) - 4d0*cima*coupl( &
                        nGC_145)*coupl(nGC_146)*coupl(nGC_62)*coupl(nGC_86) +  &
                        6d0*cima*coupl(nGC_244)*coupl(nGC_68) + 6d0*coupl(     &
                        nGC_13)*coupl(nGC_63)*coupl(nGC_64) + 6d0*coupl(nGC_4)*&
                        coupl(nGC_64)*coupl(nGC_68))/(48d0*pi**2d0)
      coupl(nGC_14058) = coupl(nGC_54)*dZZA_QED2/2d0 + coupl(nGC_75)*dZA_QED2/ &
                         2d0 + coupl(nGC_75)*dZWMinus_QED2/2d0 + coupl(nGC_9707&
                         )
      coupl(nGC_16242) = coupl(nGC_9767) + coupl(nGC_MZ_GF)*dZZ_QED2/2d0
      coupl(nGC_14920) = coupl(nGC_14279) + coupl(nGC_14917)
      coupl(nGC_15831) = coupl(nGC_85)*dZZ_QED2/2d0 + coupl(nGC_85)*           &
                         dZeMinusL_QED2 + coupl(nGC_9725)
      coupl(nGC_15832) = coupl(nGC_80)*dZZ_QED2/2d0 + coupl(nGC_80)*           &
                         dZeMinusR_QED2 + coupl(nGC_9744)
      coupl(nGC_15833) = coupl(nGC_14002) + coupl(nGC_15832)
      coupl(nGC_9342) = cima*(coupl(nGC_266)*coupl(nGC_3) + coupl(nGC_292)*    &
                        coupl(nGC_63) + coupl(nGC_380)*coupl(nGC_4) + coupl(   &
                        nGC_534)*coupl(nGC_64))/(48d0*pi**2d0)
      coupl(nGC_16570) = coupl(nGC_14304) + coupl(nGC_16568)
      coupl(nGC_16571) = coupl(nGC_14304) + coupl(nGC_16569)
      coupl(nGC_14281) = coupl(nGC_14278) + coupl(nGC_14279)
      coupl(nGC_15143) = coupl(nGC_14518) + coupl(nGC_15140)
      coupl(nGC_15571) = coupl(nGC_15561) + coupl(nGC_15569)
      coupl(nGC_15570) = coupl(nGC_15561) + coupl(nGC_15568)
      coupl(nGC_22392) = -coupl(nGC_9447)
      coupl(nGC_14183) = coupl(nGC_14177) + coupl(nGC_14178) - coupl(nGC_14181 &
                         )/2d0
      coupl(nGC_14182) = coupl(nGC_14176) - 2d0*coupl(nGC_14178) + coupl(      &
                         nGC_14181)
      coupl(nGC_14224) = coupl(nGC_62)*dZWMinus_QED2/2d0 + coupl(nGC_62)*      &
                         dZmuMinusL_QED2/2d0 + coupl(nGC_62)*dZnu_muL_QED2/2d0 &
                          + coupl(nGC_9738)
      coupl(nGC_16935) = coupl(nGC_14279) + coupl(nGC_16933)
      coupl(nGC_19632) = coupl(nGC_19626) + coupl(nGC_9753)
      coupl(nGC_16096) = coupl(nGC_16095) + coupl(nGC_9704)
      coupl(nGC_15296) = coupl(nGC_60)*dZH_QED2/2d0 + coupl(nGC_60)*           &
                         dZWMinus_QED2/2d0 + coupl(nGC_9711)
      coupl(nGC_21282) = coupl(nGC_21278) + coupl(nGC_9762)
      coupl(nGC_9524) = (coupl(nGC_124)**2d0*coupl(nGC_78) + coupl(nGC_143)**  &
                        2d0*coupl(nGC_79) + coupl(nGC_144)*coupl(nGC_79)*coupl(&
                        nGC_824) + 4d0*coupl(nGC_2)**2d0*coupl(nGC_83) + 2d0*  &
                        coupl(nGC_62)**2d0*coupl(nGC_64) + 4d0*coupl(nGC_62)** &
                        2d0*coupl(nGC_82) + 4d0*coupl(nGC_83)**3d0)/(32d0*pi** &
                        2d0)
      coupl(nGC_22239) = -coupl(nGC_9559)
      coupl(nGC_9409) = (Nc*cMB*coupl(nGC_124)*coupl(nGC_62)*coupl(nGC_78) - Nc&
                        *cMB*coupl(nGC_124)*coupl(nGC_62)*coupl(nGC_82) - Nc*  &
                        cMB*coupl(nGC_124)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMC&
                        *coupl(nGC_127)*coupl(nGC_62)*coupl(nGC_79) - Nc*cMC*  &
                        coupl(nGC_127)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMC*   &
                        coupl(nGC_127)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMD*   &
                        coupl(nGC_130)*coupl(nGC_62)*coupl(nGC_78) - Nc*cMD*   &
                        coupl(nGC_130)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMD*   &
                        coupl(nGC_130)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMS*   &
                        coupl(nGC_139)*coupl(nGC_62)*coupl(nGC_78) - Nc*cMS*   &
                        coupl(nGC_139)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMS*   &
                        coupl(nGC_139)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMT*   &
                        coupl(nGC_142)*coupl(nGC_62)*coupl(nGC_79) - Nc*cMT*   &
                        coupl(nGC_142)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMT*   &
                        coupl(nGC_142)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMU*   &
                        coupl(nGC_148)*coupl(nGC_62)*coupl(nGC_79) - Nc*cMU*   &
                        coupl(nGC_148)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMU*   &
                        coupl(nGC_148)*coupl(nGC_62)*coupl(nGC_83) + cME*coupl(&
                        nGC_133)*coupl(nGC_62)*coupl(nGC_80) - cME*coupl(      &
                        nGC_133)*coupl(nGC_62)*coupl(nGC_85) - cME*coupl(      &
                        nGC_133)*coupl(nGC_62)*coupl(nGC_86) + cMM*coupl(      &
                        nGC_136)*coupl(nGC_62)*coupl(nGC_80) - cMM*coupl(      &
                        nGC_136)*coupl(nGC_62)*coupl(nGC_85) - cMM*coupl(      &
                        nGC_136)*coupl(nGC_62)*coupl(nGC_86) + cMTA*coupl(     &
                        nGC_145)*coupl(nGC_62)*coupl(nGC_80) - cMTA*coupl(     &
                        nGC_145)*coupl(nGC_62)*coupl(nGC_85) - cMTA*coupl(     &
                        nGC_145)*coupl(nGC_62)*coupl(nGC_86) + 2d0*cima*coupl( &
                        nGC_110)*coupl(nGC_244) + 2d0*cima*coupl(nGC_55)*coupl(&
                        nGC_99) + 2d0*coupl(nGC_110)*coupl(nGC_4)*coupl(nGC_64 &
                        ) + 2d0*coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_99))/(   &
                        16d0*pi**2d0)
      coupl(nGC_9408) = coupl(nGC_62)*(-Nc*coupl(nGC_124)*coupl(nGC_125) + Nc* &
                        coupl(nGC_127)*coupl(nGC_642) - Nc*coupl(nGC_130)*coupl&
                        (nGC_131) - Nc*coupl(nGC_139)*coupl(nGC_140) + Nc*coupl&
                        (nGC_142)*coupl(nGC_824) + Nc*coupl(nGC_148)*coupl(    &
                        nGC_364) - coupl(nGC_133)*coupl(nGC_134) - coupl(      &
                        nGC_136)*coupl(nGC_137) - coupl(nGC_145)*coupl(nGC_146 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_9588) = (5d0*Nc*cima*coupl(nGC_124)*coupl(nGC_126)*coupl(nGC_62&
                        )*coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_124)*coupl(    &
                        nGC_126)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*    &
                        coupl(nGC_124)*coupl(nGC_126)*coupl(nGC_62)*coupl(     &
                        nGC_83) + 5d0*Nc*cima*coupl(nGC_127)*coupl(nGC_128)*   &
                        coupl(nGC_62)*coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_127&
                        )*coupl(nGC_128)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc* &
                        cima*coupl(nGC_127)*coupl(nGC_128)*coupl(nGC_62)*coupl(&
                        nGC_83) + 5d0*Nc*cima*coupl(nGC_130)*coupl(nGC_132)*   &
                        coupl(nGC_62)*coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_130&
                        )*coupl(nGC_132)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc* &
                        cima*coupl(nGC_130)*coupl(nGC_132)*coupl(nGC_62)*coupl(&
                        nGC_83) + 5d0*Nc*cima*coupl(nGC_139)*coupl(nGC_141)*   &
                        coupl(nGC_62)*coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_139&
                        )*coupl(nGC_141)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc* &
                        cima*coupl(nGC_139)*coupl(nGC_141)*coupl(nGC_62)*coupl(&
                        nGC_83) + 5d0*Nc*cima*coupl(nGC_142)*coupl(nGC_143)*   &
                        coupl(nGC_62)*coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_142&
                        )*coupl(nGC_143)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc* &
                        cima*coupl(nGC_142)*coupl(nGC_143)*coupl(nGC_62)*coupl(&
                        nGC_83) + 5d0*Nc*cima*coupl(nGC_148)*coupl(nGC_149)*   &
                        coupl(nGC_62)*coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_148&
                        )*coupl(nGC_149)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc* &
                        cima*coupl(nGC_148)*coupl(nGC_149)*coupl(nGC_62)*coupl(&
                        nGC_83) + 5d0*cima*coupl(nGC_133)*coupl(nGC_135)*coupl(&
                        nGC_62)*coupl(nGC_80) - 4d0*cima*coupl(nGC_133)*coupl( &
                        nGC_135)*coupl(nGC_62)*coupl(nGC_85) - 4d0*cima*coupl( &
                        nGC_133)*coupl(nGC_135)*coupl(nGC_62)*coupl(nGC_86) +  &
                        5d0*cima*coupl(nGC_136)*coupl(nGC_138)*coupl(nGC_62)*  &
                        coupl(nGC_80) - 4d0*cima*coupl(nGC_136)*coupl(nGC_138)*&
                        coupl(nGC_62)*coupl(nGC_85) - 4d0*cima*coupl(nGC_136)* &
                        coupl(nGC_138)*coupl(nGC_62)*coupl(nGC_86) + 6d0*cima* &
                        coupl(nGC_14)*coupl(nGC_55) + 5d0*cima*coupl(nGC_145)* &
                        coupl(nGC_147)*coupl(nGC_62)*coupl(nGC_80) - 4d0*cima* &
                        coupl(nGC_145)*coupl(nGC_147)*coupl(nGC_62)*coupl(     &
                        nGC_85) - 4d0*cima*coupl(nGC_145)*coupl(nGC_147)*coupl(&
                        nGC_62)*coupl(nGC_86) + 6d0*cima*coupl(nGC_244)*coupl( &
                        nGC_69) + 6d0*coupl(nGC_14)*coupl(nGC_63)*coupl(nGC_64 &
                        ) + 6d0*coupl(nGC_4)*coupl(nGC_64)*coupl(nGC_69))/(48d0&
                        *pi**2d0)
      coupl(nGC_14950) = coupl(nGC_93)*dZH_QED2 + coupl(nGC_9632)
      coupl(nGC_9400) = (coupl(nGC_1)*coupl(nGC_142)**2d0 + coupl(nGC_143)**2d0&
                        *coupl(nGC_2) + coupl(nGC_144)*coupl(nGC_2)*coupl(     &
                        nGC_824) + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*   &
                        coupl(nGC_79)**2d0)/(32d0*pi**2d0)
      coupl(nGC_15060) = coupl(nGC_15056) + coupl(nGC_15059)
      coupl(nGC_9487) = (-coupl(nGC_124)*coupl(nGC_126)*coupl(nGC_142) - coupl(&
                        nGC_143)**3d0 + 8d0*coupl(nGC_143)*coupl(nGC_2)**2d0 + &
                        8d0*coupl(nGC_143)*coupl(nGC_79)*coupl(nGC_83) - coupl(&
                        nGC_143)*coupl(nGC_824)**2d0)/(32d0*pi**2d0)
      coupl(nGC_16098) = coupl(nGC_16094) + coupl(nGC_16097)
      coupl(nGC_14425) = coupl(nGC_55)*dZWMinus_QED2 + coupl(nGC_55)*dZZ_QED2  &
                          + coupl(nGC_9733)
      coupl(nGC_14426) = coupl(nGC_56)*dZWMinus_QED2 + coupl(nGC_56)*dZZ_QED2  &
                          + coupl(nGC_9734)
      coupl(nGC_14427) = -coupl(nGC_14420)/2d0 + coupl(nGC_14425)
      coupl(nGC_15834) = coupl(nGC_14002) + coupl(nGC_15831)
      coupl(nGC_15733) = -2d0*coupl(nGC_15732)
      coupl(nGC_21611) = -coupl(nGC_9408)
      coupl(nGC_15414) = -coupl(nGC_15296)
      coupl(nGC_14724) = coupl(nGC_14002) + coupl(nGC_14721)
      coupl(nGC_14378) = -coupl(nGC_14377)
      coupl(nGC_14428) = coupl(nGC_14420) + coupl(nGC_14426)
      coupl(nGC_14006) = coupl(nGC_14002) + coupl(nGC_14004)
    end subroutine fill_CTcouplings_mdl4
end module fill_ctcouplings4
